import { createElement } from 'react';
import { any, node, string, bool, func } from 'prop-types';
import { animatePropTypes, restrictHidePropTypes, animateDefaultProps, restrictDefaultProps } from '../types/props.js';
import 'reakit/styled';
import 'styled-tools';
import 'styled-selector';
import '../styled/selector.js';
import 'lodash/get';
import '../styled/space.js';
import '../styled/index.js';
import { a as _objectSpread, b as _objectWithoutPropertiesLoose, c as _extends } from '../chunk-ad6ad343.js';
import 'reakit/Backdrop';
import _Backdrop from './styled.js';

var Backdrop = function Backdrop(_ref) {
  var children = _ref.children,
      isVisible = _ref.isVisible,
      props = _objectWithoutPropertiesLoose(_ref, ["children", "isVisible"]);

  return createElement(_Backdrop, _extends({
    visible: isVisible
  }, props), children);
};
var backdropPropTypes = _objectSpread({
  use: any,
  children: node,
  className: string,
  isVisible: bool,
  onClick: func
}, animatePropTypes, restrictHidePropTypes);
Backdrop.propTypes = backdropPropTypes;
var backdropDefaultProps = _objectSpread({
  use: undefined,
  children: undefined,
  className: undefined,
  isVisible: false,
  onClick: undefined
}, animateDefaultProps, restrictDefaultProps);
Backdrop.defaultProps = backdropDefaultProps;
var C = Backdrop;

export default C;
export { C as Backdrop, backdropDefaultProps, backdropPropTypes };
