import { createElement } from 'react';
import { node, string } from 'prop-types';
import 'reakit/styled';
import 'styled-tools';
import 'styled-selector';
import '../styled/selector.js';
import 'lodash/get';
import '../styled/space.js';
import '../styled/index.js';
import '../chunk-ad6ad343.js';
import 'polished';
import '../default/palette.js';
import 'reakit/Box';
import 'reakit/Block';
import 'reakit/Inline';
import 'reakit/InlineBlock';
import 'reakit/Flex';
import 'reakit/InlineFlex';
import 'reakit/Grid';
import '../Icon/styled.js';
import 'reakit/List';
import '../List/styled.js';
import '../List/ListItem.js';
import '../List/index.js';
import 'reakit/Navigation';
import '../Navigation/styled.js';
import '../chunk-18be6601.js';
import '../Navigation/index.js';
import 'reakit/Link';
import '../Link/styled.js';
import '../Link/index.js';
import { Breadcrumb as Breadcrumb$1, BreadcrumbList } from './styled.js';
import BreadcrumbStep from './BreadcrumbStep.js';
export { default as BreadcrumbStep, breadcrumbStepDefaultProps, breadcrumbStepPropTypes } from './BreadcrumbStep.js';

/* eslint react/prop-types: 0 */
var Breadcrumb = function Breadcrumb(_ref) {
  var children = _ref.children,
      separationColor = _ref.separationColor;
  return createElement(Breadcrumb$1, {
    a11yTitle: "Breadcrumb",
    separationColor: separationColor
  }, createElement(BreadcrumbList, {
    isOrdered: true,
    isHorizontal: true
  }, children));
};
Breadcrumb.Step = BreadcrumbStep;
var breadcrumbPropTypes = {
  children: node.isRequired,
  separationColor: string
};
Breadcrumb.propTypes = breadcrumbPropTypes;
var breadcrumbDefaultProps = {
  separationColor: ''
};
Breadcrumb.defaultProps = breadcrumbDefaultProps; // @ts-ignore

var C = Breadcrumb;

export default C;
export { C as Breadcrumb, breadcrumbDefaultProps, breadcrumbPropTypes };
