import { createElement } from 'react';
import { string, oneOf, node } from 'prop-types';
import '../types/props.js';
import 'reakit/styled';
import 'styled-tools';
import 'styled-selector';
import '../styled/selector.js';
import 'lodash/get';
import '../styled/space.js';
import '../styled/index.js';
import { b as _objectWithoutPropertiesLoose, c as _extends, a as _objectSpread } from '../chunk-ad6ad343.js';
import 'polished';
import '../default/palette.js';
import 'reakit/Button';
import 'airbnb-prop-types';
import '../parseIcons.js';
import 'reakit/Box';
import 'reakit/Block';
import 'reakit/Inline';
import 'reakit/InlineBlock';
import 'reakit/Flex';
import 'reakit/InlineFlex';
import 'reakit/Grid';
import '../Icon/styled.js';
import '../chunk-16546651.js';
import '../Set/styled.js';
import '../Set/index.js';
import '../Button/styled.js';
import '../Spinner/styled.js';
import '../Spinner/index.js';
import '../chunk-68945c57.js';
import 'lodash/omit';
import '../Button/ActionButtons.js';
import '../Button/index.js';
import 'classnames';
import 'reakit/Heading';
import '../Heading/styled.js';
import '../Heading/index.js';
import '../Pane/styled.js';
import { b as panePropTypes, c as paneDefaultProps } from '../chunk-895bf8c9.js';
import '../Pane/index.js';
import Dialog from './styled.js';

var DialogDialog = function DialogDialog(_ref) {
  var a11yDescriptionId = _ref.a11yDescriptionId,
      a11yTitleId = _ref.a11yTitleId,
      children = _ref.children,
      kind = _ref.kind,
      props = _objectWithoutPropertiesLoose(_ref, ["a11yDescriptionId", "a11yTitleId", "children", "kind"]);

  return createElement(Dialog, _extends({
    "aria-describedby": a11yDescriptionId,
    "aria-labelledby": a11yTitleId,
    role: kind === 'alert' ? 'alertdialog' : 'dialog'
  }, props), children);
};
var dialogDialogPropTypes = _objectSpread({
  a11yDescriptionId: string,
  a11yTitleId: string,
  className: string,
  kind: oneOf(['alert'])
}, panePropTypes, {
  children: node.isRequired
});
DialogDialog.propTypes = dialogDialogPropTypes;
var dialogDialogDefaultProps = _objectSpread({}, paneDefaultProps, {
  a11yDescriptionId: undefined,
  a11yTitleId: undefined,
  border: true,
  className: undefined,
  kind: undefined
});
DialogDialog.defaultProps = dialogDialogDefaultProps;
var C = DialogDialog;

export default C;
export { DialogDialog, dialogDialogDefaultProps, dialogDialogPropTypes };
