import { createElement } from 'react';
import { node, string, bool } from 'prop-types';
import 'reakit/styled';
import 'styled-tools';
import 'styled-selector';
import '../styled/selector.js';
import 'lodash/get';
import '../styled/space.js';
import '../styled/index.js';
import { b as _objectWithoutPropertiesLoose, c as _extends } from '../chunk-ad6ad343.js';
import 'reakit/Divider';
import _Divider from './styled.js';

var Divider = function Divider(_ref) {
  var children = _ref.children,
      className = _ref.className,
      content = _ref.content,
      isVertical = _ref.isVertical,
      props = _objectWithoutPropertiesLoose(_ref, ["children", "className", "content", "isVertical"]);

  return createElement(_Divider, _extends({
    className: className,
    content: content,
    vertical: isVertical
  }, props), children);
};
var dividerPropTypes = {
  children: node,
  className: string,
  content: string,
  isVertical: bool
};
Divider.propTypes = dividerPropTypes;
var dividerDefaultProps = {
  children: null,
  className: undefined,
  content: undefined,
  isVertical: false
};
Divider.defaultProps = dividerDefaultProps;
var C = Divider;

export default C;
export { C as Divider, dividerDefaultProps, dividerPropTypes };
