import { createElement } from 'react';
import { node, string, bool } from 'prop-types';
import 'reakit/styled';
import 'styled-tools';
import 'styled-selector';
import '../styled/selector.js';
import 'lodash/get';
import '../styled/space.js';
import '../styled/index.js';
import { b as _objectWithoutPropertiesLoose, c as _extends } from '../chunk-ad6ad343.js';
import 'reakit/Box';
import 'reakit/Block';
import 'reakit/Inline';
import 'reakit/InlineBlock';
import 'reakit/Flex';
import 'reakit/InlineFlex';
import 'reakit/Grid';
import '../Icon/styled.js';
import classNames from 'classnames';
import 'reakit/Heading';
import _Heading from './styled.js';

var Heading = function Heading(_ref) {
  var _classNames;

  var children = _ref.children,
      className = _ref.className,
      isSubHeading = _ref.isSubHeading,
      props = _objectWithoutPropertiesLoose(_ref, ["children", "className", "isSubHeading"]);

  return createElement(_Heading, _extends({
    className: classNames((_classNames = {}, _classNames[className || ''] = Boolean(className), _classNames.heading = !isSubHeading, _classNames['sub-heading'] = isSubHeading, _classNames)),
    isSubHeading: isSubHeading
  }, props), children);
};
var headingPropTypes = {
  children: node.isRequired,
  className: string,
  isSubHeading: bool
};
Heading.propTypes = headingPropTypes;
var headingDefaultProps = {
  className: undefined,
  isSubHeading: false
};
Heading.defaultProps = headingDefaultProps; // @ts-ignore

var C = Heading;

export default C;
export { C as Heading, headingDefaultProps, headingPropTypes };
