import { createElement } from 'react';
import { node, string, oneOf, bool } from 'prop-types';
import 'reakit/styled';
import 'styled-tools';
import 'styled-selector';
import '../styled/selector.js';
import 'lodash/get';
import '../styled/space.js';
import '../styled/index.js';
import { b as _objectWithoutPropertiesLoose, c as _extends } from '../chunk-ad6ad343.js';
import classNames from 'classnames';
import 'reakit/Image';
import _Image from './styled.js';

var Image = function Image(_ref) {
  var _classNames;

  var children = _ref.children,
      className = _ref.className,
      isFixed = _ref.isFixed,
      props = _objectWithoutPropertiesLoose(_ref, ["children", "className", "isFixed"]);

  return createElement(_Image, _extends({
    className: classNames((_classNames = {}, _classNames[className || ''] = Boolean(className), _classNames)),
    isFixed: isFixed
  }, props), children);
};
var imagePropTypes = {
  children: node,
  className: string,
  fit: oneOf(['cover', 'contain']),
  fitPosition: string,
  isFixed: bool
};
Image.propTypes = imagePropTypes;
var imageDefaultProps = {
  children: undefined,
  className: undefined,
  fit: undefined,
  fitPosition: undefined,
  isFixed: false
};
Image.defaultProps = imageDefaultProps;
var C = Image;

export default C;
export { C as Image, imageDefaultProps, imagePropTypes };
