import { createElement } from 'react';
import { node, bool, string } from 'prop-types';
import { withTheme } from 'reakit/styled';
import 'styled-tools';
import 'styled-selector';
import '../styled/selector.js';
import _get from 'lodash/get';
import '../styled/space.js';
import '../styled/index.js';
import { b as _objectWithoutPropertiesLoose, c as _extends } from '../chunk-ad6ad343.js';
import 'reakit/Box';
import 'reakit/Block';
import 'reakit/Inline';
import 'reakit/InlineBlock';
import 'reakit/Flex';
import 'reakit/InlineFlex';
import 'reakit/Grid';
import '../Set/styled.js';
import '../Set/index.js';
import _LayoutSet from './styled.js';

var LayoutSet = function LayoutSet(_ref) {
  var children = _ref.children,
      theme = _ref.theme,
      props = _objectWithoutPropertiesLoose(_ref, ["children", "theme"]);

  var spacing = props.spacing || _get(theme, 'fannypack.LayoutSet.spacing');

  return createElement(_LayoutSet, _extends({
    isVertical: !props.isHorizontal
  }, props, {
    spacing: spacing
  }), children);
};
var layoutSetPropTypes = {
  children: node.isRequired,
  isHorizontal: bool,
  spacing: string
};
LayoutSet.propTypes = layoutSetPropTypes;
var layoutSetDefaultProps = {
  isHorizontal: false,
  spacing: undefined
};
LayoutSet.defaultProps = layoutSetDefaultProps; // @ts-ignore

var C = withTheme(LayoutSet);

export default C;
export { C as LayoutSet, layoutSetDefaultProps, layoutSetPropTypes };
