import { createElement } from 'react';
import { node, string, bool } from 'prop-types';
import 'reakit/styled';
import 'styled-tools';
import 'styled-selector';
import '../styled/selector.js';
import 'lodash/get';
import '../styled/space.js';
import '../styled/index.js';
import { b as _objectWithoutPropertiesLoose, c as _extends } from '../chunk-ad6ad343.js';
import 'reakit/Box';
import 'reakit/Block';
import 'reakit/Inline';
import 'reakit/InlineBlock';
import 'reakit/Flex';
import 'reakit/InlineFlex';
import 'reakit/Grid';
import 'reakit/List';
import _List from './styled.js';
import ListItem from './ListItem.js';
export { default as ListItem, listItemDefaultProps, listItemPropTypes } from './ListItem.js';

var List = function List(_ref) {
  var children = _ref.children,
      className = _ref.className,
      isOrdered = _ref.isOrdered,
      props = _objectWithoutPropertiesLoose(_ref, ["children", "className", "isOrdered"]);

  return createElement(_List, _extends({
    use: isOrdered ? 'ol' : undefined,
    className: className,
    isOrdered: isOrdered
  }, props), children);
};
List.Item = ListItem;
var listPropTypes = {
  children: node.isRequired,
  className: string,
  isOrdered: bool,
  isHorizontal: bool
};
List.propTypes = listPropTypes;
var listDefaultProps = {
  className: undefined,
  isOrdered: false,
  isHorizontal: false
};
List.defaultProps = listDefaultProps;
var C = List;

export default C;
export { C as List, listDefaultProps, listPropTypes };
