import { createElement } from 'react';
import { bool, string, object, func, shape } from 'prop-types';
import { b as _objectWithoutPropertiesLoose, c as _extends, a as _objectSpread } from '../chunk-ad6ad343.js';
import _omit from 'lodash/omit';
import Text from '../Text/index.js';
import { formikField, reduxFormField } from '../adaptors/fields.js';
import { a as FieldWrapper, b as fieldWrapperPropTypes, c as fieldWrapperDefaultProps } from '../chunk-1195bf9a.js';
import _Switch, { HiddenSwitch, SwitchIcon } from './styled.js';

var Switch = function Switch(_ref) {
  var autoFocus = _ref.autoFocus,
      checked = _ref.checked,
      className = _ref.className,
      defaultChecked = _ref.defaultChecked,
      disabled = _ref.disabled,
      id = _ref.id,
      isRequired = _ref.isRequired,
      label = _ref.label,
      onBlur = _ref.onBlur,
      onChange = _ref.onChange,
      onFocus = _ref.onFocus,
      name = _ref.name,
      palette = _ref.palette,
      state = _ref.state,
      switchRef = _ref.switchRef,
      value = _ref.value,
      props = _objectWithoutPropertiesLoose(_ref, ["autoFocus", "checked", "className", "defaultChecked", "disabled", "id", "isRequired", "label", "onBlur", "onChange", "onFocus", "name", "palette", "state", "switchRef", "value"]);

  return createElement(_Switch, _extends({
    "aria-describedby": "label",
    "aria-invalid": state === 'danger',
    "aria-label": label,
    "aria-required": isRequired,
    disabled: disabled
  }, props), createElement(HiddenSwitch, {
    autoFocus: autoFocus,
    checked: checked,
    defaultChecked: defaultChecked,
    disabled: disabled,
    elementRef: switchRef,
    id: id,
    onBlur: onBlur,
    onChange: onChange,
    onFocus: onFocus,
    name: name,
    palette: palette,
    state: state,
    type: "checkbox",
    value: value
  }), createElement(SwitchIcon, {
    state: state
  }), label && createElement(Text, {
    id: "label",
    htmlFor: id,
    marginLeft: "major-1"
  }, label));
};
Switch.Formik = formikField(Switch, {
  isCheckbox: true
});
Switch.ReduxForm = reduxFormField(Switch, {
  isCheckbox: true
});
var switchPropTypes = {
  autoFocus: bool,
  checked: bool,
  className: string,
  defaultChecked: bool,
  disabled: bool,
  id: string,
  isRequired: bool,
  label: string,
  name: string,
  palette: string,
  state: string,
  switchRef: object,
  value: string,
  onBlur: func,
  onChange: func,
  onFocus: func
};
Switch.propTypes = switchPropTypes;
var switchDefaultProps = {
  autoFocus: false,
  checked: undefined,
  className: undefined,
  defaultChecked: undefined,
  disabled: false,
  id: undefined,
  isRequired: false,
  label: undefined,
  onBlur: undefined,
  onChange: undefined,
  onFocus: undefined,
  palette: undefined,
  name: undefined,
  state: undefined,
  switchRef: undefined,
  value: undefined
};
Switch.defaultProps = switchDefaultProps;
var C = Switch;

var SwitchField = function SwitchField(_ref) {
  var a11yId = _ref.a11yId,
      description = _ref.description,
      hint = _ref.hint,
      isOptional = _ref.isOptional,
      isRequired = _ref.isRequired,
      label = _ref.label,
      switchLabel = _ref.switchLabel,
      state = _ref.state,
      validationText = _ref.validationText,
      autoFocus = _ref.autoFocus,
      checked = _ref.checked,
      className = _ref.className,
      defaultChecked = _ref.defaultChecked,
      disabled = _ref.disabled,
      id = _ref.id,
      name = _ref.name,
      palette = _ref.palette,
      switchRef = _ref.switchRef,
      value = _ref.value,
      onBlur = _ref.onBlur,
      onChange = _ref.onChange,
      onFocus = _ref.onFocus,
      props = _objectWithoutPropertiesLoose(_ref, ["a11yId", "description", "hint", "isOptional", "isRequired", "label", "switchLabel", "state", "validationText", "autoFocus", "checked", "className", "defaultChecked", "disabled", "id", "name", "palette", "switchRef", "value", "onBlur", "onChange", "onFocus"]);

  return createElement(FieldWrapper, _extends({
    a11yId: a11yId,
    description: description,
    hint: hint,
    isOptional: isOptional,
    isRequired: isRequired,
    label: label,
    state: state,
    validationText: validationText
  }, props), function (_ref2) {
    var elementProps = _ref2.elementProps;
    return createElement(C, _extends({
      label: switchLabel,
      autoFocus: autoFocus,
      checked: checked,
      className: className,
      defaultChecked: defaultChecked,
      disabled: disabled,
      id: id,
      isRequired: isRequired,
      name: name,
      palette: palette,
      state: state,
      switchRef: switchRef,
      value: value,
      onBlur: onBlur,
      onChange: onChange,
      onFocus: onFocus
    }, elementProps));
  });
};
SwitchField.Formik = formikField(SwitchField, {
  hasFieldWrapper: true,
  isCheckbox: true
});
SwitchField.ReduxForm = reduxFormField(SwitchField, {
  hasFieldWrapper: true,
  isCheckbox: true
});
var switchFieldPropTypes = _objectSpread({
  a11yId: string,
  switchLabel: string,
  switchProps: shape(switchPropTypes)
}, _omit(fieldWrapperPropTypes, 'children'), switchPropTypes);
SwitchField.propTypes = switchFieldPropTypes;
var switchFieldDefaultProps = _objectSpread({
  a11yId: undefined,
  switchLabel: undefined,
  switchProps: {}
}, fieldWrapperDefaultProps, switchDefaultProps);
SwitchField.defaultProps = switchFieldDefaultProps; // @ts-ignore

var C$1 = SwitchField;

export { C as a, SwitchField as b, switchFieldPropTypes as c, switchFieldDefaultProps as d, C$1 as e, switchPropTypes as f, switchDefaultProps as g };
