import { createElement } from 'react';
import { node, bool } from 'prop-types';
import 'reakit/styled';
import 'styled-tools';
import 'styled-selector';
import '../styled/selector.js';
import 'lodash/get';
import '../styled/space.js';
import '../styled/index.js';
import { b as _objectWithoutPropertiesLoose, c as _extends } from '../chunk-ad6ad343.js';
import 'reakit/Box';
import 'reakit/Block';
import 'reakit/Inline';
import 'reakit/InlineBlock';
import 'reakit/Flex';
import 'reakit/InlineFlex';
import 'reakit/Grid';
import { TableBody as TableBody$1 } from './styled.js';

var TableBody = function TableBody(_ref) {
  var children = _ref.children,
      hasBorders = _ref.hasBorders,
      props = _objectWithoutPropertiesLoose(_ref, ["children", "hasBorders"]);

  return createElement(TableBody$1, _extends({
    use: "tbody",
    hasBorders: hasBorders
  }, props), children);
};
var tableBodyPropTypes = {
  children: node.isRequired,
  hasBorders: bool
};
TableBody.propTypes = tableBodyPropTypes;
var tableBodyDefaultProps = {
  hasBorders: false
};
TableBody.defaultProps = tableBodyDefaultProps;
var C = TableBody;

export default C;
export { TableBody, tableBodyDefaultProps, tableBodyPropTypes };
