import { createElement } from 'react';
import { node, bool } from 'prop-types';
import 'reakit/styled';
import 'styled-tools';
import 'styled-selector';
import '../styled/selector.js';
import 'lodash/get';
import '../styled/space.js';
import '../styled/index.js';
import { b as _objectWithoutPropertiesLoose, c as _extends } from '../chunk-ad6ad343.js';
import 'reakit/Box';
import 'reakit/Block';
import 'reakit/Inline';
import 'reakit/InlineBlock';
import 'reakit/Flex';
import 'reakit/InlineFlex';
import 'reakit/Grid';
import { TableFoot as TableFoot$1 } from './styled.js';

var TableFoot = function TableFoot(_ref) {
  var children = _ref.children,
      hasBorder = _ref.hasBorder,
      props = _objectWithoutPropertiesLoose(_ref, ["children", "hasBorder"]);

  return createElement(TableFoot$1, _extends({
    use: "tfoot",
    hasBorder: hasBorder
  }, props), children);
};
var tableFootPropTypes = {
  children: node.isRequired,
  hasBorder: bool
};
TableFoot.propTypes = tableFootPropTypes;
var tableFootDefaultProps = {
  hasBorder: true
};
TableFoot.defaultProps = tableFootDefaultProps;
var C = TableFoot;

export default C;
export { TableFoot, tableFootDefaultProps, tableFootPropTypes };
