import { createElement } from 'react';
import { node, bool } from 'prop-types';
import 'reakit/styled';
import 'styled-tools';
import 'styled-selector';
import '../styled/selector.js';
import 'lodash/get';
import '../styled/space.js';
import '../styled/index.js';
import { b as _objectWithoutPropertiesLoose, c as _extends } from '../chunk-ad6ad343.js';
import 'reakit/Box';
import 'reakit/Block';
import 'reakit/Inline';
import 'reakit/InlineBlock';
import 'reakit/Flex';
import 'reakit/InlineFlex';
import 'reakit/Grid';
import { TableHead as TableHead$1 } from './styled.js';

var TableHead = function TableHead(_ref) {
  var children = _ref.children,
      hasBorder = _ref.hasBorder,
      props = _objectWithoutPropertiesLoose(_ref, ["children", "hasBorder"]);

  return createElement(TableHead$1, _extends({
    use: "thead",
    hasBorder: hasBorder
  }, props), children);
};
var tableHeadPropTypes = {
  children: node.isRequired,
  hasBorder: bool
};
TableHead.propTypes = tableHeadPropTypes;
var tableHeadDefaultProps = {
  hasBorder: true
};
TableHead.defaultProps = tableHeadDefaultProps;
var C = TableHead;

export default C;
export { TableHead, tableHeadDefaultProps, tableHeadPropTypes };
