import { createElement } from 'react';
import _get from 'lodash/get';
import { b as _objectWithoutPropertiesLoose, a as _objectSpread, c as _extends } from '../chunk-ad6ad343.js';

var bindFns = function bindFns() {
  for (var _len = arguments.length, fns = new Array(_len), _key = 0; _key < _len; _key++) {
    fns[_key] = arguments[_key];
  }

  return function () {
    for (var _len2 = arguments.length, args = new Array(_len2), _key2 = 0; _key2 < _len2; _key2++) {
      args[_key2] = arguments[_key2];
    }

    fns.forEach(function (fn) {
      return fn && fn.apply(void 0, args);
    });
  };
};

function formikField(Component, _temp) {
  var _ref = _temp === void 0 ? {} : _temp,
      _ref$disableBlurEvent = _ref.disableBlurEvent,
      disableBlurEvent = _ref$disableBlurEvent === void 0 ? false : _ref$disableBlurEvent,
      _ref$disableFocusEven = _ref.disableFocusEvent,
      disableFocusEvent = _ref$disableFocusEven === void 0 ? false : _ref$disableFocusEven,
      _ref$hasFieldWrapper = _ref.hasFieldWrapper,
      hasFieldWrapper = _ref$hasFieldWrapper === void 0 ? false : _ref$hasFieldWrapper,
      _ref$isCheckbox = _ref.isCheckbox,
      isCheckbox = _ref$isCheckbox === void 0 ? false : _ref$isCheckbox,
      _ref$isSelectMenu = _ref.isSelectMenu,
      isSelectMenu = _ref$isSelectMenu === void 0 ? false : _ref$isSelectMenu,
      _ref$useValue = _ref.useValue,
      useValue = _ref$useValue === void 0 ? false : _ref$useValue;

  return function (_ref2) {
    var _ref2$field = _ref2.field,
        field = _ref2$field === void 0 ? {} : _ref2$field,
        _ref2$form = _ref2.form,
        form = _ref2$form === void 0 ? {} : _ref2$form,
        props = _objectWithoutPropertiesLoose(_ref2, ["field", "form"]);

    var overrideProps = {};

    var isTouched = _get(form, "touched." + field.name);

    var error = _get(form, "errors." + field.name);

    var value = _get(form, "values." + field.name);

    if (hasFieldWrapper) {
      var state = isTouched && error ? 'danger' : undefined;

      if (props.state) {
        state = props.state;
      }

      var validationText = isTouched && error ? error : undefined;

      if (props.validationText) {
        validationText = props.validationText;
      }

      overrideProps = _objectSpread({}, overrideProps, {
        state: state,
        validationText: validationText
      });
    }

    if (isCheckbox) {
      var checked = false;

      if (value) {
        checked = Boolean(value);
      }

      if (props.checked) {
        checked = props.checked;
      }

      overrideProps = _objectSpread({}, overrideProps, {
        checked: checked
      });
    }

    var onBlur = field.onBlur;
    var onChange = field.onChange;
    var onFocus = field.onFocus;

    if (isSelectMenu) {
      onBlur = function onBlur() {
        return form.setFieldTouched(field.name);
      }; // @ts-ignore


      onChange = function onChange(value, option, newValues) {
        return form.setFieldValue(field.name, newValues);
      };
    }

    if (useValue) {
      onChange = function onChange(value) {
        return form.setFieldValue(field.name, value);
      };
    }

    overrideProps = _objectSpread({}, overrideProps, {
      onBlur: bindFns(disableBlurEvent ? function () {} : onBlur, props.onBlur),
      onChange: bindFns(onChange, props.onChange),
      onFocus: bindFns(disableFocusEvent ? function () {} : onFocus, props.onFocus)
    });
    return createElement(Component, _extends({}, props, field, overrideProps));
  };
}
function reduxFormField(Component, _temp2) {
  var _ref3 = _temp2 === void 0 ? {} : _temp2,
      _ref3$disableBlurEven = _ref3.disableBlurEvent,
      disableBlurEvent = _ref3$disableBlurEven === void 0 ? false : _ref3$disableBlurEven,
      _ref3$disableFocusEve = _ref3.disableFocusEvent,
      disableFocusEvent = _ref3$disableFocusEve === void 0 ? false : _ref3$disableFocusEve,
      _ref3$hasFieldWrapper = _ref3.hasFieldWrapper,
      hasFieldWrapper = _ref3$hasFieldWrapper === void 0 ? false : _ref3$hasFieldWrapper,
      _ref3$isCheckbox = _ref3.isCheckbox,
      isCheckbox = _ref3$isCheckbox === void 0 ? false : _ref3$isCheckbox,
      _ref3$isSelectMenu = _ref3.isSelectMenu,
      isSelectMenu = _ref3$isSelectMenu === void 0 ? false : _ref3$isSelectMenu,
      _ref3$useValue = _ref3.useValue,
      useValue = _ref3$useValue === void 0 ? false : _ref3$useValue;

  return function (_ref4) {
    var _ref4$input = _ref4.input,
        input = _ref4$input === void 0 ? {} : _ref4$input,
        _ref4$meta = _ref4.meta,
        meta = _ref4$meta === void 0 ? {} : _ref4$meta,
        props = _objectWithoutPropertiesLoose(_ref4, ["input", "meta"]);

    var overrideProps = {};

    if (hasFieldWrapper) {
      var state = meta.touched && meta.error ? 'danger' : undefined;

      if (props.state) {
        state = props.state;
      }

      var validationText = meta.touched && meta.error ? meta.error : undefined;

      if (props.validationText) {
        validationText = props.validationText;
      }

      overrideProps = _objectSpread({}, overrideProps, {
        state: state,
        validationText: validationText
      });
    }

    if (isCheckbox) {
      var checked = false;
      var value = Boolean(input.value);

      if (value) {
        checked = value;
      }

      if (props.checked) {
        checked = props.checked;
      }

      overrideProps = _objectSpread({}, overrideProps, {
        checked: checked
      });
    }

    var onBlur = input.onBlur;
    var onChange = input.onChange;
    var onFocus = input.onFocus;

    if (isSelectMenu) {
      // @ts-ignore
      onChange = function onChange(value, option, newValues) {
        return input.onChange(newValues);
      };

      onBlur = function onBlur() {
        return input.onBlur(input.value);
      };
    }

    if (useValue) {
      onChange = function onChange(value) {
        return input.onChange(value);
      };
    }

    overrideProps = _objectSpread({}, overrideProps, {
      onBlur: bindFns(disableBlurEvent ? function () {} : onBlur, props.onBlur),
      onChange: bindFns(onChange, props.onChange),
      onFocus: bindFns(disableFocusEvent ? function () {} : onFocus, props.onFocus)
    });
    return createElement(Component, _extends({}, props, input, overrideProps));
  };
}

export { formikField, reduxFormField };
