import { css } from 'reakit/styled';
import { theme, palette } from 'styled-tools';
import styled from './styled/index.js';
import Input from 'reakit/Input';

function HiddenInput(_ref) {
  var Icon = _ref.Icon,
      checkedCss = _ref.checkedCss,
      disabledCheckedCss = _ref.disabledCheckedCss,
      disabledCheckedIconCss = _ref.disabledCheckedIconCss,
      disabledUncheckedIconCss = _ref.disabledUncheckedIconCss,
      checkedIconCss = _ref.checkedIconCss,
      uncheckedIconCss = _ref.uncheckedIconCss,
      themePrefix = _ref.themePrefix;
  // @ts-ignore
  return styled(Input).withConfig({
    displayName: "HiddenInput",
    componentId: "sc-1k1k2p-0"
  })(["-webkit-appearance:none;clip:rect(0,0,0,0);height:1px;margin:-1px;overflow:hidden;position:absolute;width:1px;& + ", "{&::before{", ";&{", ";}}}&[disabled] + ", "{background-color:", ";box-shadow:unset;&::before{", ";&{", ";}}&{", ";}}&:checked:focus + ", "{border-color:", ";box-shadow:", " 0px 0px 0px 1px !important;&{", ";}}&:focus + ", "{border-color:", ";box-shadow:", " 0px 0px 0px 1px !important;&{", ";}}&:not([disabled]):checked + ", "{border-color:", ";", ";}&:checked + ", "{", ";&{", ";}&::before{", ";", ";}&{", ";}}&[disabled]:checked + ", "::before{", ";&{", ";}}"], Icon, uncheckedIconCss, theme("fannypack." + themePrefix + ".icon.unchecked"), Icon, palette('white700'), disabledUncheckedIconCss, theme("fannypack." + themePrefix + ".icon.uncheckedDisabled"), theme("fannypack." + themePrefix + ".disabled"), Icon, function (props) {
    return palette("" + (props.palette || 'primary'));
  }, function (props) {
    return palette("" + (props.palette || 'primary'));
  }, theme("fannypack." + themePrefix + ".focusChecked"), Icon, palette('primary'), palette('primary'), theme("fannypack." + themePrefix + ".focus"), Icon, function (props) {
    return palette("" + (props.palette || 'primary'));
  }, checkedCss, Icon, disabledCheckedCss, function (props) {
    return props.state && css(["box-shadow:", " 0px 0px 0px 1px !important;"], palette('primary'));
  }, checkedIconCss, theme("fannypack." + themePrefix + ".icon.checked"), theme("fannypack." + themePrefix + ".checked"), Icon, disabledCheckedIconCss, theme("fannypack." + themePrefix + ".icon.checkedDisabled"));
}

export { HiddenInput as a };
