'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var PropTypes = require('prop-types');
require('../types/props.js');
var styled = require('reakit/styled');
var styled__default = _interopDefault(styled);
require('styled-tools');
require('styled-selector');
require('../styled/selector.js');
require('lodash/get');
var space = require('../styled/space.js');
var index$2 = require('../styled/index.js');
var __chunk_1 = require('../chunk-c300b528.js');
require('polished');
require('../default/palette.js');
require('reakit/Button');
require('airbnb-prop-types');
require('../parseIcons.js');
var Box = _interopDefault(require('reakit/Box'));
require('reakit/Block');
require('reakit/Inline');
require('reakit/InlineBlock');
var Flex = _interopDefault(require('reakit/Flex'));
require('reakit/InlineFlex');
require('reakit/Grid');
require('../Icon/styled.js');
require('../chunk-bf58d135.js');
require('../Set/styled.js');
require('../Set/index.js');
require('../Button/styled.js');
require('../Spinner/styled.js');
require('../Spinner/index.js');
var __chunk_3 = require('../chunk-7592c834.js');
var _omit = _interopDefault(require('lodash/omit'));
require('../Button/ActionButtons.js');
require('../Button/index.js');
require('classnames');
require('reakit/Heading');
require('../Heading/styled.js');
require('../Heading/index.js');
var index$7 = require('../Icon/index.js');
require('../VisuallyHidden.js');
require('../Text/styled.js');
var index = require('../Text/index.js');
var styled$4 = require('./styled.js');
var AlertClose = require('./AlertClose.js');
var AlertTitle = require('./AlertTitle.js');

var ContentWrapper = index$2.default(Box).withConfig({
  displayName: "Alert__ContentWrapper",
  componentId: "sc-1e5x83i-0"
})(["padding:", "rem;", ";"], space.default(4), function (props) {
  return props.hasIcon && styled.css(["padding-left:0;"]);
});
var IconWrapper = index$2.default(Flex).withConfig({
  displayName: "Alert__IconWrapper",
  componentId: "sc-1e5x83i-1"
})(["padding:0 ", "rem;"], space.default(4));
var Alert = function Alert(_ref) {
  var className = _ref.className,
      closeButtonProps = _ref.closeButtonProps,
      children = _ref.children,
      hasIcon = _ref.hasIcon,
      onClickClose = _ref.onClickClose,
      showCloseButton = _ref.showCloseButton,
      title = _ref.title,
      type = _ref.type,
      props = __chunk_1._objectWithoutPropertiesLoose(_ref, ["className", "closeButtonProps", "children", "hasIcon", "onClickClose", "showCloseButton", "title", "type"]);

  return React.createElement(styled$4.default, __chunk_1._extends({
    role: "alert",
    className: className,
    type: type
  }, props), React.createElement(Flex, {
    alignItems: "center"
  }, hasIcon && type && React.createElement(IconWrapper, null, React.createElement(index$7.default, {
    a11yHidden: true,
    color: type,
    icon: type,
    size: children ? '400' : undefined
  })), React.createElement(ContentWrapper, {
    hasIcon: hasIcon
  }, title && React.createElement(AlertTitle.default, null, title), typeof children === 'string' ? React.createElement(index.default, null, children) : children), showCloseButton && React.createElement(AlertClose.default, __chunk_1._extends({
    isAbsolute: Boolean(children),
    onClickClose: onClickClose
  }, closeButtonProps))));
};
var alertPropTypes = {
  className: PropTypes.string,
  closeButtonProps: PropTypes.shape(_omit(__chunk_3.buttonPropTypes, 'children')),
  children: PropTypes.node,
  hasIcon: PropTypes.bool,
  hasTint: PropTypes.bool,
  onClickClose: PropTypes.func,
  showCloseButton: PropTypes.bool,
  title: PropTypes.string,
  type: PropTypes.string
};
Alert.propTypes = alertPropTypes;
var alertDefaultProps = {
  className: undefined,
  closeButtonProps: {},
  children: undefined,
  hasIcon: false,
  hasTint: false,
  onClickClose: undefined,
  showCloseButton: false,
  title: undefined,
  type: 'info'
};
Alert.defaultProps = alertDefaultProps;
var C = Alert;

exports.AlertClose = AlertClose.default;
exports.alertCloseDefaultProps = AlertClose.alertCloseDefaultProps;
exports.alertClosePropTypes = AlertClose.alertClosePropTypes;
exports.AlertTitle = AlertTitle.default;
exports.alertTitlePropTypes = AlertTitle.alertTitlePropTypes;
exports.Alert = C;
exports.alertDefaultProps = alertDefaultProps;
exports.alertPropTypes = alertPropTypes;
exports.default = C;
