'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

require('react');
require('prop-types');
require('../types/props.js');
var styled = require('reakit/styled');
var styled__default = _interopDefault(styled);
var styledTools = require('styled-tools');
require('styled-selector');
require('../styled/selector.js');
require('lodash/get');
var space = require('../styled/space.js');
var index$2 = require('../styled/index.js');
require('../chunk-c300b528.js');
require('polished');
require('../default/palette.js');
require('reakit/Button');
require('airbnb-prop-types');
require('../parseIcons.js');
var Box = _interopDefault(require('reakit/Box'));
require('reakit/Block');
require('reakit/Inline');
require('reakit/InlineBlock');
require('reakit/Flex');
require('reakit/InlineFlex');
require('reakit/Grid');
require('../Icon/styled.js');
require('../chunk-bf58d135.js');
require('../Set/styled.js');
require('../Set/index.js');
require('../Button/styled.js');
require('../Spinner/styled.js');
require('../Spinner/index.js');
require('../chunk-7592c834.js');
require('lodash/omit');
require('../Button/ActionButtons.js');
var index$4 = require('../Button/index.js');
require('classnames');
require('reakit/Heading');
require('../Heading/styled.js');
var index$5 = require('../Heading/index.js');

var AlertTitle = index$2.default(index$5.default).withConfig({
  displayName: "styled__AlertTitle",
  componentId: "sc-14yopcx-0"
})(["font-weight:", ";&&:not(:last-child){margin-bottom:", "em;}&{", ";}"], styledTools.theme('fannypack.fontWeights.semibold'), space.default(2), styledTools.theme('fannypack.Alert.Title.base'));
var AlertClose = index$2.default(index$4.default).withConfig({
  displayName: "styled__AlertClose",
  componentId: "sc-14yopcx-1"
})(["width:24px;min-height:24px;padding:0;text-align:right;", ";&:hover{background-color:", ";&{", ";}}", ";"], function (props) {
  return props.isAbsolute ? styled.css(["position:absolute;right:", "rem;top:", "rem;"], space.default(2), space.default(2)) : styled.css(["margin:0 ", "rem;"], space.default(2));
}, styledTools.palette('white700'), styledTools.theme('fannypack.Alert.Close.hover'), styledTools.theme('fannypack.Alert.Close.base'));
var tintAttributes = styled.css(["background-color:", ";border-top-width:0;border-right-width:0;border-bottom-width:0;color:", ";fill:", ";", ";"], function (props) {
  return props.type && styledTools.palette(props.type + "Tint")(props);
}, function (props) {
  return props.type && styledTools.palette(props.type + "TintInverted")(props);
}, function (props) {
  return props.type && styledTools.palette(props.type + "TintInverted")(props);
}, styledTools.theme('fannypack.Alert.tint'));
var Alert = index$2.default(Box).withConfig({
  displayName: "styled__Alert",
  componentId: "sc-14yopcx-2"
})(["background-color:white;border:1px solid ", ";border-left:4px solid ", ";border-radius:4px;position:relative;&{", ";}&{", ";}"], styledTools.palette('white800'), function (props) {
  return props.type && styledTools.palette(props.type)(props);
}, function (props) {
  return props.hasTint && tintAttributes;
}, styledTools.theme('fannypack.Alert.base'));

exports.Alert = Alert;
exports.AlertClose = AlertClose;
exports.AlertTitle = AlertTitle;
exports.default = Alert;
