'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var PropTypes = require('prop-types');
require('reakit/styled');
require('styled-tools');
require('styled-selector');
require('../styled/selector.js');
require('lodash/get');
require('../styled/space.js');
require('../styled/index.js');
var __chunk_1 = require('../chunk-c300b528.js');
require('reakit/Box');
require('reakit/Block');
require('reakit/Inline');
require('reakit/InlineBlock');
require('reakit/Flex');
require('reakit/InlineFlex');
require('reakit/Grid');
var classNames = _interopDefault(require('classnames'));
require('reakit/Avatar');
var styled$1 = require('./styled.js');

var Avatar = function Avatar(_ref) {
  var _classNames, _classNames2;

  var a11yLabel = _ref.a11yLabel,
      className = _ref.className,
      initials = _ref.initials,
      size = _ref.size,
      src = _ref.src,
      props = __chunk_1._objectWithoutPropertiesLoose(_ref, ["a11yLabel", "className", "initials", "size", "src"]);

  return React.createElement(React.Fragment, null, src && React.createElement(styled$1.default, __chunk_1._extends({
    alt: a11yLabel,
    className: classNames((_classNames = {}, _classNames[className || ''] = Boolean(className), _classNames)),
    styledSize: size,
    src: src
  }, props)), initials && React.createElement(styled$1.AvatarCircle, __chunk_1._extends({
    className: classNames((_classNames2 = {}, _classNames2[className || ''] = Boolean(className), _classNames2)),
    styledSize: size
  }, props), initials.split(' ').length === 2 ? initials.match(/\b\w/g) : initials.substring(0, 2)));
};
var avatarPropTypes = {
  a11yLabel: PropTypes.string,
  alt: PropTypes.string,
  kind: PropTypes.oneOf(['circle', 'square']),
  color: PropTypes.string,
  className: PropTypes.string,
  fit: PropTypes.oneOf(['cover', 'contain']),
  fitPosition: PropTypes.string,
  initials: PropTypes.string,
  palette: PropTypes.string,
  size: PropTypes.oneOfType([PropTypes.number, PropTypes.oneOf(['default', 'xsmall', 'small', 'medium', 'large'])]),
  src: PropTypes.string
};
Avatar.propTypes = avatarPropTypes;
var avatarDefaultProps = {
  a11yLabel: undefined,
  alt: undefined,
  kind: 'square',
  className: undefined,
  color: undefined,
  fit: undefined,
  fitPosition: undefined,
  initials: undefined,
  palette: undefined,
  size: 'default',
  src: undefined
};
Avatar.defaultProps = avatarDefaultProps;
var C = Avatar;

exports.Avatar = C;
exports.avatarDefaultProps = avatarDefaultProps;
exports.avatarPropTypes = avatarPropTypes;
exports.default = C;
