'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var styled = require('reakit/styled');
var styled__default = _interopDefault(styled);
var styledTools = require('styled-tools');
require('styled-selector');
require('../styled/selector.js');
require('lodash/get');
require('../styled/space.js');
var index$2 = require('../styled/index.js');
var Box = _interopDefault(require('reakit/Box'));
require('reakit/Block');
require('reakit/Inline');
require('reakit/InlineBlock');
require('reakit/Flex');
require('reakit/InlineFlex');
require('reakit/Grid');
var _Avatar = _interopDefault(require('reakit/Avatar'));

var circleProperties = styled.css(["&{border-radius:50%;}"]);
var fitProperties = function fitProperties(props) {
  if (!props.fit) return null;

  if (props.fit === 'contain') {
    return styled.css(["object-fit:contain;", ";", ";", ";"], function (props) {
      return props.fitPosition ? styled.css(["object-position:", ";"], props.fitPosition) : '';
    }, styledTools.theme('fannypack.Avatar.fit.base'), styledTools.theme('fannypack.Avatar.fit.contain'));
  }

  if (props.fit === 'cover') {
    return styled.css(["object-fit:cover;", ";", ";", ";"], function (props) {
      return props.fitPosition ? styled.css(["object-position:", ";"], props.fitPosition) : '';
    }, styledTools.theme('fannypack.Avatar.fit.base'), styledTools.theme('fannypack.Avatar.fit.cover'));
  }

  return null;
};
var sizeProperties = {
  xsmall: styled.css(["&{font-size:8px;width:20px;height:20px;}&{", ";}"], styledTools.theme('fannypack.Avatar.sizes.xsmall')),
  small: styled.css(["&{font-size:16px;width:40px;height:40px;}&{", ";}"], styledTools.theme('fannypack.Avatar.sizes.small')),
  default: styled.css(["&{", ";}"], styledTools.theme('fannypack.Avatar.sizes.default')),
  medium: styled.css(["&{font-size:32px;width:80px;height:80px;}&{", ";}"], styledTools.theme('fannypack.Avatar.sizes.medium')),
  large: styled.css(["&{font-size:48px;width:100px;height:100px;}&{", ";}"], styledTools.theme('fannypack.Avatar.sizes.large'))
};
var AvatarCircle = index$2.default(Box).withConfig({
  displayName: "styled__AvatarCircle",
  componentId: "k1acy4-0"
})(["align-items:center;background-color:", ";color:", ";display:flex;justify-content:center;font-size:24px;height:", ";width:", ";", ";", ";", ";"], function (props) {
  return styledTools.palette(props.palette || '')(props);
}, function (props) {
  return props.color ? props.color : styledTools.palette(props.palette + "Inverted")(props);
}, function (props) {
  return typeof props.styledSize === 'number' ? props.styledSize + "px" : '60px';
}, function (props) {
  return typeof props.styledSize === 'number' ? props.styledSize + "px" : '60px';
}, function (props) {
  return props.kind === 'circle' && circleProperties;
}, function (props) {
  return typeof props.styledSize === 'string' ? sizeProperties[props.styledSize] : null;
}, styledTools.theme('fannypack.Avatar.Circle.base'));
var AvatarImage = index$2.default(_Avatar).withConfig({
  displayName: "styled__AvatarImage",
  componentId: "k1acy4-1"
})(["font-size:24px;height:", ";width:", ";", ";", ";&{", ";}", ";"], function (props) {
  return typeof props.styledSize === 'number' ? props.styledSize + "px" : '60px';
}, function (props) {
  return typeof props.styledSize === 'number' ? props.styledSize + "px" : '60px';
}, function (props) {
  return props.kind === 'circle' && circleProperties;
}, function (props) {
  return typeof props.styledSize === 'string' ? sizeProperties[props.styledSize] : null;
}, fitProperties, styledTools.theme('fannypack.Avatar.Image.base'));

exports.AvatarCircle = AvatarCircle;
exports.circleProperties = circleProperties;
exports.default = AvatarImage;
exports.fitProperties = fitProperties;
exports.sizeProperties = sizeProperties;
