'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var PropTypes = require('prop-types');
var props = require('../types/props.js');
require('reakit/styled');
require('styled-tools');
require('styled-selector');
require('../styled/selector.js');
var _get = _interopDefault(require('lodash/get'));
require('../styled/space.js');
require('../styled/index.js');
var __chunk_1 = require('../chunk-c300b528.js');
require('reakit/Box');
require('reakit/Block');
require('reakit/Inline');
require('reakit/InlineBlock');
require('reakit/Flex');
require('reakit/InlineFlex');
require('reakit/Grid');
var styled$1 = require('./styled.js');

var badgePropTypes = {
  children: PropTypes.node,
  isAbsolute: PropTypes.bool,
  palette: PropTypes.string,
  size: props.sizePropType
};
var badgeDefaultProps = {
  children: undefined,
  isAbsolute: false,
  palette: 'text',
  size: 'default'
};
var Badge =
/*#__PURE__*/
function (_React$Component) {
  __chunk_1._inheritsLoose(Badge, _React$Component);

  function Badge() {
    var _this;

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _React$Component.call.apply(_React$Component, [this].concat(args)) || this;

    __chunk_1._defineProperty(__chunk_1._assertThisInitialized(_this), "badge", React.createRef());

    __chunk_1._defineProperty(__chunk_1._assertThisInitialized(_this), "state", {
      parentElement: undefined
    });

    __chunk_1._defineProperty(__chunk_1._assertThisInitialized(_this), "componentDidMount", function () {
      var parentElement = _get(_this.badge, 'current.parentElement');

      parentElement.setAttribute('style', 'position:relative;');

      _this.setState({
        parentElement: parentElement
      });
    });

    __chunk_1._defineProperty(__chunk_1._assertThisInitialized(_this), "render", function () {
      var _this$props = _this.props,
          children = _this$props.children,
          size = _this$props.size,
          props = __chunk_1._objectWithoutPropertiesLoose(_this$props, ["children", "size"]);

      return React.createElement(styled$1.default, __chunk_1._extends({
        elementRef: _this.badge,
        styledSize: size
      }, props), children);
    });

    return _this;
  }

  return Badge;
}(React.Component); // @ts-ignore

__chunk_1._defineProperty(Badge, "propTypes", badgePropTypes);

__chunk_1._defineProperty(Badge, "defaultProps", badgeDefaultProps);

var C = Badge;

exports.Badge = C;
exports.badgeDefaultProps = badgeDefaultProps;
exports.badgePropTypes = badgePropTypes;
exports.default = C;
