'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var styled = require('reakit/styled');
var styled__default = _interopDefault(styled);
var styledTools = require('styled-tools');
require('styled-selector');
require('../styled/selector.js');
require('lodash/get');
require('../styled/space.js');
var index$2 = require('../styled/index.js');
require('reakit/Box');
require('reakit/Block');
require('reakit/Inline');
require('reakit/InlineBlock');
require('reakit/Flex');
var InlineFlex = _interopDefault(require('reakit/InlineFlex'));
require('reakit/Grid');

var sizeAttributes = {
  default: styled.css(["&{", ";}"], styledTools.theme('fannypack.Badge.sizes.default')),
  medium: styled.css(["&{font-size:1rem;", ";}"], styledTools.theme('fannypack.Badge.sizes.medium')),
  large: styled.css(["&{font-size:1.25rem;", ";}"], styledTools.theme('fannypack.Badge.sizes.large'))
};
var _Badge = index$2.default(InlineFlex).withConfig({
  displayName: "styled",
  componentId: "lb6y7a-0"
})(["align-items:center;border-radius:1rem;justify-content:center;background-color:", ";box-sizing:content-box;padding:0 0.4em;color:", ";fill:", ";font-size:", "rem;font-weight:", ";height:1.2em;", " ", " ", " &{", ";}"], styledTools.palette(), function (props) {
  return styledTools.palette(props.palette + "Inverted");
}, function (props) {
  return styledTools.palette(props.palette + "Inverted");
}, styledTools.theme('fannypack.fontSizes.100'), styledTools.theme('fannypack.fontWeights.semibold'), function (props) {
  return !props.children && styled.css(["&{height:0.5rem;width:0.5rem;padding:0px;}"]);
}, function (props) {
  return props.isAbsolute && styled.css(["position:absolute;top:-0.4em;right:-0.4em;&{", ";}"], styledTools.theme('fannypack.Badge.absolute'));
}, function (props) {
  return props.styledSize && sizeAttributes[props.styledSize];
}, styledTools.theme('fannypack.Badge.base'));

exports.default = _Badge;
