'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var PropTypes = require('prop-types');
require('reakit/styled');
require('styled-tools');
require('styled-selector');
require('../styled/selector.js');
require('lodash/get');
require('../styled/space.js');
require('../styled/index.js');
require('../chunk-c300b528.js');
require('polished');
require('../default/palette.js');
require('reakit/Box');
require('reakit/Block');
require('reakit/Inline');
require('reakit/InlineBlock');
require('reakit/Flex');
require('reakit/InlineFlex');
require('reakit/Grid');
require('../Icon/styled.js');
require('reakit/List');
require('../List/styled.js');
require('../List/ListItem.js');
require('../List/index.js');
require('reakit/Navigation');
require('../Navigation/styled.js');
require('../chunk-83d5c735.js');
require('../Navigation/index.js');
require('reakit/Link');
require('../Link/styled.js');
require('../Link/index.js');
var styled$3 = require('./styled.js');

/* eslint react/prop-types: 0 */
var BreadcrumbStep = function BreadcrumbStep(_ref) {
  var children = _ref.children,
      color = _ref.color,
      href = _ref.href,
      isCurrent = _ref.isCurrent;
  return React.createElement(styled$3.BreadcrumbStep, null, href ? React.createElement(styled$3.BreadcrumbLink, {
    "aria-current": isCurrent ? 'page' : undefined,
    color: color,
    href: href
  }, children) : React.createElement(styled$3.BreadcrumbSpan, {
    "aria-current": isCurrent ? 'page' : undefined,
    color: color
  }, children));
};
var breadcrumbStepPropTypes = {
  children: PropTypes.node.isRequired,
  color: PropTypes.string,
  href: PropTypes.string,
  isCurrent: PropTypes.bool
};
BreadcrumbStep.propTypes = breadcrumbStepPropTypes;
var breadcrumbStepDefaultProps = {
  color: undefined,
  href: undefined,
  isCurrent: undefined
};
BreadcrumbStep.defaultProps = breadcrumbStepDefaultProps; // @ts-ignore

var C = BreadcrumbStep;

exports.BreadcrumbStep = BreadcrumbStep;
exports.breadcrumbStepDefaultProps = breadcrumbStepDefaultProps;
exports.breadcrumbStepPropTypes = breadcrumbStepPropTypes;
exports.default = C;
