'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var PropTypes = require('prop-types');
require('reakit/styled');
require('styled-tools');
require('styled-selector');
require('../styled/selector.js');
require('lodash/get');
require('../styled/space.js');
require('../styled/index.js');
require('../chunk-c300b528.js');
require('polished');
require('../default/palette.js');
require('reakit/Box');
require('reakit/Block');
require('reakit/Inline');
require('reakit/InlineBlock');
require('reakit/Flex');
require('reakit/InlineFlex');
require('reakit/Grid');
require('../Icon/styled.js');
require('reakit/List');
require('../List/styled.js');
require('../List/ListItem.js');
require('../List/index.js');
require('reakit/Navigation');
require('../Navigation/styled.js');
require('../chunk-83d5c735.js');
require('../Navigation/index.js');
require('reakit/Link');
require('../Link/styled.js');
require('../Link/index.js');
var styled$3 = require('./styled.js');
var BreadcrumbStep = require('./BreadcrumbStep.js');

/* eslint react/prop-types: 0 */
var Breadcrumb = function Breadcrumb(_ref) {
  var children = _ref.children,
      separationColor = _ref.separationColor;
  return React.createElement(styled$3.Breadcrumb, {
    a11yTitle: "Breadcrumb",
    separationColor: separationColor
  }, React.createElement(styled$3.BreadcrumbList, {
    isOrdered: true,
    isHorizontal: true
  }, children));
};
Breadcrumb.Step = BreadcrumbStep.default;
var breadcrumbPropTypes = {
  children: PropTypes.node.isRequired,
  separationColor: PropTypes.string
};
Breadcrumb.propTypes = breadcrumbPropTypes;
var breadcrumbDefaultProps = {
  separationColor: ''
};
Breadcrumb.defaultProps = breadcrumbDefaultProps; // @ts-ignore

var C = Breadcrumb;

exports.BreadcrumbStep = BreadcrumbStep.default;
exports.breadcrumbStepDefaultProps = BreadcrumbStep.breadcrumbStepDefaultProps;
exports.breadcrumbStepPropTypes = BreadcrumbStep.breadcrumbStepPropTypes;
exports.Breadcrumb = C;
exports.breadcrumbDefaultProps = breadcrumbDefaultProps;
exports.breadcrumbPropTypes = breadcrumbPropTypes;
exports.default = C;
