'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var PropTypes = require('prop-types');
require('../types/props.js');
require('reakit/styled');
require('styled-tools');
require('styled-selector');
require('../styled/selector.js');
require('lodash/get');
require('../styled/space.js');
require('../styled/index.js');
var __chunk_1 = require('../chunk-c300b528.js');
require('polished');
require('../default/palette.js');
require('reakit/Button');
require('airbnb-prop-types');
require('../parseIcons.js');
require('reakit/Box');
require('reakit/Block');
require('reakit/Inline');
require('reakit/InlineBlock');
require('reakit/Flex');
require('reakit/InlineFlex');
require('reakit/Grid');
require('../Icon/styled.js');
require('../chunk-bf58d135.js');
require('../Set/styled.js');
require('../Set/index.js');
var styled$3 = require('./styled.js');
require('../Spinner/styled.js');
require('../Spinner/index.js');
var __chunk_3 = require('../chunk-7592c834.js');
var _omit = _interopDefault(require('lodash/omit'));

var ActionButtons = function ActionButtons(_ref) {
  var addonButtons = _ref.addonButtons,
      cancelProps = _ref.cancelProps,
      cancelText = _ref.cancelText,
      isLoading = _ref.isLoading,
      onClickSubmit = _ref.onClickSubmit,
      onClickCancel = _ref.onClickCancel,
      palette = _ref.palette,
      submitProps = _ref.submitProps,
      submitText = _ref.submitText,
      type = _ref.type,
      props = __chunk_1._objectWithoutPropertiesLoose(_ref, ["addonButtons", "cancelProps", "cancelText", "isLoading", "onClickSubmit", "onClickCancel", "palette", "submitProps", "submitText", "type"]);

  return React.createElement(styled$3.ActionButtons, props, React.createElement(__chunk_3.Button, __chunk_1._extends({
    onClick: onClickCancel
  }, cancelProps), cancelText), addonButtons, React.createElement(__chunk_3.Button, __chunk_1._extends({
    isLoading: isLoading,
    onClick: onClickSubmit,
    palette: palette,
    type: type
  }, submitProps), submitText));
};
var actionButtonsPropTypes = {
  addonButtons: PropTypes.element,
  cancelProps: PropTypes.shape(_omit(__chunk_3.buttonPropTypes, 'children')),
  cancelText: PropTypes.string,
  className: PropTypes.string,
  isLoading: PropTypes.bool,
  onClickSubmit: PropTypes.func,
  onClickCancel: PropTypes.func,
  palette: PropTypes.string,
  submitProps: PropTypes.shape(_omit(__chunk_3.buttonPropTypes, 'children')),
  submitText: PropTypes.string,
  type: PropTypes.string
};
ActionButtons.propTypes = actionButtonsPropTypes;
var actionButtonsDefaultProps = {
  addonButtons: undefined,
  cancelProps: {},
  cancelText: 'Cancel',
  className: undefined,
  isLoading: false,
  onClickSubmit: undefined,
  onClickCancel: undefined,
  palette: 'primary',
  submitProps: {},
  submitText: 'Submit',
  type: 'submit'
};
ActionButtons.defaultProps = actionButtonsDefaultProps;
var C = ActionButtons;

exports.ActionButtons = ActionButtons;
exports.actionButtonsDefaultProps = actionButtonsDefaultProps;
exports.actionButtonsPropTypes = actionButtonsPropTypes;
exports.default = C;
