'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

require('react');
require('prop-types');
var styled = require('reakit/styled');
var styled__default = _interopDefault(styled);
var styledTools = require('styled-tools');
require('styled-selector');
require('../styled/selector.js');
require('lodash/get');
var space = require('../styled/space.js');
var index = require('../styled/index.js');
require('../chunk-c300b528.js');
var polished = require('polished');
var palette$1 = require('../default/palette.js');
var _Button = _interopDefault(require('reakit/Button'));
require('airbnb-prop-types');
require('../parseIcons.js');
require('reakit/Box');
require('reakit/Block');
require('reakit/Inline');
require('reakit/InlineBlock');
require('reakit/Flex');
require('reakit/InlineFlex');
require('reakit/Grid');
require('../Icon/styled.js');
var __chunk_2 = require('../chunk-bf58d135.js');
require('../Set/styled.js');
var index$1 = require('../Set/index.js');

var defaultPalette = palette$1.default({});

var isInteractive = function isInteractive(props) {
  return !props.isStatic && !props.isLoading && !props.disabled && props.kind !== 'link';
};
var sizeProperties = {
  small: styled.css(["&{font-size:", "em;min-height:", "em;padding:0 ", "rem;}&{", ";}"], styledTools.theme('fannypack.fontSizes.100'), space.default(8), space.default(2), styledTools.theme('fannypack.Button.sizes.small')),
  default: styled.css(["&{", ";}"], styledTools.theme('fannypack.Button.sizes.default')),
  medium: styled.css(["&{min-height:", "em;padding:0 ", "rem;}&{", ";}"], space.default(12), space.default(5), styledTools.theme('fannypack.Button.sizes.medium')),
  large: styled.css(["&{font-size:", "em;min-height:", "em;padding:0 ", "rem;}&{", ";}"], styledTools.theme('fannypack.fontSizes.300'), space.default(12), space.default(6), styledTools.theme('fannypack.Button.sizes.large'))
};
var linkProperties = styled.css(["&{border:0;background:unset;color:", ";fill:", ";text-decoration:underline;&:hover{color:", ";fill:", ";}}&{", ";}"], function (props // @ts-ignore
) {
  return props.palette === 'default' ? styledTools.palette('text', 0, defaultPalette.text)(props) : styledTools.palette()(props);
}, function (props // @ts-ignore
) {
  return props.palette === 'default' ? styledTools.palette('text', 0, defaultPalette.text)(props) : styledTools.palette()(props);
}, function (props) {
  return props.palette === 'default' ? // @ts-ignore
  polished.darken(0.5, styledTools.palette('text', 0, defaultPalette.text)(props)) : polished.darken(0.5, styledTools.palette()(props));
}, function (props) {
  return props.palette === 'default' ? // @ts-ignore
  polished.darken(0.5, styledTools.palette('text', 0, defaultPalette.text)(props)) : polished.darken(0.5, styledTools.palette()(props));
}, styledTools.theme('fannypack.Button.link'));
var outlinedProperties = styled.css(["&{background-color:unset;border:1px solid ", ";color:", ";fill:", ";", ";}&{", ";}"], styledTools.palette(), styledTools.palette(), styledTools.palette(), function (props) {
  return isInteractive(props) && styled.css(["&:hover{background-color:", ";color:", ";fill:", ";}"], styledTools.palette(), function (props) {
    return styledTools.palette(props.palette + "Inverted")(props);
  }, function (props) {
    return styledTools.palette(props.palette + "Inverted")(props);
  });
}, styledTools.theme('fannypack.Button.outlined'));
var ghostProperties = styled.css(["&{background-color:unset;border:unset;color:", ";fill:", ";&:hover{background-color:", ";}&:hover:active{background-color:", ";}}&{", ";}"], function (props) {
  return props.palette === 'default' ? styledTools.palette('defaultInverted') : styledTools.palette();
}, function (props) {
  return props.palette === 'default' ? styledTools.palette('defaultInverted') : styledTools.palette();
}, function (props) {
  return polished.darken(0.05, styledTools.palette('default')(props));
}, function (props) {
  return polished.darken(0.1, styledTools.palette('default')(props));
}, styledTools.theme('fannypack.Button.ghost'));
var disabledProperties = styled.css(["&{cursor:not-allowed;opacity:0.7;outline:unset;pointer-events:unset;}&{", ";}"], styledTools.theme('fannypack.Button.disabled'));
var staticProperties = styled.css(["&{cursor:default;outline:unset;&:focus{box-shadow:unset !important;outline:unset !important;}}&{", ";}"], styledTools.theme('fannypack.Button.static'));
var interactiveProperties = styled.css(["&:hover{background-color:", ";}&:hover:active{background-color:", ";}&{", ";}"], function (props) {
  return polished.darken(0.05, styledTools.palette()(props));
}, function (props) {
  return polished.darken(0.1, styledTools.palette()(props));
}, styledTools.theme('fannypack.Button.interactive'));
var loadingProperties = styled.css(["&{cursor:not-allowed;position:relative;&:focus{box-shadow:unset !important;outline:unset !important;}}&{", ";}"], styledTools.theme('fannypack.Button.loading'));
var ButtonIcon = index.default(__chunk_2.Icon).withConfig({
  displayName: "styled__ButtonIcon",
  componentId: "sc-1syi5vl-0"
})(["", ";", ";&{", ";}"], function (props) {
  return props.isBefore && styled.css(["margin-left:-", "em;margin-right:", "em;"], space.default(1), space.default(2));
}, function (props) {
  return props.isAfter && styled.css(["margin-left:", "em;margin-right:-", "em;"], space.default(2), space.default(1));
}, styledTools.theme('fannypack.Button.Icon.base'));
var ActionButtons = index.default(index$1.default).withConfig({
  displayName: "styled__ActionButtons",
  componentId: "sc-1syi5vl-1"
})(["&{", ";}"], styledTools.theme('fannypack.ActionButtons.base'));
var Button = index.default(_Button).withConfig({
  displayName: "styled__Button",
  componentId: "sc-1syi5vl-2"
})(["align-items:center;background-color:", ";border-radius:4px;color:", ";fill:", ";cursor:pointer;display:inline-flex;font-weight:", ";min-height:2.5em;justify-content:center;padding:0 0.8rem;text-decoration:none;hyphens:auto;&:focus{outline:unset;z-index:2;box-shadow:", " 0px 0px 0px 2px;}&[disabled]{", ";}&{", ";}", ";&{", ";}", ";", ";", ";", ";", ";", ";", ";"], styledTools.palette(), function (props) {
  return styledTools.palette(props.palette + "Inverted")(props);
}, function (props) {
  return styledTools.palette(props.palette + "Inverted")(props);
}, styledTools.theme('fannypack.fontWeights.semibold'), function (props) {
  return styledTools.palette(props.palette === 'default' ? 'primary' : props.palette + "300")(props);
}, disabledProperties, styledTools.theme('fannypack.Button.base'), function (props) {
  return props.palette === 'default' && styled.css(["border:1px solid ", ";"], styledTools.palette('gray100'));
}, styledTools.theme('fannypack.Button.base'), function (props) {
  return props.styledSize && sizeProperties[props.styledSize || ''];
}, function (props) {
  return props.isLoading && loadingProperties;
}, function (props) {
  return props.isStatic && staticProperties;
}, function (props) {
  return isInteractive(props) ? interactiveProperties : '';
}, function (props) {
  return props.kind === 'outlined' && outlinedProperties;
}, function (props) {
  return props.kind === 'link' && linkProperties;
}, function (props) {
  return props.kind === 'ghost' && ghostProperties;
});

exports.ActionButtons = ActionButtons;
exports.Button = Button;
exports.ButtonIcon = ButtonIcon;
exports.default = Button;
exports.disabledProperties = disabledProperties;
exports.ghostProperties = ghostProperties;
exports.interactiveProperties = interactiveProperties;
exports.isInteractive = isInteractive;
exports.linkProperties = linkProperties;
exports.loadingProperties = loadingProperties;
exports.outlinedProperties = outlinedProperties;
exports.sizeProperties = sizeProperties;
exports.staticProperties = staticProperties;
