'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var PropTypes = require('prop-types');
require('../types/props.js');
require('reakit/styled');
require('styled-tools');
require('styled-selector');
require('../styled/selector.js');
require('lodash/get');
require('../styled/space.js');
require('../styled/index.js');
var __chunk_1 = require('../chunk-c300b528.js');
require('polished');
require('../default/palette.js');
require('reakit/Button');
require('airbnb-prop-types');
require('../parseIcons.js');
require('reakit/Box');
require('reakit/Block');
require('reakit/Inline');
require('reakit/InlineBlock');
require('reakit/Flex');
require('reakit/InlineFlex');
require('reakit/Grid');
require('../Icon/styled.js');
require('../chunk-bf58d135.js');
require('../Set/styled.js');
require('../Set/index.js');
require('../Button/styled.js');
require('../Spinner/styled.js');
require('../Spinner/index.js');
require('../chunk-7592c834.js');
require('lodash/omit');
require('../Button/ActionButtons.js');
require('../Button/index.js');
require('../Pane/styled.js');
require('../chunk-66ca61c2.js');
require('../Pane/index.js');
var index$7 = require('../Icon/index.js');
var VisuallyHidden = require('../VisuallyHidden.js');
require('../Text/styled.js');
require('../Text/index.js');
require('../Card/styled.js');
require('../Card/CardCard.js');
require('../Card/CardHeader.js');
require('../Card/CardContent.js');
require('../Card/CardTitle.js');
require('../Card/CardFooter.js');
var styled$4 = require('./styled.js');

var CalloutClose = function CalloutClose(_ref) {
  var onClickClose = _ref.onClickClose,
      props = __chunk_1._objectWithoutPropertiesLoose(_ref, ["onClickClose"]);

  return React.createElement(styled$4.CalloutClose, __chunk_1._extends({
    kind: "link",
    onClick: onClickClose
  }, props), React.createElement(VisuallyHidden.default, null, "Close"), React.createElement(index$7.default, {
    a11yHidden: true,
    icon: "times"
  }));
};
var calloutClosePropTypes = {
  onClickClose: PropTypes.func
};
CalloutClose.propTypes = calloutClosePropTypes;
var calloutCloseDefaultProps = {
  onClickClose: undefined
};
CalloutClose.defaultProps = calloutCloseDefaultProps; // @ts-ignore

var C = CalloutClose;

exports.CalloutClose = CalloutClose;
exports.calloutCloseDefaultProps = calloutCloseDefaultProps;
exports.calloutClosePropTypes = calloutClosePropTypes;
exports.default = C;
