'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

require('react');
require('prop-types');
require('../types/props.js');
var styled = require('reakit/styled');
var styled__default = _interopDefault(styled);
var styledTools = require('styled-tools');
require('styled-selector');
require('../styled/selector.js');
require('lodash/get');
var space = require('../styled/space.js');
var index$2 = require('../styled/index.js');
require('../chunk-c300b528.js');
require('polished');
require('../default/palette.js');
require('reakit/Button');
require('airbnb-prop-types');
require('../parseIcons.js');
require('reakit/Box');
require('reakit/Block');
require('reakit/Inline');
require('reakit/InlineBlock');
require('reakit/Flex');
require('reakit/InlineFlex');
require('reakit/Grid');
require('../Icon/styled.js');
var __chunk_2 = require('../chunk-bf58d135.js');
require('../Set/styled.js');
require('../Set/index.js');
require('../Button/styled.js');
require('../Spinner/styled.js');
require('../Spinner/index.js');
require('../chunk-7592c834.js');
require('lodash/omit');
require('../Button/ActionButtons.js');
var index$4 = require('../Button/index.js');
require('../Pane/styled.js');
require('../chunk-66ca61c2.js');
require('../Pane/index.js');
require('../Text/styled.js');
require('../Text/index.js');
require('../Card/styled.js');
var CardCard = require('../Card/CardCard.js');
var CardHeader = require('../Card/CardHeader.js');
var CardContent = require('../Card/CardContent.js');
var CardTitle = require('../Card/CardTitle.js');
var CardFooter = require('../Card/CardFooter.js');

var getTintAttributes = function getTintAttributes(props) {
  var type = props.type,
      hasTint = props.hasTint;

  if (!hasTint || !type) {
    return;
  }

  return styled.css(["background-color:", ";color:", ";fill:", ";", ";"], type && styledTools.palette(type + "Tint")(props), type && styledTools.palette(type + "TintInverted")(props), type && styledTools.palette(type + "TintInverted")(props), styledTools.theme('fannypack.Callout.tint'));
};
var Callout = index$2.default(CardCard.default).withConfig({
  displayName: "styled__Callout",
  componentId: "sc-578c22-0"
})(["position:relative;", ";&{", ";}"], getTintAttributes, styledTools.theme('fannypack.Callout.base'));
var CalloutClose = index$2.default(index$4.default).withConfig({
  displayName: "styled__CalloutClose",
  componentId: "sc-578c22-1"
})(["position:absolute;right:1rem;top:1rem;width:1.5em;min-height:1.5em;padding:0;text-align:right;&:hover{background-color:", ";&{", ";}}", ";"], styledTools.palette('white700'), styledTools.theme('fannypack.Callout.Close.hover'), styledTools.theme('fannypack.Callout.Close.base'));
var CalloutHeader = index$2.default(CardHeader.default).withConfig({
  displayName: "styled__CalloutHeader",
  componentId: "sc-578c22-2"
})(["display:flex;justify-content:flex-start;&{", ";}"], styledTools.theme('fannypack.Callout.Header.base'));
var CalloutContent = index$2.default(CardContent.default).withConfig({
  displayName: "styled__CalloutContent",
  componentId: "sc-578c22-3"
})(["&{", ";}"], styledTools.theme('fannypack.Callout.Content.base'));
var CalloutTitle = index$2.default(CardTitle.default).withConfig({
  displayName: "styled__CalloutTitle",
  componentId: "sc-578c22-4"
})(["&{", ";}"], styledTools.theme('fannypack.Callout.Title.base'));
var CalloutFooter = index$2.default(CardFooter.default).withConfig({
  displayName: "styled__CalloutFooter",
  componentId: "sc-578c22-5"
})(["&{", ";}"], styledTools.theme('fannypack.Callout.Footer.base'));
var CalloutIcon = index$2.default(__chunk_2.Icon).withConfig({
  displayName: "styled__CalloutIcon",
  componentId: "sc-578c22-6"
})(["margin-right:", "rem;&{", ";}"], space.default(4), styledTools.theme('fannypack.Callout.Icon.base'));

exports.Callout = Callout;
exports.CalloutClose = CalloutClose;
exports.CalloutContent = CalloutContent;
exports.CalloutFooter = CalloutFooter;
exports.CalloutHeader = CalloutHeader;
exports.CalloutIcon = CalloutIcon;
exports.CalloutTitle = CalloutTitle;
exports.default = Callout;
exports.getTintAttributes = getTintAttributes;
