'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
require('../uniqueId.js');
var PropTypes = require('prop-types');
require('../types/props.js');
require('reakit/styled');
require('styled-tools');
require('styled-selector');
require('../styled/selector.js');
require('lodash/get');
require('../styled/space.js');
require('../styled/index.js');
var __chunk_1 = require('../chunk-c300b528.js');
require('polished');
require('../default/palette.js');
require('reakit/Button');
require('airbnb-prop-types');
require('../parseIcons.js');
require('reakit/Box');
require('reakit/Block');
require('reakit/Inline');
require('reakit/InlineBlock');
require('reakit/Flex');
require('reakit/InlineFlex');
require('reakit/Grid');
require('../Icon/styled.js');
require('../chunk-bf58d135.js');
require('../Set/styled.js');
require('../Set/index.js');
require('../Button/styled.js');
require('../Spinner/styled.js');
require('../Spinner/index.js');
require('../chunk-7592c834.js');
require('lodash/omit');
require('../Button/ActionButtons.js');
require('../Button/index.js');
require('../Pane/styled.js');
require('../chunk-66ca61c2.js');
require('../Pane/index.js');
require('../Icon/index.js');
require('../VisuallyHidden.js');
require('../Text/styled.js');
require('../Text/index.js');
require('../Card/styled.js');
require('../Card/CardCard.js');
require('../Card/CardHeader.js');
require('../Card/CardContent.js');
require('../Card/CardTitle.js');
require('../Card/CardFooter.js');
require('../Callout/styled.js');
require('../Callout/CalloutClose.js');
var __chunk_6 = require('../chunk-7115e16b.js');
require('../Callout/index.js');
require('reakit/Overlay');
require('../Overlay/OverlayContainer.js');
require('../Overlay/styled.js');
var OverlayHide = require('../Overlay/OverlayHide.js');
require('../Overlay/OverlayShow.js');
require('../Overlay/OverlayToggle.js');
var __chunk_7 = require('../chunk-b5a0aa78.js');
require('../Overlay/index.js');
var styled$6 = require('./styled.js');

var CalloutOverlay = function CalloutOverlay(_ref) {
  var a11yDescriptionId = _ref.a11yDescriptionId,
      a11yTitleId = _ref.a11yTitleId,
      border = _ref.border,
      children = _ref.children,
      className = _ref.className,
      _closeButtonProps = _ref.closeButtonProps,
      elevation = _ref.elevation,
      footer = _ref.footer,
      hide = _ref.hide,
      hasTint = _ref.hasTint,
      icon = _ref.icon,
      onClickClose = _ref.onClickClose,
      showCloseButton = _ref.showCloseButton,
      title = _ref.title,
      type = _ref.type,
      props = __chunk_1._objectWithoutPropertiesLoose(_ref, ["a11yDescriptionId", "a11yTitleId", "border", "children", "className", "closeButtonProps", "elevation", "footer", "hide", "hasTint", "icon", "onClickClose", "showCloseButton", "title", "type"]);

  var closeButtonProps = _closeButtonProps;

  if (hide) {
    closeButtonProps = __chunk_1._objectSpread({
      use: OverlayHide.default,
      // @ts-ignore
      hide: hide
    }, _closeButtonProps);
  }

  return React.createElement(styled$6.default, props, React.createElement(styled$6.Callout, {
    a11yDescriptionId: a11yDescriptionId,
    a11yTitleId: a11yTitleId,
    border: border,
    className: className,
    closeButtonProps: closeButtonProps,
    elevation: elevation,
    footer: footer,
    hasTint: hasTint,
    icon: icon,
    onClickClose: onClickClose,
    showCloseButton: showCloseButton // @ts-ignore
    ,
    title: title,
    type: type
  }, children));
};
var calloutOverlayPropTypes = __chunk_1._objectSpread({
  children: PropTypes.node.isRequired,
  hide: PropTypes.func
}, __chunk_7.overlayPropTypes, __chunk_6.calloutPropTypes);
CalloutOverlay.propTypes = calloutOverlayPropTypes;
var calloutOverlayDefaultProps = __chunk_1._objectSpread({}, __chunk_7.overlayDefaultProps, __chunk_6.calloutDefaultProps, {
  elevation: '300',
  hide: undefined,
  placement: 'bottom-end'
});
CalloutOverlay.defaultProps = calloutOverlayDefaultProps;
var C = CalloutOverlay;

exports.CalloutOverlay = C;
exports.calloutOverlayDefaultProps = calloutOverlayDefaultProps;
exports.calloutOverlayPropTypes = calloutOverlayPropTypes;
exports.default = C;
