'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var PropTypes = require('prop-types');
require('reakit/styled');
require('styled-tools');
require('styled-selector');
require('../styled/selector.js');
require('lodash/get');
require('../styled/space.js');
require('../styled/index.js');
var __chunk_1 = require('../chunk-c300b528.js');
require('reakit/Box');
require('reakit/Block');
require('reakit/Inline');
require('reakit/InlineBlock');
require('reakit/Flex');
require('reakit/InlineFlex');
require('reakit/Grid');
require('../Icon/styled.js');
require('../Pane/styled.js');
var __chunk_4 = require('../chunk-66ca61c2.js');
require('../Pane/index.js');
require('../Text/styled.js');
require('../Text/index.js');
var styled$2 = require('./styled.js');

var CardCard = function CardCard(_ref) {
  var a11yDescriptionId = _ref.a11yDescriptionId,
      a11yTitleId = _ref.a11yTitleId,
      children = _ref.children,
      props = __chunk_1._objectWithoutPropertiesLoose(_ref, ["a11yDescriptionId", "a11yTitleId", "children"]);

  return React.createElement(styled$2.default, __chunk_1._extends({
    "aria-describedby": a11yDescriptionId,
    "aria-labelledby": a11yTitleId
  }, props), children);
};
var cardCardPropTypes = __chunk_1._objectSpread({
  a11yDescriptionId: PropTypes.string,
  a11yTitleId: PropTypes.string,
  children: PropTypes.node.isRequired,
  className: PropTypes.string
}, __chunk_4.panePropTypes);
CardCard.propTypes = cardCardPropTypes;
var cardCardDefaultProps = __chunk_1._objectSpread({}, __chunk_4.paneDefaultProps, {
  a11yDescriptionId: undefined,
  a11yTitleId: undefined,
  border: 'shadow',
  children: undefined,
  className: undefined
});
CardCard.defaultProps = cardCardDefaultProps;
var C = CardCard;

exports.CardCard = CardCard;
exports.cardCardDefaultProps = cardCardDefaultProps;
exports.cardCardPropTypes = cardCardPropTypes;
exports.default = C;
