'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var uniqueId = require('../uniqueId.js');
var PropTypes = require('prop-types');
require('reakit/styled');
require('styled-tools');
require('styled-selector');
require('../styled/selector.js');
require('lodash/get');
require('../styled/space.js');
require('../styled/index.js');
var __chunk_1 = require('../chunk-c300b528.js');
require('reakit/Box');
require('reakit/Block');
require('reakit/Inline');
require('reakit/InlineBlock');
require('reakit/Flex');
require('reakit/InlineFlex');
require('reakit/Grid');
require('../Icon/styled.js');
require('../Pane/styled.js');
require('../chunk-66ca61c2.js');
require('../Pane/index.js');
require('../Text/styled.js');
require('../Text/index.js');
require('./styled.js');
var CardCard = require('./CardCard.js');
var CardHeader = require('./CardHeader.js');
var CardContent = require('./CardContent.js');
var CardTitle = require('./CardTitle.js');
var CardFooter = require('./CardFooter.js');
var ConditionalWrap = _interopDefault(require('conditional-wrap'));

var Card = function Card(_ref) {
  var _a11yDescriptionId = _ref.a11yDescriptionId,
      _a11yTitleId = _ref.a11yTitleId,
      children = _ref.children,
      footer = _ref.footer,
      headerActions = _ref.headerActions,
      title = _ref.title,
      props = __chunk_1._objectWithoutPropertiesLoose(_ref, ["a11yDescriptionId", "a11yTitleId", "children", "footer", "headerActions", "title"]);

  var titleId = uniqueId.useUniqueId('Card');
  var descriptionId = uniqueId.useUniqueId('Card');
  var a11yDescriptionId = _a11yDescriptionId || descriptionId;
  var a11yTitleId = _a11yTitleId || titleId;
  return React.createElement(CardCard.default, __chunk_1._extends({
    a11yDescriptionId: title || footer ? a11yDescriptionId : undefined,
    a11yTitleId: title ? a11yTitleId : undefined
  }, props), title && React.createElement(CardHeader.default, null, typeof title === 'string' ? React.createElement(CardTitle.default, {
    id: a11yTitleId
  }, title) : title, headerActions && React.createElement("div", null, headerActions)), React.createElement(ConditionalWrap, {
    condition: title || footer,
    wrap: function wrap(children) {
      return React.createElement(CardContent.default, {
        id: a11yDescriptionId
      }, children);
    }
  }, children), footer && React.createElement(CardFooter.default, null, footer));
};
Card.Card = CardCard.default;
Card.Header = CardHeader.default;
Card.Content = CardContent.default;
Card.Footer = CardFooter.default;
Card.Title = CardTitle.default;
var cardPropTypes = __chunk_1._objectSpread({}, CardCard.cardCardPropTypes, {
  a11yDescriptionId: PropTypes.string,
  a11yTitleId: PropTypes.string,
  children: PropTypes.node.isRequired,
  className: PropTypes.string,
  footer: PropTypes.oneOfType([PropTypes.string, PropTypes.element]),
  headerActions: PropTypes.element,
  isFullWidth: PropTypes.bool,
  title: PropTypes.oneOfType([PropTypes.string, PropTypes.element])
});
Card.propTypes = cardPropTypes;
var cardDefaultProps = __chunk_1._objectSpread({}, CardCard.cardCardDefaultProps, {
  a11yDescriptionId: undefined,
  a11yTitleId: undefined,
  className: undefined,
  footer: undefined,
  headerActions: undefined,
  isFullWidth: false,
  title: undefined
});
Card.defaultProps = cardDefaultProps; // @ts-ignore

var C = Card;

exports.CardCard = CardCard.default;
exports.cardCardDefaultProps = CardCard.cardCardDefaultProps;
exports.cardCardPropTypes = CardCard.cardCardPropTypes;
exports.CardHeader = CardHeader.default;
exports.cardHeaderDefaultProps = CardHeader.cardHeaderDefaultProps;
exports.cardHeaderPropTypes = CardHeader.cardHeaderPropTypes;
exports.CardContent = CardContent.default;
exports.cardContentDefaultProps = CardContent.cardContentDefaultProps;
exports.cardContentPropTypes = CardContent.cardContentPropTypes;
exports.CardTitle = CardTitle.default;
exports.cardTitleDefaultProps = CardTitle.cardTitleDefaultProps;
exports.cardTitlePropTypes = CardTitle.cardTitlePropTypes;
exports.CardFooter = CardFooter.default;
exports.cardFooterDefaultProps = CardFooter.cardFooterDefaultProps;
exports.cardFooterPropTypes = CardFooter.cardFooterPropTypes;
exports.Card = C;
exports.cardDefaultProps = cardDefaultProps;
exports.cardPropTypes = cardPropTypes;
exports.default = C;
