'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

require('react');
require('prop-types');
require('reakit/styled');
var styledTools = require('styled-tools');
require('styled-selector');
require('../styled/selector.js');
require('lodash/get');
var space = require('../styled/space.js');
var index$2 = require('../styled/index.js');
require('../chunk-c300b528.js');
var Box = _interopDefault(require('reakit/Box'));
require('reakit/Block');
require('reakit/Inline');
require('reakit/InlineBlock');
require('reakit/Flex');
require('reakit/InlineFlex');
require('reakit/Grid');
require('../Icon/styled.js');
require('../Pane/styled.js');
require('../chunk-66ca61c2.js');
var index$6 = require('../Pane/index.js');
require('../Text/styled.js');
var index = require('../Text/index.js');

var Card = index$2.default(index$6.default).withConfig({
  displayName: "styled__Card",
  componentId: "sc-150cbjc-0"
})(["padding:", "rem;&{", ";}"], space.default(6, 'minor'), styledTools.theme('fannypack.Card.base'));
var CardContent = index$2.default(Box).withConfig({
  displayName: "styled__CardContent",
  componentId: "sc-150cbjc-1"
})(["&{", ";}"], styledTools.theme('fannypack.Card.Content.base'));
var CardHeader = index$2.default(Box).withConfig({
  displayName: "styled__CardHeader",
  componentId: "sc-150cbjc-2"
})(["align-items:center;display:flex;flex-wrap:wrap;justify-content:space-between;padding-bottom:", "em;position:relative;width:100%;&{", ";}"], space.default(4), styledTools.theme('fannypack.Card.Header.base'));
var CardFooter = index$2.default(Box).withConfig({
  displayName: "styled__CardFooter",
  componentId: "sc-150cbjc-3"
})(["display:flex;padding-top:", "rem;width:100%;&{", ";}"], space.default(4), styledTools.theme('fannypack.Card.Footer.base'));
var CardTitle = index$2.default(index.default).withConfig({
  displayName: "styled__CardTitle",
  componentId: "sc-150cbjc-4"
})(["font-weight:", ";font-size:", "rem;&{", ";}"], styledTools.theme('fannypack.fontWeights.semibold'), styledTools.theme('fannypack.fontSizes.300'), styledTools.theme('fannypack.Card.Title.base'));

exports.Card = Card;
exports.CardContent = CardContent;
exports.CardFooter = CardFooter;
exports.CardHeader = CardHeader;
exports.CardTitle = CardTitle;
exports.default = Card;
