'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var PropTypes = require('prop-types');
var __chunk_1 = require('../chunk-c300b528.js');
var _omit = _interopDefault(require('lodash/omit'));
var index = require('../Text/index.js');
var fields = require('../adaptors/fields.js');
var styled = require('./styled.js');
var __chunk_12 = require('../chunk-7918bb15.js');

var Checkbox = function Checkbox(_ref) {
  var autoFocus = _ref.autoFocus,
      checked = _ref.checked,
      checkboxRef = _ref.checkboxRef,
      className = _ref.className,
      defaultChecked = _ref.defaultChecked,
      disabled = _ref.disabled,
      id = _ref.id,
      indeterminate = _ref.indeterminate,
      isRequired = _ref.isRequired,
      label = _ref.label,
      onBlur = _ref.onBlur,
      onChange = _ref.onChange,
      onFocus = _ref.onFocus,
      name = _ref.name,
      state = _ref.state,
      value = _ref.value,
      props = __chunk_1._objectWithoutPropertiesLoose(_ref, ["autoFocus", "checked", "checkboxRef", "className", "defaultChecked", "disabled", "id", "indeterminate", "isRequired", "label", "onBlur", "onChange", "onFocus", "name", "state", "value"]);

  return React.createElement(styled.default, __chunk_1._extends({
    "aria-invalid": state === 'danger',
    "aria-required": isRequired
  }, props), React.createElement(styled.HiddenCheckbox, {
    autoFocus: autoFocus,
    checked: checked,
    defaultChecked: defaultChecked,
    disabled: disabled,
    elementRef: checkboxRef,
    id: id,
    indeterminate: indeterminate,
    onBlur: onBlur,
    onChange: onChange,
    onFocus: onFocus,
    name: name,
    state: state,
    type: "checkbox" // @ts-ignore
    ,
    value: value
  }), React.createElement(styled.CheckboxIcon, {
    state: state
  }), label && React.createElement(index.default, {
    marginLeft: "minor-2"
  }, label));
};
Checkbox.Formik = fields.formikField(Checkbox, {
  isCheckbox: true
});
Checkbox.ReduxForm = fields.reduxFormField(Checkbox, {
  isCheckbox: true
});
var checkboxPropTypes = {
  autoFocus: PropTypes.bool,
  checked: PropTypes.bool,
  className: PropTypes.string,
  checkboxRef: PropTypes.object,
  defaultChecked: PropTypes.bool,
  disabled: PropTypes.bool,
  id: PropTypes.string,
  indeterminate: PropTypes.bool,
  isRequired: PropTypes.bool,
  label: PropTypes.string,
  name: PropTypes.string,
  state: PropTypes.string,
  value: PropTypes.oneOfType([PropTypes.bool, PropTypes.string]),
  onBlur: PropTypes.func,
  onChange: PropTypes.func,
  onFocus: PropTypes.func
};
Checkbox.propTypes = checkboxPropTypes;
var checkboxDefaultProps = {
  autoFocus: false,
  checked: undefined,
  className: undefined,
  checkboxRef: undefined,
  defaultChecked: undefined,
  disabled: false,
  id: undefined,
  indeterminate: false,
  isRequired: false,
  label: undefined,
  onBlur: undefined,
  onChange: undefined,
  onFocus: undefined,
  name: undefined,
  state: undefined,
  value: undefined
};
Checkbox.defaultProps = checkboxDefaultProps; // @ts-ignore

var C = Checkbox;

var CheckboxField = function CheckboxField(_ref) {
  var a11yId = _ref.a11yId,
      autoFocus = _ref.autoFocus,
      checkboxLabel = _ref.checkboxLabel,
      checkboxProps = _ref.checkboxProps,
      checkboxRef = _ref.checkboxRef,
      checked = _ref.checked,
      className = _ref.className,
      defaultChecked = _ref.defaultChecked,
      description = _ref.description,
      disabled = _ref.disabled,
      hint = _ref.hint,
      label = _ref.label,
      indeterminate = _ref.indeterminate,
      id = _ref.id,
      isOptional = _ref.isOptional,
      isRequired = _ref.isRequired,
      onBlur = _ref.onBlur,
      onChange = _ref.onChange,
      onFocus = _ref.onFocus,
      name = _ref.name,
      state = _ref.state,
      validationText = _ref.validationText,
      value = _ref.value,
      props = __chunk_1._objectWithoutPropertiesLoose(_ref, ["a11yId", "autoFocus", "checkboxLabel", "checkboxProps", "checkboxRef", "checked", "className", "defaultChecked", "description", "disabled", "hint", "label", "indeterminate", "id", "isOptional", "isRequired", "onBlur", "onChange", "onFocus", "name", "state", "validationText", "value"]);

  return React.createElement(__chunk_12.FieldWrapper, __chunk_1._extends({
    a11yId: a11yId,
    description: description,
    hint: hint,
    isOptional: isOptional,
    isRequired: isRequired,
    label: label,
    state: state,
    validationText: validationText
  }, props), function (_ref2) {
    var elementProps = _ref2.elementProps;
    return React.createElement(C, __chunk_1._extends({
      autoFocus: autoFocus,
      checked: checked,
      checkboxRef: checkboxRef,
      className: className,
      defaultChecked: defaultChecked,
      disabled: disabled,
      id: id,
      indeterminate: indeterminate,
      isRequired: isRequired,
      label: checkboxLabel,
      name: name,
      state: state // @ts-ignore
      ,
      value: value,
      onBlur: onBlur,
      onChange: onChange,
      onFocus: onFocus
    }, elementProps, checkboxProps));
  });
};
CheckboxField.Formik = fields.formikField(CheckboxField, {
  hasFieldWrapper: true,
  isCheckbox: true
});
CheckboxField.ReduxForm = fields.reduxFormField(CheckboxField, {
  hasFieldWrapper: true,
  isCheckbox: true
});
CheckboxField.propTypes = __chunk_1._objectSpread({
  checkboxLabel: PropTypes.string,
  checkboxProps: PropTypes.shape(checkboxPropTypes)
}, checkboxPropTypes, _omit(__chunk_12.fieldWrapperPropTypes, 'children'));
CheckboxField.defaultProps = __chunk_1._objectSpread({
  checkboxProps: {}
}, checkboxDefaultProps, __chunk_12.fieldWrapperDefaultProps); // @ts-ignore

var C$1 = CheckboxField;

exports.C = C$1;
exports.Checkbox = C;
exports.CheckboxField = CheckboxField;
exports.checkboxDefaultProps = checkboxDefaultProps;
exports.checkboxPropTypes = checkboxPropTypes;
