'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var styled = require('reakit/styled');
var styled__default = _interopDefault(styled);
var styledTools = require('styled-tools');
require('styled-selector');
require('../styled/selector.js');
require('lodash/get');
require('../styled/space.js');
var index$2 = require('../styled/index.js');
var Box = _interopDefault(require('reakit/Box'));
require('reakit/Block');
require('reakit/Inline');
require('reakit/InlineBlock');
require('reakit/Flex');
require('reakit/InlineFlex');
require('reakit/Grid');
var Label = _interopDefault(require('reakit/Label'));
require('reakit/Input');
var __chunk_8 = require('../chunk-3e8af825.js');

var CheckboxIcon = index$2.default(Box).withConfig({
  displayName: "styled__CheckboxIcon",
  componentId: "sc-1cw8kp1-0"
})(["-webkit-appearance:none;background-color:white;border:1px solid #bdbdbd;box-shadow:inset 0px 1px 2px #e5e5e5;border-radius:0.2em;height:1em;position:relative;margin-top:0.25em;min-width:1em;width:1em;&{", ";}&{", ";}"], function (props) {
  return props.state && styled.css(["border-color:", ";box-shadow:", " 0px 0px 0px 1px !important;"], function (props) {
    return styledTools.palette("" + props.state)(props);
  }, function (props) {
    return styledTools.palette("" + props.state)(props);
  });
}, styledTools.theme('fannypack.Checkbox.base'));
var HiddenCheckbox = __chunk_8.HiddenInput({
  Icon: CheckboxIcon,
  checkedIconCss: styled.css(["background-clip:padding-box;content:'';left:calc(50% - 0.1875em);top:calc(50% - 0.375em);position:absolute;&{", ";}"], function (props) {
    return props.indeterminate ? styled.css(["background-color:", ";height:0.125em;width:0.625em;top:calc(50% - 0.0625em);left:calc(50% - 0.3125em);"], styledTools.palette('primary')) : styled.css(["border:0.1em solid ", ";border-left-width:0;border-top-width:0;height:0.625em;transform:rotate(45deg);width:0.375em;"], styledTools.palette('primary'));
  }),
  disabledCheckedIconCss: styled.css(["border-color:", ";"], styledTools.palette('gray300')),
  themePrefix: 'Checkbox'
});
var Checkbox = index$2.default(Label).withConfig({
  displayName: "styled__Checkbox",
  componentId: "sc-1cw8kp1-1"
})(["display:flex;align-items:flex-start;&{", ";}"], styledTools.theme('fannypack.Checkbox.label'));

exports.Checkbox = Checkbox;
exports.CheckboxIcon = CheckboxIcon;
exports.HiddenCheckbox = HiddenCheckbox;
exports.default = Checkbox;
