'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var PropTypes = require('prop-types');
var styled = require('reakit/styled');
var styled__default = _interopDefault(styled);
var styledTools = require('styled-tools');
var _get = _interopDefault(require('lodash/get'));
var index$2 = require('../styled/index.js');
var __chunk_1 = require('../chunk-c300b528.js');
var Box = _interopDefault(require('reakit/Box'));
require('reakit/Block');
require('reakit/Inline');
require('reakit/InlineBlock');
require('reakit/Flex');
require('reakit/InlineFlex');
require('reakit/Grid');
var styled$1 = require('./styled.js');
var SyntaxHighlighter = require('react-syntax-highlighter/prism-light');
var SyntaxHighlighter__default = _interopDefault(SyntaxHighlighter);
var theme = require('./theme.js');
var javascript = _interopDefault(require('react-syntax-highlighter/languages/prism/javascript'));
var jsx = _interopDefault(require('react-syntax-highlighter/languages/prism/jsx'));
var json = _interopDefault(require('react-syntax-highlighter/languages/prism/json'));

var Code = function Code(_ref) {
  var children = _ref.children,
      className = _ref.className,
      codeClassName = _ref.codeClassName,
      isBlock = _ref.isBlock,
      props = __chunk_1._objectWithoutPropertiesLoose(_ref, ["children", "className", "codeClassName", "isBlock"]);

  return React.createElement(styled$1.default, __chunk_1._extends({
    block: isBlock
  }, props), children);
};
var codePropTypes = {
  children: PropTypes.node.isRequired,
  className: PropTypes.string,
  codeClassName: PropTypes.string,
  isBlock: PropTypes.bool
};
Code.propTypes = codePropTypes;
var codeDefaultProps = {
  className: undefined,
  codeClassName: undefined,
  isBlock: false
};
Code.defaultProps = codeDefaultProps;
var C = Code;

var Wrapper = index$2.default(Box).withConfig({
  displayName: "HighlightedCode__Wrapper",
  componentId: "kn73h9-0"
})(["", ";"], function (props) {
  return props.showLabel && styled.css(["position:relative;&:before{color:", ";content:'", "';font-family:'SF Mono','Segoe UI Mono','Roboto Mono',Menlo,Courier,monospace;font-size:0.8rem;font-weight:bold;position:absolute;right:0.5rem;top:0.2rem;text-transform:uppercase;}"], styledTools.palette('text'), function (props) {
    return props.lang;
  });
});
var highlightedCodePropTypes = {
  children: PropTypes.node.isRequired,
  className: PropTypes.string,
  codeClassName: PropTypes.string,
  isBlock: PropTypes.bool,
  lang: PropTypes.string.isRequired,
  showLabel: PropTypes.bool,
  showLineNumbers: PropTypes.bool
};
var highlightedCodeDefaultProps = {
  className: undefined,
  codeClassName: undefined,
  isBlock: false,
  showLabel: false,
  showLineNumbers: false,
  theme: {}
};
var HighlightedCode =
/*#__PURE__*/
function (_React$PureComponent) {
  __chunk_1._inheritsLoose(HighlightedCode, _React$PureComponent);

  function HighlightedCode() {
    var _this;

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _React$PureComponent.call.apply(_React$PureComponent, [this].concat(args)) || this;

    __chunk_1._defineProperty(__chunk_1._assertThisInitialized(_this), "componentDidMount", function () {
      SyntaxHighlighter.registerLanguage('javascript', javascript);
      SyntaxHighlighter.registerLanguage('jsx', jsx);
      SyntaxHighlighter.registerLanguage('json', json);
    });

    __chunk_1._defineProperty(__chunk_1._assertThisInitialized(_this), "render", function () {
      var _this$props = _this.props,
          children = _this$props.children,
          className = _this$props.className,
          codeClassName = _this$props.codeClassName,
          isBlock = _this$props.isBlock,
          lang = _this$props.lang,
          showLineNumbers = _this$props.showLineNumbers,
          theme = _this$props.theme,
          props = __chunk_1._objectWithoutPropertiesLoose(_this$props, ["children", "className", "codeClassName", "isBlock", "lang", "showLineNumbers", "theme"]);

      var style = theme.default({
        palette: _get(theme, 'fannypack.palette')
      });
      return React.createElement(Wrapper, __chunk_1._extends({
        lang: lang
      }, props), React.createElement(SyntaxHighlighter__default, {
        className: className,
        codeClassName: codeClassName,
        block: isBlock,
        language: lang,
        showLineNumbers: showLineNumbers,
        style: style,
        PreTag: C,
        wrapLines: true
      }, children));
    });

    return _this;
  }

  return HighlightedCode;
}(React.PureComponent); // @ts-ignore

__chunk_1._defineProperty(HighlightedCode, "propTypes", highlightedCodePropTypes);

__chunk_1._defineProperty(HighlightedCode, "defaultProps", highlightedCodeDefaultProps);

var C$1 = styled.withTheme(HighlightedCode);

exports.C = C$1;
exports.Code = C;
exports.HighlightedCode = HighlightedCode;
exports.codeDefaultProps = codeDefaultProps;
exports.codePropTypes = codePropTypes;
exports.highlightedCodeDefaultProps = highlightedCodeDefaultProps;
exports.highlightedCodePropTypes = highlightedCodePropTypes;
