'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var PropTypes = require('prop-types');
var props = require('../types/props.js');
require('reakit/styled');
require('styled-tools');
require('styled-selector');
require('../styled/selector.js');
require('lodash/get');
require('../styled/space.js');
require('../styled/index.js');
var __chunk_1 = require('../chunk-c300b528.js');
require('reakit/Box');
require('reakit/Block');
require('reakit/Inline');
require('reakit/InlineBlock');
require('reakit/Flex');
require('reakit/InlineFlex');
require('reakit/Grid');
var ColumnsContext = require('../Columns/ColumnsContext.js');
var styled$1 = require('./styled.js');

var Column = function Column(_ref) {
  var children = _ref.children,
      className = _ref.className,
      spread = _ref.spread,
      spreadMobile = _ref.spreadMobile,
      spreadTablet = _ref.spreadTablet,
      spreadDesktop = _ref.spreadDesktop,
      spreadWidescreen = _ref.spreadWidescreen,
      spreadFullHD = _ref.spreadFullHD,
      spreadOffset = _ref.spreadOffset,
      spreadMobileOffset = _ref.spreadMobileOffset,
      spreadTabletOffset = _ref.spreadTabletOffset,
      spreadDesktopOffset = _ref.spreadDesktopOffset,
      spreadWidescreenOffset = _ref.spreadWidescreenOffset,
      spreadFullHDOffset = _ref.spreadFullHDOffset,
      props = __chunk_1._objectWithoutPropertiesLoose(_ref, ["children", "className", "spread", "spreadMobile", "spreadTablet", "spreadDesktop", "spreadWidescreen", "spreadFullHD", "spreadOffset", "spreadMobileOffset", "spreadTabletOffset", "spreadDesktopOffset", "spreadWidescreenOffset", "spreadFullHDOffset"]);

  return React.createElement(ColumnsContext.default.Consumer, null, function (_ref2) {
    var isGapless = _ref2.isGapless,
        minBreakpoint = _ref2.minBreakpoint;
    return React.createElement(styled$1.default, __chunk_1._extends({
      className: className,
      isGapless: isGapless,
      minBreakpoint: minBreakpoint,
      spread: spread,
      spreadMobile: spreadMobile,
      spreadTablet: spreadTablet,
      spreadDesktop: spreadDesktop,
      spreadWidescreen: spreadWidescreen,
      spreadFullHD: spreadFullHD,
      spreadOffset: spreadOffset,
      spreadMobileOffset: spreadMobileOffset,
      spreadTabletOffset: spreadTabletOffset,
      spreadDesktopOffset: spreadDesktopOffset,
      spreadWidescreenOffset: spreadWidescreenOffset,
      spreadFullHDOffset: spreadFullHDOffset
    }, props), children);
  });
};
var columnPropTypes = {
  children: PropTypes.node.isRequired,
  className: PropTypes.string,
  spread: props.columnSpreadPropType,
  spreadMobile: props.columnSpreadPropType,
  spreadTablet: props.columnSpreadPropType,
  spreadDesktop: props.columnSpreadPropType,
  spreadWidescreen: props.columnSpreadPropType,
  spreadFullHD: props.columnSpreadPropType,
  spreadOffset: props.columnSpreadOffsetPropType,
  spreadMobileOffset: props.columnSpreadOffsetPropType,
  spreadTabletOffset: props.columnSpreadOffsetPropType,
  spreadDesktopOffset: props.columnSpreadOffsetPropType,
  spreadWidescreenOffset: props.columnSpreadOffsetPropType,
  spreadFullHDOffset: props.columnSpreadOffsetPropType
};
Column.propTypes = columnPropTypes;
var columnDefaultProps = {
  className: undefined,
  spread: undefined,
  spreadMobile: undefined,
  spreadTablet: undefined,
  spreadDesktop: undefined,
  spreadWidescreen: undefined,
  spreadFullHD: undefined,
  spreadOffset: undefined,
  spreadMobileOffset: undefined,
  spreadTabletOffset: undefined,
  spreadDesktopOffset: undefined,
  spreadWidescreenOffset: undefined,
  spreadFullHDOffset: undefined
};
Column.defaultProps = columnDefaultProps;
var C = Column;

exports.Column = C;
exports.columnDefaultProps = columnDefaultProps;
exports.columnPropTypes = columnPropTypes;
exports.default = C;
