'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var PropTypes = require('prop-types');
require('reakit/styled');
require('styled-tools');
require('styled-selector');
require('../styled/selector.js');
require('lodash/get');
require('../styled/space.js');
require('../styled/index.js');
var __chunk_1 = require('../chunk-c300b528.js');
require('reakit/Box');
require('reakit/Block');
require('reakit/Inline');
require('reakit/InlineBlock');
require('reakit/Flex');
require('reakit/InlineFlex');
require('reakit/Grid');
var ColumnsContext = require('./ColumnsContext.js');
var styled$1 = require('./styled.js');

var Columns = function Columns(_ref) {
  var children = _ref.children,
      className = _ref.className,
      isGapless = _ref.isGapless,
      isOneLine = _ref.isOneLine,
      minBreakpoint = _ref.minBreakpoint,
      props = __chunk_1._objectWithoutPropertiesLoose(_ref, ["children", "className", "isGapless", "isOneLine", "minBreakpoint"]);

  return React.createElement(ColumnsContext.default.Provider, {
    value: {
      isGapless: isGapless,
      minBreakpoint: minBreakpoint
    }
  }, React.createElement(styled$1.default, __chunk_1._extends({
    className: className,
    isGapless: isGapless,
    isOneLine: isOneLine,
    minBreakpoint: minBreakpoint
  }, props), children));
};
var columnsPropTypes = {
  children: PropTypes.node.isRequired,
  className: PropTypes.string,
  isGapless: PropTypes.bool,
  isOneLine: PropTypes.bool,
  minBreakpoint: PropTypes.oneOf(['tablet', 'mobile'])
};
Columns.propTypes = columnsPropTypes;
var columnsDefaultProps = {
  className: undefined,
  isGapless: false,
  isOneLine: false,
  minBreakpoint: undefined
};
Columns.defaultProps = columnsDefaultProps;
var C = Columns;

exports.Columns = C;
exports.columnsDefaultProps = columnsDefaultProps;
exports.columnsPropTypes = columnsPropTypes;
exports.default = C;
