'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var styled = require('reakit/styled');
var styled__default = _interopDefault(styled);
var styledTools = require('styled-tools');
require('styled-selector');
require('../styled/selector.js');
require('lodash/get');
require('../styled/space.js');
var index$2 = require('../styled/index.js');
var Box = _interopDefault(require('reakit/Box'));
require('reakit/Block');
require('reakit/Inline');
require('reakit/InlineBlock');
require('reakit/Flex');
require('reakit/InlineFlex');
require('reakit/Grid');

var getWrapProperties = function getWrapProperties(props) {
  var isOneLine = props.isOneLine,
      minBreakpoint = props.minBreakpoint;

  if (isOneLine) {
    if (minBreakpoint !== 'tablet' && minBreakpoint !== 'mobile') {
      return styled.css(["@media (max-width:", "px){flex-wrap:wrap;}"], styledTools.theme('fannypack.layout.tabletBreakpoint'));
    }

    if (minBreakpoint !== 'mobile') {
      return styled.css(["@media (max-width:", "px){flex-wrap:wrap;}"], styledTools.theme('fannypack.layout.mobileBreakpoint'));
    }

    return null;
  } else {
    return styled.css(["flex-wrap:wrap;"]);
  }
};
var Columns = index$2.default(Box).withConfig({
  displayName: "styled__Columns",
  componentId: "otaduv-0"
})(["display:flex;", ";", ";&{", ";}"], function (props) {
  return !props.isGapless && styled.css(["margin-left:-", "rem;margin-right:-", "rem;margin-top:-", "rem;&:last-child{margin-bottom:-", "rem;}"], styledTools.theme('fannypack.layout.gapFactor'), styledTools.theme('fannypack.layout.gapFactor'), styledTools.theme('fannypack.layout.gapFactor'), styledTools.theme('fannypack.layout.gapFactor'));
}, getWrapProperties, styledTools.theme('fannypack.Columns.base'));

exports.Columns = Columns;
exports.default = Columns;
exports.getWrapProperties = getWrapProperties;
