'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var styled = require('reakit/styled');
var styled__default = _interopDefault(styled);
var styledTools = require('styled-tools');
require('styled-selector');
require('../styled/selector.js');
require('lodash/get');
require('../styled/space.js');
var index$2 = require('../styled/index.js');
var Box = _interopDefault(require('reakit/Box'));
require('reakit/Block');
require('reakit/Inline');
require('reakit/InlineBlock');
require('reakit/Flex');
require('reakit/InlineFlex');
require('reakit/Grid');

var alignProperties = {
  left: styled.css(["margin-right:auto;"]),
  center: styled.css(["margin-left:auto;margin-right:auto;"]),
  right: styled.css(["margin-left:auto;"])
};
var getResponsiveProperties = function getResponsiveProperties(props) {
  var breakpoint = props.breakpoint,
      isFluid = props.isFluid;
  if (isFluid) return;

  if (breakpoint) {
    return styled.css(["&{max-width:", "px;}"], styledTools.theme("fannypack.layout." + breakpoint + "Breakpoint"));
  }

  return styled.css(["@media (max-width:", "px){max-width:", "px;}@media (max-width:", "px){max-width:", "px;}@media (max-width:", "px){max-width:", "px;}"], function (props) {
    return styledTools.theme('fannypack.layout.fullHDBreakpoint')(props) + 128;
  }, styledTools.theme('fannypack.layout.widescreenBreakpoint'), function (props) {
    return styledTools.theme('fannypack.layout.widescreenBreakpoint')(props) + 128;
  }, styledTools.theme('fannypack.layout.desktopBreakpoint'), function (props) {
    return styledTools.theme('fannypack.layout.desktopBreakpoint')(props) + 128;
  }, styledTools.theme('fannypack.layout.tabletBreakpoint'));
};
var Container = index$2.default(Box).withConfig({
  displayName: "styled__Container",
  componentId: "sc-144wh3b-0"
})(["width:100%;", ";", ";", ";", ";", ";", ";"], function (props) {
  return !props.isFluid && styled.css(["max-width:", "px;"], styledTools.theme('fannypack.layout.fullHDBreakpoint'));
}, function (props) {
  return props.isFluid && styled.css(["padding-left:", ";padding-right:", ";"], styledTools.theme('fannypack.Container.fluidMargin'), styledTools.theme('fannypack.Container.fluidMargin'));
}, function (props) {
  return (props.isLayout || props.isFluid) && styled.css(["@media (max-width:", "px){padding-left:", ";padding-right:", ";}"], styledTools.theme('fannypack.layout.tabletBreakpoint'), styledTools.theme('fannypack.Container.tabletMargin'), styledTools.theme('fannypack.Container.tabletMargin'));
}, getResponsiveProperties, function (props) {
  return props.align && !props.isFluid ? alignProperties[props.align] : null;
}, styledTools.theme('fannypack.Container.base'));

exports.Container = Container;
exports.alignProperties = alignProperties;
exports.default = Container;
exports.getResponsiveProperties = getResponsiveProperties;
