'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var PropTypes = require('prop-types');
require('../types/props.js');
require('reakit/styled');
require('styled-tools');
require('styled-selector');
require('../styled/selector.js');
require('lodash/get');
require('../styled/space.js');
require('../styled/index.js');
var __chunk_1 = require('../chunk-c300b528.js');
require('polished');
require('../default/palette.js');
require('reakit/Button');
require('airbnb-prop-types');
require('../parseIcons.js');
require('reakit/Box');
require('reakit/Block');
require('reakit/Inline');
require('reakit/InlineBlock');
require('reakit/Flex');
require('reakit/InlineFlex');
require('reakit/Grid');
require('../Icon/styled.js');
require('../chunk-bf58d135.js');
require('../Set/styled.js');
require('../Set/index.js');
require('../Button/styled.js');
require('../Spinner/styled.js');
require('../Spinner/index.js');
require('../chunk-7592c834.js');
require('lodash/omit');
require('../Button/ActionButtons.js');
require('../Button/index.js');
require('classnames');
require('reakit/Heading');
require('../Heading/styled.js');
require('../Heading/index.js');
require('../Pane/styled.js');
var __chunk_4 = require('../chunk-66ca61c2.js');
require('../Pane/index.js');
var styled$4 = require('./styled.js');

var DialogDialog = function DialogDialog(_ref) {
  var a11yDescriptionId = _ref.a11yDescriptionId,
      a11yTitleId = _ref.a11yTitleId,
      children = _ref.children,
      kind = _ref.kind,
      props = __chunk_1._objectWithoutPropertiesLoose(_ref, ["a11yDescriptionId", "a11yTitleId", "children", "kind"]);

  return React.createElement(styled$4.default, __chunk_1._extends({
    "aria-describedby": a11yDescriptionId,
    "aria-labelledby": a11yTitleId,
    role: kind === 'alert' ? 'alertdialog' : 'dialog'
  }, props), children);
};
var dialogDialogPropTypes = __chunk_1._objectSpread({
  a11yDescriptionId: PropTypes.string,
  a11yTitleId: PropTypes.string,
  className: PropTypes.string,
  kind: PropTypes.oneOf(['alert'])
}, __chunk_4.panePropTypes, {
  children: PropTypes.node.isRequired
});
DialogDialog.propTypes = dialogDialogPropTypes;
var dialogDialogDefaultProps = __chunk_1._objectSpread({}, __chunk_4.paneDefaultProps, {
  a11yDescriptionId: undefined,
  a11yTitleId: undefined,
  border: true,
  className: undefined,
  kind: undefined
});
DialogDialog.defaultProps = dialogDialogDefaultProps;
var C = DialogDialog;

exports.DialogDialog = DialogDialog;
exports.default = C;
exports.dialogDialogDefaultProps = dialogDialogDefaultProps;
exports.dialogDialogPropTypes = dialogDialogPropTypes;
