'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

require('react');
require('prop-types');
require('../types/props.js');
require('reakit/styled');
var styledTools = require('styled-tools');
require('styled-selector');
require('../styled/selector.js');
require('lodash/get');
var space = require('../styled/space.js');
var index$2 = require('../styled/index.js');
require('../chunk-c300b528.js');
require('polished');
require('../default/palette.js');
require('reakit/Button');
require('airbnb-prop-types');
require('../parseIcons.js');
var Box = _interopDefault(require('reakit/Box'));
require('reakit/Block');
require('reakit/Inline');
require('reakit/InlineBlock');
require('reakit/Flex');
require('reakit/InlineFlex');
require('reakit/Grid');
require('../Icon/styled.js');
var __chunk_2 = require('../chunk-bf58d135.js');
require('../Set/styled.js');
require('../Set/index.js');
require('../Button/styled.js');
require('../Spinner/styled.js');
require('../Spinner/index.js');
require('../chunk-7592c834.js');
require('lodash/omit');
require('../Button/ActionButtons.js');
var index$4 = require('../Button/index.js');
require('classnames');
require('reakit/Heading');
require('../Heading/styled.js');
var index$5 = require('../Heading/index.js');
require('../Pane/styled.js');
require('../chunk-66ca61c2.js');
var index$6 = require('../Pane/index.js');

var DialogContent = index$2.default(Box).withConfig({
  displayName: "styled__DialogContent",
  componentId: "sc-1loaala-0"
})(["padding:", "rem;max-height:90vh;overflow-y:", ";width:100%;&{", ";}"], space.default(5), function (props) {
  return props.hasScroll ? 'scroll' : 'visible';
}, styledTools.theme('fannypack.Dialog.Content.base'));
var DialogHeader = index$2.default(Box).withConfig({
  displayName: "styled__DialogHeader",
  componentId: "sc-1loaala-1"
})(["align-items:center;background-color:", ";display:flex;justify-content:space-between;padding:", "rem;width:100%;&{", ";}"], styledTools.palette('white700'), space.default(5), styledTools.theme('fannypack.Dialog.Header.base'));
var DialogFooter = index$2.default(Box).withConfig({
  displayName: "styled__DialogFooter",
  componentId: "sc-1loaala-2"
})(["display:flex;align-items:center;background-color:", ";padding:", "rem ", "rem;width:100%;&{", ";}"], styledTools.palette('white700'), space.default(4), space.default(4), styledTools.theme('fannypack.Dialog.Footer.base'));
var DialogTitle = index$2.default(index$5.default).withConfig({
  displayName: "styled__DialogTitle",
  componentId: "sc-1loaala-3"
})(["&&{margin-bottom:0px;}&{", ";}"], styledTools.theme('fannypack.Dialog.Title.base'));
var DialogClose = index$2.default(index$4.default).withConfig({
  displayName: "styled__DialogClose",
  componentId: "sc-1loaala-4"
})(["min-height:1.5em;width:1.5em;padding:0px;&:hover{background-color:", ";&{", ";}}&{", ";}"], styledTools.palette('white700'), styledTools.theme('fannypack.Dialog.Close.hover'), styledTools.theme('fannypack.Dialog.Close.base'));
var DialogIcon = index$2.default(__chunk_2.Icon).withConfig({
  displayName: "styled__DialogIcon",
  componentId: "sc-1loaala-5"
})(["margin-right:", "rem;&{", ";}"], space.default(2), styledTools.theme('fannypack.Dialog.Icon.base'));
var Dialog = index$2.default(index$6.default).withConfig({
  displayName: "styled__Dialog",
  componentId: "sc-1loaala-6"
})(["border-radius:5px;&:focus{outline:unset;}&{", ";}"], styledTools.theme('fannypack.Dialog.base'));

exports.Dialog = Dialog;
exports.DialogClose = DialogClose;
exports.DialogContent = DialogContent;
exports.DialogFooter = DialogFooter;
exports.DialogHeader = DialogHeader;
exports.DialogIcon = DialogIcon;
exports.DialogTitle = DialogTitle;
exports.default = Dialog;
