'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var uniqueId = require('../uniqueId.js');
var PropTypes = require('prop-types');
require('../types/props.js');
require('reakit/styled');
require('styled-tools');
require('styled-selector');
require('../styled/selector.js');
require('lodash/get');
require('../styled/space.js');
require('../styled/index.js');
var __chunk_1 = require('../chunk-c300b528.js');
require('polished');
require('../default/palette.js');
require('reakit/Button');
require('airbnb-prop-types');
require('../parseIcons.js');
require('reakit/Box');
require('reakit/Block');
require('reakit/Inline');
require('reakit/InlineBlock');
require('reakit/Flex');
require('reakit/InlineFlex');
require('reakit/Grid');
require('../Icon/styled.js');
require('../chunk-bf58d135.js');
require('../Set/styled.js');
require('../Set/index.js');
require('../Button/styled.js');
require('reakit/Portal');
require('../Portal/styled.js');
require('../Portal/index.js');
require('../Spinner/styled.js');
require('../Spinner/index.js');
require('../chunk-7592c834.js');
require('lodash/omit');
var ActionButtons = require('../Button/ActionButtons.js');
require('../Button/index.js');
require('classnames');
require('reakit/Heading');
require('../Heading/styled.js');
require('../Heading/index.js');
require('../Pane/styled.js');
require('../chunk-66ca61c2.js');
require('../Pane/index.js');
require('../Icon/index.js');
require('../VisuallyHidden.js');
require('reakit/Backdrop');
require('../Backdrop/styled.js');
require('../Backdrop/index.js');
require('reakit/Overlay');
require('../Overlay/OverlayContainer.js');
require('../Overlay/styled.js');
require('../Overlay/OverlayHide.js');
require('../Overlay/OverlayShow.js');
require('../Overlay/OverlayToggle.js');
require('../chunk-b5a0aa78.js');
require('../Overlay/index.js');
require('../chunk-f686853d.js');
require('focus-trap');
require('../chunk-c50ee195.js');
require('../Dialog/styled.js');
require('../Dialog/DialogDialog.js');
require('../Dialog/DialogContent.js');
require('../Dialog/DialogHeader.js');
require('../Dialog/DialogFooter.js');
require('../Dialog/DialogTitle.js');
require('../Dialog/DialogClose.js');
require('../Dialog/DialogIcon.js');
var index$3 = require('../Dialog/index.js');
require('../Modal/ModalContainer.js');
require('../Modal/styled.js');
require('../Modal/ModalHide.js');
require('../Modal/ModalShow.js');
var __chunk_14 = require('../chunk-483f3329.js');

var DialogModal = function DialogModal(_ref) {
  var _a11yDescriptionId = _ref.a11yDescriptionId,
      _a11yTitleId = _ref.a11yTitleId,
      actionButtonsProps = _ref.actionButtonsProps,
      children = _ref.children,
      footer = _ref.footer,
      hasScroll = _ref.hasScroll,
      hide = _ref.hide,
      kind = _ref.kind,
      showActionButtons = _ref.showActionButtons,
      showCloseButton = _ref.showCloseButton,
      title = _ref.title,
      type = _ref.type,
      props = __chunk_1._objectWithoutPropertiesLoose(_ref, ["a11yDescriptionId", "a11yTitleId", "actionButtonsProps", "children", "footer", "hasScroll", "hide", "kind", "showActionButtons", "showCloseButton", "title", "type"]);

  var titleId = uniqueId.useUniqueId('DialogModal');
  var descriptionId = uniqueId.useUniqueId('DialogModal');
  var a11yDescriptionId = _a11yDescriptionId || descriptionId;
  var a11yTitleId = _a11yTitleId || titleId;
  return React.createElement(__chunk_14.Modal, __chunk_1._extends({
    hide: hide,
    kind: kind
  }, props), function (_ref2) {
    var fallbackFocusRef = _ref2.fallbackFocusRef,
        initialFocusRef = _ref2.initialFocusRef;
    return React.createElement(index$3.default, {
      a11yDescriptionId: a11yDescriptionId,
      a11yTitleId: a11yTitleId,
      actionButtonsProps: __chunk_1._objectSpread({
        cancelProps: __chunk_1._objectSpread({
          elementRef: initialFocusRef,
          use: __chunk_14.Modal.Hide,
          // @ts-ignore
          hide: hide
        }, (actionButtonsProps || {}).cancelProps),
        palette: type
      }, actionButtonsProps),
      closeButtonProps: {
        elementRef: initialFocusRef
      },
      elementRef: fallbackFocusRef // @ts-ignore
      ,
      footer: typeof footer === 'function' ? footer({
        initialFocusRef: initialFocusRef
      }) : footer,
      hasScroll: hasScroll,
      onClickClose: hide,
      role: kind === 'alert' ? 'alertdialog' : 'dialog',
      showActionButtons: showActionButtons || kind === 'alert',
      showCloseButton: showCloseButton && kind !== 'alert',
      tabIndex: -1 // @ts-ignore
      ,
      title: title,
      type: type,
      width: "100%"
    }, typeof children === 'function' ? children({
      initialFocusRef: initialFocusRef
    }) : children);
  });
};
var dialogModalPropTypes = __chunk_1._objectSpread({}, __chunk_14.modalPropTypes, {
  a11yDescriptionId: PropTypes.string,
  a11yTitleId: PropTypes.string,
  actionButtonsProps: PropTypes.shape(ActionButtons.actionButtonsPropTypes),
  children: PropTypes.oneOfType([PropTypes.node, PropTypes.func]).isRequired,
  footer: PropTypes.oneOfType([PropTypes.func, PropTypes.string, PropTypes.element]),
  hasScroll: PropTypes.bool,
  kind: PropTypes.oneOf(['alert']),
  title: PropTypes.oneOfType([PropTypes.string, PropTypes.element]),
  type: PropTypes.string
});
DialogModal.propTypes = dialogModalPropTypes;
var dialogModalDefaultProps = __chunk_1._objectSpread({}, __chunk_14.modalDefaultProps, {
  actionButtonsProps: {},
  a11yDescriptionId: undefined,
  a11yTitleId: undefined,
  footer: undefined,
  hasScroll: false,
  kind: undefined,
  title: undefined,
  type: undefined,
  hideOnEsc: true,
  hideOnClickOutside: true
});
DialogModal.defaultProps = dialogModalDefaultProps; // @ts-ignore

var C = DialogModal;

exports.DialogModal = C;
exports.default = C;
exports.dialogModalDefaultProps = dialogModalDefaultProps;
exports.dialogModalPropTypes = dialogModalPropTypes;
