'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

require('react');
require('prop-types');
require('../types/props.js');
require('reakit/styled');
var styledTools = require('styled-tools');
require('styled-selector');
require('../styled/selector.js');
require('lodash/get');
var space = require('../styled/space.js');
var index$2 = require('../styled/index.js');
require('../chunk-c300b528.js');
require('polished');
require('../default/palette.js');
require('reakit/Button');
require('airbnb-prop-types');
require('../parseIcons.js');
require('reakit/Box');
require('reakit/Block');
require('reakit/Inline');
require('reakit/InlineBlock');
require('reakit/Flex');
require('reakit/InlineFlex');
require('reakit/Grid');
require('../Icon/styled.js');
require('../chunk-bf58d135.js');
require('../Set/styled.js');
require('../Set/index.js');
require('../Button/styled.js');
require('../Spinner/styled.js');
require('../Spinner/index.js');
require('../chunk-7592c834.js');
require('lodash/omit');
require('../Button/ActionButtons.js');
var index$4 = require('../Button/index.js');
require('../Pane/styled.js');
require('../chunk-66ca61c2.js');
var index$6 = require('../Pane/index.js');
require('../Text/styled.js');
var index = require('../Text/index.js');
require('reakit/Label');
var Field = _interopDefault(require('reakit/Field'));
require('../Label/styled.js');
var index$3 = require('../Label/index.js');

var Label = index$2.default(index$3.default).withConfig({
  displayName: "styled__Label",
  componentId: "ixmo9v-0"
})(["margin-bottom:0 !important;&{", ";}"], styledTools.theme('fannypack.FieldWrapper.label'));
var DescriptionText = index$2.default(index.default).withConfig({
  displayName: "styled__DescriptionText",
  componentId: "ixmo9v-1"
})(["display:block;font-size:0.8rem;&{", ";}"], styledTools.theme('fannypack.FieldWrapper.description'));
var HintText = index$2.default(index.default).withConfig({
  displayName: "styled__HintText",
  componentId: "ixmo9v-2"
})(["display:block;font-size:0.8rem;margin-top:", "rem;&{", ";}"], space.default(1), styledTools.theme('fannypack.FieldWrapper.hint'));
var OptionalText = index$2.default(index.default).withConfig({
  displayName: "styled__OptionalText",
  componentId: "ixmo9v-3"
})(["font-size:0.8rem;color:", ";margin-left:", "rem;line-height:1;&{", ";}"], styledTools.palette('text100'), space.default(2), styledTools.theme('fannypack.FieldWrapper.optional'));
var RequiredText = index$2.default(index.default).withConfig({
  displayName: "styled__RequiredText",
  componentId: "ixmo9v-4"
})(["color:", ";margin-left:", "rem;font-weight:", ";font-size:", "rem;&{", ";}"], styledTools.palette('danger'), space.default(1), styledTools.theme('fannypack.fontWeights.semibold'), styledTools.theme('fannypack.fontSizes.150'), styledTools.theme('fannypack.FieldWrapper.required'));
var TooltipButton = index$2.default(index$4.default).withConfig({
  displayName: "styled__TooltipButton",
  componentId: "ixmo9v-5"
})(["margin-left:", "rem;min-height:unset;height:14px;padding:0.1em 0.5em;&{", ";}"], space.default(1), styledTools.theme('fannypack.FieldWrapper.TooltipButton.base'));
var TooltipPopover = index$2.default(index$6.default).withConfig({
  displayName: "styled__TooltipPopover",
  componentId: "ixmo9v-6"
})(["position:absolute;padding:", "rem;margin-top:", "rem;width:max-content;max-width:400px;z-index:999999;&{", ";}"], space.default(1, 'major'), space.default(1, 'major'), styledTools.theme('fannypack.FieldWrapper.TooltipPopover.base'));
var ValidationText = index$2.default(index.default).withConfig({
  displayName: "styled__ValidationText",
  componentId: "ixmo9v-7"
})(["display:block;font-size:0.8rem;margin-top:", "rem;&{", ";}"], space.default(1), styledTools.theme('fannypack.FieldWrapper.validation'));
var FieldWrapper = index$2.default(Field).withConfig({
  displayName: "styled__FieldWrapper",
  componentId: "ixmo9v-8"
})(["&{", ";}"], styledTools.theme('fannypack.FieldWrapper.base'));

exports.DescriptionText = DescriptionText;
exports.FieldWrapper = FieldWrapper;
exports.HintText = HintText;
exports.Label = Label;
exports.OptionalText = OptionalText;
exports.RequiredText = RequiredText;
exports.TooltipButton = TooltipButton;
exports.TooltipPopover = TooltipPopover;
exports.ValidationText = ValidationText;
exports.default = FieldWrapper;
