'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var PropTypes = require('prop-types');
var props = require('../types/props.js');
var styled = require('reakit/styled');
var styled__default = _interopDefault(styled);
require('styled-tools');
require('styled-selector');
require('../styled/selector.js');
var _get = _interopDefault(require('lodash/get'));
require('../styled/space.js');
require('../styled/index.js');
var __chunk_1 = require('../chunk-c300b528.js');
require('reakit/Group');
var styled$1 = require('./styled.js');

var getVerticalBreakpoint = function getVerticalBreakpoint(_ref) {
  var breakpoint = _ref.breakpoint,
      theme = _ref.theme;
  return typeof breakpoint === 'number' ? breakpoint : _get(theme, "fannypack.layout[" + breakpoint + "Breakpoint]");
};

var Group = function Group(_ref2) {
  var children = _ref2.children,
      className = _ref2.className,
      isVertical = _ref2.isVertical,
      theme = _ref2.theme,
      _verticalAt = _ref2.verticalAt,
      props = __chunk_1._objectWithoutPropertiesLoose(_ref2, ["children", "className", "isVertical", "theme", "verticalAt"]);

  var verticalAt = getVerticalBreakpoint({
    breakpoint: _verticalAt,
    theme: theme
  });
  return React.createElement(styled$1.default, __chunk_1._extends({
    className: className,
    vertical: isVertical,
    verticalAt: verticalAt
  }, props), children);
};
var groupPropTypes = {
  children: PropTypes.node.isRequired,
  className: PropTypes.string,
  isVertical: PropTypes.bool,
  theme: PropTypes.object,
  verticalAt: PropTypes.oneOfType([props.breakpointPropType, PropTypes.number])
};
Group.propTypes = groupPropTypes;
var groupDefaultProps = {
  className: undefined,
  isVertical: false,
  theme: {},
  verticalAt: undefined
};
Group.defaultProps = groupDefaultProps; // @ts-ignore

var C = styled.withTheme(Group);

exports.Group = C;
exports.default = C;
exports.groupDefaultProps = groupDefaultProps;
exports.groupPropTypes = groupPropTypes;
