'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var PropTypes = require('prop-types');
require('reakit/styled');
require('styled-tools');
require('styled-selector');
require('../styled/selector.js');
require('lodash/get');
require('../styled/space.js');
require('../styled/index.js');
var __chunk_1 = require('../chunk-c300b528.js');
require('reakit/Box');
require('reakit/Block');
require('reakit/Inline');
require('reakit/InlineBlock');
require('reakit/Flex');
require('reakit/InlineFlex');
require('reakit/Grid');
require('../Icon/styled.js');
var classNames = _interopDefault(require('classnames'));
require('reakit/Heading');
var styled$6 = require('./styled.js');

var Heading = function Heading(_ref) {
  var _classNames;

  var children = _ref.children,
      className = _ref.className,
      isSubHeading = _ref.isSubHeading,
      props = __chunk_1._objectWithoutPropertiesLoose(_ref, ["children", "className", "isSubHeading"]);

  return React.createElement(styled$6.default, __chunk_1._extends({
    className: classNames((_classNames = {}, _classNames[className || ''] = Boolean(className), _classNames.heading = !isSubHeading, _classNames['sub-heading'] = isSubHeading, _classNames)),
    isSubHeading: isSubHeading
  }, props), children);
};
var headingPropTypes = {
  children: PropTypes.node.isRequired,
  className: PropTypes.string,
  isSubHeading: PropTypes.bool
};
Heading.propTypes = headingPropTypes;
var headingDefaultProps = {
  className: undefined,
  isSubHeading: false
};
Heading.defaultProps = headingDefaultProps; // @ts-ignore

var C = Heading;

exports.Heading = C;
exports.default = C;
exports.headingDefaultProps = headingDefaultProps;
exports.headingPropTypes = headingPropTypes;
