'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var PropTypes = require('prop-types');
var __chunk_1 = require('../chunk-c300b528.js');
var _Hidden = _interopDefault(require('reakit/Hidden'));

var HiddenContainer = function HiddenContainer(_ref) {
  var children = _ref.children,
      defaultVisible = _ref.defaultVisible,
      initialState = _ref.initialState,
      props = __chunk_1._objectWithoutPropertiesLoose(_ref, ["children", "defaultVisible", "initialState"]);

  return React.createElement(_Hidden.Container, __chunk_1._extends({
    initialState: __chunk_1._objectSpread({
      visible: defaultVisible
    }, initialState)
  }, props), function (_ref2) {
    var visible = _ref2.visible,
        rest = __chunk_1._objectWithoutPropertiesLoose(_ref2, ["visible"]);

    return children(__chunk_1._objectSpread({
      isVisible: visible
    }, rest));
  });
};
var hiddenContainerPropTypes = {
  children: PropTypes.func.isRequired,
  defaultVisible: PropTypes.bool,
  initialState: PropTypes.object
};
HiddenContainer.propTypes = hiddenContainerPropTypes;
var hiddenContainerDefaultProps = {
  defaultVisible: false,
  initialState: {}
};
HiddenContainer.defaultProps = hiddenContainerDefaultProps;

exports.HiddenContainer = HiddenContainer;
exports.default = HiddenContainer;
exports.hiddenContainerDefaultProps = hiddenContainerDefaultProps;
exports.hiddenContainerPropTypes = hiddenContainerPropTypes;
