'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var PropTypes = require('prop-types');
var props = require('../types/props.js');
require('reakit/styled');
require('styled-tools');
require('styled-selector');
require('../styled/selector.js');
require('lodash/get');
require('../styled/space.js');
require('../styled/index.js');
var __chunk_1 = require('../chunk-c300b528.js');
require('reakit/Hidden');
var HiddenContainer = require('./HiddenContainer.js');
var styled$1 = require('./styled.js');
var HiddenShow = require('./HiddenShow.js');
var HiddenHide = require('./HiddenHide.js');
var HiddenToggle = require('./HiddenToggle.js');

var Hidden = function Hidden(_ref) {
  var children = _ref.children,
      isVisible = _ref.isVisible,
      props = __chunk_1._objectWithoutPropertiesLoose(_ref, ["children", "isVisible"]);

  return React.createElement(styled$1.default, __chunk_1._extends({
    visible: isVisible
  }, props), children);
};
Hidden.Container = HiddenContainer.default;
Hidden.Show = HiddenShow.default;
Hidden.Hide = HiddenHide.default;
Hidden.Toggle = HiddenToggle.default;
var hiddenPropTypes = __chunk_1._objectSpread({}, props.animatePropTypes, props.restrictHidePropTypes, {
  children: PropTypes.node.isRequired,
  className: PropTypes.string,
  isVisible: PropTypes.bool
});
Hidden.propTypes = hiddenPropTypes;
var hiddenDefaultProps = __chunk_1._objectSpread({}, props.animateDefaultProps, props.restrictDefaultProps, {
  className: undefined,
  isVisible: undefined
});
Hidden.defaultProps = hiddenDefaultProps; // @ts-ignore

var C = Hidden;

exports.HiddenContainer = HiddenContainer.default;
exports.hiddenContainerDefaultProps = HiddenContainer.hiddenContainerDefaultProps;
exports.hiddenContainerPropTypes = HiddenContainer.hiddenContainerPropTypes;
exports.HiddenShow = HiddenShow.default;
exports.hiddenShowDefaultProps = HiddenShow.hiddenShowDefaultProps;
exports.hiddenShowPropTypes = HiddenShow.hiddenShowPropTypes;
exports.HiddenHide = HiddenHide.default;
exports.hiddenHideDefaultProps = HiddenHide.hiddenHideDefaultProps;
exports.hiddenHidePropTypes = HiddenHide.hiddenHidePropTypes;
exports.HiddenToggle = HiddenToggle.default;
exports.hiddenToggleDefaultProps = HiddenToggle.hiddenToggleDefaultProps;
exports.hiddenTogglePropTypes = HiddenToggle.hiddenTogglePropTypes;
exports.Hidden = C;
exports.default = C;
exports.hiddenDefaultProps = hiddenDefaultProps;
exports.hiddenPropTypes = hiddenPropTypes;
