'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var PropTypes = require('prop-types');
require('reakit/styled');
require('styled-tools');
require('styled-selector');
require('../styled/selector.js');
require('lodash/get');
require('../styled/space.js');
require('../styled/index.js');
var __chunk_1 = require('../chunk-c300b528.js');
var classNames = _interopDefault(require('classnames'));
require('reakit/Image');
var styled$1 = require('./styled.js');

var Image = function Image(_ref) {
  var _classNames;

  var children = _ref.children,
      className = _ref.className,
      isFixed = _ref.isFixed,
      props = __chunk_1._objectWithoutPropertiesLoose(_ref, ["children", "className", "isFixed"]);

  return React.createElement(styled$1.default, __chunk_1._extends({
    className: classNames((_classNames = {}, _classNames[className || ''] = Boolean(className), _classNames)),
    isFixed: isFixed
  }, props), children);
};
var imagePropTypes = {
  children: PropTypes.node,
  className: PropTypes.string,
  fit: PropTypes.oneOf(['cover', 'contain']),
  fitPosition: PropTypes.string,
  isFixed: PropTypes.bool
};
Image.propTypes = imagePropTypes;
var imageDefaultProps = {
  children: undefined,
  className: undefined,
  fit: undefined,
  fitPosition: undefined,
  isFixed: false
};
Image.defaultProps = imageDefaultProps;
var C = Image;

exports.Image = C;
exports.default = C;
exports.imageDefaultProps = imageDefaultProps;
exports.imagePropTypes = imagePropTypes;
