'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var styled = require('reakit/styled');
var styled__default = _interopDefault(styled);
var styledTools = require('styled-tools');
require('styled-selector');
require('../styled/selector.js');
require('lodash/get');
require('../styled/space.js');
var index$2 = require('../styled/index.js');
var _Image = _interopDefault(require('reakit/Image'));

var fitProperties = function fitProperties(props) {
  if (!props.fit) return;

  if (props.fit === 'contain') {
    return styled.css(["object-fit:contain;", ";", ";", ";"], function (props) {
      return props.fitPosition ? styled.css(["object-position:", ";"], props.fitPosition) : '';
    }, styledTools.theme('fannypack.Image.fit.base'), styledTools.theme('fannypack.Image.fit.contain'));
  }

  if (props.fit === 'cover') {
    return styled.css(["object-fit:cover;", ";", ";", ";"], function (props) {
      return props.fitPosition ? styled.css(["object-position:", ";"], props.fitPosition) : '';
    }, styledTools.theme('fannypack.Image.fit.base'), styledTools.theme('fannypack.Image.fit.cover'));
  }

  return null;
};
var fixedProperties = function fixedProperties(props) {
  if (!props.isFixed) return;
  return styled.css(["max-width:unset;", ";"], styledTools.theme('fannypack.Image.fixed'));
};
var Image = index$2.default(_Image).withConfig({
  displayName: "styled__Image",
  componentId: "sc-19nzt74-0"
})(["max-width:100%;&{", ";}&{", ";}", ";"], fitProperties, fixedProperties, styledTools.theme('fannypack.Image.base'));

exports.Image = Image;
exports.default = Image;
exports.fitProperties = fitProperties;
exports.fixedProperties = fixedProperties;
