'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var PropTypes = require('prop-types');
var props = require('../types/props.js');
var __chunk_1 = require('../chunk-c300b528.js');
require('reakit/Box');
require('reakit/Block');
require('reakit/Inline');
require('reakit/InlineBlock');
require('reakit/Flex');
var InlineFlex = _interopDefault(require('reakit/InlineFlex'));
require('reakit/Grid');
var _omit = _interopDefault(require('lodash/omit'));
var ConditionalWrap = _interopDefault(require('conditional-wrap'));
var fields = require('../adaptors/fields.js');
var __chunk_12 = require('../chunk-7918bb15.js');
var index = require('../Group/index.js');
var InputMask = _interopDefault(require('react-input-mask'));
var styled = require('./styled.js');

var Input = function Input(_ref) {
  var a11yLabel = _ref.a11yLabel,
      a11yId = _ref.a11yId,
      after = _ref.after,
      autoComplete = _ref.autoComplete,
      autoFocus = _ref.autoFocus,
      before = _ref.before,
      defaultValue = _ref.defaultValue,
      disabled = _ref.disabled,
      inputProps = _ref.inputProps,
      inputRef = _ref.inputRef,
      isLoading = _ref.isLoading,
      isRequired = _ref.isRequired,
      mask = _ref.mask,
      max = _ref.max,
      maxLength = _ref.maxLength,
      min = _ref.min,
      minLength = _ref.minLength,
      multiple = _ref.multiple,
      name = _ref.name,
      onBlur = _ref.onBlur,
      onChange = _ref.onChange,
      onFocus = _ref.onFocus,
      pattern = _ref.pattern,
      placeholder = _ref.placeholder,
      readOnly = _ref.readOnly,
      spellCheck = _ref.spellCheck,
      step = _ref.step,
      type = _ref.type,
      size = _ref.size,
      state = _ref.state,
      value = _ref.value,
      props = __chunk_1._objectWithoutPropertiesLoose(_ref, ["a11yLabel", "a11yId", "after", "autoComplete", "autoFocus", "before", "defaultValue", "disabled", "inputProps", "inputRef", "isLoading", "isRequired", "mask", "max", "maxLength", "min", "minLength", "multiple", "name", "onBlur", "onChange", "onFocus", "pattern", "placeholder", "readOnly", "spellCheck", "step", "type", "size", "state", "value"]);

  return React.createElement(styled.InputWrapper, __chunk_1._extends({
    styledSize: size
  }, props), before && React.createElement(InlineFlex, {
    absolute: true,
    zIndex: "3"
  }, before), after && React.createElement(InlineFlex, {
    absolute: true,
    right: "0",
    zIndex: "3"
  }, after), React.createElement(styled.default, __chunk_1._extends({
    use: mask ? InputMask : undefined,
    after: after,
    "aria-invalid": state === 'danger',
    "aria-label": a11yLabel,
    "aria-required": isRequired,
    autoComplete: autoComplete,
    autoFocus: autoFocus,
    before: before,
    defaultValue: defaultValue,
    disabled: disabled,
    elementRef: inputRef,
    id: a11yId,
    mask: mask,
    max: max,
    maxLength: maxLength,
    min: min,
    minLength: minLength,
    multiple: multiple,
    name: name,
    onBlur: onBlur,
    onChange: onChange,
    onFocus: onFocus,
    pattern: pattern,
    placeholder: placeholder,
    readOnly: readOnly,
    spellCheck: spellCheck,
    state: state,
    step: step,
    styledSize: size,
    type: type,
    value: value
  }, _omit(inputProps, 'size'))), isLoading && React.createElement(styled.LoadingSpinner, {
    color: "text",
    size: "small"
  }));
};
Input.Icon = styled.Icon;
Input.Formik = fields.formikField(Input);
Input.ReduxForm = fields.reduxFormField(Input);
var inputPropTypes = {
  after: PropTypes.element,
  a11yId: PropTypes.string,
  a11yLabel: PropTypes.string,
  autoComplete: PropTypes.string,
  autoFocus: PropTypes.bool,
  before: PropTypes.element,
  children: PropTypes.node,
  className: PropTypes.string,
  defaultValue: PropTypes.string,
  disabled: PropTypes.bool,
  inputProps: PropTypes.object,
  inputRef: PropTypes.object,
  isLoading: PropTypes.bool,
  isRequired: PropTypes.bool,
  name: PropTypes.string,
  size: props.sizePropType,
  mask: PropTypes.string,
  max: PropTypes.number,
  maxLength: PropTypes.number,
  min: PropTypes.number,
  minLength: PropTypes.number,
  multiple: PropTypes.bool,
  pattern: PropTypes.string,
  placeholder: PropTypes.string,
  readOnly: PropTypes.bool,
  spellCheck: PropTypes.bool,
  step: PropTypes.number,
  state: PropTypes.string,
  type: PropTypes.string,
  value: PropTypes.string,
  onBlur: PropTypes.func,
  onChange: PropTypes.func,
  onFocus: PropTypes.func
};
Input.propTypes = inputPropTypes;
var inputDefaultProps = {
  a11yId: undefined,
  a11yLabel: undefined,
  autoComplete: undefined,
  autoFocus: false,
  children: null,
  className: undefined,
  defaultValue: undefined,
  disabled: false,
  after: undefined,
  before: undefined,
  inputProps: {},
  inputRef: undefined,
  isLoading: false,
  isRequired: false,
  mask: undefined,
  max: undefined,
  maxLength: undefined,
  min: undefined,
  minLength: undefined,
  multiple: false,
  name: undefined,
  onBlur: undefined,
  onChange: undefined,
  onFocus: undefined,
  pattern: undefined,
  placeholder: undefined,
  readOnly: undefined,
  spellCheck: undefined,
  size: 'default',
  state: undefined,
  step: undefined,
  type: 'text',
  value: undefined
};
Input.defaultProps = inputDefaultProps; // @ts-ignore

var C = Input;

var InputField = function InputField(_ref) {
  var addonBefore = _ref.addonBefore,
      addonAfter = _ref.addonAfter,
      a11yId = _ref.a11yId,
      description = _ref.description,
      hint = _ref.hint,
      isOptional = _ref.isOptional,
      isVertical = _ref.isVertical,
      label = _ref.label,
      validationText = _ref.validationText,
      after = _ref.after,
      a11yLabel = _ref.a11yLabel,
      autoComplete = _ref.autoComplete,
      autoFocus = _ref.autoFocus,
      before = _ref.before,
      children = _ref.children,
      className = _ref.className,
      defaultValue = _ref.defaultValue,
      disabled = _ref.disabled,
      inputProps = _ref.inputProps,
      inputRef = _ref.inputRef,
      isLoading = _ref.isLoading,
      isRequired = _ref.isRequired,
      name = _ref.name,
      size = _ref.size,
      mask = _ref.mask,
      max = _ref.max,
      maxLength = _ref.maxLength,
      min = _ref.min,
      minLength = _ref.minLength,
      multiple = _ref.multiple,
      pattern = _ref.pattern,
      placeholder = _ref.placeholder,
      readOnly = _ref.readOnly,
      spellCheck = _ref.spellCheck,
      step = _ref.step,
      state = _ref.state,
      type = _ref.type,
      value = _ref.value,
      onBlur = _ref.onBlur,
      onChange = _ref.onChange,
      onFocus = _ref.onFocus,
      props = __chunk_1._objectWithoutPropertiesLoose(_ref, ["addonBefore", "addonAfter", "a11yId", "description", "hint", "isOptional", "isVertical", "label", "validationText", "after", "a11yLabel", "autoComplete", "autoFocus", "before", "children", "className", "defaultValue", "disabled", "inputProps", "inputRef", "isLoading", "isRequired", "name", "size", "mask", "max", "maxLength", "min", "minLength", "multiple", "pattern", "placeholder", "readOnly", "spellCheck", "step", "state", "type", "value", "onBlur", "onChange", "onFocus"]);

  return React.createElement(__chunk_12.FieldWrapper, __chunk_1._extends({
    a11yId: a11yId,
    description: description,
    hint: hint,
    isOptional: isOptional,
    isRequired: isRequired,
    label: label,
    state: state,
    validationText: validationText
  }, props), function (_ref2) {
    var elementProps = _ref2.elementProps;
    return React.createElement(ConditionalWrap, {
      condition: addonBefore || addonAfter,
      wrap: function wrap(children) {
        return React.createElement(index.default, {
          isVertical: isVertical
        }, children);
      }
    }, addonBefore, React.createElement(C, __chunk_1._extends({
      after: after,
      a11yId: a11yId,
      a11yLabel: a11yLabel,
      autoComplete: autoComplete,
      autoFocus: autoFocus,
      before: before,
      className: className,
      defaultValue: defaultValue,
      disabled: disabled,
      inputProps: inputProps,
      inputRef: inputRef,
      isLoading: isLoading,
      isRequired: isRequired,
      name: name,
      size: size,
      mask: mask,
      max: max,
      maxLength: maxLength,
      min: min,
      minLength: minLength,
      multiple: multiple,
      pattern: pattern,
      placeholder: placeholder,
      readOnly: readOnly,
      spellCheck: spellCheck,
      step: step,
      state: state,
      type: type,
      value: value,
      onBlur: onBlur,
      onChange: onChange,
      onFocus: onFocus
    }, elementProps), children), addonAfter);
  });
};
InputField.Formik = fields.formikField(InputField, {
  hasFieldWrapper: true
});
InputField.ReduxForm = fields.reduxFormField(InputField, {
  hasFieldWrapper: true
});
var inputFieldPropTypes = __chunk_1._objectSpread({
  addonBefore: PropTypes.element,
  addonAfter: PropTypes.element,
  inputProps: PropTypes.shape(inputPropTypes),
  isVertical: PropTypes.bool
}, __chunk_12.fieldWrapperPropTypes, inputPropTypes);
InputField.propTypes = inputFieldPropTypes;
var inputFieldDefaultProps = __chunk_1._objectSpread({
  addonBefore: undefined,
  addonAfter: undefined,
  inputProps: {},
  isVertical: false
}, __chunk_12.fieldWrapperDefaultProps, inputDefaultProps);
InputField.defaultProps = inputFieldDefaultProps; // @ts-ignore

var C$1 = InputField;

exports.C = C$1;
exports.Input = C;
exports.InputField = InputField;
exports.inputDefaultProps = inputDefaultProps;
exports.inputFieldDefaultProps = inputFieldDefaultProps;
exports.inputFieldPropTypes = inputFieldPropTypes;
exports.inputPropTypes = inputPropTypes;
