'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

require('react');
require('prop-types');
var styled = require('reakit/styled');
var styled__default = _interopDefault(styled);
var styledTools = require('styled-tools');
require('styled-selector');
require('../styled/selector.js');
require('lodash/get');
require('../styled/space.js');
var index$2 = require('../styled/index.js');
require('../chunk-c300b528.js');
require('airbnb-prop-types');
require('../parseIcons.js');
var Box = _interopDefault(require('reakit/Box'));
require('reakit/Block');
require('reakit/Inline');
require('reakit/InlineBlock');
require('reakit/Flex');
require('reakit/InlineFlex');
require('reakit/Grid');
require('../Icon/styled.js');
var __chunk_2 = require('../chunk-bf58d135.js');
require('../Spinner/styled.js');
var index$1 = require('../Spinner/index.js');
var Input$1 = _interopDefault(require('reakit/Input'));

var LoadingSpinner = index$2.default(index$1.default).withConfig({
  displayName: "styled__LoadingSpinner",
  componentId: "kl4ffb-0"
})(["position:absolute;top:10px;right:10px;z-index:2;"]);
var sizeProperties = {
  small: styled.css(["& + ", "{top:8px;}&{", ";}"], LoadingSpinner, styledTools.theme('fannypack.Input.sizes.small')),
  default: styled.css(["&{", ";}"], styledTools.theme('fannypack.Input.sizes.default')),
  medium: styled.css(["& + ", "{top:10px;right:10px;}&{", ";}"], LoadingSpinner, styledTools.theme('fannypack.Input.sizes.medium')),
  large: styled.css(["& + ", "{top:10px;right:10px;}&{", ";}"], LoadingSpinner, styledTools.theme('fannypack.Input.sizes.large'))
};
var wrapperSizeProperties = {
  small: styled.css(["font-size:0.8rem;&{", ";}"], styledTools.theme('fannypack.Input.Wrapper.sizes.small')),
  default: styled.css(["&{", ";}"], styledTools.theme('fannypack.Input.Wrapper.sizes.default')),
  medium: styled.css(["font-size:1.25rem;&{", ";}"], styledTools.theme('fannypack.Input.Wrapper.sizes.medium')),
  large: styled.css(["font-size:1.5rem;&{", ";}"], styledTools.theme('fannypack.Input.Wrapper.sizes.large'))
};
var stateProperties = styled.css(["border-color:", ";box-shadow:", " 0px 0px 0px 1px !important;"], function (props) {
  return styledTools.palette("" + props.state)(props);
}, function (props) {
  return styledTools.palette("" + props.state)(props);
}); // @ts-ignore

var Icon = index$2.default(__chunk_2.Icon).withConfig({
  displayName: "styled__Icon",
  componentId: "kl4ffb-1"
})(["fill:", ";height:2.5em;margin:0 0.75em;top:0;", ";"], styledTools.palette('text100'), styledTools.theme('fannypack.Input.Icon.base'));
var InputWrapper = index$2.default(Box).withConfig({
  displayName: "styled__InputWrapper",
  componentId: "kl4ffb-2"
})(["align-items:center;position:relative;width:100%;&{", ";}&{", ";}"], styledTools.theme('fannypack.Input.Wrapper.base'), function (props) {
  return props.styledSize && wrapperSizeProperties[props.styledSize];
});
var Input = index$2.default(Input$1).withConfig({
  displayName: "styled__Input",
  componentId: "kl4ffb-3"
})(["-webkit-appearance:none;border:1px solid #bdbdbd;box-shadow:inset 0px 1px 2px #e5e5e5;border-radius:0.2em;height:2.5em;width:100%;padding:0.4em 0.6em;&[disabled]{background-color:", ";box-shadow:unset;&{", ";}}&:focus{outline:unset;z-index:2;border-color:", ";box-shadow:", " 0px 0px 0px 1px !important;&{", ";}}&::placeholder{opacity:0.6;&{", ";}}&{", ";}&{", ";}&{", ";}&{", ";}&{", ";}"], styledTools.palette('white700'), styledTools.theme('fannypack.Input.disabled'), function (props) {
  return styledTools.palette('primary')(props);
}, function (props) {
  return styledTools.palette('primary')(props);
}, styledTools.theme('fannypack.Input.focus'), styledTools.theme('fannypack.Input.placeholder'), function (props) {
  return props.after && styled.css(["padding-right:2.3em;"]);
}, function (props) {
  return props.before && styled.css(["padding-left:2.3em;"]);
}, styledTools.theme('fannypack.Input.base'), function (props) {
  return props.styledSize && sizeProperties[props.styledSize];
}, function (props) {
  return props.state && stateProperties;
});

exports.Icon = Icon;
exports.Input = Input;
exports.InputWrapper = InputWrapper;
exports.LoadingSpinner = LoadingSpinner;
exports.default = Input;
exports.sizeProperties = sizeProperties;
exports.stateProperties = stateProperties;
exports.wrapperSizeProperties = wrapperSizeProperties;
