'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var PropTypes = require('prop-types');
var styled = require('reakit/styled');
var styled__default = _interopDefault(styled);
require('styled-tools');
require('styled-selector');
require('../styled/selector.js');
var _get = _interopDefault(require('lodash/get'));
require('../styled/space.js');
require('../styled/index.js');
var __chunk_1 = require('../chunk-c300b528.js');
require('reakit/Box');
require('reakit/Block');
require('reakit/Inline');
require('reakit/InlineBlock');
require('reakit/Flex');
require('reakit/InlineFlex');
require('reakit/Grid');
require('../Set/styled.js');
require('../Set/index.js');
var styled$1 = require('./styled.js');

var LayoutSet = function LayoutSet(_ref) {
  var children = _ref.children,
      theme = _ref.theme,
      props = __chunk_1._objectWithoutPropertiesLoose(_ref, ["children", "theme"]);

  var spacing = props.spacing || _get(theme, 'fannypack.LayoutSet.spacing');

  return React.createElement(styled$1.default, __chunk_1._extends({
    isVertical: !props.isHorizontal
  }, props, {
    spacing: spacing
  }), children);
};
var layoutSetPropTypes = {
  children: PropTypes.node.isRequired,
  isHorizontal: PropTypes.bool,
  spacing: PropTypes.string
};
LayoutSet.propTypes = layoutSetPropTypes;
var layoutSetDefaultProps = {
  isHorizontal: false,
  spacing: undefined
};
LayoutSet.defaultProps = layoutSetDefaultProps; // @ts-ignore

var C = styled.withTheme(LayoutSet);

exports.LayoutSet = C;
exports.default = C;
exports.layoutSetDefaultProps = layoutSetDefaultProps;
exports.layoutSetPropTypes = layoutSetPropTypes;
