'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var PropTypes = require('prop-types');
require('reakit/styled');
require('styled-tools');
require('styled-selector');
require('../styled/selector.js');
require('lodash/get');
require('../styled/space.js');
require('../styled/index.js');
var __chunk_1 = require('../chunk-c300b528.js');
require('reakit/Box');
require('reakit/Block');
require('reakit/Inline');
require('reakit/InlineBlock');
require('reakit/Flex');
require('reakit/InlineFlex');
require('reakit/Grid');
require('reakit/List');
var styled$1 = require('./styled.js');
var ListItem = require('./ListItem.js');

var List = function List(_ref) {
  var children = _ref.children,
      className = _ref.className,
      isOrdered = _ref.isOrdered,
      props = __chunk_1._objectWithoutPropertiesLoose(_ref, ["children", "className", "isOrdered"]);

  return React.createElement(styled$1.default, __chunk_1._extends({
    use: isOrdered ? 'ol' : undefined,
    className: className,
    isOrdered: isOrdered
  }, props), children);
};
List.Item = ListItem.default;
var listPropTypes = {
  children: PropTypes.node.isRequired,
  className: PropTypes.string,
  isOrdered: PropTypes.bool,
  isHorizontal: PropTypes.bool
};
List.propTypes = listPropTypes;
var listDefaultProps = {
  className: undefined,
  isOrdered: false,
  isHorizontal: false
};
List.defaultProps = listDefaultProps;
var C = List;

exports.ListItem = ListItem.default;
exports.listItemDefaultProps = ListItem.listItemDefaultProps;
exports.listItemPropTypes = ListItem.listItemPropTypes;
exports.List = C;
exports.default = C;
exports.listDefaultProps = listDefaultProps;
exports.listPropTypes = listPropTypes;
