'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var styled = require('reakit/styled');
var styled__default = _interopDefault(styled);
var styledTools = require('styled-tools');
require('styled-selector');
require('../styled/selector.js');
require('lodash/get');
var space = require('../styled/space.js');
var index$2 = require('../styled/index.js');
var Box = _interopDefault(require('reakit/Box'));
require('reakit/Block');
require('reakit/Inline');
require('reakit/InlineBlock');
require('reakit/Flex');
require('reakit/InlineFlex');
require('reakit/Grid');
var _List = _interopDefault(require('reakit/List'));

var orderedProperties = styled.css(["list-style-type:decimal;& &{list-style-type:lower-alpha;}& & &{list-style-type:lower-roman;}&{", ";}"], styledTools.theme('fannypack.List.ordered'));
var horizontalProperties = styled.css(["& li{display:inline-block;margin-right:1rem;margin-bottom:unset;}&{", ";}"], styledTools.theme('fannypack.List.horizontal'));
var ListItem = index$2.default(Box).withConfig({
  displayName: "styled__ListItem",
  componentId: "wo6si3-0"
})(["margin-bottom:0.2rem;&{", ";}"], styledTools.theme('fannypack.List.item.base'));
var List = index$2.default(_List).withConfig({
  displayName: "styled__List",
  componentId: "wo6si3-1"
})(["list-style:unset;list-style-type:none;&:not(:last-child){margin-bottom:", "rem;}& &{margin-left:", "rem;}&{", ";}&{", ";}&{", ";}"], space.default(4), space.default(4), function (props) {
  return props.isOrdered && orderedProperties;
}, function (props) {
  return props.isHorizontal && horizontalProperties;
}, styledTools.theme('fannypack.List.base'));

exports.List = List;
exports.ListItem = ListItem;
exports.default = List;
exports.horizontalProperties = horizontalProperties;
exports.orderedProperties = orderedProperties;
