'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var PropTypes = require('prop-types');
require('reakit/styled');
require('styled-tools');
require('styled-selector');
require('../styled/selector.js');
var _get = _interopDefault(require('lodash/get'));
require('../styled/space.js');
require('../styled/index.js');
var __chunk_1 = require('../chunk-c300b528.js');
require('polished');
require('../default/palette.js');
var Box = _interopDefault(require('reakit/Box'));
require('reakit/Block');
require('reakit/Inline');
require('reakit/InlineBlock');
require('reakit/Flex');
require('reakit/InlineFlex');
require('reakit/Grid');
require('../Icon/styled.js');
require('classnames');
require('reakit/Heading');
require('../Heading/styled.js');
var index$5 = require('../Heading/index.js');
require('../Text/styled.js');
var index = require('../Text/index.js');
require('reakit/Blockquote');
require('../Blockquote/styled.js');
var index$1 = require('../Blockquote/index.js');
require('reakit/List');
require('../List/styled.js');
require('../List/ListItem.js');
var index$3 = require('../List/index.js');
require('reakit/Link');
require('../Link/styled.js');
var index$3$1 = require('../Link/index.js');
require('conditional-wrap');
require('reakit/Divider');
require('../Divider/styled.js');
var index$4 = require('../Divider/index.js');
require('reakit/Image');
require('../Image/styled.js');
var index$6 = require('../Image/index.js');
var MarkdownRenderer = _interopDefault(require('markdown-react-js'));
require('reakit/Paragraph');
require('../Paragraph/styled.js');
var index$7 = require('../Paragraph/index.js');
require('../Table/styled.js');
require('../Table/TableBody.js');
require('../Table/TableCaption.js');
require('../Table/TableCell.js');
require('../Table/TableFoot.js');
require('../Table/TableHead.js');
require('../Table/TableHeadCell.js');
require('../Table/TableRow.js');
var index$8 = require('../Table/index.js');

var tags = function tags(props) {
  return {
    p: {
      Component: index$7.default,
      props: _get(props, 'elementProps.p', {})
    },
    strong: {
      Component: index.default,
      props: __chunk_1._objectSpread({
        fontWeight: 'bold'
      }, _get(props, 'elementProps.strong', {}))
    },
    em: {
      Component: index.default,
      props: __chunk_1._objectSpread({
        use: 'em'
      }, _get(props, 'elementProps.em', {}))
    },
    a: {
      Component: index$3$1.default,
      props: _get(props, 'elementProps.a', {})
    },
    blockquote: {
      Component: index$1.default,
      props: _get(props, 'elementProps.blockquote', {})
    },
    h1: {
      Component: index$5.default,
      props: __chunk_1._objectSpread({
        use: 'h1'
      }, _get(props, 'elementProps.h1', {}))
    },
    h2: {
      Component: index$5.default,
      props: __chunk_1._objectSpread({
        use: 'h2'
      }, _get(props, 'elementProps.h2', {}))
    },
    h3: {
      Component: index$5.default,
      props: __chunk_1._objectSpread({
        use: 'h3'
      }, _get(props, 'elementProps.h3', {}))
    },
    h4: {
      Component: index$5.default,
      props: __chunk_1._objectSpread({
        use: 'h4'
      }, _get(props, 'elementProps.h4', {}))
    },
    h5: {
      Component: index$5.default,
      props: __chunk_1._objectSpread({
        use: 'h5'
      }, _get(props, 'elementProps.h5', {}))
    },
    h6: {
      Component: index$5.default,
      props: __chunk_1._objectSpread({
        use: 'h6'
      }, _get(props, 'elementProps.h6', {}))
    },
    hr: __chunk_1._objectSpread({
      Component: index$4.default
    }, _get(props, 'elementProps.hr', {})),
    ul: {
      Component: index$3.default,
      props: __chunk_1._objectSpread({
        listStyleType: 'disc',
        listStylePosition: 'inside'
      }, _get(props, 'elementProps.ul', {}))
    },
    ol: {
      Component: index$3.default,
      props: __chunk_1._objectSpread({
        isOrdered: true,
        listStylePosition: 'inside'
      }, _get(props, 'elementProps.ol', {}))
    },
    li: {
      Component: index$3.default.Item,
      props: _get(props, 'elementProps.li', {})
    },
    table: {
      Component: index$8.default,
      props: _get(props, 'elementProps.table', {})
    },
    tbody: {
      Component: index$8.default.Body,
      props: _get(props, 'elementProps.tbody', {})
    },
    thead: {
      Component: index$8.default.Head,
      props: _get(props, 'elementProps.thead', {})
    },
    tfoot: {
      Component: index$8.default.Foot,
      props: _get(props, 'elementProps.tfoot', {})
    },
    tr: {
      Component: index$8.default.Row,
      props: _get(props, 'elementProps.tr', {})
    },
    td: {
      Component: index$8.default.Cell,
      props: _get(props, 'elementProps.td', {})
    },
    th: {
      Component: index$8.default.HeadCell,
      props: _get(props, 'elementProps.th', {})
    },
    img: {
      Component: index$6.default,
      props: _get(props, 'elementProps.img', {})
    }
  };
};

var markdownPropTypes = {
  content: PropTypes.string.isRequired,
  elementProps: PropTypes.object
};
var markdownDefaultProps = {
  elementProps: {}
};
var Markdown =
/*#__PURE__*/
function (_React$Component) {
  __chunk_1._inheritsLoose(Markdown, _React$Component);

  function Markdown() {
    var _this;

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _React$Component.call.apply(_React$Component, [this].concat(args)) || this;

    __chunk_1._defineProperty(__chunk_1._assertThisInitialized(_this), "handleIterate", function (Tag, props, children) {
      var _ref = tags(_this.props)[Tag] || {
        Component: Tag
      },
          Component = _ref.Component,
          _ref$props = _ref.props,
          overrideProps = _ref$props === void 0 ? {} : _ref$props;

      return (// @ts-ignore
        React.createElement(Component, __chunk_1._extends({}, props, overrideProps || {}), children)
      );
    });

    __chunk_1._defineProperty(__chunk_1._assertThisInitialized(_this), "render", function () {
      var _this$props = _this.props,
          content = _this$props.content,
          props = __chunk_1._objectWithoutPropertiesLoose(_this$props, ["content"]);

      return React.createElement(Box, props, React.createElement(MarkdownRenderer, {
        onIterate: _this.handleIterate,
        text: content
      }));
    });

    return _this;
  }

  return Markdown;
}(React.Component);

__chunk_1._defineProperty(Markdown, "propTypes", markdownPropTypes);

__chunk_1._defineProperty(Markdown, "defaultProps", markdownDefaultProps);

var C = Markdown;

exports.Markdown = C;
exports.default = C;
exports.markdownDefaultProps = markdownDefaultProps;
exports.markdownPropTypes = markdownPropTypes;
