'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var __chunk_1 = require('../chunk-c300b528.js');

var initialState = {
  startAt: undefined,
  handleMenuOpenViaKeyboard: function handleMenuOpenViaKeyboard() {},
  setPopoverProps: function setPopoverProps() {},
  hide: function hide() {},
  show: function show() {},
  toggle: function toggle() {},
  isVisible: false
};
var Context = React.createContext(initialState);
var MenuProvider =
/*#__PURE__*/
function (_React$Component) {
  __chunk_1._inheritsLoose(MenuProvider, _React$Component);

  function MenuProvider() {
    var _this;

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _React$Component.call.apply(_React$Component, [this].concat(args)) || this;

    __chunk_1._defineProperty(__chunk_1._assertThisInitialized(_this), "handleMenuOpenViaKeyboard", function (_temp) {
      var _ref = _temp === void 0 ? {} : _temp,
          _ref$startAt = _ref.startAt,
          startAt = _ref$startAt === void 0 ? 'first' : _ref$startAt;

      _this.setState({
        startAt: startAt
      }, _this.state.show);
    });

    __chunk_1._defineProperty(__chunk_1._assertThisInitialized(_this), "setPopoverProps", function (popover) {
      _this.setState(__chunk_1._objectSpread({}, popover));
    });

    __chunk_1._defineProperty(__chunk_1._assertThisInitialized(_this), "state", __chunk_1._objectSpread({}, initialState, {
      setPopoverProps: _this.setPopoverProps,
      handleMenuOpenViaKeyboard: _this.handleMenuOpenViaKeyboard
    }));

    __chunk_1._defineProperty(__chunk_1._assertThisInitialized(_this), "render", function () {
      var children = _this.props.children;
      return React.createElement(Context.Provider, {
        value: _this.state
      }, children);
    });

    return _this;
  }

  return MenuProvider;
}(React.Component);
var MenuContext = __chunk_1._objectSpread({}, Context, {
  Provider: MenuProvider
});
var withMenuContext = function withMenuContext(C) {
  return function (props) {
    return React.createElement(Context.Consumer, null, function (context) {
      return React.createElement(C, __chunk_1._extends({
        context: context
      }, props));
    });
  };
};

exports.MenuProvider = MenuProvider;
exports.default = MenuContext;
exports.withMenuContext = withMenuContext;
