'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var PropTypes = require('prop-types');
require('../types/props.js');
require('reakit/styled');
require('styled-tools');
require('styled-selector');
require('../styled/selector.js');
require('lodash/get');
require('../styled/space.js');
require('../styled/index.js');
var __chunk_1 = require('../chunk-c300b528.js');
require('polished');
require('../default/palette.js');
require('reakit/Button');
require('airbnb-prop-types');
require('../parseIcons.js');
require('reakit/Box');
require('reakit/Block');
require('reakit/Inline');
require('reakit/InlineBlock');
require('reakit/Flex');
require('reakit/InlineFlex');
require('reakit/Grid');
require('../Icon/styled.js');
require('../chunk-bf58d135.js');
require('../Set/styled.js');
require('../Set/index.js');
require('../Button/styled.js');
require('../Spinner/styled.js');
require('../Spinner/index.js');
require('../chunk-7592c834.js');
require('lodash/omit');
require('../Button/ActionButtons.js');
require('../Button/index.js');
require('../Pane/styled.js');
require('../chunk-66ca61c2.js');
require('../Pane/index.js');
require('../Icon/index.js');
require('../VisuallyHidden.js');
require('reakit/Navigation');
require('../Navigation/styled.js');
require('../chunk-83d5c735.js');
require('../Navigation/index.js');
require('../chunk-f686853d.js');
require('reakit/Popover');
require('../Popover/PopoverContainer.js');
require('../Popover/styled.js');
require('../Popover/PopoverHide.js');
require('../Popover/PopoverClose.js');
require('focus-trap');
require('../chunk-c50ee195.js');
require('../Popover/PopoverPopover.js');
require('../Popover/PopoverShow.js');
require('../Popover/PopoverToggle.js');
require('../chunk-ec80954a.js');
require('reakit/Divider');
require('../Divider/styled.js');
require('../Divider/index.js');
require('../Popover/index.js');
var styled$4 = require('./styled.js');

var MenuGroup = function MenuGroup(_ref) {
  var children = _ref.children,
      title = _ref.title,
      props = __chunk_1._objectWithoutPropertiesLoose(_ref, ["children", "title"]);

  return React.createElement(styled$4.MenuGroup, props, title && React.createElement(styled$4.MenuGroupTitle, null, title), children);
};
var menuGroupPropTypes = {
  children: PropTypes.node.isRequired,
  title: PropTypes.string
};
MenuGroup.propTypes = menuGroupPropTypes;
var menuGroupDefaultProps = {
  title: undefined
};
MenuGroup.defaultProps = menuGroupDefaultProps;
var C = MenuGroup;

exports.MenuGroup = MenuGroup;
exports.default = C;
exports.menuGroupDefaultProps = menuGroupDefaultProps;
exports.menuGroupPropTypes = menuGroupPropTypes;
