'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var PropTypes = require('prop-types');
require('../types/props.js');
require('reakit/styled');
require('styled-tools');
require('styled-selector');
require('../styled/selector.js');
require('lodash/get');
require('../styled/space.js');
require('../styled/index.js');
var __chunk_1 = require('../chunk-c300b528.js');
require('polished');
require('../default/palette.js');
require('reakit/Button');
require('airbnb-prop-types');
require('../parseIcons.js');
require('reakit/Box');
require('reakit/Block');
require('reakit/Inline');
require('reakit/InlineBlock');
require('reakit/Flex');
require('reakit/InlineFlex');
require('reakit/Grid');
require('../Icon/styled.js');
var __chunk_2 = require('../chunk-bf58d135.js');
require('../Set/styled.js');
require('../Set/index.js');
require('../Button/styled.js');
require('../Spinner/styled.js');
require('../Spinner/index.js');
require('../chunk-7592c834.js');
require('lodash/omit');
require('../Button/ActionButtons.js');
require('../Button/index.js');
require('../Pane/styled.js');
require('../chunk-66ca61c2.js');
require('../Pane/index.js');
require('../Icon/index.js');
require('../VisuallyHidden.js');
require('reakit/Navigation');
require('../Navigation/styled.js');
require('../chunk-83d5c735.js');
require('../Navigation/index.js');
require('../chunk-f686853d.js');
require('reakit/Popover');
require('../Popover/PopoverContainer.js');
require('../Popover/styled.js');
require('../Popover/PopoverHide.js');
require('../Popover/PopoverClose.js');
require('focus-trap');
require('../chunk-c50ee195.js');
require('../Popover/PopoverPopover.js');
require('../Popover/PopoverShow.js');
require('../Popover/PopoverToggle.js');
require('../chunk-ec80954a.js');
require('reakit/Divider');
require('../Divider/styled.js');
require('../Divider/index.js');
require('../Popover/index.js');
var styled$4 = require('./styled.js');
var MenuContext = require('./MenuContext.js');

var menuItemPropTypes = {
  children: PropTypes.node.isRequired,
  hideOnClick: PropTypes.bool,
  icon: __chunk_2.iconPropTypes['icon'],
  isActive: PropTypes.bool,
  isDisabled: PropTypes.bool,
  onClick: PropTypes.func
};
var menuItemDefaultProps = {
  hideOnClick: true,
  icon: undefined,
  isActive: false,
  isDisabled: false,
  onClick: undefined
};
var MenuItem =
/*#__PURE__*/
function (_React$Component) {
  __chunk_1._inheritsLoose(MenuItem, _React$Component);

  function MenuItem() {
    var _this;

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _React$Component.call.apply(_React$Component, [this].concat(args)) || this;

    __chunk_1._defineProperty(__chunk_1._assertThisInitialized(_this), "handleClick", function (e) {
      var _this$props = _this.props,
          context = _this$props.context,
          hideOnClick = _this$props.hideOnClick,
          onClick = _this$props.onClick;
      onClick && onClick(e);
      hideOnClick && context && context.hide();
    });

    __chunk_1._defineProperty(__chunk_1._assertThisInitialized(_this), "render", function () {
      var _this$props2 = _this.props,
          children = _this$props2.children,
          icon = _this$props2.icon,
          isDisabled = _this$props2.isDisabled,
          props = __chunk_1._objectWithoutPropertiesLoose(_this$props2, ["children", "icon", "isDisabled"]);

      return React.createElement(styled$4.MenuItem, __chunk_1._extends({
        role: "menuitem",
        disabled: isDisabled
      }, props, {
        onClick: _this.handleClick,
        type: "button"
      }), icon && // @ts-ignore
      React.createElement(styled$4.MenuIcon, {
        a11yHidden: true,
        icon: icon
      }), children);
    });

    return _this;
  }

  return MenuItem;
}(React.Component); // @ts-ignore

__chunk_1._defineProperty(MenuItem, "propTypes", menuItemPropTypes);

__chunk_1._defineProperty(MenuItem, "defaultProps", menuItemDefaultProps);

var C = MenuContext.withMenuContext(MenuItem);

exports.MenuItem = MenuItem;
exports.default = C;
exports.menuItemDefaultProps = menuItemDefaultProps;
exports.menuItemPropTypes = menuItemPropTypes;
