'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var PropTypes = require('prop-types');
require('../types/props.js');
require('reakit/styled');
require('styled-tools');
require('styled-selector');
require('../styled/selector.js');
require('lodash/get');
require('../styled/space.js');
require('../styled/index.js');
var __chunk_1 = require('../chunk-c300b528.js');
require('polished');
require('../default/palette.js');
require('reakit/Button');
require('airbnb-prop-types');
require('../parseIcons.js');
require('reakit/Box');
require('reakit/Block');
require('reakit/Inline');
require('reakit/InlineBlock');
require('reakit/Flex');
require('reakit/InlineFlex');
require('reakit/Grid');
require('../Icon/styled.js');
require('../chunk-bf58d135.js');
require('../Set/styled.js');
require('../Set/index.js');
require('../Button/styled.js');
require('../Spinner/styled.js');
require('../Spinner/index.js');
require('../chunk-7592c834.js');
require('lodash/omit');
require('../Button/ActionButtons.js');
require('../Button/index.js');
require('../Pane/styled.js');
require('../chunk-66ca61c2.js');
require('../Pane/index.js');
require('../Icon/index.js');
require('../VisuallyHidden.js');
require('reakit/Navigation');
require('../Navigation/styled.js');
require('../chunk-83d5c735.js');
require('../Navigation/index.js');
require('../chunk-f686853d.js');
require('reakit/Popover');
require('../Popover/PopoverContainer.js');
require('../Popover/styled.js');
require('../Popover/PopoverHide.js');
require('../Popover/PopoverClose.js');
require('focus-trap');
require('../chunk-c50ee195.js');
require('../Popover/PopoverPopover.js');
require('../Popover/PopoverShow.js');
require('../Popover/PopoverToggle.js');
var __chunk_11 = require('../chunk-ec80954a.js');
require('reakit/Divider');
require('../Divider/styled.js');
require('../Divider/index.js');
require('../Popover/index.js');
var styled$4 = require('./styled.js');
var MenuContext = require('./MenuContext.js');

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Component = function (_React$Component) {
  _inherits(Component, _React$Component);

  function Component() {
    var _temp, _this, _ret;

    _classCallCheck(this, Component);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = _possibleConstructorReturn(this, _React$Component.call.apply(_React$Component, [this].concat(args))), _this), _initialiseProps.call(_this), _temp), _possibleConstructorReturn(_this, _ret);
  }

  Component.prototype.getArgs = function getArgs() {
    var state = this.state,
        props = this.props,
        setState = this._setState,
        forceUpdate = this._forceUpdate;

    return {
      state: state,
      props: props,
      setState: setState,
      forceUpdate: forceUpdate
    };
  };

  Component.prototype.componentDidMount = function componentDidMount() {
    if (this.props.didMount) this.props.didMount(this.getArgs());
  };

  Component.prototype.shouldComponentUpdate = function shouldComponentUpdate(nextProps, nextState) {
    if (this.props.shouldUpdate) return this.props.shouldUpdate({
      props: this.props,
      state: this.state,
      nextProps: nextProps,
      nextState: nextState
    });else return true;
  };

  Component.prototype.componentWillUnmount = function componentWillUnmount() {
    if (this.props.willUnmount) this.props.willUnmount({
      state: this.state,
      props: this.props
    });
  };

  Component.prototype.componentDidUpdate = function componentDidUpdate(prevProps, prevState) {
    if (this.props.didUpdate) this.props.didUpdate(Object.assign(this.getArgs(), {
      prevProps: prevProps,
      prevState: prevState
    }));
  };

  Component.prototype.render = function render() {
    var _props = this.props,
        children = _props.children,
        render = _props.render;

    return children ? typeof children === 'function' ? children(this.getArgs()) : children : render ? render(this.getArgs()) : null;
  };

  return Component;
}(React__default.Component);

var _initialiseProps = function _initialiseProps() {
  var _this2 = this;

  this.state = this.props.initialState;

  this._setState = function () {
    return _this2.setState.apply(_this2, arguments);
  };

  this._forceUpdate = function () {
    return _this2.forceUpdate.apply(_this2, arguments);
  };
};

var menuPopoverPropTypes = __chunk_1._objectSpread({}, __chunk_11.popoverPropTypes, {
  children: PropTypes.node.isRequired
});
var menuPopoverDefaultProps = __chunk_1._objectSpread({}, __chunk_11.popoverDefaultProps, {
  gutter: 6,
  placement: 'bottom-start'
});
var MenuPopover =
/*#__PURE__*/
function (_React$Component) {
  __chunk_1._inheritsLoose(MenuPopover, _React$Component);

  function MenuPopover() {
    var _this;

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _React$Component.call.apply(_React$Component, [this].concat(args)) || this;

    __chunk_1._defineProperty(__chunk_1._assertThisInitialized(_this), "render", function () {
      var _this$props = _this.props,
          children = _this$props.children,
          props = __chunk_1._objectWithoutPropertiesLoose(_this$props, ["children"]);

      return React.createElement(MenuContext.MenuProvider, null, React.createElement(styled$4.MenuPopover, props, function (popover) {
        return React.createElement(MenuContext.default.Consumer, null, function (_ref) {
          var setPopoverProps = _ref.setPopoverProps;
          return React.createElement(Component, {
            initialState: {
              isVisible: popover.isVisible
            } // @ts-ignore
            ,
            didMount: function didMount(_ref2) {
              var setState = _ref2.setState;
              setState({
                isVisible: popover.isVisible
              });
              setPopoverProps && setPopoverProps(popover);
            } // @ts-ignore
            ,
            didUpdate: function didUpdate(_ref3) {
              var isVisible = _ref3.state.isVisible,
                  setState = _ref3.setState;

              if (popover.isVisible !== isVisible) {
                setState({
                  isVisible: popover.isVisible
                });
                setPopoverProps && setPopoverProps(popover);
              }
            }
          }, function () {
            return children;
          });
        });
      }));
    });

    return _this;
  }

  return MenuPopover;
}(React.Component); // @ts-ignore

__chunk_1._defineProperty(MenuPopover, "propTypes", menuPopoverPropTypes);

__chunk_1._defineProperty(MenuPopover, "defaultProps", menuPopoverDefaultProps);

var C = MenuPopover;

exports.MenuPopover = MenuPopover;
exports.default = C;
exports.menuPopoverDefaultProps = menuPopoverDefaultProps;
exports.menuPopoverPropTypes = menuPopoverPropTypes;
