'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var PropTypes = require('prop-types');
var __chunk_1 = require('../chunk-c300b528.js');
var Box = _interopDefault(require('reakit/Box'));
require('reakit/Block');
require('reakit/Inline');
require('reakit/InlineBlock');
require('reakit/Flex');
require('reakit/InlineFlex');
require('reakit/Grid');
var MenuContext = require('./MenuContext.js');

var KEYS = {
  UP: 38,
  DOWN: 40,
  TAB: 9,
  SPACE: 32
};
var menuTriggerPropTypes = {
  context: PropTypes.object,
  isVisible: PropTypes.bool,
  onClick: PropTypes.func
};
var menuTriggerDefaultProps = {
  context: undefined,
  isVisible: false,
  onClick: undefined
};
var MenuTrigger =
/*#__PURE__*/
function (_React$Component) {
  __chunk_1._inheritsLoose(MenuTrigger, _React$Component);

  function MenuTrigger() {
    var _this;

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _React$Component.call.apply(_React$Component, [this].concat(args)) || this;

    __chunk_1._defineProperty(__chunk_1._assertThisInitialized(_this), "handleKeyDown", function (e) {
      var _this$props = _this.props,
          context = _this$props.context,
          isVisible = _this$props.isVisible;

      if (!isVisible) {
        if (e.keyCode === KEYS.DOWN || e.keyCode === KEYS.TAB || e.keyCode === KEYS.SPACE || e.keyCode === KEYS.UP) {
          e.preventDefault();
          context && context.handleMenuOpenViaKeyboard({
            startAt: e.keyCode === KEYS.UP ? 'last' : 'first'
          });
        }
      }
    });

    __chunk_1._defineProperty(__chunk_1._assertThisInitialized(_this), "render", function () {
      var _this$props2 = _this.props,
          context = _this$props2.context,
          props = __chunk_1._objectWithoutPropertiesLoose(_this$props2, ["context"]);

      return React.createElement(Box, __chunk_1._extends({
        "aria-haspopup": "menu",
        "aria-expanded": context && context.isVisible,
        onKeyDown: _this.handleKeyDown
      }, context, props, {
        type: "button"
      }));
    });

    return _this;
  }

  return MenuTrigger;
}(React.Component); // @ts-ignore

__chunk_1._defineProperty(MenuTrigger, "propTypes", menuTriggerPropTypes);

__chunk_1._defineProperty(MenuTrigger, "defaultProps", menuTriggerDefaultProps);

var C = MenuContext.withMenuContext(MenuTrigger);

exports.MenuTrigger = MenuTrigger;
exports.default = C;
exports.menuTriggerDefaultProps = menuTriggerDefaultProps;
exports.menuTriggerPropTypes = menuTriggerPropTypes;
