'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

require('react');
require('prop-types');
require('../types/props.js');
var styled = require('reakit/styled');
var styled__default = _interopDefault(styled);
var styledTools = require('styled-tools');
require('styled-selector');
var selector$1 = require('../styled/selector.js');
require('lodash/get');
var space = require('../styled/space.js');
var index$2 = require('../styled/index.js');
require('../chunk-c300b528.js');
require('polished');
require('../default/palette.js');
var _Button = _interopDefault(require('reakit/Button'));
require('airbnb-prop-types');
require('../parseIcons.js');
var Box = _interopDefault(require('reakit/Box'));
require('reakit/Block');
require('reakit/Inline');
require('reakit/InlineBlock');
require('reakit/Flex');
require('reakit/InlineFlex');
require('reakit/Grid');
var styled$1 = require('../Icon/styled.js');
var __chunk_2 = require('../chunk-bf58d135.js');
require('../Set/styled.js');
require('../Set/index.js');
require('../Button/styled.js');
require('../Spinner/styled.js');
require('../Spinner/index.js');
require('../chunk-7592c834.js');
require('lodash/omit');
require('../Button/ActionButtons.js');
var index$4 = require('../Button/index.js');
require('../Pane/styled.js');
require('../chunk-66ca61c2.js');
require('../Pane/index.js');
require('../Icon/index.js');
require('../VisuallyHidden.js');
require('reakit/Navigation');
require('../Navigation/styled.js');
require('../chunk-83d5c735.js');
var index$1$2 = require('../Navigation/index.js');
require('../chunk-f686853d.js');
require('reakit/Popover');
require('../Popover/PopoverContainer.js');
require('../Popover/styled.js');
require('../Popover/PopoverHide.js');
require('../Popover/PopoverClose.js');
require('focus-trap');
require('../chunk-c50ee195.js');
require('../Popover/PopoverPopover.js');
require('../Popover/PopoverShow.js');
require('../Popover/PopoverToggle.js');
require('../chunk-ec80954a.js');
require('reakit/Divider');
require('../Divider/styled.js');
var index$4$1 = require('../Divider/index.js');
var index = require('../Popover/index.js');

var MenuItem = index$2.default(_Button).withConfig({
  displayName: "styled__MenuItem",
  componentId: "l9b8us-0"
})(["background-color:unset;cursor:pointer;display:block;font-weight:", ";padding:", "rem ", "rem;text-align:left;width:100%;a&{color:unset;fill:unset;text-decoration:unset;&:hover{color:unset;fill:unset;}}&[disabled]{cursor:not-allowed;opacity:0.5;&{", ";}}&:not(:disabled):focus{outline:unset;background-color:", ";&{", ";}}&:not(:disabled):hover{background-color:", ";&{", ";}}&:not(:disabled):focus:active,&:not(:disabled):hover:active{background-color:", ";}", " & ", "{top:0.15em;}&{", ";}"], styledTools.theme('fannypack.fontWeights.semibold'), space.default(1.5), space.default(4), styledTools.theme('fannypack.Menu.Item.disabled'), styledTools.palette('white600'), styledTools.theme('fannypack.Menu.Item.focus'), styledTools.palette('white600'), styledTools.theme('fannypack.Menu.Item.hover'), styledTools.palette('white700'), function (props) {
  return props.isActive && styled.css(["background-color:", ";&&:hover,&&:focus{background-color:", ";}&{", ";}"], styledTools.palette('white700'), styledTools.palette('white800'), styledTools.theme('fannypack.Menu.Item.active'));
}, selector$1.default(styled$1.default), styledTools.theme('fannypack.Menu.Item.base'));
var MenuButton = index$2.default(index$4.default).withConfig({
  displayName: "styled__MenuButton",
  componentId: "l9b8us-1"
})(["&{", ";}"], styledTools.theme('fannypack.Menu.Button.base'));
var MenuDivider = index$2.default(index$4$1.default).withConfig({
  displayName: "styled__MenuDivider",
  componentId: "l9b8us-2"
})(["margin:0;width:100%;&{", ";}"], styledTools.theme('fannypack.Menu.Divider.base'));
var MenuIcon = index$2.default(__chunk_2.Icon).withConfig({
  displayName: "styled__MenuIcon",
  componentId: "l9b8us-3"
})(["margin-right:", "rem;&{", ";}"], space.default(2), styledTools.theme('fannypack.Menu.Item.icon'));
var MenuGroup = index$2.default(Box).withConfig({
  displayName: "styled__MenuGroup",
  componentId: "l9b8us-4"
})(["margin:", "rem 0;width:100%;&{", ";}"], space.default(2), styledTools.theme('fannypack.Menu.Group.base'));
var MenuGroupTitle = index$2.default(Box).withConfig({
  displayName: "styled__MenuGroupTitle",
  componentId: "l9b8us-5"
})(["color:", ";font-size:", "rem;font-weight:", ";letter-spacing:1px;padding:", "rem ", "rem;padding-top:", "rem;text-transform:uppercase;&{", ";}"], styledTools.palette('text200'), styledTools.theme('fannypack.fontSizes.100'), styledTools.theme('fannypack.fontWeights.semibold'), space.default(2), space.default(4), space.default(1), styledTools.theme('fannypack.Menu.Group.title'));
var MenuPopover = index$2.default(index.default).withConfig({
  displayName: "styled__MenuPopover",
  componentId: "l9b8us-6"
})(["padding:0px;width:200px;&{", ";}"], styledTools.theme('fannypack.Menu.Popover.base'));
var Menu = index$2.default(index$1$2.default).withConfig({
  displayName: "styled__Menu",
  componentId: "l9b8us-7"
})(["display:flex;align-items:flex-start;", ";&{", ";}"], function (props) {
  return props.isHorizontal ? styled.css(["flex-direction:row;& ", "{display:flex;flex-direction:row;flex-wrap:wrap;}& ", "{width:unset;}&{", ";}"], selector$1.default(MenuGroup), selector$1.default(MenuItem), styledTools.theme('fannypack.Menu.horizontal')) : styled.css(["flex-direction:column;&{", ";}"], styledTools.theme('fannypack.Menu.vertical'));
}, styledTools.theme('fannypack.Menu.base'));

exports.Menu = Menu;
exports.MenuButton = MenuButton;
exports.MenuDivider = MenuDivider;
exports.MenuGroup = MenuGroup;
exports.MenuGroupTitle = MenuGroupTitle;
exports.MenuIcon = MenuIcon;
exports.MenuItem = MenuItem;
exports.MenuPopover = MenuPopover;
exports.default = Menu;
