'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var PropTypes = require('prop-types');
require('../types/props.js');
var styled = require('reakit/styled');
var styled__default = _interopDefault(styled);
require('styled-tools');
require('styled-selector');
require('../styled/selector.js');
var _get = _interopDefault(require('lodash/get'));
require('../styled/space.js');
require('../styled/index.js');
var __chunk_1 = require('../chunk-c300b528.js');
require('polished');
require('../default/palette.js');
require('reakit/Button');
require('airbnb-prop-types');
require('../parseIcons.js');
require('reakit/Box');
require('reakit/Block');
require('reakit/Inline');
require('reakit/InlineBlock');
require('reakit/Flex');
require('reakit/InlineFlex');
require('reakit/Grid');
require('../Icon/styled.js');
require('../chunk-bf58d135.js');
require('../Set/styled.js');
require('../Set/index.js');
require('../Button/styled.js');
require('reakit/Portal');
require('../Portal/styled.js');
require('../Portal/index.js');
require('../Spinner/styled.js');
require('../Spinner/index.js');
require('../chunk-7592c834.js');
require('lodash/omit');
require('../Button/ActionButtons.js');
require('../Button/index.js');
require('../Icon/index.js');
require('../VisuallyHidden.js');
require('reakit/Backdrop');
require('../Backdrop/styled.js');
require('../Backdrop/index.js');
require('../chunk-f686853d.js');
require('focus-trap');
require('../chunk-c50ee195.js');
require('../Container/styled.js');
var __chunk_13 = require('../chunk-7e37e2b4.js');
require('../Container/index.js');
require('reakit/Sidebar');
require('../Sidebar/SidebarContainer.js');
require('../Sidebar/styled.js');
require('../Sidebar/SidebarClose.js');
require('../Sidebar/SidebarHide.js');
require('../Sidebar/SidebarShow.js');
require('../chunk-55b97652.js');
require('../Sidebar/index.js');
var styled$6 = require('./styled.js');

var PageContent = function PageContent(_ref) {
  var breakpoint = _ref.breakpoint,
      children = _ref.children,
      isFluid = _ref.isFluid,
      isLayout = _ref.isLayout,
      theme = _ref.theme,
      wrapperProps = _ref.wrapperProps,
      props = __chunk_1._objectWithoutPropertiesLoose(_ref, ["breakpoint", "children", "isFluid", "isLayout", "theme", "wrapperProps"]);

  return React.createElement(styled$6.PageContentWrapper, wrapperProps, React.createElement(styled$6.PageContent, __chunk_1._extends({
    breakpoint: breakpoint,
    isFluid: isFluid || !breakpoint,
    isLayout: isLayout
  }, props, _get(theme, 'fannypack.Page.Content.defaultProps', {})), children));
};
var PageContentPropTypes = __chunk_1._objectSpread({}, __chunk_13.containerPropTypes, {
  children: PropTypes.node.isRequired,
  theme: PropTypes.object,
  wrapperProps: PropTypes.object
});
PageContent.propTypes = PageContentPropTypes;
var PageContentDefaultProps = __chunk_1._objectSpread({}, __chunk_13.containerDefaultProps, {
  breakpoint: 'tablet',
  isLayout: true,
  theme: {},
  wrapperProps: {}
});
PageContent.defaultProps = PageContentDefaultProps;
var C = styled.withTheme(PageContent);

exports.PageContent = PageContent;
exports.PageContentDefaultProps = PageContentDefaultProps;
exports.PageContentPropTypes = PageContentPropTypes;
exports.default = C;
