'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var PropTypes = require('prop-types');
require('../types/props.js');
var styled = require('reakit/styled');
var styled__default = _interopDefault(styled);
require('styled-tools');
require('styled-selector');
require('../styled/selector.js');
var _get = _interopDefault(require('lodash/get'));
require('../styled/space.js');
require('../styled/index.js');
var __chunk_1 = require('../chunk-c300b528.js');
require('polished');
require('../default/palette.js');
require('reakit/Button');
require('airbnb-prop-types');
require('../parseIcons.js');
var Box = _interopDefault(require('reakit/Box'));
require('reakit/Block');
require('reakit/Inline');
require('reakit/InlineBlock');
require('reakit/Flex');
require('reakit/InlineFlex');
require('reakit/Grid');
require('../Icon/styled.js');
require('../chunk-bf58d135.js');
require('../Set/styled.js');
require('../Set/index.js');
require('../Button/styled.js');
require('reakit');
require('reakit/Portal');
require('../Portal/styled.js');
require('../Portal/index.js');
require('../Spinner/styled.js');
require('../Spinner/index.js');
require('../chunk-7592c834.js');
require('lodash/omit');
require('../Button/ActionButtons.js');
require('../Button/index.js');
require('../Icon/index.js');
require('../VisuallyHidden.js');
require('reakit/Backdrop');
require('../Backdrop/styled.js');
require('../Backdrop/index.js');
require('../chunk-f686853d.js');
require('focus-trap');
require('../chunk-c50ee195.js');
require('../Container/styled.js');
require('../chunk-7e37e2b4.js');
require('../Container/index.js');
require('react-media');
var PageContainer = require('./PageContainer.js');
require('reakit/Sidebar');
require('../Sidebar/SidebarContainer.js');
require('../Sidebar/styled.js');
require('../Sidebar/SidebarClose.js');
require('../Sidebar/SidebarHide.js');
require('../Sidebar/SidebarShow.js');
var __chunk_15 = require('../chunk-55b97652.js');
require('../Sidebar/index.js');
var styled$6 = require('./styled.js');
var _merge = _interopDefault(require('lodash/merge'));

var PageWithSidebar = function PageWithSidebar(_ref) {
  var children = _ref.children,
      _hideSidebarOnDesktop = _ref.hideSidebarOnDesktop,
      sidebarContent = _ref.sidebarContent,
      _sidebarProps = _ref.sidebarProps,
      _sidebarWidth = _ref.sidebarWidth,
      theme = _ref.theme,
      props = __chunk_1._objectWithoutPropertiesLoose(_ref, ["children", "hideSidebarOnDesktop", "sidebarContent", "sidebarProps", "sidebarWidth", "theme"]);

  var defaultProps = _get(theme, 'fannypack.Page.WithSidebar.defaultProps', {});

  var hideSidebarOnDesktop = _hideSidebarOnDesktop || defaultProps.hideSidebarOnDesktop;

  var sidebarProps = _merge(_sidebarProps, defaultProps.sidebarProps);

  var sidebarWidth = _sidebarWidth || defaultProps.sidebarWidth;
  return React.createElement(PageContainer.default, null, function (page) {
    return React.createElement(styled$6.PageWithSidebar, props, React.createElement(styled$6.Spacer, {
      hideSidebarOnDesktop: hideSidebarOnDesktop,
      isMinimized: page.isMinimized,
      isVisible: page.isSidebarOpen,
      sidebarWidth: sidebarWidth
    }), page && page.isCollapsed ? // @ts-ignore
    React.createElement(styled$6.MobileSidebarWrapper, __chunk_1._extends({}, sidebarProps, {
      isVisible: page.isSidebarOpen,
      onClickClose: page.closeSidebar,
      hide: page.closeSidebar,
      width: sidebarWidth
    }), React.createElement(styled$6.Sidebar, {
      sidebarWidth: sidebarWidth
    }, sidebarContent)) : React.createElement(React.Fragment, null, !hideSidebarOnDesktop && React.createElement(styled$6.DesktopSidebarWrapper, {
      isVisible: page.isSidebarOpen
    }, React.createElement(styled$6.Sidebar, {
      isMinimized: page.isMinimized,
      sidebarWidth: sidebarWidth
    }, sidebarContent))), React.createElement(Box, {
      width: "100%"
    }, typeof children === 'function' ?
    /*
    // @ts-ignore */
    children({
      page: page
    }) : children));
  });
};
var PageWithSidebarPropTypes = {
  children: PropTypes.node.isRequired,
  hideSidebarOnDesktop: PropTypes.bool,
  sidebarContent: PropTypes.element.isRequired,
  sidebarProps: PropTypes.shape(__chunk_15.sidebarPropTypes),
  sidebarWidth: PropTypes.string,
  theme: PropTypes.object
};
PageWithSidebar.propTypes = PageWithSidebarPropTypes;
var PageWithSidebarDefaultProps = {
  hideSidebarOnDesktop: false,
  sidebarProps: {},
  sidebarWidth: '250px',
  theme: {}
};
PageWithSidebar.defaultProps = PageWithSidebarDefaultProps;
var C = styled.withTheme(PageWithSidebar);

exports.PageWithSidebar = PageWithSidebar;
exports.PageWithSidebarDefaultProps = PageWithSidebarDefaultProps;
exports.PageWithSidebarPropTypes = PageWithSidebarPropTypes;
exports.default = C;
