'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

require('react');
require('prop-types');
require('../types/props.js');
var styled = require('reakit/styled');
var styled__default = _interopDefault(styled);
var styledTools = require('styled-tools');
require('styled-selector');
require('../styled/selector.js');
var _get = _interopDefault(require('lodash/get'));
var space = require('../styled/space.js');
var index$2 = require('../styled/index.js');
require('../chunk-c300b528.js');
require('polished');
require('../default/palette.js');
require('reakit/Button');
require('airbnb-prop-types');
require('../parseIcons.js');
var Box = _interopDefault(require('reakit/Box'));
require('reakit/Block');
require('reakit/Inline');
require('reakit/InlineBlock');
var Flex = _interopDefault(require('reakit/Flex'));
require('reakit/InlineFlex');
require('reakit/Grid');
require('../Icon/styled.js');
require('../chunk-bf58d135.js');
require('../Set/styled.js');
require('../Set/index.js');
require('../Button/styled.js');
require('reakit/Portal');
require('../Portal/styled.js');
require('../Portal/index.js');
require('../Spinner/styled.js');
require('../Spinner/index.js');
require('../chunk-7592c834.js');
require('lodash/omit');
require('../Button/ActionButtons.js');
require('../Button/index.js');
require('../Icon/index.js');
require('../VisuallyHidden.js');
require('reakit/Backdrop');
require('../Backdrop/styled.js');
require('../Backdrop/index.js');
require('../chunk-f686853d.js');
require('focus-trap');
require('../chunk-c50ee195.js');
require('../Container/styled.js');
var __chunk_13 = require('../chunk-7e37e2b4.js');
require('../Container/index.js');
require('reakit/Sidebar');
require('../Sidebar/SidebarContainer.js');
require('../Sidebar/styled.js');
require('../Sidebar/SidebarClose.js');
require('../Sidebar/SidebarHide.js');
require('../Sidebar/SidebarShow.js');
var __chunk_15 = require('../chunk-55b97652.js');
require('../Sidebar/index.js');

// @ts-ignore
var getWidth = function getWidth(props) {
  if (props.isMinimized) {
    return styledTools.theme('fannypack.Page.WithSidebar.minimizedSidebarWidth')(props);
  }

  return props.sidebarWidth || styledTools.theme('fannypack.Page.WithSidebar.sidebarWidth')(props);
};
var PageContent = index$2.default(__chunk_13.Container).withConfig({
  displayName: "styled__PageContent",
  componentId: "sc-1wthesb-0"
})(["padding:", "rem ", "rem;@media (max-width:", "px){padding-top:", "rem;padding-bottom:", "rem;&{", ";}}", " &{", ";}"], space.default(4, 'major'), space.default(2, 'major'), styledTools.theme('fannypack.layout.tabletBreakpoint'), space.default(2, 'major'), space.default(2, 'major'), styledTools.theme('fannypack.Page.Content.mobile'), function (props) {
  return props.isFluid && styled.css(["padding:", "rem ", ";&{", ";}"], space.default(2, 'major'), styledTools.theme('fannypack.Container.fluidMargin'), styledTools.theme('fannypack.Page.Content.fluid'));
}, styledTools.theme('fannypack.Page.Content.base'));
var PageContentWrapper = index$2.default(Box).withConfig({
  displayName: "styled__PageContentWrapper",
  componentId: "sc-1wthesb-1"
})(["&{", ";}"], styledTools.theme('fannypack.Page.Content.wrapper'));
var Spacer = index$2.default(Box).withConfig({
  displayName: "styled__Spacer",
  componentId: "sc-1wthesb-2"
})(["width:", ";min-width:", ";", ";@media screen and (max-width:", "px){width:0px;min-width:0px;&{", ";}}", " &{", ";}"], getWidth, getWidth, function (props) {
  return !props.isVisible && styled.css(["display:none;"]);
}, function (props) {
  return styledTools.theme("fannypack.layout." + _get(props, 'theme.fannypack.Page.collapseBreakpoint') + "Breakpoint");
}, styledTools.theme('fannypack.Page.WithSidebar.Spacer.mobile'), function (props) {
  return props.hideSidebarOnDesktop && styled.css(["width:0px;min-width:0px;"]);
}, styledTools.theme('fannypack.Page.WithSidebar.Spacer.base'));
var Sidebar = index$2.default(Box).withConfig({
  displayName: "styled__Sidebar",
  componentId: "sc-1wthesb-3"
})(["background-color:", ";height:100vh;min-width:", ";width:", ";overflow-y:auto;transform:translateX(0px);", " &{", ";}"], styledTools.palette('white700'), getWidth, getWidth, function (props) {
  return props.isMinimized && styled.css(["overflow:visible;"]);
}, styledTools.theme('fannypack.Page.WithSidebar.Sidebar.base'));
var DesktopSidebarWrapper = index$2.default(Box).withConfig({
  displayName: "styled__DesktopSidebarWrapper",
  componentId: "sc-1wthesb-4"
})(["position:fixed;", " @media screen and (max-width:", "px){display:none;}&{", ";}"], function (props) {
  return !props.isVisible && styled.css(["display:none;"]);
}, function (props) {
  return styledTools.theme("fannypack.layout." + _get(props, 'theme.fannypack.Page.collapseBreakpoint') + "Breakpoint");
}, styledTools.theme('fannypack.Page.WithSidebar.DesktopSidebarWrapper.base'));
var MobileSidebarWrapper = index$2.default(__chunk_15._Sidebar).withConfig({
  displayName: "styled__MobileSidebarWrapper",
  componentId: "sc-1wthesb-5"
})(["@media screen and (min-width:", "px){display:none;}width:", ";&{", ";}"], function (props) {
  return styledTools.theme("fannypack.layout." + _get(props, 'theme.fannypack.Page.collapseBreakpoint') + "Breakpoint")(props) + 1;
}, function (props) {
  return props.sidebarWidth || styledTools.theme('fannypack.Page.WithSidebar.sidebarWidth');
}, styledTools.theme('fannypack.Page.WithSidebar.MobileSidebarWrapper.base'));
var PageWithSidebar = index$2.default(Flex).withConfig({
  displayName: "styled__PageWithSidebar",
  componentId: "sc-1wthesb-6"
})(["&{", ";}"], styledTools.theme('fannypack.Page.WithSidebar.base'));

exports.DesktopSidebarWrapper = DesktopSidebarWrapper;
exports.MobileSidebarWrapper = MobileSidebarWrapper;
exports.PageContent = PageContent;
exports.PageContentWrapper = PageContentWrapper;
exports.PageWithSidebar = PageWithSidebar;
exports.Sidebar = Sidebar;
exports.Spacer = Spacer;
exports.getWidth = getWidth;
