'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var PropTypes = require('prop-types');
var props = require('../types/props.js');
require('reakit/styled');
require('styled-tools');
require('styled-selector');
require('../styled/selector.js');
require('lodash/get');
require('../styled/space.js');
require('../styled/index.js');
var __chunk_1 = require('../chunk-c300b528.js');
require('polished');
require('../default/palette.js');
require('reakit/Button');
require('airbnb-prop-types');
require('../parseIcons.js');
var Box = _interopDefault(require('reakit/Box'));
require('reakit/Block');
require('reakit/Inline');
require('reakit/InlineBlock');
require('reakit/Flex');
require('reakit/InlineFlex');
require('reakit/Grid');
require('../Icon/styled.js');
require('../chunk-bf58d135.js');
require('../Set/styled.js');
require('../Set/index.js');
require('../Button/styled.js');
require('../Spinner/styled.js');
require('../Spinner/index.js');
require('../chunk-7592c834.js');
require('lodash/omit');
require('../Button/ActionButtons.js');
require('../Button/index.js');
var __chunk_9 = require('../chunk-f686853d.js');
require('reakit/Popover');
var styled$4 = require('./styled.js');
require('focus-trap');
var __chunk_10 = require('../chunk-c50ee195.js');

var PopoverPopover = function PopoverPopover(_ref) {
  var children = _ref.children,
      isVisible = _ref.isVisible,
      trapFocus = _ref.trapFocus,
      props = __chunk_1._objectWithoutPropertiesLoose(_ref, ["children", "isVisible", "trapFocus"]);

  return React.createElement(styled$4.default, __chunk_1._extends({
    visible: isVisible
  }, props), trapFocus ? React.createElement(__chunk_10.TrapFocus, {
    isActive: isVisible
  }, function (_ref2) {
    var fallbackFocusRef = _ref2.fallbackFocusRef,
        initialFocusRef = _ref2.initialFocusRef;
    return React.createElement(Box, {
      elementRef: fallbackFocusRef
    }, __chunk_9.isFunction(children) ? children({
      initialFocusRef: initialFocusRef
    }) : children);
  }) : __chunk_9.isFunction(children) ? children({}) : children);
};
var popoverPopoverPropTypes = __chunk_1._objectSpread({
  children: PropTypes.oneOfType([PropTypes.node, PropTypes.func]).isRequired,
  className: PropTypes.string,
  isVisible: PropTypes.bool,
  flip: PropTypes.bool,
  gutter: PropTypes.oneOfType([PropTypes.number, PropTypes.string]),
  placement: props.placementPropType,
  shift: PropTypes.bool,
  trapFocus: PropTypes.bool
}, props.animatePropTypes, props.restrictHidePropTypes);
PopoverPopover.propTypes = popoverPopoverPropTypes;
var popoverPopoverDefaultProps = __chunk_1._objectSpread({
  className: undefined,
  flip: true,
  gutter: 12,
  isVisible: false,
  placement: 'bottom',
  shift: true,
  trapFocus: false
}, props.animateDefaultProps, props.restrictDefaultProps, {
  hideOnEsc: true,
  hideOnClickOutside: true
});
PopoverPopover.defaultProps = popoverPopoverDefaultProps;
var C = PopoverPopover;

exports.PopoverPopover = PopoverPopover;
exports.default = C;
exports.popoverPopoverDefaultProps = popoverPopoverDefaultProps;
exports.popoverPopoverPropTypes = popoverPopoverPropTypes;
