'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var PropTypes = require('prop-types');
require('../types/props.js');
require('reakit/styled');
require('styled-tools');
require('styled-selector');
require('../styled/selector.js');
require('lodash/get');
require('../styled/space.js');
require('../styled/index.js');
var __chunk_1 = require('../chunk-c300b528.js');
require('polished');
require('../default/palette.js');
require('reakit/Button');
require('airbnb-prop-types');
require('../parseIcons.js');
require('reakit/Box');
require('reakit/Block');
require('reakit/Inline');
require('reakit/InlineBlock');
require('reakit/Flex');
require('reakit/InlineFlex');
require('reakit/Grid');
require('../Icon/styled.js');
require('../chunk-bf58d135.js');
require('../Set/styled.js');
require('../Set/index.js');
require('../Button/styled.js');
require('../Spinner/styled.js');
require('../Spinner/index.js');
require('../chunk-7592c834.js');
require('lodash/omit');
require('../Button/ActionButtons.js');
require('../Button/index.js');
require('reakit/Popover');
var styled$4 = require('./styled.js');

var PopoverToggle = function PopoverToggle(_ref) {
  var children = _ref.children,
      props = __chunk_1._objectWithoutPropertiesLoose(_ref, ["children"]);

  return React.createElement(styled$4.PopoverToggle, props, children);
};
var popoverTogglePropTypes = {
  children: PropTypes.node.isRequired,
  onClick: PropTypes.func,
  toggle: PropTypes.func.isRequired
};
PopoverToggle.propTypes = popoverTogglePropTypes;
var popoverToggleDefaultProps = {
  onClick: undefined
};
PopoverToggle.defaultProps = popoverToggleDefaultProps;
var C = PopoverToggle;

exports.PopoverToggle = PopoverToggle;
exports.default = C;
exports.popoverToggleDefaultProps = popoverToggleDefaultProps;
exports.popoverTogglePropTypes = popoverTogglePropTypes;
