'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var PropTypes = require('prop-types');
var props = require('../types/props.js');
require('reakit/styled');
require('styled-tools');
require('styled-selector');
require('../styled/selector.js');
require('lodash/get');
require('../styled/space.js');
require('../styled/index.js');
var __chunk_1 = require('../chunk-c300b528.js');
require('polished');
require('reakit/Box');
require('reakit/Block');
require('reakit/Inline');
require('reakit/InlineBlock');
require('reakit/Flex');
require('reakit/InlineFlex');
require('reakit/Grid');
var styled$1 = require('./styled.js');

function normalizeValue(value, maxValue) {
  var newValue = value;
  if (newValue > maxValue) newValue = maxValue;else if (newValue < 0) newValue = 0;
  return newValue;
}

var ProgressBar = function ProgressBar(_ref) {
  var maxValue = _ref.maxValue,
      size = _ref.size,
      value = _ref.value,
      props = __chunk_1._objectWithoutPropertiesLoose(_ref, ["maxValue", "size", "value"]);

  var newValue = value || 0;
  var newMaxValue = maxValue || 100;
  newValue = normalizeValue(newValue, newMaxValue);
  var percent = newValue / newMaxValue * 100;
  return (// @ts-ignore
    React.createElement(styled$1.default, __chunk_1._extends({
      role: "progressbar",
      "aria-valuenow": newValue,
      "aria-valuemin": 0,
      "aria-valuemax": newMaxValue,
      styledSize: size
    }, props), React.createElement(styled$1.ProgressBarIndicator, {
      color: props.color,
      value: percent
    }))
  );
};
var progressBarPropTypes = {
  color: PropTypes.string,
  maxValue: PropTypes.number,
  size: props.sizePropType,
  value: PropTypes.number
};
ProgressBar.propTypes = progressBarPropTypes;
var progressBarDefaultProps = {
  color: 'primary',
  maxValue: 100,
  size: 'default',
  value: 0
};
ProgressBar.defaultProps = progressBarDefaultProps; // @ts-ignore

var C = ProgressBar;

exports.ProgressBar = C;
exports.default = C;
exports.progressBarDefaultProps = progressBarDefaultProps;
exports.progressBarPropTypes = progressBarPropTypes;
