'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var styled = require('reakit/styled');
var styled__default = _interopDefault(styled);
var styledTools = require('styled-tools');
require('styled-selector');
require('../styled/selector.js');
require('lodash/get');
require('../styled/space.js');
var index$2 = require('../styled/index.js');
var polished = require('polished');
var Box = _interopDefault(require('reakit/Box'));
require('reakit/Block');
require('reakit/Inline');
require('reakit/InlineBlock');
require('reakit/Flex');
require('reakit/InlineFlex');
require('reakit/Grid');

var sizeAttributes = {
  small: styled.css(["height:0.6rem;&{", ";}"], styledTools.theme('fannypack.ProgressBar.sizes.small')),
  default: styled.css(["&{", ";}"], styledTools.theme('fannypack.ProgressBar.sizes.default')),
  medium: styled.css(["height:1.5rem;&{", ";}"], styledTools.theme('fannypack.ProgressBar.sizes.medium')),
  large: styled.css(["height:2rem;&{", ";}"], styledTools.theme('fannypack.ProgressBar.sizes.large'))
};
var ProgressBarIndicator = index$2.default(Box).withConfig({
  displayName: "styled__ProgressBarIndicator",
  componentId: "sc-17o5xqx-0"
})(["height:100%;background-color:", ";transition:width 300ms cubic-bezier(0.4,0,0.2,1) 0ms;width:", "%;&{", ";}"], function (props) {
  return styledTools.palette(props.color, props.color);
}, function (props) {
  return props.value || '0';
}, styledTools.theme('fannypack.ProgressBar.indicator'));
var ProgressBar = index$2.default(Box).withConfig({
  displayName: "styled__ProgressBar",
  componentId: "sc-17o5xqx-1"
})(["border-radius:3px;overflow:hidden;width:100%;height:1rem;background-color:", ";", " &{", ";}"], function (props) {
  return polished.tint(0.9, styledTools.palette(props.color, props.color)(props));
}, function (props) {
  return props.styledSize && sizeAttributes[props.styledSize || ''];
}, styledTools.theme('fannypack.ProgressBar.base'));

exports.ProgressBar = ProgressBar;
exports.ProgressBarIndicator = ProgressBarIndicator;
exports.default = ProgressBar;
