'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var PropTypes = require('prop-types');
var __chunk_1 = require('../chunk-c300b528.js');
var index = require('../Text/index.js');
var fields = require('../adaptors/fields.js');
var styled = require('./styled.js');

var Radio = function Radio(_ref) {
  var a11yId = _ref.a11yId,
      autoFocus = _ref.autoFocus,
      checked = _ref.checked,
      className = _ref.className,
      defaultChecked = _ref.defaultChecked,
      disabled = _ref.disabled,
      isRequired = _ref.isRequired,
      label = _ref.label,
      onBlur = _ref.onBlur,
      onChange = _ref.onChange,
      onFocus = _ref.onFocus,
      name = _ref.name,
      radioRef = _ref.radioRef,
      state = _ref.state,
      value = _ref.value,
      props = __chunk_1._objectWithoutPropertiesLoose(_ref, ["a11yId", "autoFocus", "checked", "className", "defaultChecked", "disabled", "isRequired", "label", "onBlur", "onChange", "onFocus", "name", "radioRef", "state", "value"]);

  return React.createElement(styled.default, __chunk_1._extends({
    "aria-describedby": "label",
    "aria-invalid": state === 'danger',
    "aria-label": label,
    "aria-required": isRequired
  }, props), React.createElement(styled.HiddenRadio, {
    autoFocus: autoFocus,
    checked: checked,
    elementRef: radioRef,
    defaultChecked: defaultChecked,
    disabled: disabled,
    id: a11yId,
    onBlur: onBlur,
    onChange: onChange,
    onFocus: onFocus,
    name: name,
    state: state,
    type: "radio",
    value: value
  }), React.createElement(styled.RadioIcon, {
    state: state
  }), React.createElement(index.default, {
    id: "label",
    htmlFor: a11yId,
    marginLeft: "minor-2"
  }, label));
};
Radio.Formik = fields.formikField(Radio, {
  isCheckbox: true
});
Radio.ReduxForm = fields.reduxFormField(Radio, {
  isCheckbox: true
});
var radioPropTypes = {
  a11yId: PropTypes.string,
  autoFocus: PropTypes.bool,
  checked: PropTypes.oneOfType([PropTypes.bool, PropTypes.string]),
  className: PropTypes.string,
  defaultChecked: PropTypes.bool,
  disabled: PropTypes.bool,
  isRequired: PropTypes.bool,
  label: PropTypes.string.isRequired,
  onBlur: PropTypes.func,
  onChange: PropTypes.func,
  onFocus: PropTypes.func,
  name: PropTypes.string,
  radioRef: PropTypes.object,
  state: PropTypes.string,
  value: PropTypes.string
};
Radio.propTypes = radioPropTypes;
var radioDefaultProps = {
  a11yId: undefined,
  autoFocus: false,
  checked: undefined,
  className: undefined,
  defaultChecked: undefined,
  disabled: false,
  isRequired: false,
  onBlur: undefined,
  onChange: undefined,
  onFocus: undefined,
  name: undefined,
  radioRef: undefined,
  state: undefined,
  value: undefined
};
Radio.defaultProps = radioDefaultProps; // @ts-ignore

var C = Radio;

var RadioGroup = function RadioGroup(_ref) {
  var a11yId = _ref.a11yId,
      a11yLabel = _ref.a11yLabel,
      className = _ref.className,
      defaultValue = _ref.defaultValue,
      disabled = _ref.disabled,
      onChange = _ref.onChange,
      options = _ref.options,
      name = _ref.name,
      state = _ref.state,
      value = _ref.value,
      props = __chunk_1._objectWithoutPropertiesLoose(_ref, ["a11yId", "a11yLabel", "className", "defaultValue", "disabled", "onChange", "options", "name", "state", "value"]);

  return React.createElement(styled.RadioGroup, __chunk_1._extends({
    "aria-describedby": "label",
    "aria-invalid": state === 'danger',
    "aria-label": a11yLabel,
    role: "group"
  }, props), options.map(function (option, i) {
    return React.createElement(C, {
      key: i // eslint-disable-line
      ,
      a11yId: a11yId,
      checked: typeof value === 'undefined' ? undefined : option.value === value,
      defaultChecked: typeof defaultValue === 'undefined' ? undefined : option.value === defaultValue,
      disabled: disabled || option.disabled,
      name: name,
      label: option.label,
      onChange: onChange,
      radioRef: option.radioRef,
      state: state,
      value: option.value
    });
  }));
};
RadioGroup.Formik = fields.formikField(RadioGroup);
RadioGroup.ReduxForm = fields.reduxFormField(RadioGroup);
var radioGroupPropTypes = {
  a11yId: PropTypes.string,
  a11yLabel: PropTypes.string,
  className: PropTypes.string,
  defaultValue: PropTypes.string,
  disabled: PropTypes.bool,
  isHorizontal: PropTypes.bool,
  name: PropTypes.string.isRequired,
  options: PropTypes.array.isRequired,
  state: PropTypes.string,
  value: PropTypes.string,
  onChange: PropTypes.func
};
RadioGroup.propTypes = radioGroupPropTypes;
var radioGroupDefaultProps = {
  a11yId: undefined,
  a11yLabel: undefined,
  className: undefined,
  defaultValue: undefined,
  disabled: false,
  isHorizontal: false,
  onChange: undefined,
  state: undefined,
  value: undefined
};
RadioGroup.defaultProps = radioGroupDefaultProps; // @ts-ignore

var C$1 = RadioGroup;

exports.Radio = C;
exports.RadioGroup = C$1;
exports.RadioGroup$1 = RadioGroup;
exports.radioDefaultProps = radioDefaultProps;
exports.radioGroupDefaultProps = radioGroupDefaultProps;
exports.radioGroupPropTypes = radioGroupPropTypes;
exports.radioPropTypes = radioPropTypes;
