'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
require('../uniqueId.js');
var PropTypes = require('prop-types');
require('../types/props.js');
require('reakit/styled');
require('styled-tools');
require('styled-selector');
require('../styled/selector.js');
require('lodash/get');
require('../styled/space.js');
require('../styled/index.js');
var __chunk_1 = require('../chunk-c300b528.js');
require('polished');
require('../default/palette.js');
require('reakit/Button');
require('airbnb-prop-types');
require('../parseIcons.js');
require('reakit/Box');
require('reakit/Block');
require('reakit/Inline');
require('reakit/InlineBlock');
require('reakit/Flex');
require('reakit/InlineFlex');
require('reakit/Grid');
require('../Icon/styled.js');
require('../chunk-bf58d135.js');
require('../Set/styled.js');
require('../Set/index.js');
require('../Button/styled.js');
require('../Spinner/styled.js');
require('../Spinner/index.js');
require('../chunk-7592c834.js');
var _omit = _interopDefault(require('lodash/omit'));
require('../Button/ActionButtons.js');
require('../Button/index.js');
require('../Pane/styled.js');
require('../chunk-66ca61c2.js');
require('../Pane/index.js');
require('../Icon/index.js');
require('../VisuallyHidden.js');
require('../Text/styled.js');
require('../Text/index.js');
var fields = require('../adaptors/fields.js');
require('reakit/Label');
require('reakit/Input');
require('../chunk-3e8af825.js');
require('reakit/Hidden');
require('../Hidden/HiddenContainer.js');
require('../Hidden/styled.js');
require('../Hidden/HiddenShow.js');
require('../Hidden/HiddenHide.js');
require('../Hidden/HiddenToggle.js');
require('../Hidden/index.js');
require('../chunk-f686853d.js');
require('reakit/Popover');
require('../Popover/PopoverContainer.js');
require('../Popover/styled.js');
require('../Popover/PopoverHide.js');
require('../Popover/PopoverClose.js');
require('focus-trap');
require('../chunk-c50ee195.js');
require('../Popover/PopoverPopover.js');
require('../Popover/PopoverShow.js');
require('../Popover/PopoverToggle.js');
require('../chunk-ec80954a.js');
var __chunk_12 = require('../chunk-7918bb15.js');
require('reakit/Field');
require('../Label/styled.js');
require('../Label/index.js');
require('../FieldWrapper/styled.js');
require('./styled.js');
var RadioGroup = require('./RadioGroup-f7d5eb6c.js');

var RadioGroupField = function RadioGroupField(_ref) {
  var a11yId = _ref.a11yId,
      a11yLabel = _ref.a11yLabel,
      className = _ref.className,
      defaultValue = _ref.defaultValue,
      description = _ref.description,
      disabled = _ref.disabled,
      hint = _ref.hint,
      isHorizontal = _ref.isHorizontal,
      isOptional = _ref.isOptional,
      isRequired = _ref.isRequired,
      label = _ref.label,
      name = _ref.name,
      onChange = _ref.onChange,
      options = _ref.options,
      radioGroupProps = _ref.radioGroupProps,
      state = _ref.state,
      validationText = _ref.validationText,
      value = _ref.value,
      props = __chunk_1._objectWithoutPropertiesLoose(_ref, ["a11yId", "a11yLabel", "className", "defaultValue", "description", "disabled", "hint", "isHorizontal", "isOptional", "isRequired", "label", "name", "onChange", "options", "radioGroupProps", "state", "validationText", "value"]);

  return React.createElement(__chunk_12.FieldWrapper, __chunk_1._extends({
    a11yId: a11yId,
    description: description,
    hint: hint,
    isOptional: isOptional,
    isRequired: isRequired,
    label: label,
    state: state,
    validationText: validationText
  }, props), function (_ref2) {
    var elementProps = _ref2.elementProps;
    return React.createElement(RadioGroup.RadioGroup, __chunk_1._extends({
      a11yId: a11yId,
      a11yLabel: a11yLabel,
      className: className,
      defaultValue: defaultValue,
      disabled: disabled,
      isHorizontal: isHorizontal,
      name: name,
      options: options,
      state: state,
      value: value,
      onChange: onChange
    }, elementProps, radioGroupProps));
  });
};
RadioGroupField.Formik = fields.formikField(RadioGroupField, {
  hasFieldWrapper: true
});
RadioGroupField.ReduxForm = fields.reduxFormField(RadioGroupField, {
  hasFieldWrapper: true
});
var radioGroupFieldPropTypes = __chunk_1._objectSpread({
  radioGroupProps: PropTypes.shape(_omit(RadioGroup.radioGroupPropTypes, 'options', 'name'))
}, _omit(__chunk_12.fieldWrapperPropTypes, 'children'), RadioGroup.radioGroupPropTypes);
RadioGroupField.propTypes = radioGroupFieldPropTypes;
var radioGroupFieldDefaultProps = __chunk_1._objectSpread({
  radioGroupProps: {}
}, __chunk_12.fieldWrapperDefaultProps, RadioGroup.radioGroupDefaultProps);
RadioGroupField.defaultProps = radioGroupFieldDefaultProps; // @ts-ignore

var C = RadioGroupField;

exports.RadioGroupField = RadioGroupField;
exports.default = C;
exports.radioGroupFieldDefaultProps = radioGroupFieldDefaultProps;
exports.radioGroupFieldPropTypes = radioGroupFieldPropTypes;
