'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var PropTypes = require('prop-types');
require('reakit/styled');
require('styled-tools');
require('styled-selector');
require('../styled/selector.js');
require('lodash/get');
require('../styled/space.js');
require('../styled/index.js');
var __chunk_1 = require('../chunk-c300b528.js');
require('reakit/Box');
require('reakit/Block');
require('reakit/Inline');
require('reakit/InlineBlock');
require('reakit/Flex');
require('reakit/InlineFlex');
require('reakit/Grid');
var times = _interopDefault(require('lodash/times'));
var styled$1 = require('./styled.js');
var RatingStar = require('./RatingStar.js');

var ratingPropTypes = {
  className: PropTypes.string,
  size: PropTypes.string,
  defaultRating: PropTypes.number,
  maxRating: PropTypes.number,
  onRate: PropTypes.func,
  disabled: PropTypes.bool
};
var ratingDefaultProps = {
  className: undefined,
  size: 'default',
  defaultRating: 0,
  maxRating: 5,
  onRate: undefined,
  disabled: false
};
var Rating =
/*#__PURE__*/
function (_React$Component) {
  __chunk_1._inheritsLoose(Rating, _React$Component);

  function Rating() {
    var _this;

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _React$Component.call.apply(_React$Component, [this].concat(args)) || this;

    __chunk_1._defineProperty(__chunk_1._assertThisInitialized(_this), "state", {
      rating: _this.props.defaultRating || 0,
      isSelecting: false,
      selectedIndex: 0
    });

    __chunk_1._defineProperty(__chunk_1._assertThisInitialized(_this), "handleStarClick", function (index) {
      var _this$props = _this.props,
          onRate = _this$props.onRate,
          disabled = _this$props.disabled,
          maxRating = _this$props.maxRating;
      var rating = index + 1;

      if (!disabled) {
        _this.setState({
          rating: rating
        });

        onRate && onRate({
          rating: rating,
          maxRating: maxRating
        });
      }
    });

    __chunk_1._defineProperty(__chunk_1._assertThisInitialized(_this), "handleStarMouseOver", function (index) {
      var disabled = _this.props.disabled;
      !disabled && _this.setState({
        isSelecting: true,
        selectedIndex: index
      });
    });

    __chunk_1._defineProperty(__chunk_1._assertThisInitialized(_this), "handleMouseLeave", function () {
      _this.setState({
        isSelecting: false
      });
    });

    return _this;
  }

  var _proto = Rating.prototype;

  _proto.render = function render() {
    var _this2 = this;

    var _this$props2 = this.props,
        className = _this$props2.className,
        size = _this$props2.size,
        maxRating = _this$props2.maxRating;
    var _this$state = this.state,
        rating = _this$state.rating,
        selectedIndex = _this$state.selectedIndex,
        isSelecting = _this$state.isSelecting;
    return React.createElement(styled$1.Rating, {
      className: className,
      onMouseLeave: this.handleMouseLeave
    }, times(maxRating, function (index) {
      return React.createElement(RatingStar.default, {
        key: index,
        active: isSelecting ? selectedIndex >= index : rating >= index + 1,
        "aria-label": "" + (index + 1),
        onClick: function onClick() {
          return _this2.handleStarClick(index);
        },
        onMouseEnter: function onMouseEnter() {
          return _this2.handleStarMouseOver(index);
        },
        size: size
      });
    }));
  };

  return Rating;
}(React.Component); // @ts-ignore

__chunk_1._defineProperty(Rating, "propTypes", ratingPropTypes);

__chunk_1._defineProperty(Rating, "defaultProps", ratingDefaultProps);

var C = Rating;

exports.RatingStar = RatingStar.default;
exports.ratingStarDefaultProps = RatingStar.ratingStarDefaultProps;
exports.ratingStarPropTypes = RatingStar.ratingStarPropTypes;
exports.Rating = C;
exports.default = C;
exports.ratingDefaultProps = ratingDefaultProps;
exports.ratingPropTypes = ratingPropTypes;
