'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var styled = require('reakit/styled');
var styled__default = _interopDefault(styled);
var styledTools = require('styled-tools');
require('styled-selector');
require('../styled/selector.js');
require('lodash/get');
require('../styled/space.js');
var index$2 = require('../styled/index.js');
var Box = _interopDefault(require('reakit/Box'));
require('reakit/Block');
require('reakit/Inline');
require('reakit/InlineBlock');
require('reakit/Flex');
require('reakit/InlineFlex');
require('reakit/Grid');

var Rating = index$2.default(Box).withConfig({
  displayName: "styled__Rating",
  componentId: "sc-1kw6xuh-0"
})(["&{", ";}"], styledTools.theme('fannypack.Rating.base'));
var starSizes = {
  small: styled.css(["&{width:1rem;height:1rem;}&{", ";}"], styledTools.theme('fannypack.Rating.Star.sizes.small')),
  default: styled.css(["&{", ";}"], styledTools.theme('fannypack.Rating.Star.sizes.default')),
  medium: styled.css(["&{width:2rem;height:2rem;}&{", ";}"], styledTools.theme('fannypack.Rating.Star.sizes.medium')),
  large: styled.css(["&{width:3rem;height:3rem;}&{", ";}"], styledTools.theme('fannypack.Rating.Star.sizes.large'))
};
var RatingStar = index$2.default(Box).withConfig({
  displayName: "styled__RatingStar",
  componentId: "sc-1kw6xuh-1"
})(["width:1.5rem;height:1.5rem;&{", ";}", ";& path{fill:", ";}"], styledTools.theme('fannypack.Rating.Star.base'), function (props) {
  return props.size ? starSizes[props.size || ''] : null;
}, function (props) {
  return props.active ? styledTools.theme('fannypack.Rating.Star.color')(props) || 'gold' : styledTools.palette('white800');
});

exports.Rating = Rating;
exports.RatingStar = RatingStar;
exports.starSizes = starSizes;
