'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var PropTypes = require('prop-types');
var __chunk_1 = require('../chunk-c300b528.js');
require('reakit/Box');
require('reakit/Block');
require('reakit/Inline');
var InlineBlock = _interopDefault(require('reakit/InlineBlock'));
require('reakit/Flex');
require('reakit/InlineFlex');
require('reakit/Grid');
var _omit = _interopDefault(require('lodash/omit'));
var ConditionalWrap = _interopDefault(require('conditional-wrap'));
var fields = require('../adaptors/fields.js');
var __chunk_12 = require('../chunk-7918bb15.js');
var index$5 = require('../Group/index.js');
var styled$1 = require('./styled.js');
var Icon = require('./Icon.js');

var selectDefaultProps = {
  a11yId: undefined,
  a11yLabel: undefined,
  autoComplete: undefined,
  autoFocus: false,
  className: undefined,
  defaultValue: undefined,
  disabled: false,
  isFullWidth: false,
  isLoading: false,
  isRequired: false,
  name: undefined,
  onBlur: undefined,
  onChange: undefined,
  onFocus: undefined,
  placeholder: undefined,
  selectProps: {},
  selectRef: undefined,
  size: 'default',
  state: undefined,
  value: undefined
};
var selectPropTypes = {
  a11yId: PropTypes.string,
  a11yLabel: PropTypes.string,
  autoComplete: PropTypes.string,
  autoFocus: PropTypes.bool,
  className: PropTypes.string,
  defaultValue: PropTypes.string,
  disabled: PropTypes.bool,
  isFullWidth: PropTypes.bool,
  isLoading: PropTypes.bool,
  isRequired: PropTypes.bool,
  name: PropTypes.string,
  options: PropTypes.array.isRequired,
  placeholder: PropTypes.string,
  selectProps: PropTypes.object,
  selectRef: PropTypes.object,
  size: PropTypes.string,
  state: PropTypes.string,
  value: PropTypes.string,
  onBlur: PropTypes.func,
  onChange: PropTypes.func,
  onFocus: PropTypes.func
};
var Select =
/*#__PURE__*/
function (_React$PureComponent) {
  __chunk_1._inheritsLoose(Select, _React$PureComponent);

  function Select() {
    var _this;

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _React$PureComponent.call.apply(_React$PureComponent, [this].concat(args)) || this;

    __chunk_1._defineProperty(__chunk_1._assertThisInitialized(_this), "state", {
      isPlaceholderSelected: Boolean(_this.props.placeholder)
    });

    __chunk_1._defineProperty(__chunk_1._assertThisInitialized(_this), "handleChange", function (e) {
      var onChange = _this.props.onChange;

      _this.setState({
        isPlaceholderSelected: false
      });

      onChange && onChange(e);
    });

    __chunk_1._defineProperty(__chunk_1._assertThisInitialized(_this), "render", function () {
      var _this$props = _this.props,
          a11yId = _this$props.a11yId,
          a11yLabel = _this$props.a11yLabel,
          autoComplete = _this$props.autoComplete,
          className = _this$props.className,
          autoFocus = _this$props.autoFocus,
          defaultValue = _this$props.defaultValue,
          disabled = _this$props.disabled,
          isFullWidth = _this$props.isFullWidth,
          isLoading = _this$props.isLoading,
          isRequired = _this$props.isRequired,
          name = _this$props.name,
          onBlur = _this$props.onBlur,
          onChange = _this$props.onChange,
          onFocus = _this$props.onFocus,
          options = _this$props.options,
          placeholder = _this$props.placeholder,
          selectProps = _this$props.selectProps,
          selectRef = _this$props.selectRef,
          size = _this$props.size,
          state = _this$props.state,
          value = _this$props.value,
          props = __chunk_1._objectWithoutPropertiesLoose(_this$props, ["a11yId", "a11yLabel", "autoComplete", "className", "autoFocus", "defaultValue", "disabled", "isFullWidth", "isLoading", "isRequired", "name", "onBlur", "onChange", "onFocus", "options", "placeholder", "selectProps", "selectRef", "size", "state", "value"]);

      var isPlaceholderSelected = _this.state.isPlaceholderSelected;
      return React.createElement(InlineBlock, __chunk_1._extends({
        relative: true,
        minWidth: "50px",
        width: isFullWidth ? '100%' : undefined
      }, props), React.createElement(styled$1.default, __chunk_1._extends({
        "aria-invalid": state === 'danger',
        "aria-label": a11yLabel,
        "aria-required": isRequired,
        use: "select",
        autoComplete: autoComplete,
        autoFocus: autoFocus,
        defaultValue: defaultValue || placeholder,
        disabled: disabled,
        id: a11yId,
        isFullWidth: isFullWidth,
        isPlaceholderSelected: isPlaceholderSelected,
        name: name,
        onBlur: onBlur,
        onChange: _this.handleChange,
        onFocus: onFocus,
        elementRef: selectRef,
        styledSize: size,
        state: state,
        value: value
      }, selectProps), placeholder && React.createElement("option", {
        disabled: true,
        value: ""
      }, placeholder), options.map(function (option, i) {
        return React.createElement("option", {
          key: i // eslint-disable-line
          ,
          disabled: disabled || option.disabled,
          value: option.value
        }, option.label);
      })), isLoading ? React.createElement(styled$1.LoadingSpinner, {
        color: "text",
        size: "1rem"
      }) : React.createElement(Icon.default, null));
    });

    return _this;
  }

  return Select;
}(React.PureComponent); // @ts-ignore

__chunk_1._defineProperty(Select, "defaultProps", selectDefaultProps);

__chunk_1._defineProperty(Select, "propTypes", selectPropTypes);

Select.Formik = fields.formikField(Select); // @ts-ignore

Select.ReduxForm = fields.reduxFormField(Select); // @ts-ignore

var C = Select;

var SelectField = function SelectField(_ref) {
  var a11yLabel = _ref.a11yLabel,
      a11yId = _ref.a11yId,
      addonBefore = _ref.addonBefore,
      addonAfter = _ref.addonAfter,
      autoComplete = _ref.autoComplete,
      autoFocus = _ref.autoFocus,
      className = _ref.className,
      description = _ref.description,
      defaultValue = _ref.defaultValue,
      disabled = _ref.disabled,
      hint = _ref.hint,
      isLoading = _ref.isLoading,
      isFullWidth = _ref.isFullWidth,
      isOptional = _ref.isOptional,
      isRequired = _ref.isRequired,
      isVertical = _ref.isVertical,
      label = _ref.label,
      name = _ref.name,
      onBlur = _ref.onBlur,
      onChange = _ref.onChange,
      onFocus = _ref.onFocus,
      options = _ref.options,
      placeholder = _ref.placeholder,
      selectProps = _ref.selectProps,
      selectRef = _ref.selectRef,
      size = _ref.size,
      state = _ref.state,
      validationText = _ref.validationText,
      value = _ref.value,
      props = __chunk_1._objectWithoutPropertiesLoose(_ref, ["a11yLabel", "a11yId", "addonBefore", "addonAfter", "autoComplete", "autoFocus", "className", "description", "defaultValue", "disabled", "hint", "isLoading", "isFullWidth", "isOptional", "isRequired", "isVertical", "label", "name", "onBlur", "onChange", "onFocus", "options", "placeholder", "selectProps", "selectRef", "size", "state", "validationText", "value"]);

  return React.createElement(__chunk_12.FieldWrapper, __chunk_1._extends({
    a11yId: a11yId,
    description: description,
    hint: hint,
    isOptional: isOptional,
    isRequired: isRequired,
    label: label,
    state: state,
    validationText: validationText
  }, props), function (_ref2) {
    var elementProps = _ref2.elementProps;
    return React.createElement(ConditionalWrap, {
      condition: addonBefore || addonAfter,
      wrap: function wrap(children) {
        return React.createElement(index$5.default, {
          isVertical: isVertical
        }, children);
      }
    }, addonBefore, React.createElement(C, __chunk_1._extends({
      a11yId: a11yId,
      a11yLabel: a11yLabel,
      autoComplete: autoComplete,
      autoFocus: autoFocus,
      className: className,
      defaultValue: defaultValue,
      disabled: disabled,
      isFullWidth: isFullWidth,
      isLoading: isLoading,
      isRequired: isRequired,
      name: name,
      options: options,
      placeholder: placeholder,
      selectProps: selectProps,
      selectRef: selectRef,
      size: size,
      state: state,
      value: value,
      onBlur: onBlur,
      onChange: onChange,
      onFocus: onFocus
    }, elementProps)), addonAfter);
  });
};
SelectField.Formik = fields.formikField(SelectField, {
  hasFieldWrapper: true
});
SelectField.ReduxForm = fields.reduxFormField(SelectField, {
  hasFieldWrapper: true
});
var selectFieldPropTypes = __chunk_1._objectSpread({
  addonBefore: PropTypes.element,
  addonAfter: PropTypes.element,
  isVertical: PropTypes.bool,
  selectProps: PropTypes.shape(selectPropTypes)
}, _omit(__chunk_12.fieldWrapperPropTypes, 'children'), selectPropTypes);
SelectField.propTypes = selectFieldPropTypes;
var selectFieldDefaultProps = __chunk_1._objectSpread({
  addonBefore: undefined,
  addonAfter: undefined,
  isVertical: false,
  selectProps: {}
}, __chunk_12.fieldWrapperDefaultProps, selectDefaultProps);
SelectField.defaultProps = selectFieldDefaultProps; // @ts-ignore

var C$1 = SelectField;

exports.C = C$1;
exports.Select = C;
exports.SelectField = SelectField;
exports.selectDefaultProps = selectDefaultProps;
exports.selectFieldDefaultProps = selectFieldDefaultProps;
exports.selectFieldPropTypes = selectFieldPropTypes;
exports.selectPropTypes = selectPropTypes;
