'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

require('react');
require('prop-types');
var styled = require('reakit/styled');
var styled__default = _interopDefault(styled);
var styledTools = require('styled-tools');
require('styled-selector');
require('../styled/selector.js');
require('lodash/get');
require('../styled/space.js');
var index$2 = require('../styled/index.js');
require('../chunk-c300b528.js');
var polished = require('polished');
var palette$1 = require('../default/palette.js');
require('reakit/Box');
require('reakit/Block');
require('reakit/Inline');
require('reakit/InlineBlock');
require('reakit/Flex');
require('reakit/InlineFlex');
require('reakit/Grid');
require('../Spinner/styled.js');
var index$1$2 = require('../Spinner/index.js');
var Input$1 = _interopDefault(require('reakit/Input'));

var defaultPalette = palette$1.default({});

var Icon = index$2.default.svg.withConfig({
  displayName: "styled__Icon",
  componentId: "sc-1acvgnh-0"
})(["position:absolute;width:20px;height:20px;right:2px;z-index:1;fill:", ";transform:translateY(50%);pointer-events:none;&{", ";}"], styledTools.palette('text'), styledTools.theme('fannypack.Select.Icon.base'));
var LoadingSpinner = index$2.default(index$1$2.default).withConfig({
  displayName: "styled__LoadingSpinner",
  componentId: "sc-1acvgnh-1"
})(["position:absolute;top:10px;right:7px;z-index:1;"]);
var sizeProperties = {
  small: styled.css(["font-size:0.8rem;& + ", "{width:15px;height:15px;}& + ", "{width:10px;height:10px;top:10px;}&{", ";}"], Icon, LoadingSpinner, styledTools.theme('fannypack.Select.sizes.small')),
  default: styled.css(["&{", ";}"], styledTools.theme('fannypack.Select.sizes.default')),
  medium: styled.css(["font-size:1.25rem;& + ", "{width:25px;height:25px;}& + ", "{width:20px;height:20px;top:15px;right:10px;}&{", ";}"], Icon, LoadingSpinner, styledTools.theme('fannypack.Select.sizes.medium')),
  large: styled.css(["font-size:1.5rem;& + ", "{width:30px;height:30px;}& + ", "{width:25px;height:25px;top:16px;right:12px;}&{", ";}"], Icon, LoadingSpinner, styledTools.theme('fannypack.Select.sizes.large'))
};
var stateProperties = styled.css(["border-color:", ";box-shadow:", " 0px 0px 0px 1px !important;"], function (props) {
  return styledTools.palette("" + props.state)(props);
}, function (props) {
  return styledTools.palette("" + props.state)(props);
});
var Select = index$2.default(Input$1).withConfig({
  displayName: "styled__Select",
  componentId: "sc-1acvgnh-2"
})(["appearance:none;background:linear-gradient(rgb(255,255,255),rgb(249,250,251));border:1px solid #bdbdbd;border-radius:0.2em;color:", ";height:2.5em;padding:0.4em 1.6em 0.4em 0.6em;line-height:1.5;width:100%;&[disabled]{background:", ";box-shadow:unset;&{", ";}}&[disabled] + ", "{fill:", ";}&:focus{outline:unset;z-index:2;border-color:", ";box-shadow:", " 0px 0px 0px 1px !important;&{", ";}}&{", ";}&{", ";}", ";"], function (props) {
  return props.isPlaceholderSelected ? polished.tint(0.4, styledTools.palette('text', 0, defaultPalette.text)(props)) : styledTools.palette('text')(props);
}, styledTools.palette('white700'), styledTools.theme('fannypack.Select.disabled'), Icon, styledTools.palette('gray400'), styledTools.palette('primary'), styledTools.palette('primary'), styledTools.theme('fannypack.Select.focus'), function (props) {
  return props.styledSize && sizeProperties[props.styledSize];
}, function (props) {
  return props.state && stateProperties;
}, styledTools.theme('fannypack.Select.base'));

exports.Icon = Icon;
exports.LoadingSpinner = LoadingSpinner;
exports.Select = Select;
exports.default = Select;
exports.sizeProperties = sizeProperties;
