'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
require('../uniqueId.js');
require('prop-types');
require('../types/props.js');
require('reakit/styled');
require('styled-tools');
require('styled-selector');
require('../styled/selector.js');
require('lodash/get');
require('../styled/space.js');
require('../styled/index.js');
var __chunk_1 = require('../chunk-c300b528.js');
require('polished');
require('../default/palette.js');
require('reakit/Button');
require('airbnb-prop-types');
require('../parseIcons.js');
require('reakit/Box');
require('reakit/Block');
require('reakit/Inline');
require('reakit/InlineBlock');
require('reakit/Flex');
require('reakit/InlineFlex');
require('reakit/Grid');
require('../Icon/styled.js');
require('../chunk-bf58d135.js');
require('../Set/styled.js');
require('../Set/index.js');
require('../Button/styled.js');
require('../Spinner/styled.js');
require('../Spinner/index.js');
require('../chunk-7592c834.js');
require('lodash/omit');
require('../Button/ActionButtons.js');
require('../Button/index.js');
require('../Pane/styled.js');
require('../chunk-66ca61c2.js');
require('../Pane/index.js');
require('../Icon/index.js');
require('../VisuallyHidden.js');
require('../Text/styled.js');
require('../Text/index.js');
require('reakit/Navigation');
require('../Navigation/styled.js');
require('../chunk-83d5c735.js');
require('../Navigation/index.js');
require('conditional-wrap');
require('../adaptors/fields.js');
require('reakit/Label');
require('reakit/Input');
require('reakit/Hidden');
require('../Hidden/HiddenContainer.js');
require('../Hidden/styled.js');
require('../Hidden/HiddenShow.js');
require('../Hidden/HiddenHide.js');
require('../Hidden/HiddenToggle.js');
require('../Hidden/index.js');
require('../chunk-f686853d.js');
require('reakit/Popover');
require('../Popover/PopoverContainer.js');
require('../Popover/styled.js');
require('../Popover/PopoverHide.js');
require('../Popover/PopoverClose.js');
require('focus-trap');
require('../chunk-c50ee195.js');
require('../Popover/PopoverPopover.js');
require('../Popover/PopoverShow.js');
require('../Popover/PopoverToggle.js');
require('../chunk-ec80954a.js');
require('../chunk-7918bb15.js');
require('reakit/Field');
require('../Label/styled.js');
require('../Label/index.js');
require('../FieldWrapper/styled.js');
require('reakit/Divider');
require('../Divider/styled.js');
require('../Divider/index.js');
require('reakit/Group');
require('../Group/styled.js');
require('../Group/index.js');
require('react-input-mask');
require('../Input/styled.js');
var InputField = require('../Input/InputField-13f7a3ce.js');
var index$1 = require('../Input/index.js');
require('../Popover/index.js');
require('../Menu/styled.js');
require('../Menu/MenuContext.js');
require('../Menu/MenuTrigger.js');
require('../Menu/MenuButton.js');
require('../Menu/MenuDivider.js');
require('../Menu/MenuGroup.js');
require('../Menu/MenuItem.js');
require('../Menu/MenuPopover.js');
require('../Menu/index.js');
require('../Tag/styled.js');
require('../Tag/index.js');
var styled$6 = require('./styled.js');

var selectMenuSearchInputPropTypes = __chunk_1._objectSpread({}, InputField.inputPropTypes);
var selectMenuSearchInputDefaultProps = __chunk_1._objectSpread({}, InputField.inputDefaultProps, {
  autoComplete: 'off',
  // @ts-ignore
  before: React.createElement(index$1.default.Icon, {
    icon: "search"
  }),
  isDropdownActive: false,
  isFullWidth: true,
  placeholder: 'Type to search...'
});
var SelectMenuSearchInput =
/*#__PURE__*/
function (_React$Component) {
  __chunk_1._inheritsLoose(SelectMenuSearchInput, _React$Component);

  function SelectMenuSearchInput() {
    var _this;

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _React$Component.call.apply(_React$Component, [this].concat(args)) || this;

    __chunk_1._defineProperty(__chunk_1._assertThisInitialized(_this), "search", React.createRef());

    __chunk_1._defineProperty(__chunk_1._assertThisInitialized(_this), "componentDidUpdate", function (prevProps) {
      var isDropdownActive = _this.props.isDropdownActive;
      var prevIsDropdownActive = prevProps.isDropdownActive;

      if (isDropdownActive && !prevIsDropdownActive) {
        requestAnimationFrame(function () {
          return _this.search.current && _this.search.current.focus();
        });
      }
    });

    __chunk_1._defineProperty(__chunk_1._assertThisInitialized(_this), "render", function () {
      var props = __chunk_1._extends({}, _this.props);

      return React.createElement(styled$6.SelectMenuSearchInput, __chunk_1._extends({}, props, {
        inputRef: _this.search
      }));
    });

    return _this;
  }

  return SelectMenuSearchInput;
}(React.Component);

__chunk_1._defineProperty(SelectMenuSearchInput, "propTypes", selectMenuSearchInputPropTypes);

__chunk_1._defineProperty(SelectMenuSearchInput, "defaultProps", selectMenuSearchInputDefaultProps);

exports.SelectMenuSearchInput = SelectMenuSearchInput;
exports.default = SelectMenuSearchInput;
exports.selectMenuSearchInputDefaultProps = selectMenuSearchInputDefaultProps;
exports.selectMenuSearchInputPropTypes = selectMenuSearchInputPropTypes;
