'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

require('react');
require('prop-types');
require('../types/props.js');
var styled = require('reakit/styled');
var styled__default = _interopDefault(styled);
var styledTools = require('styled-tools');
require('styled-selector');
require('../styled/selector.js');
require('lodash/get');
var space = require('../styled/space.js');
var index$2 = require('../styled/index.js');
require('../chunk-c300b528.js');
require('polished');
require('../default/palette.js');
require('reakit/Button');
require('airbnb-prop-types');
require('../parseIcons.js');
require('reakit/Box');
require('reakit/Block');
require('reakit/Inline');
require('reakit/InlineBlock');
require('reakit/Flex');
require('reakit/InlineFlex');
require('reakit/Grid');
require('../Icon/styled.js');
require('../chunk-bf58d135.js');
require('../Set/styled.js');
require('../Set/index.js');
require('../Button/styled.js');
require('../Spinner/styled.js');
require('../Spinner/index.js');
require('../chunk-7592c834.js');
require('lodash/omit');
require('../Button/ActionButtons.js');
var index$4 = require('../Button/index.js');
var _Sidebar = _interopDefault(require('reakit/Sidebar'));

var SidebarClose = index$2.default(index$4.default).withConfig({
  displayName: "styled__SidebarClose",
  componentId: "sc-1lxsl4u-0"
})(["position:fixed;min-height:24px;padding:0 ", "rem;top:", "rem;", ";&:hover{color:", ";fill:", ";}&{", ";}"], space.default(1, 'minor'), space.default(2, 'minor'), function (props) {
  return props.sidebarAlign === 'left' ? styled.css(["left:calc(", " + ", "rem);"], function (props) {
    return props.sidebarWidth;
  }, space.default(2, 'minor')) : styled.css(["right:calc(", " + ", "rem);"], function (props) {
    return props.sidebarWidth;
  }, space.default(2, 'minor'));
}, styledTools.palette('white700'), styledTools.palette('white700'), styledTools.theme('fannypack.Sidebar.Close.base'));
var SidebarHide = index$2.default(_Sidebar.Hide).withConfig({
  displayName: "styled__SidebarHide",
  componentId: "sc-1lxsl4u-1"
})(["", ";"], styledTools.theme('fannypack.Modal.Hide.base'));
var SidebarShow = index$2.default(_Sidebar.Show).withConfig({
  displayName: "styled__SidebarShow",
  componentId: "sc-1lxsl4u-2"
})(["", ";"], styledTools.theme('fannypack.Modal.Show.base'));
var Sidebar = index$2.default(_Sidebar).withConfig({
  displayName: "styled__Sidebar",
  componentId: "sc-1lxsl4u-3"
})(["background-color:white;box-shadow:", " 0px 12px 0px rgba(0,0,0,0.1);width:", ";", ";"], function (props) {
  return props.align === 'left' ? '3px' : '-3px';
}, function (props) {
  return props.width;
}, styledTools.theme('fannypack.Modal.base'));

exports.Sidebar = Sidebar;
exports.SidebarClose = SidebarClose;
exports.SidebarHide = SidebarHide;
exports.SidebarShow = SidebarShow;
exports.default = Sidebar;
