'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var PropTypes = require('prop-types');
require('reakit/styled');
require('styled-tools');
require('styled-selector');
require('../styled/selector.js');
require('lodash/get');
require('../styled/space.js');
require('../styled/index.js');
var __chunk_1 = require('../chunk-c300b528.js');
var Box = _interopDefault(require('reakit/Box'));
require('reakit/Block');
require('reakit/Inline');
require('reakit/InlineBlock');
require('reakit/Flex');
require('reakit/InlineFlex');
require('reakit/Grid');
var styled$5 = require('./styled.js');

var Spinner = function Spinner(_ref) {
  var props = __chunk_1._extends({}, _ref);

  return React.createElement(Box, __chunk_1._extends({}, props, {
    size: undefined
  }), React.createElement(styled$5.default, {
    viewBox: "22 22 44 44",
    styledSize: props.size,
    value: props.value
  }, React.createElement(styled$5.Circle, {
    cx: "44",
    cy: "44",
    r: "20",
    fill: "none",
    strokeWidth: "4",
    color: props.color,
    value: props.value
  })));
};
var spinnerPropTypes = {
  className: PropTypes.string,
  color: PropTypes.string,
  size: PropTypes.string,
  value: PropTypes.number
};
Spinner.propTypes = spinnerPropTypes;
var spinnerDefaultProps = {
  className: undefined,
  color: 'primary',
  size: 'default',
  value: undefined
};
Spinner.defaultProps = spinnerDefaultProps; // @ts-ignore

var C = Spinner;

exports.Spinner = C;
exports.default = C;
exports.spinnerDefaultProps = spinnerDefaultProps;
exports.spinnerPropTypes = spinnerPropTypes;
