'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var styled = require('reakit/styled');
var styled__default = _interopDefault(styled);
var styledTools = require('styled-tools');
require('styled-selector');
require('../styled/selector.js');
require('lodash/get');
require('../styled/space.js');
var index$2 = require('../styled/index.js');

var defaultDashArrayValue = 126;
var defaultDashOffset = '60px';
var sizes = {
  small: styled.css(["&{font-size:14px;border-width:2px;}&{", ";}"], styledTools.theme('fannypack.Spinner.sizes.small')),
  default: styled.css(["&{", ";}"], styledTools.theme('fannypack.Spinner.sizes.default')),
  medium: styled.css(["&{font-size:28px;}&{", ";}"], styledTools.theme('fannypack.Spinner.sizes.medium')),
  large: styled.css(["&{font-size:36px;}&{", ";}"], styledTools.theme('fannypack.Spinner.sizes.large'))
};
var rotate = styled.keyframes(["from{transform:rotate(0deg);}to{transform:rotate(360deg);}"]);
var spinnerAnimation = styled.css(["animation:", " 0.6s infinite linear;"], rotate);
var Circle = index$2.default.circle.withConfig({
  displayName: "styled__Circle",
  componentId: "v4xo8u-0"
})(["stroke-dasharray:", ";stroke-dashoffset:", ";stroke:", ";transition:stroke-dashoffset 300ms cubic-bezier(0.4,0,0.2,1) 0ms;"], defaultDashArrayValue, function (props) {
  return typeof props.value === 'number' ? defaultDashArrayValue - props.value / 100 * defaultDashArrayValue + "px" : defaultDashOffset;
}, function (props) {
  return styledTools.palette(props.color);
});
var Spinner = index$2.default.svg.withConfig({
  displayName: "styled__Spinner",
  componentId: "v4xo8u-1"
})(["width:1em;height:1em;font-size:20px;transform:rotate(-90deg);", ";&{", ";}", ";"], function (props) {
  return typeof props.value === 'undefined' && spinnerAnimation;
}, styledTools.theme('fannypack.Spinner.base'), function (props) {
  return props.styledSize && (sizes[props.styledSize] || styled.css(["&{font-size:", ";}"], function (props) {
    return props.styledSize;
  }));
});

exports.Circle = Circle;
exports.Spinner = Spinner;
exports.default = Spinner;
exports.defaultDashArrayValue = defaultDashArrayValue;
exports.defaultDashOffset = defaultDashOffset;
exports.rotate = rotate;
exports.sizes = sizes;
exports.spinnerAnimation = spinnerAnimation;
