'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var PropTypes = require('prop-types');
var __chunk_1 = require('../chunk-c300b528.js');
var _omit = _interopDefault(require('lodash/omit'));
var index = require('../Text/index.js');
var fields = require('../adaptors/fields.js');
var __chunk_12 = require('../chunk-7918bb15.js');
var styled = require('./styled.js');

var Switch = function Switch(_ref) {
  var autoFocus = _ref.autoFocus,
      checked = _ref.checked,
      className = _ref.className,
      defaultChecked = _ref.defaultChecked,
      disabled = _ref.disabled,
      id = _ref.id,
      isRequired = _ref.isRequired,
      label = _ref.label,
      onBlur = _ref.onBlur,
      onChange = _ref.onChange,
      onFocus = _ref.onFocus,
      name = _ref.name,
      palette = _ref.palette,
      state = _ref.state,
      switchRef = _ref.switchRef,
      value = _ref.value,
      props = __chunk_1._objectWithoutPropertiesLoose(_ref, ["autoFocus", "checked", "className", "defaultChecked", "disabled", "id", "isRequired", "label", "onBlur", "onChange", "onFocus", "name", "palette", "state", "switchRef", "value"]);

  return React.createElement(styled.default, __chunk_1._extends({
    "aria-describedby": "label",
    "aria-invalid": state === 'danger',
    "aria-label": label,
    "aria-required": isRequired,
    disabled: disabled
  }, props), React.createElement(styled.HiddenSwitch, {
    autoFocus: autoFocus,
    checked: checked,
    defaultChecked: defaultChecked,
    disabled: disabled,
    elementRef: switchRef,
    id: id,
    onBlur: onBlur,
    onChange: onChange,
    onFocus: onFocus,
    name: name,
    palette: palette,
    state: state,
    type: "checkbox",
    value: value
  }), React.createElement(styled.SwitchIcon, {
    state: state
  }), label && React.createElement(index.default, {
    id: "label",
    htmlFor: id,
    marginLeft: "major-1"
  }, label));
};
Switch.Formik = fields.formikField(Switch, {
  isCheckbox: true
});
Switch.ReduxForm = fields.reduxFormField(Switch, {
  isCheckbox: true
});
var switchPropTypes = {
  autoFocus: PropTypes.bool,
  checked: PropTypes.bool,
  className: PropTypes.string,
  defaultChecked: PropTypes.bool,
  disabled: PropTypes.bool,
  id: PropTypes.string,
  isRequired: PropTypes.bool,
  label: PropTypes.string,
  name: PropTypes.string,
  palette: PropTypes.string,
  state: PropTypes.string,
  switchRef: PropTypes.object,
  value: PropTypes.string,
  onBlur: PropTypes.func,
  onChange: PropTypes.func,
  onFocus: PropTypes.func
};
Switch.propTypes = switchPropTypes;
var switchDefaultProps = {
  autoFocus: false,
  checked: undefined,
  className: undefined,
  defaultChecked: undefined,
  disabled: false,
  id: undefined,
  isRequired: false,
  label: undefined,
  onBlur: undefined,
  onChange: undefined,
  onFocus: undefined,
  palette: undefined,
  name: undefined,
  state: undefined,
  switchRef: undefined,
  value: undefined
};
Switch.defaultProps = switchDefaultProps;
var C = Switch;

var SwitchField = function SwitchField(_ref) {
  var a11yId = _ref.a11yId,
      description = _ref.description,
      hint = _ref.hint,
      isOptional = _ref.isOptional,
      isRequired = _ref.isRequired,
      label = _ref.label,
      switchLabel = _ref.switchLabel,
      state = _ref.state,
      validationText = _ref.validationText,
      autoFocus = _ref.autoFocus,
      checked = _ref.checked,
      className = _ref.className,
      defaultChecked = _ref.defaultChecked,
      disabled = _ref.disabled,
      id = _ref.id,
      name = _ref.name,
      palette = _ref.palette,
      switchRef = _ref.switchRef,
      value = _ref.value,
      onBlur = _ref.onBlur,
      onChange = _ref.onChange,
      onFocus = _ref.onFocus,
      props = __chunk_1._objectWithoutPropertiesLoose(_ref, ["a11yId", "description", "hint", "isOptional", "isRequired", "label", "switchLabel", "state", "validationText", "autoFocus", "checked", "className", "defaultChecked", "disabled", "id", "name", "palette", "switchRef", "value", "onBlur", "onChange", "onFocus"]);

  return React.createElement(__chunk_12.FieldWrapper, __chunk_1._extends({
    a11yId: a11yId,
    description: description,
    hint: hint,
    isOptional: isOptional,
    isRequired: isRequired,
    label: label,
    state: state,
    validationText: validationText
  }, props), function (_ref2) {
    var elementProps = _ref2.elementProps;
    return React.createElement(C, __chunk_1._extends({
      label: switchLabel,
      autoFocus: autoFocus,
      checked: checked,
      className: className,
      defaultChecked: defaultChecked,
      disabled: disabled,
      id: id,
      isRequired: isRequired,
      name: name,
      palette: palette,
      state: state,
      switchRef: switchRef,
      value: value,
      onBlur: onBlur,
      onChange: onChange,
      onFocus: onFocus
    }, elementProps));
  });
};
SwitchField.Formik = fields.formikField(SwitchField, {
  hasFieldWrapper: true,
  isCheckbox: true
});
SwitchField.ReduxForm = fields.reduxFormField(SwitchField, {
  hasFieldWrapper: true,
  isCheckbox: true
});
var switchFieldPropTypes = __chunk_1._objectSpread({
  a11yId: PropTypes.string,
  switchLabel: PropTypes.string,
  switchProps: PropTypes.shape(switchPropTypes)
}, _omit(__chunk_12.fieldWrapperPropTypes, 'children'), switchPropTypes);
SwitchField.propTypes = switchFieldPropTypes;
var switchFieldDefaultProps = __chunk_1._objectSpread({
  a11yId: undefined,
  switchLabel: undefined,
  switchProps: {}
}, __chunk_12.fieldWrapperDefaultProps, switchDefaultProps);
SwitchField.defaultProps = switchFieldDefaultProps; // @ts-ignore

var C$1 = SwitchField;

exports.C = C$1;
exports.Switch = C;
exports.SwitchField = SwitchField;
exports.switchDefaultProps = switchDefaultProps;
exports.switchFieldDefaultProps = switchFieldDefaultProps;
exports.switchFieldPropTypes = switchFieldPropTypes;
exports.switchPropTypes = switchPropTypes;
