'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var styled = require('reakit/styled');
var styled__default = _interopDefault(styled);
var styledTools = require('styled-tools');
require('styled-selector');
require('../styled/selector.js');
require('lodash/get');
require('../styled/space.js');
var index$2 = require('../styled/index.js');
require('../chunk-c300b528.js');
var polished = require('polished');
var palette$1 = require('../default/palette.js');
var Box = _interopDefault(require('reakit/Box'));
require('reakit/Block');
require('reakit/Inline');
require('reakit/InlineBlock');
require('reakit/Flex');
require('reakit/InlineFlex');
require('reakit/Grid');
var Label$1 = _interopDefault(require('reakit/Label'));
require('reakit/Input');
var __chunk_8 = require('../chunk-3e8af825.js');

var defaultPalette = palette$1.default({});

var SwitchIcon = index$2.default(Box).withConfig({
  displayName: "styled__SwitchIcon",
  componentId: "ohpvlq-0"
})(["background-color:", ";border:1px solid #bdbdbd;border-radius:1em;height:1.5em;position:relative;width:3em;&{", ";}&{", ";}"], styledTools.palette('white700'), function (props) {
  return props.state && styled.css(["border-color:", ";box-shadow:", " 0px 0px 0px 1px !important;"], function (props) {
    return styledTools.palette("" + props.state);
  }, function (props) {
    return styledTools.palette("" + props.state);
  });
}, styledTools.theme('fannypack.Switch.base'));
var HiddenSwitch = __chunk_8.HiddenInput({
  Icon: SwitchIcon,
  checkedCss: styled.css(["background-color:", ";transition:all ease 0.2s;"], function (props) {
    return styledTools.palette(props.palette || 'primary');
  }),
  disabledCheckedCss: styled.css(["background-color:", ";border-color:", ";"], function (props) {
    return polished.tint(0.5, styledTools.palette(props.palette || 'primary', 0, defaultPalette.primary)(props));
  }, function (props) {
    return polished.tint(0.5, styledTools.palette(props.palette || 'primary', 0, defaultPalette.primary)(props));
  }),
  disabledUncheckedIconCss: styled.css(["background:", ";"], styledTools.palette('white700')),
  checkedIconCss: styled.css(["border-color:", ";left:1.7em;"], function (props) {
    return styledTools.palette(props.palette || 'primary', 0, defaultPalette.primary);
  }),
  disabledCheckedIconCss: styled.css(["border-color:", ";"], function (props) {
    return polished.tint(0.5, styledTools.palette(props.palette || 'primary', 0, defaultPalette.primary)(props));
  }),
  uncheckedIconCss: styled.css(["background:white;content:'';border-radius:100%;border:1px solid #bdbdbd;height:1em;width:1em;top:0.2em;left:0.2em;transition:all ease 0.2s;position:absolute;"]),
  themePrefix: 'Switch'
});
var Switch = index$2.default(Label$1).withConfig({
  displayName: "styled__Switch",
  componentId: "ohpvlq-1"
})(["align-items:center;cursor:", ";display:flex;&{", ";}"], function (props) {
  return props.disabled ? 'not-allowed' : 'pointer';
}, styledTools.theme('fannypack.Switch.label'));

exports.HiddenSwitch = HiddenSwitch;
exports.Switch = Switch;
exports.SwitchIcon = SwitchIcon;
exports.default = Switch;
