'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var PropTypes = require('prop-types');
require('reakit/styled');
require('styled-tools');
require('styled-selector');
require('../styled/selector.js');
require('lodash/get');
require('../styled/space.js');
require('../styled/index.js');
var __chunk_1 = require('../chunk-c300b528.js');
require('reakit/Box');
require('reakit/Block');
require('reakit/Inline');
require('reakit/InlineBlock');
require('reakit/Flex');
require('reakit/InlineFlex');
require('reakit/Grid');
var styled$1 = require('./styled.js');

var TableCaption = function TableCaption(_ref) {
  var children = _ref.children,
      position = _ref.position,
      props = __chunk_1._objectWithoutPropertiesLoose(_ref, ["children", "position"]);

  return React.createElement(styled$1.Caption, __chunk_1._extends({
    use: "caption",
    position: position
  }, props), children);
};
var tableCaptionPropTypes = {
  children: PropTypes.node.isRequired,
  position: PropTypes.oneOf(['top', 'bottom'])
};
TableCaption.propTypes = tableCaptionPropTypes;
var tableCaptionDefaultProps = {
  position: 'top'
};
TableCaption.defaultProps = tableCaptionDefaultProps;
var C = TableCaption;

exports.TableCaption = TableCaption;
exports.default = C;
exports.tableCaptionDefaultProps = tableCaptionDefaultProps;
exports.tableCaptionPropTypes = tableCaptionPropTypes;
