'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var PropTypes = require('prop-types');
require('reakit/styled');
require('styled-tools');
require('styled-selector');
require('../styled/selector.js');
var _get = _interopDefault(require('lodash/get'));
require('../styled/space.js');
require('../styled/index.js');
var __chunk_1 = require('../chunk-c300b528.js');
require('reakit/Box');
require('reakit/Block');
require('reakit/Inline');
require('reakit/InlineBlock');
require('reakit/Flex');
require('reakit/InlineFlex');
require('reakit/Grid');
var styled$1 = require('./styled.js');

var tableCellPropTypes = {
  children: PropTypes.node
};
var tableCellDefaultProps = {
  children: undefined
};
var TableCell =
/*#__PURE__*/
function (_React$Component) {
  __chunk_1._inheritsLoose(TableCell, _React$Component);

  function TableCell() {
    var _this;

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _React$Component.call.apply(_React$Component, [this].concat(args)) || this;

    __chunk_1._defineProperty(__chunk_1._assertThisInitialized(_this), "state", {
      title: undefined
    });

    __chunk_1._defineProperty(__chunk_1._assertThisInitialized(_this), "tableCellRef", React.createRef());

    __chunk_1._defineProperty(__chunk_1._assertThisInitialized(_this), "componentDidMount", function () {
      if (_get(__chunk_1._assertThisInitialized(_this), 'tableCellRef.current')) {
        // @ts-ignore
        var cellIndex = _this.tableCellRef.current.cellIndex; // @ts-ignore

        var rowElement = _this.tableCellRef.current.parentNode;
        var bodyElement = rowElement.parentNode;
        var tableElement = bodyElement.parentNode;

        var tableElementChildren = _get(tableElement, 'childNodes', []);

        if (tableElementChildren.length > 0) {
          // @ts-ignore
          NodeList.prototype.find = Array.prototype.find;
          var headElement = tableElementChildren.find(function (child) {
            return child.tagName === 'THEAD';
          });

          if (headElement && headElement.childNodes) {
            var headRowElement = _get(headElement, 'childNodes[0]');

            var headCellElement = _get(headRowElement, "childNodes[" + cellIndex + "]");

            _this.setState({
              title: _get(headCellElement, 'innerText')
            });
          }
        }
      }
    });

    __chunk_1._defineProperty(__chunk_1._assertThisInitialized(_this), "render", function () {
      var _this$props = _this.props,
          children = _this$props.children,
          props = __chunk_1._objectWithoutPropertiesLoose(_this$props, ["children"]);

      var title = _this.state.title;
      return React.createElement(styled$1.TableCell, __chunk_1._extends({
        use: "td",
        "data-content": title
      }, props, {
        elementRef: _this.tableCellRef
      }), children);
    });

    return _this;
  }

  return TableCell;
}(React.Component); // @ts-ignore

__chunk_1._defineProperty(TableCell, "propTypes", tableCellPropTypes);

__chunk_1._defineProperty(TableCell, "defaultProps", tableCellDefaultProps);

var C = TableCell;

exports.TableCell = TableCell;
exports.default = C;
exports.tableCellDefaultProps = tableCellDefaultProps;
exports.tableCellPropTypes = tableCellPropTypes;
