'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var PropTypes = require('prop-types');
var styled = require('reakit/styled');
var styled__default = _interopDefault(styled);
var styledTools = require('styled-tools');
require('styled-selector');
require('../styled/selector.js');
require('lodash/get');
require('../styled/space.js');
var index$2 = require('../styled/index.js');
var __chunk_1 = require('../chunk-c300b528.js');
var Box = _interopDefault(require('reakit/Box'));
require('reakit/Block');
require('reakit/Inline');
require('reakit/InlineBlock');
require('reakit/Flex');
require('reakit/InlineFlex');
require('reakit/Grid');
var ConditionalWrap = _interopDefault(require('conditional-wrap'));
var styled$1 = require('./styled.js');
var TableBody = require('./TableBody.js');
var TableCaption = require('./TableCaption.js');
var TableCell = require('./TableCell.js');
var TableFoot = require('./TableFoot.js');
var TableHead = require('./TableHead.js');
var TableHeadCell = require('./TableHeadCell.js');
var TableRow = require('./TableRow.js');

var OuterBorder = index$2.default(Box).withConfig({
  displayName: "Table__OuterBorder",
  componentId: "sc-1as57q1-0"
})(["border:1px solid ", ";border-radius:5px;padding:0.25rem 0.5rem;", ";"], styledTools.theme('fannypack.Table.borderColor'), function (props) {
  return props.isResponsive && styled.css(["@media screen and (max-width:", "px){padding:0px;}"], function (props) {
    return styledTools.theme("fannypack.layout." + props.responsiveBreakpoint + "Breakpoint");
  });
});
var Table = function Table(_ref) {
  var a11yTitle = _ref.a11yTitle,
      children = _ref.children,
      hasBorder = _ref.hasBorder,
      isResponsive = _ref.isResponsive,
      responsiveBreakpoint = _ref.responsiveBreakpoint,
      props = __chunk_1._objectWithoutPropertiesLoose(_ref, ["a11yTitle", "children", "hasBorder", "isResponsive", "responsiveBreakpoint"]);

  return React.createElement(ConditionalWrap, {
    condition: hasBorder,
    wrap: function wrap(children) {
      return React.createElement(OuterBorder, {
        isResponsive: isResponsive,
        responsiveBreakpoint: responsiveBreakpoint
      }, children);
    }
  }, React.createElement(styled$1.default, __chunk_1._extends({
    use: "table",
    "aria-label": a11yTitle,
    isResponsive: isResponsive,
    responsiveBreakpoint: responsiveBreakpoint
  }, props), children));
};
Table.Body = TableBody.default;
Table.Caption = TableCaption.default;
Table.Cell = TableCell.default;
Table.Foot = TableFoot.default;
Table.Head = TableHead.default;
Table.HeadCell = TableHeadCell.default;
Table.Row = TableRow.default;
var tablePropTypes = {
  a11yTitle: PropTypes.string,
  children: PropTypes.node.isRequired,
  hasBorder: PropTypes.bool,
  isHoverable: PropTypes.bool,
  isResponsive: PropTypes.bool,
  isStriped: PropTypes.bool,
  isVerticallyCentered: PropTypes.bool,
  responsiveBreakpoint: PropTypes.string
};
Table.propTypes = tablePropTypes;
var tableDefaultProps = {
  a11yTitle: undefined,
  hasBorder: false,
  isHoverable: false,
  isResponsive: false,
  isStriped: false,
  isVerticallyCentered: false,
  responsiveBreakpoint: 'mobile'
};
Table.defaultProps = tableDefaultProps;
var C = Table;

exports.TableBody = TableBody.default;
exports.tableBodyDefaultProps = TableBody.tableBodyDefaultProps;
exports.tableBodyPropTypes = TableBody.tableBodyPropTypes;
exports.TableCaption = TableCaption.default;
exports.tableCaptionDefaultProps = TableCaption.tableCaptionDefaultProps;
exports.tableCaptionPropTypes = TableCaption.tableCaptionPropTypes;
exports.TableCell = TableCell.default;
exports.tableCellDefaultProps = TableCell.tableCellDefaultProps;
exports.tableCellPropTypes = TableCell.tableCellPropTypes;
exports.TableFoot = TableFoot.default;
exports.tableFootDefaultProps = TableFoot.tableFootDefaultProps;
exports.tableFootPropTypes = TableFoot.tableFootPropTypes;
exports.TableHead = TableHead.default;
exports.tableHeadDefaultProps = TableHead.tableHeadDefaultProps;
exports.tableHeadPropTypes = TableHead.tableHeadPropTypes;
exports.TableHeadCell = TableHeadCell.default;
exports.tableHeadCellDefaultProps = TableHeadCell.tableHeadCellDefaultProps;
exports.tableHeadCellPropTypes = TableHeadCell.tableHeadCellPropTypes;
exports.TableRow = TableRow.default;
exports.tableRowPropTypes = TableRow.tableRowPropTypes;
exports.Table = C;
exports.default = C;
exports.tableDefaultProps = tableDefaultProps;
exports.tablePropTypes = tablePropTypes;
