'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var styled = require('reakit/styled');
var styled__default = _interopDefault(styled);
var styledTools = require('styled-tools');
require('styled-selector');
var selector$1 = require('../styled/selector.js');
require('lodash/get');
var space = require('../styled/space.js');
var index$2 = require('../styled/index.js');
var Box = _interopDefault(require('reakit/Box'));
require('reakit/Block');
require('reakit/Inline');
require('reakit/InlineBlock');
require('reakit/Flex');
require('reakit/InlineFlex');
require('reakit/Grid');

var Caption = index$2.default(Box).withConfig({
  displayName: "styled__Caption",
  componentId: "y1jyri-0"
})(["caption-side:", ";&{", ";}"], function (props) {
  return props.position;
}, styledTools.theme('fannypack.Table.Caption.base'));
var TableCell = index$2.default(Box).withConfig({
  displayName: "styled__TableCell",
  componentId: "y1jyri-1"
})(["padding:", "rem;&{", ";}"], styledTools.theme('fannypack.Table.spacing'), styledTools.theme('fannypack.Table.Cell.base'));
var TableFoot = index$2.default(Box).withConfig({
  displayName: "styled__TableFoot",
  componentId: "y1jyri-2"
})(["font-weight:bold;&{", ";}&{", ";}"], function (props) {
  return props.hasBorder && styled.css(["border-top:2px solid ", ";"], styledTools.theme('fannypack.Table.borderColor'));
}, styledTools.theme('fannypack.Table.Foot.base'));
var TableHead = index$2.default(Box).withConfig({
  displayName: "styled__TableHead",
  componentId: "y1jyri-3"
})(["border:unset;&{", ";}&{", ";}"], function (props) {
  return props.hasBorder && styled.css(["border-bottom:2px solid ", ";"], styledTools.theme('fannypack.Table.borderColor'));
}, styledTools.theme('fannypack.Table.Head.base'));
var tableHeadCellText = styled.css(["font-weight:bold;&{", ";}"], styledTools.theme('fannypack.Table.HeadCell.text'));
var TableHeadCell = index$2.default(Box).withConfig({
  displayName: "styled__TableHeadCell",
  componentId: "y1jyri-4"
})(["padding:", "rem;vertical-align:middle;", " &{", ";}"], styledTools.theme('fannypack.Table.spacing'), tableHeadCellText, styledTools.theme('fannypack.Table.HeadCell.base'));
var TableRow = index$2.default(Box).withConfig({
  displayName: "styled__TableRow",
  componentId: "y1jyri-5"
})(["&{", ";}"], styledTools.theme('fannypack.Table.Row.base'));
var TableBody = index$2.default(Box).withConfig({
  displayName: "styled__TableBody",
  componentId: "y1jyri-6"
})(["", ";&{", ";}"], function (props) {
  return props.hasBorders && styled.css(["& ", ":not(:last-child){border-bottom:1px solid ", ";}"], selector$1.default(TableRow), styledTools.theme('fannypack.Table.borderColor'));
}, styledTools.theme('fannypack.Table.Body.base'));
var hoverableProperties = styled.css(["& ", " ", ":hover{background-color:", " !important;}"], selector$1.default(TableBody), selector$1.default(TableRow), styledTools.theme('fannypack.Table.hover.backgroundColor'));
var stripedProperties = styled.css(["& ", " ", ":nth-child(even){background-color:", ";}"], selector$1.default(TableBody), selector$1.default(TableRow), styledTools.theme('fannypack.Table.striped.backgroundColor'));
var responsiveAttributes = styled.css(["@media screen and (max-width:", "px){& ", "{display:none;}& ", " ", ":not(:last-child){border-bottom:1px solid ", ";}& ", " ", "{display:block;text-align:left !important;&::before{display:block;content:attr(data-content);", "}}& ", " ", "{display:block;text-align:left !important;}}"], function (props) {
  return styledTools.theme("fannypack.layout." + props.responsiveBreakpoint + "Breakpoint");
}, selector$1.default(TableHead), selector$1.default(TableBody), selector$1.default(TableRow), styledTools.theme('fannypack.Table.borderColor'), selector$1.default(TableBody), selector$1.default(TableCell), tableHeadCellText, selector$1.default(TableFoot), selector$1.default(TableCell));
var Table = index$2.default(Box).withConfig({
  displayName: "styled__Table",
  componentId: "y1jyri-7"
})(["border-collapse:collapse;border-spacing:0;text-align:left;width:100%;&:not(:last-child){margin-bottom:", "rem;}&{", "}&{", ";}&{", ";}&{", ";}&{", ";}"], space.default(4), function (props) {
  return props.isVerticallyCentered && styled.css(["& ", "{vertical-align:middle;}"], selector$1.default(TableCell));
}, function (props) {
  return props.isResponsive && responsiveAttributes;
}, function (props) {
  return props.isHoverable && hoverableProperties;
}, function (props) {
  return props.isStriped && stripedProperties;
}, styledTools.theme('fannypack.Table.base'));

exports.Caption = Caption;
exports.Table = Table;
exports.TableBody = TableBody;
exports.TableCell = TableCell;
exports.TableFoot = TableFoot;
exports.TableHead = TableHead;
exports.TableHeadCell = TableHeadCell;
exports.TableRow = TableRow;
exports.default = Table;
exports.hoverableProperties = hoverableProperties;
exports.responsiveAttributes = responsiveAttributes;
exports.stripedProperties = stripedProperties;
exports.tableHeadCellText = tableHeadCellText;
