'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var PropTypes = require('prop-types');
require('reakit/styled');
require('styled-tools');
require('styled-selector');
require('../styled/selector.js');
require('lodash/get');
require('../styled/space.js');
require('../styled/index.js');
var __chunk_1 = require('../chunk-c300b528.js');
var classNames = _interopDefault(require('classnames'));
require('reakit/Tabs');
var styled$1 = require('./styled.js');

var noop = function noop() {};

var Tab = function Tab(_ref) {
  var children = _ref.children,
      className = _ref.className,
      isActive = _ref.isActive,
      props = __chunk_1._objectWithoutPropertiesLoose(_ref, ["children", "className", "isActive"]);

  return React.createElement(styled$1.Tab, __chunk_1._extends({}, props, {
    className: classNames(className, {
      active: isActive
    })
  }), children);
};
var tabPropTypes = {
  children: PropTypes.node.isRequired,
  className: PropTypes.string,
  isActive: PropTypes.bool,
  tab: PropTypes.string.isRequired,
  current: PropTypes.number.isRequired,
  register: PropTypes.func.isRequired,
  update: PropTypes.func.isRequired,
  unregister: PropTypes.func.isRequired,
  isCurrent: PropTypes.func.isRequired,
  show: PropTypes.func.isRequired,
  next: PropTypes.func.isRequired,
  previous: PropTypes.func.isRequired
};
Tab.propTypes = tabPropTypes;
var tabDefaultProps = {
  className: undefined,
  isActive: false,
  register: noop,
  update: noop,
  unregister: noop,
  isCurrent: function isCurrent() {
    return false;
  },
  show: noop,
  next: noop,
  previous: noop
};
Tab.defaultProps = tabDefaultProps; // @ts-ignore

var C = Tab;

exports.Tab = Tab;
exports.default = C;
exports.tabDefaultProps = tabDefaultProps;
exports.tabPropTypes = tabPropTypes;
