'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var PropTypes = require('prop-types');
require('reakit/styled');
require('styled-tools');
require('styled-selector');
require('../styled/selector.js');
require('lodash/get');
require('../styled/space.js');
require('../styled/index.js');
var __chunk_1 = require('../chunk-c300b528.js');
require('classnames');
var _Tabs = _interopDefault(require('reakit/Tabs'));
var styled$1 = require('./styled.js');
var Tab = require('./Tab.js');
var TabPanel = require('./TabPanel.js');

var Tabs = function Tabs(_ref) {
  var children = _ref.children,
      props = __chunk_1._objectWithoutPropertiesLoose(_ref, ["children"]);

  return React.createElement(styled$1.default, __chunk_1._extends({
    use: _Tabs
  }, props), children);
};
Tabs.Tab = Tab.default;
Tabs.Panel = TabPanel.default;
Tabs.Container = _Tabs.Container;
var tabsPropTypes = {
  align: PropTypes.oneOf(['left', 'center', 'right']),
  children: PropTypes.node.isRequired,
  className: PropTypes.string,
  isFitted: PropTypes.bool,
  type: PropTypes.oneOf(['default', 'boxed'])
};
Tabs.propTypes = tabsPropTypes;
var tabsDefaultProps = {
  align: undefined,
  className: undefined,
  isFitted: false,
  type: 'default'
};
Tabs.defaultProps = tabsDefaultProps;
var C = Tabs;

exports.Tab = Tab.default;
exports.tabDefaultProps = Tab.tabDefaultProps;
exports.tabPropTypes = Tab.tabPropTypes;
exports.TabPanel = TabPanel.default;
exports.tabPanelDefaultProps = TabPanel.tabPanelDefaultProps;
exports.tabPanelPropTypes = TabPanel.tabPanelPropTypes;
exports.Tabs = C;
exports.default = C;
exports.tabsDefaultProps = tabsDefaultProps;
exports.tabsPropTypes = tabsPropTypes;
