'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var styled = require('reakit/styled');
var styled__default = _interopDefault(styled);
var styledTools = require('styled-tools');
require('styled-selector');
var selector$1 = require('../styled/selector.js');
require('lodash/get');
require('../styled/space.js');
var index$2 = require('../styled/index.js');
var _Tabs = _interopDefault(require('reakit/Tabs'));

var TabPanel = index$2.default(_Tabs.Panel).withConfig({
  displayName: "styled__TabPanel",
  componentId: "sc-1783spc-0"
})(["&{", ";}"], styledTools.theme('fannypack.Tabs.Panel.base'));
var Tab = index$2.default(_Tabs.Tab).withConfig({
  displayName: "styled__Tab",
  componentId: "sc-1783spc-1"
})(["align-items:center;border-top-left-radius:4px;border-top-right-radius:4px;cursor:pointer;display:flex;height:2.5em;justify-content:center;margin-bottom:-1px;padding:0.5rem;&.active{background-color:white;color:", ";fill:", ";", ";}&:focus{outline:none;", ";}&:not(.active):hover{background-color:", ";border-bottom:1px solid ", ";", ";}&:not(:last-child){margin-right:0.5rem;}&{", ";}"], styledTools.palette('primary'), styledTools.palette('primary'), styledTools.theme('fannypack.Tabs.Tab.active'), styledTools.theme('fannypack.Tabs.Tab.focus'), styledTools.palette('white700'), styledTools.palette('textTint'), styledTools.theme('fannypack.Tabs.Tab.hover'), styledTools.theme('fannypack.Tabs.Tab.base'));
var alignPropeties = {
  center: styled.css(["justify-content:center;"]),
  right: styled.css(["justify-content:flex-end;"])
};
var Tabs = index$2.default(_Tabs).withConfig({
  displayName: "styled__Tabs",
  componentId: "sc-1783spc-2"
})(["align-items:center;border-bottom:1px solid ", ";display:flex;font-weight:", ";list-style:none;", ";& ", "{", ";", ";}& ", ".active{", ";", ";}&{", ";}&{", ";}"], styledTools.palette('textTint'), styledTools.theme('fannypack.fontWeights.semibold'), function (props) {
  return props.isFitted && styled.css(["& ", "{flex:1;}"], selector$1.default(Tab));
}, selector$1.default(Tab), function (props) {
  return props.type === 'default' && styled.css(["&{", ";}"], styledTools.theme('fannypack.Tabs.Tab.default.base'));
}, function (props) {
  return props.type === 'boxed' && styled.css(["border:1px solid transparent;&{", ";}"], styledTools.theme('fannypack.Tabs.Tab.boxed.base'));
}, selector$1.default(Tab), function (props) {
  return props.type === 'default' && styled.css(["box-shadow:inset 0 -2px 0 0 ", ";&{", ";}"], styledTools.palette('primary'), styledTools.theme('fannypack.Tabs.Tab.default.active'));
}, function (props) {
  return props.type === 'boxed' && styled.css(["border:1px solid ", ";border-bottom-color:transparent;&{", ";}"], styledTools.palette('textTint'), styledTools.theme('fannypack.Tabs.Tab.boxed.active'));
}, function (props) {
  return props.align && alignPropeties[props.align || ''];
}, styledTools.theme('fannypack.Tabs.base'));

exports.Tab = Tab;
exports.TabPanel = TabPanel;
exports.Tabs = Tabs;
exports.default = Tabs;
