'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var PropTypes = require('prop-types');
require('../types/props.js');
require('reakit/styled');
require('styled-tools');
require('styled-selector');
require('../styled/selector.js');
require('lodash/get');
require('../styled/space.js');
require('../styled/index.js');
var __chunk_1 = require('../chunk-c300b528.js');
require('polished');
require('../default/palette.js');
require('reakit/Button');
require('airbnb-prop-types');
require('../parseIcons.js');
require('reakit/Box');
require('reakit/Block');
require('reakit/Inline');
require('reakit/InlineBlock');
require('reakit/Flex');
require('reakit/InlineFlex');
require('reakit/Grid');
require('../Icon/styled.js');
require('../chunk-bf58d135.js');
require('../Set/styled.js');
require('../Set/index.js');
require('../Button/styled.js');
require('../Spinner/styled.js');
require('../Spinner/index.js');
require('../chunk-7592c834.js');
require('lodash/omit');
require('../Button/ActionButtons.js');
require('../Button/index.js');
var index$7 = require('../Icon/index.js');
var styled$4 = require('./styled.js');

var Tag = function Tag(_ref) {
  var children = _ref.children,
      onRemove = _ref.onRemove,
      size = _ref.size,
      props = __chunk_1._objectWithoutPropertiesLoose(_ref, ["children", "onRemove", "size"]);

  return React.createElement(styled$4.default, __chunk_1._extends({
    styledSize: size
  }, props), React.createElement(styled$4.TagContent, {
    isRemovable: Boolean(onRemove)
  }, children), Boolean(onRemove) && React.createElement(styled$4.RemoveButton, {
    onClick: onRemove,
    kind: props.kind === 'outlined' ? 'ghost' : undefined,
    palette: props.palette
  }, React.createElement(index$7.default, {
    a11yLabel: "Close",
    icon: "times"
  })));
};
var tagPropTypes = {
  className: PropTypes.string,
  children: PropTypes.node.isRequired,
  kind: PropTypes.oneOf(['outlined']),
  onRemove: PropTypes.func,
  palette: PropTypes.string,
  size: PropTypes.string
};
Tag.propTypes = tagPropTypes;
var tagDefaultProps = {
  className: undefined,
  kind: undefined,
  onRemove: undefined,
  palette: 'text',
  size: 'default'
};
Tag.defaultProps = tagDefaultProps; // @ts-ignore

var C = Tag;

exports.Tag = C;
exports.default = C;
exports.tagDefaultProps = tagDefaultProps;
exports.tagPropTypes = tagPropTypes;
