'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

require('react');
require('prop-types');
require('../types/props.js');
var styled = require('reakit/styled');
var styled__default = _interopDefault(styled);
var styledTools = require('styled-tools');
require('styled-selector');
require('../styled/selector.js');
require('lodash/get');
var space = require('../styled/space.js');
var index$2 = require('../styled/index.js');
require('../chunk-c300b528.js');
require('polished');
require('../default/palette.js');
require('reakit/Button');
require('airbnb-prop-types');
require('../parseIcons.js');
var Box = _interopDefault(require('reakit/Box'));
require('reakit/Block');
require('reakit/Inline');
require('reakit/InlineBlock');
require('reakit/Flex');
var InlineFlex = _interopDefault(require('reakit/InlineFlex'));
require('reakit/Grid');
require('../Icon/styled.js');
require('../chunk-bf58d135.js');
require('../Set/styled.js');
require('../Set/index.js');
require('../Button/styled.js');
require('../Spinner/styled.js');
require('../Spinner/index.js');
require('../chunk-7592c834.js');
require('lodash/omit');
require('../Button/ActionButtons.js');
var index$4 = require('../Button/index.js');

var sizeAttributes = {
  default: styled.css(["&{", ";}"], styledTools.theme('fannypack.Tag.sizes.default')),
  medium: styled.css(["font-size:1em;height:2rem;&{", ";}"], styledTools.theme('fannypack.Tag.sizes.medium')),
  large: styled.css(["font-size:1.25em;height:2.5rem;&{", ";}"], styledTools.theme('fannypack.Tag.sizes.large'))
};
var outlinedProperties = styled.css(["&{background-color:unset;border:1px solid ", ";color:", ";fill:", ";}&{", ";}"], styledTools.palette(), styledTools.palette(), styledTools.palette(), styledTools.theme('fannypack.Tag.outlined'));
var RemoveButton = index$2.default(index$4.default).withConfig({
  displayName: "styled__RemoveButton",
  componentId: "sc-1g01kou-0"
})(["background:none;padding:0 ", "rem;height:100%;min-height:100%;", ";&:focus{box-shadow:inset ", " 0px 0px 0px 2px;}&{", ";}"], space.default(1), function (props) {
  return props.kind !== 'ghost' && styled.css(["color:", ";"], function (props) {
    return styledTools.palette(props.palette + "Inverted");
  });
}, function (props) {
  return styledTools.palette(props.palette === 'default' ? 'primary' : props.palette + "300")(props);
}, styledTools.theme('fannypack.Tag.RemoveButton.base'));
var TagContent = index$2.default(Box).withConfig({
  displayName: "styled__TagContent",
  componentId: "sc-1g01kou-1"
})(["align-items:center;display:flex;padding:0 ", "em;", ";&{", ";}"], space.default(2), function (props) {
  return props.isRemovable && styled.css(["padding-right:0rem;"]);
}, styledTools.theme('fannypack.Tag.TagContent.base'));
var Tag = index$2.default(InlineFlex).withConfig({
  displayName: "styled__Tag",
  componentId: "sc-1g01kou-2"
})(["align-items:center;background-color:", ";border-radius:4px;color:", ";fill:", ";font-size:", "rem;font-weight:", ";height:1.5rem;justify-content:center;&{", ";", ";}&{", ";}"], styledTools.palette(), function (props) {
  return styledTools.palette(props.palette + "Inverted");
}, function (props) {
  return styledTools.palette(props.palette + "Inverted");
}, styledTools.theme('fannypack.fontSizes.100'), styledTools.theme('fannypack.fontWeights.semibold'), function (props) {
  return props.styledSize && sizeAttributes[props.styledSize];
}, function (props) {
  return props.kind === 'outlined' && outlinedProperties;
}, styledTools.theme('fannypack.Tag.base'));

exports.RemoveButton = RemoveButton;
exports.Tag = Tag;
exports.TagContent = TagContent;
exports.default = Tag;
exports.outlinedProperties = outlinedProperties;
exports.sizeAttributes = sizeAttributes;
