'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

require('react');
require('prop-types');
var styled = require('reakit/styled');
var styled__default = _interopDefault(styled);
var styledTools = require('styled-tools');
require('styled-selector');
require('../styled/selector.js');
require('lodash/get');
require('../styled/space.js');
var index$2 = require('../styled/index.js');
require('../chunk-c300b528.js');
require('reakit/Box');
require('reakit/Block');
require('reakit/Inline');
require('reakit/InlineBlock');
require('reakit/Flex');
require('reakit/InlineFlex');
require('reakit/Grid');
require('../Spinner/styled.js');
var index$1$2 = require('../Spinner/index.js');
var Input$1 = _interopDefault(require('reakit/Input'));

var LoadingSpinner = index$2.default(index$1$2.default).withConfig({
  displayName: "styled__LoadingSpinner",
  componentId: "sc-1okmeud-0"
})(["position:absolute;top:12px;right:14px;z-index:1;"]);
var sizeProperties = {
  small: styled.css(["font-size:0.8rem;& + ", "{top:10px;}&{", ";}"], LoadingSpinner, styledTools.theme('fannypack.Textarea.sizes.small')),
  default: styled.css(["&{", ";}"], styledTools.theme('fannypack.Textarea.sizes.default')),
  medium: styled.css(["font-size:1.25rem;& + ", "{top:15px;right:10px;}&{", ";}"], LoadingSpinner, styledTools.theme('fannypack.Textarea.sizes.medium')),
  large: styled.css(["font-size:1.5rem;& + ", "{top:16px;right:12px;}&{", ";}"], LoadingSpinner, styledTools.theme('fannypack.Textarea.sizes.large'))
};
var stateProperties = styled.css(["border-color:", ";box-shadow:", " 0px 0px 0px 1px !important;"], function (props) {
  return styledTools.palette(props.state + "300")(props);
}, function (props) {
  return styledTools.palette(props.state + "300")(props);
});
var Textarea = index$2.default(Input$1).withConfig({
  displayName: "styled__Textarea",
  componentId: "sc-1okmeud-1"
})(["-webkit-appearance:none;border:1px solid #bdbdbd;box-shadow:inset 0px 1px 2px #e5e5e5;border-radius:0.2em;width:100%;padding:0.4em 0.6em;&[disabled]{background-color:", ";box-shadow:unset;&{", ";}}&:focus{outline:unset;z-index:2;border-color:", ";box-shadow:", " 0px 0px 0px 1px !important;&{", ";}}&::placeholder{opacity:0.6;&{", ";}}&{", ";}&{", ";}", ";"], styledTools.palette('white700'), styledTools.theme('fannypack.Textarea.disabled'), styledTools.palette('primary'), styledTools.palette('primary'), styledTools.theme('fannypack.Textarea.focus'), styledTools.theme('fannypack.Textarea.placeholder'), function (props) {
  return props.styledSize && sizeProperties[props.styledSize];
}, function (props) {
  return props.state && stateProperties;
}, styledTools.theme('fannypack.Textarea.base'));

exports.LoadingSpinner = LoadingSpinner;
exports.Textarea = Textarea;
exports.default = Textarea;
exports.sizeProperties = sizeProperties;
exports.stateProperties = stateProperties;
