'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var uniqueId = require('../uniqueId.js');
var PropTypes = require('prop-types');
require('../types/props.js');
var styled = require('reakit/styled');
var styled__default = _interopDefault(styled);
var styledTools = require('styled-tools');
require('styled-selector');
require('../styled/selector.js');
var _get = _interopDefault(require('lodash/get'));
var space = require('../styled/space.js');
require('../styled/index.js');
var __chunk_1 = require('../chunk-c300b528.js');
require('polished');
require('../default/palette.js');
require('reakit/Button');
require('airbnb-prop-types');
require('../parseIcons.js');
require('reakit/Box');
require('reakit/Block');
require('reakit/Inline');
require('reakit/InlineBlock');
require('reakit/Flex');
require('reakit/InlineFlex');
require('reakit/Grid');
require('../Icon/styled.js');
require('../chunk-bf58d135.js');
require('../Set/styled.js');
require('../Set/index.js');
require('../Button/styled.js');
var index$3 = require('../default/index.js');
require('../default/global.js');
require('../default/layout.js');
require('../default/fontSizes.js');
require('../default/fontWeights.js');
require('../default/Container.js');
require('../default/FieldSet.js');
require('@fortawesome/free-solid-svg-icons/faInfoCircle');
require('@fortawesome/free-solid-svg-icons/faExclamationTriangle');
require('@fortawesome/free-solid-svg-icons/faCheckCircle');
require('@fortawesome/free-solid-svg-icons/faExclamationCircle');
require('@fortawesome/free-solid-svg-icons/faQuestionCircle');
require('@fortawesome/free-solid-svg-icons/faTimes');
require('@fortawesome/free-solid-svg-icons/faSearch');
require('../default/Icon.js');
require('../default/LayoutSet.js');
require('../default/Page.js');
require('../default/Pane.js');
require('../default/Table.js');
require('reakit');
var ThemeProvider = _interopDefault(require('reakit/Provider'));
var _camelCase = _interopDefault(require('lodash/camelCase'));
require('reakit/Portal');
require('../Portal/styled.js');
require('../Portal/index.js');
require('../Spinner/styled.js');
require('../Spinner/index.js');
require('../chunk-7592c834.js');
require('lodash/omit');
require('../Button/ActionButtons.js');
require('../Button/index.js');
require('classnames');
require('reakit/Heading');
require('../Heading/styled.js');
require('../Heading/index.js');
require('../Pane/styled.js');
require('../chunk-66ca61c2.js');
require('../Pane/index.js');
require('../Toast/styled.js');
require('lodash/uniqueId');
require('../Toast/ToastContainer.js');
require('../Icon/index.js');
require('../VisuallyHidden.js');
require('../Toast/ToastClose.js');
require('../Toast/ToastIcon.js');
require('../Toast/ToastTitle.js');
var ToastManager = require('../Toast/ToastManager-29b5f757.js');

function _templateObject() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n  html, body {\n    box-sizing: border-box;\n    font-family: ", ";\n    font-size: ", "px;\n    font-weight: ", ";\n    line-height: 1.5;\n    margin: 0;\n    padding: 0;\n    overflow-x: hidden;\n    -webkit-font-smoothing: antialiased;\n    text-rendering: optimizeLegibility;\n    color: ", ";\n    fill: ", ";\n  }\n\n  html.wf-active,\n  html.wf-active > body {\n    font-family: ", ";\n  }\n\n  *,\n  *::before,\n  *::after {\n    box-sizing: inherit;\n  }\n\n  *:focus {\n    outline: 2px solid ", ";\n    outline-offset: 2px;\n  }\n\n  ", ";\n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}
var Global = styled.createGlobalStyle(_templateObject(), function (props) {
  return styledTools.theme('fannypack.global.fallbackFontFamily')(props) || styledTools.theme('fannypack.global.fontFamily')(props);
}, styledTools.theme('fannypack.global.fontSize'), styledTools.theme('fannypack.fontWeights.normal'), styledTools.palette('text'), styledTools.palette('text'), styledTools.theme('fannypack.global.fontFamily'), styledTools.palette('primary'), styledTools.theme('fannypack.global.base'));

var buildColorFromPalette = function buildColorFromPalette(property, _ref) {
  var theme = _ref.theme,
      props = __chunk_1._objectWithoutPropertiesLoose(_ref, ["theme"]);

  // @ts-ignore
  var color = theme.palette[props[_camelCase(property)]];

  if (typeof color === 'function') {
    color = color(props);
  }

  if (!color) return;
  return property + ": " + color + " !important;";
};

var buildSpacingFromTheme = function buildSpacingFromTheme(property, props) {
  // @ts-ignore
  var spacing = space.default(props[_camelCase(property)])(props);
  if (!spacing) return;
  return property + ": " + spacing + "rem !important;";
};

var buildFontSizeFromTheme = function buildFontSizeFromTheme(property, _ref2) {
  var theme = _ref2.theme,
      props = __chunk_1._objectWithoutPropertiesLoose(_ref2, ["theme"]);

  // @ts-ignore
  var size = theme.fannypack.fontSizes[props[_camelCase(property)]];

  if (!size) return;
  return property + ": " + size + "rem !important;";
};

var buildFontWeightFromTheme = function buildFontWeightFromTheme(property, _ref3) {
  var theme = _ref3.theme,
      props = __chunk_1._objectWithoutPropertiesLoose(_ref3, ["theme"]);

  // @ts-ignore
  var weight = theme.fannypack.fontWeights[props[_camelCase(property)]];

  if (!weight) return;
  return property + ": " + weight + " !important;";
};

var buildVisibleAttributesFromProps = function buildVisibleAttributesFromProps(props) {
  var breakpoint = props.hiddenBreakpoint || props.showBreakpoint;
  if (!breakpoint) return;
  var key;

  if (props.hiddenBreakpoint && breakpoint.includes('max')) {
    key = 'max-width';
  } else if (props.hiddenBreakpoint && breakpoint.includes('min')) {
    key = 'min-width';
  } else if (props.showBreakpoint && breakpoint.includes('max')) {
    key = 'min-width';
  } else if (props.showBreakpoint && breakpoint.includes('min')) {
    key = 'max-width';
  }

  var strippedBreakpoint = breakpoint;
  strippedBreakpoint = strippedBreakpoint.replace('max-', '');
  strippedBreakpoint = strippedBreakpoint.replace('min-', '');
  var minBreakpointValues = {
    mobile: 0,
    tablet: _get(props, 'theme.fannypack.layout.mobileBreakpoint'),
    desktop: _get(props, 'theme.fannypack.layout.tabletBreakpoint'),
    widescreen: _get(props, 'theme.fannypack.layout.desktopBreakpoint'),
    fullHD: _get(props, 'theme.fannypack.layout.widescreenBreakpoint')
  };

  var breakpointValue = _get(props, "theme.fannypack.layout['" + strippedBreakpoint + "Breakpoint']");

  if (props.hiddenBreakpoint && breakpoint.includes('min')) {
    breakpointValue = minBreakpointValues[strippedBreakpoint] + 1;
  }

  if (props.showBreakpoint && breakpoint.includes('min')) {
    breakpointValue = minBreakpointValues[strippedBreakpoint];
  }

  if (props.showBreakpoint && breakpoint.includes('max')) {
    breakpointValue = breakpointValue + 1;
  }

  if (!breakpoint.includes('min-') && !breakpoint.includes('max-')) {
    if (props.showBreakpoint) {
      return styled.css(["@media screen and (max-width:", "px){display:none;}@media screen and (min-width:", "px){display:none;}"], minBreakpointValues[breakpoint], breakpointValue + 1);
    }

    return styled.css(["@media screen and (min-width:", "px) and (max-width:", "px){display:none;}"], minBreakpointValues[breakpoint] + 1, breakpointValue);
  }

  return styled.css(["@media screen and (", ":", "px){display:none;}"], key, breakpointValue);
};

var reakitTheme = {
  Box: styled.css(["", ";", ";", ";", ";", ";", ";", ";", ";", ";", ";", ";", ";", ";", ";", ";", ";", ";", ";", ";", ";", ";", ";", ";", ";", ";", ";", ";", ";", ";", ";"], function (props) {
    return buildColorFromPalette('color', props);
  }, function (props) {
    return buildColorFromPalette('background-color', props);
  }, function (props) {
    return buildColorFromPalette('border-block-end-color', props);
  }, function (props) {
    return buildColorFromPalette('border-block-start-color', props);
  }, function (props) {
    return buildColorFromPalette('border-bottom-color', props);
  }, function (props) {
    return buildColorFromPalette('border-color', props);
  }, function (props) {
    return buildColorFromPalette('border-inline-end-color', props);
  }, function (props) {
    return buildColorFromPalette('border-inline-start-color', props);
  }, function (props) {
    return buildColorFromPalette('border-left-color', props);
  }, function (props) {
    return buildColorFromPalette('border-right-color', props);
  }, function (props) {
    return buildColorFromPalette('border-top-color', props);
  }, function (props) {
    return buildColorFromPalette('border-bottom-color', props);
  }, function (props) {
    return buildColorFromPalette('caret-color', props);
  }, function (props) {
    return buildColorFromPalette('column-rule-color', props);
  }, function (props) {
    return buildColorFromPalette('outline-color', props);
  }, function (props) {
    return buildColorFromPalette('text-decoration-color', props);
  }, function (props) {
    return buildColorFromPalette('text-emphasis-color', props);
  }, function (props) {
    return buildSpacingFromTheme('margin', props);
  }, function (props) {
    return buildSpacingFromTheme('margin-left', props);
  }, function (props) {
    return buildSpacingFromTheme('margin-right', props);
  }, function (props) {
    return buildSpacingFromTheme('margin-top', props);
  }, function (props) {
    return buildSpacingFromTheme('margin-bottom', props);
  }, function (props) {
    return buildSpacingFromTheme('padding', props);
  }, function (props) {
    return buildSpacingFromTheme('padding-left', props);
  }, function (props) {
    return buildSpacingFromTheme('padding-right', props);
  }, function (props) {
    return buildSpacingFromTheme('padding-top', props);
  }, function (props) {
    return buildSpacingFromTheme('padding-bottom', props);
  }, function (props) {
    return buildFontSizeFromTheme('font-size', props);
  }, function (props) {
    return buildFontWeightFromTheme('font-weight', props);
  }, function (props) {
    return buildVisibleAttributesFromProps(props);
  })
};

var loadTheme = function loadTheme(_ref) {
  var _theme = _ref.theme,
      isStandalone = _ref.isStandalone;
  var theme = index$3.default(_theme);

  if (isStandalone && _theme) {
    theme = _theme;
  }

  if (typeof window !== 'undefined') {
    var webFontLoaderConfig = theme.webFontLoader;

    if (webFontLoaderConfig) {
      // @ts-ignore
      Promise.resolve(require('webfontloader')).then(function (webFontLoader) {
        return webFontLoader.load(webFontLoaderConfig);
      });
    }
  }

  var derivedTheme = __chunk_1._objectSpread({
    fannypack: theme
  }, reakitTheme, theme && theme.reakit ? theme.reakit : {}, {
    palette: theme && theme.palette ? theme.palette : {}
  });

  return derivedTheme;
};

var Provider =
/*#__PURE__*/
function (_React$Component) {
  __chunk_1._inheritsLoose(Provider, _React$Component);

  function Provider() {
    var _this;

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _React$Component.call.apply(_React$Component, [this].concat(args)) || this;

    __chunk_1._defineProperty(__chunk_1._assertThisInitialized(_this), "state", {
      theme: undefined
    });

    __chunk_1._defineProperty(__chunk_1._assertThisInitialized(_this), "render", function () {
      var _this$props = _this.props,
          children = _this$props.children,
          props = __chunk_1._objectWithoutPropertiesLoose(_this$props, ["children"]);

      var theme = _this.state.theme;
      return React.createElement(ThemeProvider, __chunk_1._extends({}, props, {
        theme: theme
      }), React.createElement(uniqueId.IdProvider, null, React.createElement(React.Fragment, null, process.env.NODE_ENV !== 'test' && React.createElement(Global, null), process.env.NODE_ENV !== 'test' && !_get(theme, 'fannypack.Toast.disabled') && React.createElement(ToastManager.ToastManager, null), children)));
    });

    return _this;
  }

  Provider.getDerivedStateFromProps = function getDerivedStateFromProps(props, state) {
    if (props.theme !== state.theme) {
      return {
        theme: loadTheme({
          theme: props.theme,
          isStandalone: props.isStandalone
        })
      };
    }

    return {};
  };

  return Provider;
}(React.Component);

__chunk_1._defineProperty(Provider, "propTypes", {
  children: PropTypes.node.isRequired,
  isStandalone: PropTypes.bool,
  theme: PropTypes.object
});

__chunk_1._defineProperty(Provider, "defaultProps", {
  isStandalone: false,
  theme: {}
});

exports.ThemeProvider = Provider;
exports.default = Provider;
