'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var PropTypes = require('prop-types');
require('reakit/styled');
require('styled-tools');
require('styled-selector');
require('../styled/selector.js');
require('lodash/get');
require('../styled/space.js');
require('../styled/index.js');
require('../chunk-c300b528.js');
require('reakit/Box');
require('reakit/Block');
require('reakit/Inline');
require('reakit/InlineBlock');
require('reakit/Flex');
require('reakit/InlineFlex');
require('reakit/Grid');
require('../Icon/styled.js');
require('reakit/Paragraph');
require('../Paragraph/styled.js');
require('../Paragraph/index.js');
var styled$2 = require('./styled.js');

/* eslint react/prop-types: 0 */

var TimelineStep = function TimelineStep(_ref) {
  var a11yDescriptionId = _ref.a11yDescriptionId,
      a11yTitleId = _ref.a11yTitleId,
      children = _ref.children,
      lineColor = _ref.lineColor,
      progressColor = _ref.progressColor;
  return React.createElement(styled$2.TimelineRow, {
    lineColor: lineColor,
    "aria-labelledby": a11yTitleId,
    "aria-describedby": a11yDescriptionId
  }, React.createElement(styled$2.TimelineBullet, {
    backgroundColor: progressColor
  }), React.createElement(styled$2.TimelineStep, {
    "aria-labelledby": a11yTitleId,
    "aria-describedby": a11yDescriptionId
  }, children));
};

var timelineStepPropTypes = {
  a11yDescriptionId: PropTypes.string,
  a11yTitleId: PropTypes.string,
  children: PropTypes.node.isRequired,
  lineColor: PropTypes.string,
  progressColor: PropTypes.string
};
TimelineStep.propTypes = timelineStepPropTypes;
var timelineStepDefaultProps = {
  a11yDescriptionId: undefined,
  a11yTitleId: undefined,
  lineColor: undefined,
  progressColor: 'textTint'
};
TimelineStep.defaultProps = timelineStepDefaultProps; // @ts-ignore

var C = TimelineStep;

exports.default = C;
exports.timelineStepDefaultProps = timelineStepDefaultProps;
exports.timelineStepPropTypes = timelineStepPropTypes;
