'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var PropTypes = require('prop-types');
require('reakit/styled');
require('styled-tools');
require('styled-selector');
require('../styled/selector.js');
require('lodash/get');
require('../styled/space.js');
require('../styled/index.js');
require('../chunk-c300b528.js');
require('reakit/Box');
require('reakit/Block');
require('reakit/Inline');
require('reakit/InlineBlock');
require('reakit/Flex');
require('reakit/InlineFlex');
require('reakit/Grid');
require('../Icon/styled.js');
require('reakit/Paragraph');
require('../Paragraph/styled.js');
require('../Paragraph/index.js');
var _isArrayLikeObject = _interopDefault(require('lodash/isArrayLikeObject'));
var styled$2 = require('./styled.js');
var TimelineStep = require('./TimelineStep.js');
var TimelineStepDetail = require('./TimelineStepDetail.js');
var TimelineStepHeading = require('./TimelineStepHeading.js');

/* eslint react/prop-types: 0 */
var Timeline = function Timeline(_ref) {
  var activeStep = _ref.activeStep,
      children = _ref.children,
      progressColor = _ref.progressColor;

  if (!_isArrayLikeObject(children)) {
    return null;
  }

  var activeIndexStep = React.Children.toArray(children).findIndex(function (child) {
    return child.props.a11yTitleId === activeStep;
  });
  return React.createElement(styled$2.Timeline, null, React.Children.map(children, function (child, index) {
    var _child = child;
    var color = progressColor ? progressColor : _child.props.progressColor;
    return index <= activeIndexStep ? React.cloneElement(_child, {
      lineColor: index < activeIndexStep ? color : undefined,
      progressColor: color || undefined
    }) : child;
  }));
};
Timeline.Step = TimelineStep.default;
Timeline.StepHeading = TimelineStepHeading.default;
Timeline.StepDetail = TimelineStepDetail.default;
var timelinePropTypes = {
  activeStep: PropTypes.string,
  children: PropTypes.node.isRequired,
  progressColor: PropTypes.string
};
Timeline.propTypes = timelinePropTypes;
var timelineDefaultProps = {
  activeStep: undefined,
  progressColor: undefined
};
Timeline.defaultProps = timelineDefaultProps; // @ts-ignore

var C = Timeline;

exports.TimelineStep = TimelineStep.default;
exports.timelineStepDefaultProps = TimelineStep.timelineStepDefaultProps;
exports.timelineStepPropTypes = TimelineStep.timelineStepPropTypes;
exports.TimelineStepDetail = TimelineStepDetail.default;
exports.timelineStepDetailDefaultProps = TimelineStepDetail.timelineStepDetailDefaultProps;
exports.timelineStepDetailPropTypes = TimelineStepDetail.timelineStepDetailPropTypes;
exports.TimelineStepHeading = TimelineStepHeading.default;
exports.timelineStepHeadingDefaultProps = TimelineStepHeading.timelineStepHeadingDefaultProps;
exports.timelineStepHeadingPropTypes = TimelineStepHeading.timelineStepHeadingPropTypes;
exports.Timeline = C;
exports.default = C;
exports.timelineDefaultProps = timelineDefaultProps;
exports.timelinePropTypes = timelinePropTypes;
