'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

require('react');
require('prop-types');
require('reakit/styled');
var styledTools = require('styled-tools');
require('styled-selector');
require('../styled/selector.js');
require('lodash/get');
var space = require('../styled/space.js');
var index$2 = require('../styled/index.js');
require('../chunk-c300b528.js');
var Box = _interopDefault(require('reakit/Box'));
require('reakit/Block');
require('reakit/Inline');
require('reakit/InlineBlock');
require('reakit/Flex');
require('reakit/InlineFlex');
require('reakit/Grid');
require('../Icon/styled.js');
require('reakit/Paragraph');
require('../Paragraph/styled.js');
var index$7 = require('../Paragraph/index.js');

var Timeline = index$2.default(Box).withConfig({
  displayName: "styled__Timeline",
  componentId: "yjvza4-0"
})(["&{", ";}"], styledTools.theme('fannypack.Timeline.base'));
var TimelineRow = index$2.default(Box).withConfig({
  displayName: "styled__TimelineRow",
  componentId: "yjvza4-1"
})(["display:flex;position:relative;&:last-child{margin-bottom:0;}&::before{content:'';border:1px solid ", ";position:absolute;height:100%;left:", "rem;margin-top:", "rem;}&:last-child::before{border:0;}"], function (props) {
  return styledTools.palette(props.lineColor || 'textTint', props.lineColor);
}, space.default(1), space.default(5));
var TimelineStep = index$2.default(Box).withConfig({
  displayName: "styled__TimelineStep",
  componentId: "yjvza4-2"
})(["&{", ";}"], styledTools.theme('fannypack.Timeline.Step.base'));
var TimelineBullet = index$2.default(Box).withConfig({
  displayName: "styled__TimelineBullet",
  componentId: "yjvza4-3"
})(["border-radius:50%;display:inline-flex;flex-shrink:0;height:0.625rem;width:0.625rem;margin-top:", "rem;margin-right:", "rem;z-index:1;&{", ";}"], space.default(4), space.default(2), styledTools.theme('fannypack.Timeline.Bullet.base'));
var TimelineStepHeading = index$2.default(index$7.default).withConfig({
  displayName: "styled__TimelineStepHeading",
  componentId: "yjvza4-4"
})(["margin-top:", "rem;margin-bottom:", "rem;line-height:1.5rem;color:", ";font-weight:", ";&:not(:last-child){margin-top:", "rem;margin-bottom:", "rem;}&{", ";}"], space.default(2), space.default(1), function (props) {
  return props.color || styledTools.palette('text');
}, styledTools.theme('fannypack.fontWeights.semibold'), space.default(2), space.default(1), styledTools.theme('fannypack.Timeline.StepHeading.base'));
var TimelineStepDetail = index$2.default(Box).withConfig({
  displayName: "styled__TimelineStepDetail",
  componentId: "yjvza4-5"
})(["color:", ";&{", ";}"], function (props) {
  return props.color || styledTools.palette('text');
}, styledTools.theme('fannypack.Timeline.StepDetail.base'));

exports.Timeline = Timeline;
exports.TimelineBullet = TimelineBullet;
exports.TimelineRow = TimelineRow;
exports.TimelineStep = TimelineStep;
exports.TimelineStepDetail = TimelineStepDetail;
exports.TimelineStepHeading = TimelineStepHeading;
