'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var PropTypes = require('prop-types');
require('../types/props.js');
require('reakit/styled');
require('styled-tools');
require('styled-selector');
require('../styled/selector.js');
require('lodash/get');
require('../styled/space.js');
require('../styled/index.js');
var __chunk_1 = require('../chunk-c300b528.js');
require('polished');
require('../default/palette.js');
require('reakit/Button');
require('airbnb-prop-types');
require('../parseIcons.js');
require('reakit/Box');
require('reakit/Block');
require('reakit/Inline');
require('reakit/InlineBlock');
require('reakit/Flex');
require('reakit/InlineFlex');
require('reakit/Grid');
require('../Icon/styled.js');
require('../chunk-bf58d135.js');
require('../Set/styled.js');
require('../Set/index.js');
require('../Button/styled.js');
require('../Spinner/styled.js');
require('../Spinner/index.js');
require('../chunk-7592c834.js');
require('lodash/omit');
require('../Button/ActionButtons.js');
require('../Button/index.js');
require('classnames');
require('reakit/Heading');
require('../Heading/styled.js');
require('../Heading/index.js');
require('../Pane/styled.js');
require('../chunk-66ca61c2.js');
require('../Pane/index.js');
var styled$8 = require('./styled.js');
var index$7 = require('../Icon/index.js');
var VisuallyHidden = require('../VisuallyHidden.js');

var ToastClose = function ToastClose(_ref) {
  var onClickClose = _ref.onClickClose,
      props = __chunk_1._objectWithoutPropertiesLoose(_ref, ["onClickClose"]);

  return React.createElement(styled$8.ToastClose, __chunk_1._extends({
    kind: "link",
    onClick: onClickClose
  }, props), React.createElement(VisuallyHidden.default, null, "Close"), React.createElement(index$7.default, {
    a11yHidden: true,
    icon: "times"
  }));
};
var toastClosePropTypes = {
  isAbsolute: PropTypes.bool,
  onClickClose: PropTypes.func
};
ToastClose.propTypes = toastClosePropTypes;
var toastCloseDefaultProps = {
  isAbsolute: false,
  onClickClose: undefined
};
ToastClose.defaultProps = toastCloseDefaultProps;
var C = ToastClose;

exports.ToastClose = ToastClose;
exports.default = C;
exports.toastCloseDefaultProps = toastCloseDefaultProps;
exports.toastClosePropTypes = toastClosePropTypes;
