'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var PropTypes = require('prop-types');
var styled = require('reakit/styled');
var styled__default = _interopDefault(styled);
var _get = _interopDefault(require('lodash/get'));
require('../styled/index.js');
var __chunk_1 = require('../chunk-c300b528.js');
var Box = _interopDefault(require('reakit/Box'));
require('reakit/Block');
require('reakit/Inline');
require('reakit/InlineBlock');
require('reakit/Flex');
require('reakit/InlineFlex');
require('reakit/Grid');
var index = require('../Portal/index.js');
var __chunk_3 = require('../chunk-7592c834.js');
var _omit = _interopDefault(require('lodash/omit'));
var __chunk_4 = require('../chunk-66ca61c2.js');
var styled$8 = require('./styled.js');
var ToastContainer = require('./ToastContainer.js');
var ToastClose = require('./ToastClose.js');
var ToastIcon = require('./ToastIcon.js');
var ToastTitle = require('./ToastTitle.js');

var Toast = function Toast(_ref) {
  var autoDismissTimeout = _ref.autoDismissTimeout,
      children = _ref.children,
      closeButtonProps = _ref.closeButtonProps,
      hasHorizontalBar = _ref.hasHorizontalBar,
      hasIcon = _ref.hasIcon,
      hideCloseButton = _ref.hideCloseButton,
      onClickClose = _ref.onClickClose,
      showCountdownBar = _ref.showCountdownBar,
      title = _ref.title,
      type = _ref.type,
      props = __chunk_1._objectWithoutPropertiesLoose(_ref, ["autoDismissTimeout", "children", "closeButtonProps", "hasHorizontalBar", "hasIcon", "hideCloseButton", "onClickClose", "showCountdownBar", "title", "type"]);

  return React.createElement(styled$8.default, __chunk_1._extends({
    role: "alert",
    type: type
  }, props), showCountdownBar && React.createElement(React.Fragment, null, React.createElement(styled$8.CountdownBar, {
    isHorizontal: hasHorizontalBar,
    type: type,
    isBackground: true
  }), React.createElement(styled$8.CountdownBar, {
    isHorizontal: hasHorizontalBar,
    type: type,
    autoDismissTimeout: autoDismissTimeout
  })), React.createElement(styled$8.Content, {
    showCountdownBar: showCountdownBar
  }, hasIcon && type && React.createElement(ToastIcon.default, {
    type: type,
    size: children ? '300' : undefined
  }), React.createElement(Box, null, title && React.createElement(ToastTitle.default, {
    marginBottom: children ? 'minor-2' : undefined
  }, title), children)), !hideCloseButton && React.createElement(ToastClose.default, __chunk_1._extends({
    isAbsolute: Boolean(children),
    onClickClose: onClickClose
  }, closeButtonProps)));
};
Toast.Container = ToastContainer.default;
var toastPropTypes = __chunk_1._objectSpread({
  autoDismissTimeout: PropTypes.number,
  children: PropTypes.node,
  closeButtonProps: PropTypes.shape(_omit(__chunk_3.buttonPropTypes, 'children')),
  hasHorizontalBar: PropTypes.bool,
  hasIcon: PropTypes.bool,
  hasTint: PropTypes.bool,
  hideCloseButton: PropTypes.bool,
  onClickClose: PropTypes.func,
  showCountdownBar: PropTypes.bool,
  type: PropTypes.string,
  title: PropTypes.string
}, __chunk_4.panePropTypes);
Toast.propTypes = toastPropTypes;
var toastDefaultProps = __chunk_1._objectSpread({}, __chunk_4.paneDefaultProps, {
  autoDismissTimeout: undefined,
  children: undefined,
  closeButtonProps: {},
  elevation: '300',
  hasHorizontalBar: false,
  hasIcon: true,
  hasTint: false,
  hideCloseButton: false,
  onClickClose: undefined,
  showCountdownBar: true,
  title: undefined,
  type: 'info'
});
Toast.defaultProps = toastDefaultProps;
var C = Toast;

var ToastManager = function ToastManager(_ref) {
  var theme = _ref.theme;

  var ToastComponent = _get(theme, 'fannypack.Toast.component', C);

  var defaultProps = _get(theme, 'fannypack.Toast.defaultProps', {});

  var placement = _get(theme, 'fannypack.Toast.placement', 'top-end');

  var isStacked = _get(theme, 'fannypack.Toast.isStacked', true);

  return React.createElement(index.default, null, React.createElement(styled$8.Toasts, {
    placement: placement
  }, React.createElement(ToastContainer.default, {
    placement: placement
  }, function (state) {
    return [].concat(isStacked ? state.toasts : [state.toasts[0]]).filter(Boolean).map(function (toast) {
      return React.createElement(ToastComponent, __chunk_1._extends({
        key: toast.key,
        onClickClose: function onClickClose() {
          return state.remove({
            key: toast.key
          });
        }
      }, defaultProps, toast), toast.message);
    });
  })));
};
var toastManagerPropTypes = {
  theme: PropTypes.object
};
ToastManager.propTypes = toastManagerPropTypes;
var toastManagerDefaultProps = {
  theme: {
    fannypack: {}
  }
};
ToastManager.defaultProps = toastManagerDefaultProps;
var ToastManager$1 = styled.withTheme(ToastManager);

exports.Toast = C;
exports.ToastManager = ToastManager$1;
exports.ToastManager$1 = ToastManager;
exports.toastDefaultProps = toastDefaultProps;
exports.toastManagerDefaultProps = toastManagerDefaultProps;
exports.toastManagerPropTypes = toastManagerPropTypes;
exports.toastPropTypes = toastPropTypes;
