'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

require('react');
require('prop-types');
require('../types/props.js');
var styled = require('reakit/styled');
var styled__default = _interopDefault(styled);
var styledTools = require('styled-tools');
require('styled-selector');
var selector$1 = require('../styled/selector.js');
require('lodash/get');
var space = require('../styled/space.js');
var index$2 = require('../styled/index.js');
require('../chunk-c300b528.js');
require('polished');
require('../default/palette.js');
require('reakit/Button');
require('airbnb-prop-types');
require('../parseIcons.js');
var Box = _interopDefault(require('reakit/Box'));
require('reakit/Block');
require('reakit/Inline');
require('reakit/InlineBlock');
var Flex = _interopDefault(require('reakit/Flex'));
require('reakit/InlineFlex');
require('reakit/Grid');
require('../Icon/styled.js');
var __chunk_2 = require('../chunk-bf58d135.js');
require('../Set/styled.js');
require('../Set/index.js');
require('../Button/styled.js');
require('../Spinner/styled.js');
require('../Spinner/index.js');
require('../chunk-7592c834.js');
require('lodash/omit');
require('../Button/ActionButtons.js');
var index$4 = require('../Button/index.js');
require('classnames');
require('reakit/Heading');
require('../Heading/styled.js');
var index$5 = require('../Heading/index.js');
require('../Pane/styled.js');
require('../chunk-66ca61c2.js');
var index$6 = require('../Pane/index.js');

var ToastClose = index$2.default(index$4.default).withConfig({
  displayName: "styled__ToastClose",
  componentId: "cax10c-0"
})(["width:24px;min-height:24px;padding:0;text-align:right;", ";&:hover{background-color:", ";&{", ";}}&{", ";}"], function (props) {
  return props.isAbsolute ? styled.css(["position:absolute;right:", "rem;top:", "rem;"], space.default(2), space.default(2)) : styled.css(["margin:0 ", "rem;"], space.default(2));
}, styledTools.palette('white700'), styledTools.theme('fannypack.Toast.Close.hover'), styledTools.theme('fannypack.Toast.Close.base'));
var ToastTitle = index$2.default(index$5.default).withConfig({
  displayName: "styled__ToastTitle",
  componentId: "cax10c-1"
})(["&{", ";}"], styledTools.theme('fannypack.Toast.Title.base'));
var ToastIconWrapper = index$2.default(Flex).withConfig({
  displayName: "styled__ToastIconWrapper",
  componentId: "cax10c-2"
})(["margin-right:", "rem;margin-left:-", "rem;align-items:center;&{", ";}"], space.default(3), space.default(1), styledTools.theme('fannypack.Toast.Icon.wrapper'));
var ToastIcon = index$2.default(__chunk_2.Icon).withConfig({
  displayName: "styled__ToastIcon",
  componentId: "cax10c-3"
})(["&{", ";}"], styledTools.theme('fannypack.Toast.Icon.base'));
var Content = index$2.default(Flex).withConfig({
  displayName: "styled__Content",
  componentId: "cax10c-4"
})(["padding:", "rem;padding-right:", "rem;", ";&{", ";}"], space.default(4), space.default(8), function (props) {
  return props.showCountdownBar ? styled.css(["padding-left:calc(", "rem + 5px);"], space.default(4)) : styled.css(["padding-left:", "rem;"], space.default(4));
}, styledTools.theme('fannypack.Toast.Content.base'));
var heightCountdown = styled.keyframes(["from{height:calc(100% + 2px);}to{height:0%;}"]);
var widthCountdown = styled.keyframes(["from{width:calc(100% + 2px);}to{width:0%;}"]);
var CountdownBar = index$2.default(Box).withConfig({
  displayName: "styled__CountdownBar",
  componentId: "cax10c-5"
})(["position:absolute;", ";", ";", ";", ";&{", ";}"], function (props) {
  return props.isHorizontal ? styled.css(["border-bottom-right-radius:3px;border-bottom-left-radius:3px;bottom:0;height:5px;right:-1px;width:calc(100% + 2px);"]) : styled.css(["border-top-left-radius:3px;border-bottom-left-radius:3px;bottom:-1px;height:calc(100% + 2px);margin-left:-1px;width:5px;"]);
}, function (props) {
  return props.type && styled.css(["background-color:", ";"], props.isBackground ? styledTools.palette(props.type + "Tint") : styledTools.palette(props.type));
}, function (props) {
  return props.autoDismissTimeout && styled.css(["", ";&{", ";}"], function (props) {
    return props.isHorizontal ? styled.css(["animation:", " ", "ms linear forwards;border-bottom-left-radius:unset;"], widthCountdown, props.autoDismissTimeout) : styled.css(["animation:", " ", "ms linear forwards;border-top-left-radius:unset;"], heightCountdown, props.autoDismissTimeout);
  }, styledTools.theme('fannypack.Toast.CountdownBar.autoDismissTimeout'));
}, function (props) {
  return props.isBackground && styled.css(["&{", ";}"], styledTools.theme('fannypack.Toast.CountdownBar.background'));
}, styledTools.theme('fannypack.Toast.CountdownBar.base'));
var tintAttributes = styled.css(["background-color:", ";color:", ";fill:", ";", ";"], function (props) {
  return props.type && styledTools.palette(props.type + "Tint")(props);
}, function (props) {
  return props.type && styledTools.palette(props.type + "TintInverted")(props);
}, function (props) {
  return props.type && styledTools.palette(props.type + "TintInverted")(props);
}, styledTools.theme('fannypack.Toast.tint'));
var Toast = index$2.default(index$6.default).withConfig({
  displayName: "styled__Toast",
  componentId: "cax10c-6"
})(["align-items:center;display:flex;font-size:", "rem;justify-content:space-between;position:relative;width:350px;&:not(:last-child){margin-bottom:", "rem;}&{", ";}&{", ";}"], styledTools.theme('fannypack.fontSizes.150'), space.default(4), function (props) {
  return props.hasTint && tintAttributes;
}, styledTools.theme('fannypack.Toast.base'));
var fromLeft = styled.keyframes(["from{transform:translateX(-120%);}to{transform:translateX(0);}"]);
var fromRight = styled.keyframes(["from{transform:translateX(120%);}to{transform:translateX(0);}"]);
var fromTop = styled.keyframes(["from{transform:translateY(-120%);}to{transform:translateY(0);}"]);
var fromBottom = styled.keyframes(["from{transform:translateY(120%);}to{transform:translateY(0);}"]);
var placementAttributes = {
  'top-start': styled.css(["top:1rem;left:1rem;& ", "{animation:", " 300ms ease-in-out forwards;}"], selector$1.default(Toast), fromLeft),
  top: styled.css(["top:1rem;left:50%;transform:translateX(-50%);& ", "{animation:", " 300ms ease-in-out forwards;}"], selector$1.default(Toast), fromTop),
  'top-end': styled.css(["top:1rem;right:1rem;& ", "{animation:", " 300ms ease-in-out forwards;}"], selector$1.default(Toast), fromRight),
  left: styled.css(["left:1rem;top:50%;transform:translateY(-50%);& ", "{animation:", " 300ms ease-in-out forwards;}"], selector$1.default(Toast), fromLeft),
  right: styled.css(["right:1rem;top:50%;transform:translateY(-50%);& ", "{animation:", " 300ms ease-in-out forwards;}"], selector$1.default(Toast), fromRight),
  'bottom-start': styled.css(["bottom:1rem;left:1rem;& ", "{animation:", " 300ms ease-in-out forwards;}"], selector$1.default(Toast), fromLeft),
  bottom: styled.css(["bottom:1rem;left:50%;transform:translateX(-50%);& ", "{animation:", " 300ms ease-in-out forwards;}"], selector$1.default(Toast), fromBottom),
  'bottom-end': styled.css(["bottom:1rem;right:1rem;& ", "{animation:", " 300ms ease-in-out forwards;}"], selector$1.default(Toast), fromRight)
};
var Toasts = index$2.default(Box).withConfig({
  displayName: "styled__Toasts",
  componentId: "cax10c-7"
})(["position:fixed;z-index:99999;", ";&{", ";}"], function (props) {
  return placementAttributes[props.placement];
}, styledTools.theme('fannypack.Toasts.base'));

exports.Content = Content;
exports.CountdownBar = CountdownBar;
exports.Toast = Toast;
exports.ToastClose = ToastClose;
exports.ToastIcon = ToastIcon;
exports.ToastIconWrapper = ToastIconWrapper;
exports.ToastTitle = ToastTitle;
exports.Toasts = Toasts;
exports.default = Toast;
exports.heightCountdown = heightCountdown;
exports.placementAttributes = placementAttributes;
exports.widthCountdown = widthCountdown;
