'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var PropTypes = require('prop-types');
var props = require('../types/props.js');
require('reakit/styled');
require('styled-tools');
require('styled-selector');
require('../styled/selector.js');
require('lodash/get');
require('../styled/space.js');
require('../styled/index.js');
var __chunk_1 = require('../chunk-c300b528.js');
require('reakit/Tooltip');
var styled$1 = require('./styled.js');

var Tooltip = function Tooltip(_ref) {
  var children = _ref.children,
      props = __chunk_1._objectWithoutPropertiesLoose(_ref, ["children"]);

  return React.createElement(styled$1.default, props, children);
};
var tooltipPropTypes = {
  className: PropTypes.string,
  children: PropTypes.node.isRequired,
  delay: PropTypes.string,
  duration: PropTypes.string,
  expand: PropTypes.bool,
  gutter: PropTypes.oneOfType([PropTypes.number, PropTypes.string]),
  fade: PropTypes.bool,
  placement: props.placementPropType,
  slide: PropTypes.bool,
  timing: PropTypes.string
};
Tooltip.propTypes = tooltipPropTypes;
var tooltipDefaultProps = {
  className: undefined,
  delay: undefined,
  duration: '100ms',
  expand: false,
  fade: false,
  gutter: 4,
  placement: 'bottom',
  slide: false,
  timing: 'ease-in-out'
};
Tooltip.defaultProps = tooltipDefaultProps; // @ts-ignore

var C = Tooltip;

exports.Tooltip = C;
exports.default = C;
exports.tooltipDefaultProps = tooltipDefaultProps;
exports.tooltipPropTypes = tooltipPropTypes;
