'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var styled = require('reakit/styled');
var styled__default = _interopDefault(styled);
var styledTools = require('styled-tools');
var index$2 = require('./styled/index.js');
var Input = _interopDefault(require('reakit/Input'));

function HiddenInput(_ref) {
  var Icon = _ref.Icon,
      checkedCss = _ref.checkedCss,
      disabledCheckedCss = _ref.disabledCheckedCss,
      disabledCheckedIconCss = _ref.disabledCheckedIconCss,
      disabledUncheckedIconCss = _ref.disabledUncheckedIconCss,
      checkedIconCss = _ref.checkedIconCss,
      uncheckedIconCss = _ref.uncheckedIconCss,
      themePrefix = _ref.themePrefix;
  // @ts-ignore
  return index$2.default(Input).withConfig({
    displayName: "HiddenInput",
    componentId: "sc-1k1k2p-0"
  })(["-webkit-appearance:none;clip:rect(0,0,0,0);height:1px;margin:-1px;overflow:hidden;position:absolute;width:1px;& + ", "{&::before{", ";&{", ";}}}&[disabled] + ", "{background-color:", ";box-shadow:unset;&::before{", ";&{", ";}}&{", ";}}&:checked:focus + ", "{border-color:", ";box-shadow:", " 0px 0px 0px 1px !important;&{", ";}}&:focus + ", "{border-color:", ";box-shadow:", " 0px 0px 0px 1px !important;&{", ";}}&:not([disabled]):checked + ", "{border-color:", ";", ";}&:checked + ", "{", ";&{", ";}&::before{", ";", ";}&{", ";}}&[disabled]:checked + ", "::before{", ";&{", ";}}"], Icon, uncheckedIconCss, styledTools.theme("fannypack." + themePrefix + ".icon.unchecked"), Icon, styledTools.palette('white700'), disabledUncheckedIconCss, styledTools.theme("fannypack." + themePrefix + ".icon.uncheckedDisabled"), styledTools.theme("fannypack." + themePrefix + ".disabled"), Icon, function (props) {
    return styledTools.palette("" + (props.palette || 'primary'));
  }, function (props) {
    return styledTools.palette("" + (props.palette || 'primary'));
  }, styledTools.theme("fannypack." + themePrefix + ".focusChecked"), Icon, styledTools.palette('primary'), styledTools.palette('primary'), styledTools.theme("fannypack." + themePrefix + ".focus"), Icon, function (props) {
    return styledTools.palette("" + (props.palette || 'primary'));
  }, checkedCss, Icon, disabledCheckedCss, function (props) {
    return props.state && styled.css(["box-shadow:", " 0px 0px 0px 1px !important;"], styledTools.palette('primary'));
  }, checkedIconCss, styledTools.theme("fannypack." + themePrefix + ".icon.checked"), styledTools.theme("fannypack." + themePrefix + ".checked"), Icon, disabledCheckedIconCss, styledTools.theme("fannypack." + themePrefix + ".icon.checkedDisabled"));
}

exports.HiddenInput = HiddenInput;
