'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var PropTypes = require('prop-types');
var props = require('./types/props.js');
var __chunk_1 = require('./chunk-c300b528.js');
var index = require('./Portal/index.js');
var index$1 = require('./Backdrop/index.js');
var __chunk_9 = require('./chunk-f686853d.js');
var __chunk_10 = require('./chunk-c50ee195.js');
var ModalContainer = require('./Modal/ModalContainer.js');
var styled$1 = require('./Modal/styled.js');
var ModalHide = require('./Modal/ModalHide.js');
var ModalShow = require('./Modal/ModalShow.js');

var Modal = function Modal(_ref) {
  var children = _ref.children,
      delay = _ref.delay,
      duration = _ref.duration,
      fade = _ref.fade,
      hide = _ref.hide,
      hideOnEsc = _ref.hideOnEsc,
      hideOnClickOutside = _ref.hideOnClickOutside,
      isVisible = _ref.isVisible,
      kind = _ref.kind,
      _ref$renderWrapper = _ref.renderWrapper,
      renderWrapper = _ref$renderWrapper === void 0 ? function (children) {
    return children;
  } : _ref$renderWrapper,
      showActionButtons = _ref.showActionButtons,
      showCloseButton = _ref.showCloseButton,
      props = __chunk_1._objectWithoutPropertiesLoose(_ref, ["children", "delay", "duration", "fade", "hide", "hideOnEsc", "hideOnClickOutside", "isVisible", "kind", "renderWrapper", "showActionButtons", "showCloseButton"]);

  return React.createElement(index.default, null, React.createElement(__chunk_10.TrapFocus, {
    isActive: isVisible,
    usesPortal: true
  }, function (_ref2) {
    var fallbackFocusRef = _ref2.fallbackFocusRef,
        initialFocusRef = _ref2.initialFocusRef;
    return React.createElement(React.Fragment, null, React.createElement(index$1.default, {
      delay: delay,
      duration: duration,
      expand: undefined,
      hide: hideOnClickOutside && kind !== 'alert' ? hide : undefined,
      fade: fade,
      hideOnEsc: kind === 'alert' ? false : hideOnEsc,
      isVisible: isVisible,
      slide: undefined,
      use: hideOnClickOutside && kind !== 'alert' ? ModalHide.default : undefined
    }), React.createElement(styled$1.default, __chunk_1._extends({
      "aria-modal": "true",
      delay: delay,
      duration: duration,
      fade: fade,
      hideOnEsc: kind === 'alert' ? false : hideOnEsc,
      hideOnClickOutside: kind === 'alert' ? false : hideOnClickOutside,
      isVisible: isVisible
    }, props), renderWrapper(__chunk_9.isFunction(children) ? children({
      fallbackFocusRef: fallbackFocusRef,
      initialFocusRef: initialFocusRef
    }) : children)));
  }));
};
var modalPropTypes = __chunk_1._objectSpread({}, props.animatePropTypes, props.restrictHidePropTypes, {
  children: PropTypes.oneOfType([PropTypes.func, PropTypes.node]).isRequired,
  className: PropTypes.string,
  isVisible: PropTypes.bool,
  hide: PropTypes.func,
  kind: PropTypes.oneOf(['alert']),
  showActionButtons: PropTypes.bool,
  showCloseButton: PropTypes.bool,
  renderWrapper: PropTypes.func
});
Modal.propTypes = modalPropTypes;
var modalDefaultProps = __chunk_1._objectSpread({}, props.animateDefaultProps, props.restrictDefaultProps, {
  className: undefined,
  isVisible: false,
  kind: undefined,
  showActionButtons: false,
  showCloseButton: false,
  hideOnClickOutside: true,
  hideOnEsc: true,
  renderWrapper: function renderWrapper(children) {
    return children;
  }
});
Modal.defaultProps = modalDefaultProps;
Modal.Container = ModalContainer.default;
Modal.Hide = ModalHide.default;
Modal.Show = ModalShow.default;
var C = Modal;

exports.Modal = C;
exports.modalDefaultProps = modalDefaultProps;
exports.modalPropTypes = modalPropTypes;
