'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var PropTypes = require('prop-types');
var props = require('./types/props.js');
var __chunk_1 = require('./chunk-c300b528.js');
var Box = _interopDefault(require('reakit/Box'));
require('reakit/Block');
require('reakit/Inline');
require('reakit/InlineBlock');
require('reakit/Flex');
require('reakit/InlineFlex');
require('reakit/Grid');
var index = require('./Portal/index.js');
var index$1$2 = require('./Backdrop/index.js');
var __chunk_9 = require('./chunk-f686853d.js');
var __chunk_10 = require('./chunk-c50ee195.js');
var SidebarContainer = require('./Sidebar/SidebarContainer.js');
var styled$4 = require('./Sidebar/styled.js');
var SidebarClose = require('./Sidebar/SidebarClose.js');
var SidebarHide = require('./Sidebar/SidebarHide.js');
var SidebarShow = require('./Sidebar/SidebarShow.js');

var Sidebar = function Sidebar(_ref) {
  var align = _ref.align,
      backdropFade = _ref.backdropFade,
      children = _ref.children,
      delay = _ref.delay,
      duration = _ref.duration,
      fade = _ref.fade,
      hide = _ref.hide,
      hideCloseButton = _ref.hideCloseButton,
      hideOnEsc = _ref.hideOnEsc,
      hideOnClickOutside = _ref.hideOnClickOutside,
      isVisible = _ref.isVisible,
      onClickClose = _ref.onClickClose,
      slide = _ref.slide,
      width = _ref.width,
      props = __chunk_1._objectWithoutPropertiesLoose(_ref, ["align", "backdropFade", "children", "delay", "duration", "fade", "hide", "hideCloseButton", "hideOnEsc", "hideOnClickOutside", "isVisible", "onClickClose", "slide", "width"]);

  return React.createElement(index.default, null, React.createElement(__chunk_10.TrapFocus, {
    delayToActivate: fade || slide ? duration : undefined,
    isActive: isVisible,
    usesPortal: true
  }, function (_ref2) {
    var fallbackFocusRef = _ref2.fallbackFocusRef,
        initialFocusRef = _ref2.initialFocusRef;
    return React.createElement(React.Fragment, null, React.createElement(index$1$2.default, {
      delay: delay,
      duration: duration,
      hide: hide,
      fade: backdropFade,
      hideOnEsc: hideOnEsc,
      isVisible: isVisible,
      use: hideOnClickOutside ? SidebarHide.default : undefined,
      expand: undefined,
      slide: undefined
    }), React.createElement(Box, {
      elementRef: fallbackFocusRef
    }, React.createElement(styled$4.default, __chunk_1._extends({
      "aria-modal": "true",
      align: align,
      delay: delay,
      duration: duration,
      fade: fade,
      hideOnEsc: hideOnEsc,
      hideOnClickOutside: hideOnClickOutside,
      slide: slide,
      width: width
    }, props, {
      // @ts-ignore
      visible: isVisible || props.visible
    }), !hideCloseButton && // @ts-ignore
    React.createElement(SidebarClose.default, {
      use: SidebarHide.default,
      elementRef: initialFocusRef,
      hide: hide,
      onClick: onClickClose,
      palette: "white",
      sidebarAlign: align,
      sidebarWidth: width
    }), __chunk_9.isFunction(children) ? children({
      initialFocusRef: initialFocusRef
    }) : children)));
  }));
};
var sidebarPropTypes = __chunk_1._objectSpread({
  align: PropTypes.oneOf(['left', 'right']),
  backdropFade: PropTypes.bool,
  children: PropTypes.oneOfType([PropTypes.func, PropTypes.node]),
  className: PropTypes.string,
  isVisible: PropTypes.bool,
  hide: PropTypes.func,
  hideCloseButton: PropTypes.bool,
  onClickClose: PropTypes.func,
  width: PropTypes.string
}, props.animatePropTypes, props.restrictHidePropTypes);
Sidebar.propTypes = sidebarPropTypes;
var sidebarDefaultProps = __chunk_1._objectSpread({}, props.animateDefaultProps, props.restrictDefaultProps, {
  align: 'left',
  backdropFade: true,
  className: undefined,
  duration: '0.2s',
  hideCloseButton: false,
  hideOnClickOutside: true,
  hideOnEsc: true,
  isVisible: false,
  onClickClose: undefined,
  slide: true,
  width: '250px'
});
Sidebar.defaultProps = sidebarDefaultProps;
Sidebar.Container = SidebarContainer.default;
Sidebar.Close = SidebarClose.default;
Sidebar.Hide = SidebarHide.default;
Sidebar.Show = SidebarShow.default;
var C = Sidebar;

exports._Sidebar = C;
exports.sidebarDefaultProps = sidebarDefaultProps;
exports.sidebarPropTypes = sidebarPropTypes;
