'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var uniqueId = require('./uniqueId.js');
var PropTypes = require('prop-types');
var __chunk_1 = require('./chunk-c300b528.js');
var Box = _interopDefault(require('reakit/Box'));
require('reakit/Block');
require('reakit/Inline');
require('reakit/InlineBlock');
var Flex = _interopDefault(require('reakit/Flex'));
require('reakit/InlineFlex');
require('reakit/Grid');
var CardCard = require('./Card/CardCard.js');
var styled$4 = require('./Callout/styled.js');
var CalloutClose = require('./Callout/CalloutClose.js');

var Callout = function Callout(_ref) {
  var _a11yDescriptionId = _ref.a11yDescriptionId,
      _a11yTitleId = _ref.a11yTitleId,
      children = _ref.children,
      closeButtonProps = _ref.closeButtonProps,
      footer = _ref.footer,
      hasTint = _ref.hasTint,
      icon = _ref.icon,
      onClickClose = _ref.onClickClose,
      showCloseButton = _ref.showCloseButton,
      title = _ref.title,
      type = _ref.type,
      props = __chunk_1._objectWithoutPropertiesLoose(_ref, ["a11yDescriptionId", "a11yTitleId", "children", "closeButtonProps", "footer", "hasTint", "icon", "onClickClose", "showCloseButton", "title", "type"]);

  var titleId = uniqueId.useUniqueId('Callout');
  var descriptionId = uniqueId.useUniqueId('Callout');
  var a11yDescriptionId = _a11yDescriptionId || descriptionId;
  var a11yTitleId = _a11yTitleId || titleId;
  return React.createElement(styled$4.default, __chunk_1._extends({
    a11yDescriptionId: a11yDescriptionId,
    a11yTitleId: a11yTitleId,
    hasTint: hasTint,
    type: type
  }, props), React.createElement(Flex, null, (type || icon) && React.createElement(styled$4.CalloutTitle, null, React.createElement(styled$4.CalloutIcon, {
    icon: type || icon,
    color: type
  })), React.createElement(Box, null, title && React.createElement(styled$4.CalloutHeader, null, typeof title === 'string' ? React.createElement(styled$4.CalloutTitle, {
    id: a11yTitleId
  }, title) : title), React.createElement(styled$4.CalloutContent, {
    id: a11yDescriptionId
  }, children), footer && React.createElement(styled$4.CalloutFooter, null, footer))), showCloseButton && React.createElement(CalloutClose.default, __chunk_1._extends({
    onClickClose: onClickClose
  }, closeButtonProps)));
};
var calloutPropTypes = __chunk_1._objectSpread({
  a11yDescriptionId: PropTypes.string,
  a11yTitleId: PropTypes.string,
  children: PropTypes.node.isRequired,
  className: PropTypes.string,
  closeButtonProps: PropTypes.shape(CalloutClose.calloutClosePropTypes),
  footer: PropTypes.oneOfType([PropTypes.string, PropTypes.element]),
  hasTint: PropTypes.bool,
  icon: PropTypes.string,
  onClickClose: PropTypes.func,
  showCloseButton: PropTypes.bool,
  title: PropTypes.oneOfType([PropTypes.string, PropTypes.element]),
  type: PropTypes.string
}, CardCard.cardCardPropTypes);
Callout.propTypes = calloutPropTypes;
var calloutDefaultProps = __chunk_1._objectSpread({}, CardCard.cardCardDefaultProps, {
  a11yDescriptionId: undefined,
  a11yTitleId: undefined,
  children: undefined,
  className: undefined,
  closeButtonProps: {},
  footer: undefined,
  hasTint: false,
  icon: undefined,
  onClickClose: undefined,
  showCloseButton: false,
  title: undefined,
  type: undefined
});
Callout.defaultProps = calloutDefaultProps; // @ts-ignore

var C = Callout;

exports.Callout = C;
exports.calloutDefaultProps = calloutDefaultProps;
exports.calloutPropTypes = calloutPropTypes;
