'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var uniqueId = require('./uniqueId.js');
var PropTypes = require('prop-types');
var styled = require('reakit/styled');
var styled__default = _interopDefault(styled);
var _get = _interopDefault(require('lodash/get'));
require('./styled/index.js');
var __chunk_1 = require('./chunk-c300b528.js');
var Box = _interopDefault(require('reakit/Box'));
require('reakit/Block');
require('reakit/Inline');
require('reakit/InlineBlock');
var Flex = _interopDefault(require('reakit/Flex'));
require('reakit/InlineFlex');
require('reakit/Grid');
var _omit = _interopDefault(require('lodash/omit'));
var index$7 = require('./Icon/index.js');
var VisuallyHidden = require('./VisuallyHidden.js');
var index = require('./Text/index.js');
var index$1 = require('./Hidden/index.js');
var __chunk_11 = require('./chunk-ec80954a.js');
var styled$1 = require('./FieldWrapper/styled.js');

var OutsideClickHandler =
/*#__PURE__*/
function (_React$Component) {
  __chunk_1._inheritsLoose(OutsideClickHandler, _React$Component);

  function OutsideClickHandler() {
    var _this;

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _React$Component.call.apply(_React$Component, [this].concat(args)) || this;

    __chunk_1._defineProperty(__chunk_1._assertThisInitialized(_this), "componentDidMount", function () {
      // `capture` flag is set to true so that a `stopPropagation` in the children
      // will not prevent all outside click handlers from firing - maja
      // @ts-ignore
      _this.clickHandle = window.addEventListener('click', _this.onOutsideClick);
    });

    __chunk_1._defineProperty(__chunk_1._assertThisInitialized(_this), "componentWillUnmount", function () {
      // @ts-ignore
      if (_this.clickHandle) {
        // @ts-ignore
        window.removeEventListener(_this.clickHandle);
      }
    });

    __chunk_1._defineProperty(__chunk_1._assertThisInitialized(_this), "onOutsideClick", function (e) {
      // @ts-ignore
      var onOutsideClick = _this.props.onOutsideClick; // @ts-ignore

      var _assertThisInitialize = __chunk_1._assertThisInitialized(_this),
          childNode = _assertThisInitialize.childNode;

      var isDescendantOfRoot = childNode && childNode.contains(e.target);

      if (!isDescendantOfRoot) {
        onOutsideClick(e);
      }
    });

    __chunk_1._defineProperty(__chunk_1._assertThisInitialized(_this), "setChildNodeRef", function (ref) {
      // @ts-ignore
      _this.childNode = ref;
    });

    __chunk_1._defineProperty(__chunk_1._assertThisInitialized(_this), "render", function () {
      return React.createElement(Box, {
        ref: _this.setChildNodeRef
      }, _this.props.children);
    });

    return _this;
  }

  return OutsideClickHandler;
}(React.Component); // @ts-ignore


OutsideClickHandler.defaultProps = {
  children: React.createElement("span", null),
  onOutsideClick: function onOutsideClick() {}
};

var FieldWrapper = function FieldWrapper(_ref) {
  var _a11yId = _ref.a11yId,
      children = _ref.children,
      description = _ref.description,
      hint = _ref.hint,
      isOptional = _ref.isOptional,
      isRequired = _ref.isRequired,
      label = _ref.label,
      state = _ref.state,
      tooltip = _ref.tooltip,
      _tooltipPopoverProps = _ref.tooltipPopoverProps,
      _tooltipTrigger = _ref.tooltipTrigger,
      validationText = _ref.validationText,
      props = __chunk_1._objectWithoutPropertiesLoose(_ref, ["a11yId", "children", "description", "hint", "isOptional", "isRequired", "label", "state", "tooltip", "tooltipPopoverProps", "tooltipTrigger", "validationText"]);

  var tooltipPopoverProps = _get(props, 'theme.fannypack.FieldWrapper.defaultProps.tooltipPopoverProps', _tooltipPopoverProps);

  var tooltipTrigger = _get(props, 'theme.fannypack.FieldWrapper.defaultProps.tooltipTrigger', _tooltipTrigger);

  var uid = uniqueId.useUniqueId('FieldWrapper');
  var a11yId = _a11yId || uid;
  var elementProps = {
    isRequired: isRequired,
    a11yId: a11yId,
    state: state
  };
  return React.createElement(styled$1.default, props, label && React.createElement(Box, {
    marginBottom: "minor-2"
  }, React.createElement(Flex, {
    alignItems: "center",
    lineHeight: "1"
  }, typeof label === 'string' ? React.createElement(styled$1.Label, {
    htmlFor: a11yId
  }, label) : label, isOptional && React.createElement(styled$1.OptionalText, null, "OPTIONAL"), isRequired && React.createElement(styled$1.RequiredText, null, "*"), tooltip && React.createElement(index$1.default.Container, null, function (hidden) {
    return (// @ts-ignore
      React.createElement(OutsideClickHandler, {
        onOutsideClick: hidden.hide
      }, React.createElement(Box, {
        relative: true
      }, tooltipTrigger ? // @ts-ignore
      React.cloneElement(tooltipTrigger, {
        onClick: hidden.toggle
      }) : // @ts-ignore
      React.createElement(styled$1.TooltipButton, {
        onClick: hidden.toggle,
        kind: "ghost",
        size: "small"
      }, React.createElement(VisuallyHidden.default, null, "Toggle tooltip"), React.createElement(index$7.default, {
        a11yHidden: true,
        icon: "question-circle"
      })), hidden.isVisible && React.createElement(styled$1.TooltipPopover, __chunk_1._extends({
        elevation: "200"
      }, tooltipPopoverProps), typeof tooltip === 'string' ? React.createElement(index.default, {
        fontSize: "150"
      }, tooltip) : tooltip)))
    );
  })), typeof description === 'string' ? React.createElement(styled$1.DescriptionText, null, description) : React.createElement("div", null, description)), typeof children === 'function' ? children({
    elementProps: elementProps
  }) : React.cloneElement(children, elementProps), typeof hint === 'string' ? React.createElement(styled$1.HintText, null, hint) : React.createElement("div", null, hint), validationText && React.createElement(styled$1.ValidationText, {
    color: state
  }, validationText));
};
var fieldWrapperPropTypes = {
  a11yId: PropTypes.string,
  children: PropTypes.oneOfType([PropTypes.element, PropTypes.func]).isRequired,
  className: PropTypes.string,
  description: PropTypes.oneOfType([PropTypes.string, PropTypes.element]),
  hint: PropTypes.oneOfType([PropTypes.string, PropTypes.element]),
  isOptional: PropTypes.bool,
  isRequired: PropTypes.bool,
  label: PropTypes.oneOfType([PropTypes.string, PropTypes.element]),
  state: PropTypes.string,
  tooltip: PropTypes.oneOfType([PropTypes.string, PropTypes.element]),
  tooltipPopoverProps: PropTypes.shape(_omit(__chunk_11.popoverPropTypes, 'children', 'content')),
  tooltipTrigger: PropTypes.element,
  validationText: PropTypes.string
};
FieldWrapper.propTypes = fieldWrapperPropTypes;
var fieldWrapperDefaultProps = {
  a11yId: undefined,
  className: undefined,
  description: undefined,
  hint: undefined,
  isOptional: undefined,
  isRequired: undefined,
  label: undefined,
  state: undefined,
  tooltip: undefined,
  tooltipPopoverProps: undefined,
  tooltipTrigger: undefined,
  validationText: undefined
};
FieldWrapper.defaultProps = fieldWrapperDefaultProps; // @ts-ignore

var C = styled.withTheme(FieldWrapper);

exports.FieldWrapper = C;
exports.fieldWrapperDefaultProps = fieldWrapperDefaultProps;
exports.fieldWrapperPropTypes = fieldWrapperPropTypes;
