'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var PropTypes = require('prop-types');
var props = require('./types/props.js');
var __chunk_1 = require('./chunk-c300b528.js');
var styled = require('./Container/styled.js');

var Container = function Container(_ref) {
  var align = _ref.align,
      children = _ref.children,
      className = _ref.className,
      props = __chunk_1._objectWithoutPropertiesLoose(_ref, ["align", "children", "className"]);

  return React.createElement(styled.default, __chunk_1._extends({
    className: className,
    align: align
  }, props), children);
};
var containerPropTypes = {
  align: PropTypes.oneOf(['left', 'right', 'center']),
  breakpoint: props.breakpointPropType,
  children: PropTypes.node.isRequired,
  className: PropTypes.string,
  isFluid: PropTypes.bool,
  isLayout: PropTypes.bool
};
Container.propTypes = containerPropTypes;
var containerDefaultProps = {
  align: 'center',
  breakpoint: undefined,
  className: undefined,
  isFluid: false,
  isLayout: false
};
Container.defaultProps = containerDefaultProps;
var C = Container;

exports.Container = C;
exports.containerDefaultProps = containerDefaultProps;
exports.containerPropTypes = containerPropTypes;
