'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var PropTypes = require('prop-types');
var props = require('./types/props.js');
var __chunk_1 = require('./chunk-c300b528.js');
var OverlayContainer = require('./Overlay/OverlayContainer.js');
var styled$1 = require('./Overlay/styled.js');
var OverlayHide = require('./Overlay/OverlayHide.js');
var OverlayShow = require('./Overlay/OverlayShow.js');
var OverlayToggle = require('./Overlay/OverlayToggle.js');

var Overlay = function Overlay(_ref) {
  var children = _ref.children,
      isVisible = _ref.isVisible,
      props = __chunk_1._objectWithoutPropertiesLoose(_ref, ["children", "isVisible"]);

  return React.createElement(styled$1.default, __chunk_1._extends({
    visible: isVisible
  }, props), children);
};
Overlay.Container = OverlayContainer.default;
Overlay.Hide = OverlayHide.default;
Overlay.Show = OverlayShow.default;
Overlay.Toggle = OverlayToggle.default;
var overlayPropTypes = __chunk_1._objectSpread({
  children: PropTypes.node.isRequired,
  className: PropTypes.string,
  isVisible: PropTypes.bool,
  placement: props.placementPropType
}, props.animatePropTypes, props.restrictHidePropTypes);
Overlay.propTypes = overlayPropTypes;
var overlayDefaultProps = __chunk_1._objectSpread({
  className: undefined,
  isVisible: false,
  placement: undefined
}, props.animateDefaultProps, props.restrictDefaultProps, {
  hideOnEsc: true
});
Overlay.defaultProps = overlayDefaultProps;
var C = Overlay;

exports.Overlay = C;
exports.overlayDefaultProps = overlayDefaultProps;
exports.overlayPropTypes = overlayPropTypes;
