'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var PropTypes = require('prop-types');
var __chunk_1 = require('./chunk-c300b528.js');
require('reakit/Box');
require('reakit/Block');
require('reakit/Inline');
var InlineBlock = _interopDefault(require('reakit/InlineBlock'));
require('reakit/Flex');
require('reakit/InlineFlex');
require('reakit/Grid');
var index$6 = require('./Pane/index.js');
var __chunk_9 = require('./chunk-f686853d.js');
var PopoverContainer = require('./Popover/PopoverContainer.js');
var PopoverHide = require('./Popover/PopoverHide.js');
var PopoverClose = require('./Popover/PopoverClose.js');
var PopoverPopover = require('./Popover/PopoverPopover.js');
var PopoverShow = require('./Popover/PopoverShow.js');
var PopoverToggle = require('./Popover/PopoverToggle.js');

var Popover = function Popover(_ref) {
  var children = _ref.children,
      content = _ref.content,
      isFullWidth = _ref.isFullWidth,
      showCloseButton = _ref.showCloseButton,
      props = __chunk_1._objectWithoutPropertiesLoose(_ref, ["children", "content", "isFullWidth", "showCloseButton"]);

  return React.createElement(PopoverContainer.default, null, function (popover) {
    return React.createElement(InlineBlock, {
      relative: true,
      width: isFullWidth ? '100%' : undefined
    }, __chunk_9.isFunction(children) ?
    /*
    // @ts-ignore */
    children(__chunk_1._objectSpread({
      use: PopoverToggle.default
    }, popover)) : children ? React.cloneElement(children, __chunk_1._objectSpread({
      use: PopoverToggle.default
    }, popover)) : null, popover.isVisible && React.createElement(PopoverPopover.default, __chunk_1._extends({
      elevation: "200"
    }, props, popover, {
      use: index$6.default
    }), function (_ref2) {
      var initialFocusRef = _ref2.initialFocusRef;
      return React.createElement(React.Fragment, null, showCloseButton && React.createElement(PopoverClose.default, __chunk_1._extends({
        elementRef: initialFocusRef
      }, popover)), typeof content === 'function' ? content(__chunk_1._objectSpread({
        initialFocusRef: initialFocusRef
      }, popover)) : content);
    }));
  });
};
Popover.Popover = PopoverPopover.default;
Popover.Container = PopoverContainer.default;
Popover.Close = PopoverClose.default;
Popover.Hide = PopoverHide.default;
Popover.Show = PopoverShow.default;
Popover.Toggle = PopoverToggle.default;
var popoverPropTypes = __chunk_1._objectSpread({}, PopoverPopover.popoverPopoverPropTypes, {
  className: PropTypes.string,
  children: PropTypes.oneOfType([PropTypes.element, PropTypes.func]).isRequired,
  content: PropTypes.oneOfType([PropTypes.string, PropTypes.element, PropTypes.func]),
  isFullWidth: PropTypes.bool,
  showCloseButton: PropTypes.bool
});
Popover.propTypes = popoverPropTypes;
var popoverDefaultProps = __chunk_1._objectSpread({}, PopoverPopover.popoverPopoverDefaultProps, {
  children: undefined,
  className: undefined,
  isFullWidth: false,
  showCloseButton: false
});
Popover.defaultProps = popoverDefaultProps; // @ts-ignore

var C = Popover;

exports.Popover = C;
exports.popoverDefaultProps = popoverDefaultProps;
exports.popoverPropTypes = popoverPropTypes;
