'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var _get = _interopDefault(require('lodash/get'));
var __chunk_1 = require('../chunk-c300b528.js');
var parseIcons = require('../parseIcons.js');
var faInfoCircle = require('@fortawesome/free-solid-svg-icons/faInfoCircle');
var faExclamationTriangle = require('@fortawesome/free-solid-svg-icons/faExclamationTriangle');
var faCheckCircle = require('@fortawesome/free-solid-svg-icons/faCheckCircle');
var faExclamationCircle = require('@fortawesome/free-solid-svg-icons/faExclamationCircle');
var faQuestionCircle = require('@fortawesome/free-solid-svg-icons/faQuestionCircle');
var faTimes = require('@fortawesome/free-solid-svg-icons/faTimes');
var faSearch = require('@fortawesome/free-solid-svg-icons/faSearch');

var parseOverrideIcons = function parseOverrideIcons(icons) {
  return icons.reduce(function (currentIcons, iconSet) {
    return __chunk_1._objectSpread({}, currentIcons, parseIcons.default(iconSet.icons, {
      type: iconSet.type,
      prefix: iconSet.prefix
    }));
  }, {});
};

var Icon = (function (overrides) {
  return __chunk_1._objectSpread({}, _get(overrides, 'Icon', {}), {
    icons: __chunk_1._objectSpread({}, parseIcons.default([faInfoCircle, faExclamationTriangle, faCheckCircle, faExclamationCircle, faQuestionCircle, faTimes, faSearch], {
      type: 'font-awesome-standalone'
    }), parseOverrideIcons(_get(overrides, 'Icon.iconSets', [])), _get(overrides, 'Icon.icons', {})),
    iconNames: __chunk_1._objectSpread({
      info: 'info-circle',
      warning: 'exclamation-triangle',
      success: 'check-circle',
      danger: 'exclamation-circle'
    }, _get(overrides, 'Icon.iconNames', {}))
  });
});

exports.default = Icon;
