'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

require('reakit/styled');
require('styled-tools');
require('styled-selector');
require('../styled/selector.js');
var _get = _interopDefault(require('lodash/get'));
require('../styled/space.js');
require('../styled/index.js');
var __chunk_1 = require('../chunk-c300b528.js');
require('polished');
var palette$1 = require('./palette.js');
require('../parseIcons.js');
var global = require('./global.js');
var layout = require('./layout.js');
var fontSizes = require('./fontSizes.js');
var fontWeights = require('./fontWeights.js');
var Container = require('./Container.js');
var FieldSet = require('./FieldSet.js');
require('@fortawesome/free-solid-svg-icons/faInfoCircle');
require('@fortawesome/free-solid-svg-icons/faExclamationTriangle');
require('@fortawesome/free-solid-svg-icons/faCheckCircle');
require('@fortawesome/free-solid-svg-icons/faExclamationCircle');
require('@fortawesome/free-solid-svg-icons/faQuestionCircle');
require('@fortawesome/free-solid-svg-icons/faTimes');
require('@fortawesome/free-solid-svg-icons/faSearch');
var Icon = require('./Icon.js');
var LayoutSet = require('./LayoutSet.js');
var Page = require('./Page.js');
var Pane = require('./Pane.js');
var Table = require('./Table.js');

var _docs = (function (overrides) {
  return __chunk_1._objectSpread({
    logoPath: 'logo.svg'
  }, _get(overrides, '_docs', {}));
});

function theme(overrides) {
  if (overrides === void 0) {
    overrides = {};
  }

  return __chunk_1._objectSpread({}, overrides, {
    _docs: _docs(overrides),
    global: global.default(overrides),
    palette: palette$1.default(overrides),
    layout: layout.default(overrides),
    fontSizes: fontSizes.default(overrides),
    fontWeights: fontWeights.default(overrides),
    Container: Container.default(overrides),
    FieldSet: FieldSet.default(overrides),
    Icon: Icon.default(overrides),
    LayoutSet: LayoutSet.default(overrides),
    Page: Page.default(overrides),
    Pane: Pane.default(overrides),
    Table: Table.default(overrides)
  });
}

exports.default = theme;
