'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var _get = _interopDefault(require('lodash/get'));
var __chunk_1 = require('../chunk-c300b528.js');
var polished = require('polished');

var generateTextVariants = function generateTextVariants(textColor) {
  return {
    text100: polished.lighten(0.2, textColor),
    text200: polished.lighten(0.15, textColor),
    text300: polished.lighten(0.1, textColor),
    text400: polished.lighten(0.05, textColor),
    text: textColor,
    textTint: polished.tint(0.8, textColor),
    textInverted: polished.readableColor(textColor),
    textTintInverted: polished.shade(0.3, textColor)
  };
};
var generateColorVariants = function generateColorVariants(_ref) {
  var _objectSpread2;

  var color = _ref.color,
      paletteKey = _ref.paletteKey,
      paletteOverrides = _ref.paletteOverrides;
  return __chunk_1._objectSpread((_objectSpread2 = {}, _objectSpread2[paletteKey + "100"] = polished.tint(0.7, color), _objectSpread2[paletteKey + "200"] = polished.tint(0.5, color), _objectSpread2[paletteKey + "300"] = polished.tint(0.3, color), _objectSpread2[paletteKey + "400"] = polished.tint(0.1, color), _objectSpread2[paletteKey] = color, _objectSpread2[paletteKey + "500"] = color, _objectSpread2[paletteKey + "600"] = polished.shade(0.1, color), _objectSpread2[paletteKey + "700"] = polished.shade(0.3, color), _objectSpread2[paletteKey + "800"] = polished.shade(0.5, color), _objectSpread2[paletteKey + "900"] = polished.shade(0.7, color), _objectSpread2[paletteKey + "Tint"] = polished.tint(0.9, color), _objectSpread2[paletteKey + "Inverted"] = polished.readableColor(color), _objectSpread2[paletteKey + "TintInverted"] = polished.shade(0.5, color), _objectSpread2), paletteOverrides ? paletteOverrides({
    color: color
  }) : {});
};

var defaultPalette = {
  text: '#435a6f',
  primary: '#444bc9',
  secondary: '#793fb2',
  info: '#35709e',
  success: '#2c8453',
  danger: '#c9444d',
  warning: '#f2a100'
};
var _defaultPalette = (function (overrides) {
  return __chunk_1._objectSpread({}, generateTextVariants(_get(overrides, 'palette.text') || defaultPalette.text), {
    black: 'black',
    black500: 'black',
    white: 'white',
    white500: 'white',
    white600: polished.darken(0.03, 'white'),
    white700: polished.darken(0.05, 'white'),
    white800: polished.darken(0.1, 'white'),
    white900: polished.darken(0.15, 'white'),
    gray100: polished.lighten(0.2, 'gray'),
    gray200: polished.lighten(0.15, 'gray'),
    gray300: polished.lighten(0.1, 'gray'),
    gray400: polished.lighten(0.05, 'gray'),
    gray: 'gray',
    gray500: 'gray',
    gray600: polished.darken(0.05, 'gray'),
    gray700: polished.darken(0.1, 'gray'),
    gray800: polished.darken(0.15, 'gray'),
    gray900: polished.darken(0.2, 'gray'),
    default: polished.darken(0.01, 'white'),
    defaultInverted: '#435a6f'
  }, generateColorVariants({
    paletteKey: 'primary',
    color: _get(overrides, "palette.primary") || defaultPalette.primary
  }), generateColorVariants({
    paletteKey: 'secondary',
    color: _get(overrides, "palette.secondary") || defaultPalette.secondary
  }), generateColorVariants({
    paletteKey: 'info',
    color: _get(overrides, "palette.info") || defaultPalette.info
  }), generateColorVariants({
    paletteKey: 'success',
    color: _get(overrides, "palette.success") || defaultPalette.success
  }), generateColorVariants({
    paletteKey: 'danger',
    color: _get(overrides, "palette.danger") || defaultPalette.danger
  }), generateColorVariants({
    paletteKey: 'warning',
    color: _get(overrides, "palette.warning") || defaultPalette.warning,
    paletteOverrides: function paletteOverrides(_ref) {
      var color = _ref.color;
      return {
        warningTintInverted: polished.shade(0.7, color)
      };
    }
  }), _get(overrides, 'palette', {}));
});

exports.default = _defaultPalette;
