'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

require('react');
require('prop-types');
var styled = require('reakit/styled');
var styled__default = _interopDefault(styled);
var styledTools = require('styled-tools');
require('styled-selector');
require('../styled/selector.js');
require('lodash/get');
var space = require('../styled/space.js');
require('../styled/index.js');
require('../chunk-c300b528.js');
require('polished');
var palette$1 = require('../default/palette.js');
require('reakit/Button');
require('airbnb-prop-types');
require('../parseIcons.js');
require('reakit/Box');
require('reakit/Block');
require('reakit/Inline');
require('reakit/InlineBlock');
require('reakit/Flex');
require('reakit/InlineFlex');
require('reakit/Grid');
require('../Icon/styled.js');
require('../chunk-bf58d135.js');
require('../Set/styled.js');
require('../Set/index.js');
var styled$3 = require('../Button/styled.js');

var defaultPalette = palette$1.default({});

var Button = {
  base: styled.css(["border-radius:0px;border:2px solid ", ";color:", ";min-height:44px;padding:0 ", "rem;font-size:15px;text-transform:uppercase;", ";"], function (props) {
    return props.palette === 'default' ? styledTools.palette('gray700') : 'transparent';
  }, function (props) {
    return props.palette === 'default' ? styledTools.palette('gray700') : styledTools.palette(props.palette + "Inverted");
  }, space.default(4), function (props) {
    return styled$3.isInteractive(props) && styled.css(["&:focus{outline:2px solid ", ";outline-offset:0;box-shadow:none;background-color:", ";}"], function (props) {
      return props.palette === 'default' ? styledTools.palette('gray800') : styledTools.palette();
    }, styledTools.palette());
  }),
  outlined: styled.css(["background-color:white;border-width:2px;"]),
  ghost: styled.css(["border:2px solid transparent;&:hover{color:", ";fill:", ";background-color:", ";}&:hover:active{color:", ";fill:", ";background-color:", ";}&:focus{border:2px solid white;background-color:unset;color:", ";}"], function (props) {
    return styledTools.palette(props.palette + "Inverted")(props);
  }, function (props) {
    return styledTools.palette(props.palette + "Inverted")(props);
  }, styledTools.palette(), function (props) {
    return styledTools.palette(props.palette + "Inverted")(props);
  }, function (props) {
    return styledTools.palette(props.palette + "Inverted")(props);
  }, styledTools.palette(), function (props) {
    return props.palette === 'default' ? styledTools.palette('text') : styledTools.palette(props.palette);
  }),
  interactive: styled.css(["&:focus{border:2px solid white;background-color:", ";color:", ";}", ";"], function (props) {
    return props.palette === 'default' ? styledTools.palette('gray800') : styledTools.palette(props.palette + "600");
  }, function (props) {
    return props.palette === 'default' ? 'white' : styledTools.palette(props.palette + "Inverted");
  }, function (props) {
    return props.palette === 'default' && styled.css(["&:hover{background-color:", ";color:white;}&:hover:active{background-color:", ";}"], styledTools.palette('gray700'), styledTools.palette('gray800'));
  }),
  link: styled.css(["border:2px solid transparent;background:unset;"]),
  sizes: {
    small: styled.css(["height:", "rem;font-size:15px;padding:0 ", "rem;"], space.default(8), space.default(4)),
    medium: styled.css(["font-size:18px;"])
  }
};

exports.default = Button;
