'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

require('react');
require('prop-types');
var webFontLoader = require('./webFontLoader.js');
var palette = require('./palette.js');
var layout = require('./layout.js');
var global = require('./global.js');
var fontWeights = require('./fontWeights.js');
require('reakit/styled');
require('styled-tools');
require('styled-selector');
require('../styled/selector.js');
require('lodash/get');
require('../styled/space.js');
require('../styled/index.js');
var ActionButtons = require('./ActionButtons.js');
var Alert = require('./Alert.js');
require('../chunk-c300b528.js');
require('polished');
require('../default/palette.js');
require('reakit/Button');
require('airbnb-prop-types');
require('../parseIcons.js');
require('reakit/Box');
require('reakit/Block');
require('reakit/Inline');
require('reakit/InlineBlock');
require('reakit/Flex');
require('reakit/InlineFlex');
require('reakit/Grid');
require('../Icon/styled.js');
require('../chunk-bf58d135.js');
require('../Set/styled.js');
require('../Set/index.js');
require('../Button/styled.js');
var Button = require('./Button.js');
var Callout = require('./Callout.js');
var Card = require('./Card.js');
var Checkbox = require('./Checkbox.js');
var Container = require('./Container.js');
var Dialog = require('./Dialog.js');
var FieldSet = require('./FieldSet.js');
var FieldWrapper = require('./FieldWrapper.js');
var Group = require('./Group.js');
var Heading = require('./Heading.js');
var Input = require('./Input.js');
var Label = require('./Label.js');
var Page = require('./Page.js');
var Popover = require('./Popover.js');
var Select = require('./Select.js');
var SelectMenu = require('./SelectMenu.js');
var Tabs = require('./Tabs.js');
var Table = require('./Table.js');
var Tag = require('./Tag.js');
var Textarea = require('./Textarea.js');
var Toast = require('./Toast.js');

// @ts-ignore
var _docs = {
  logoPath: 'logo.svg'
};

var medipass = {
  _docs: _docs,
  // Foundation
  global: global.default,
  webFontLoader: webFontLoader.default,
  layout: layout.default,
  fontWeights: fontWeights.default,
  palette: palette.default,
  // Components
  ActionButtons: ActionButtons.default,
  Alert: Alert.default,
  Button: Button.default,
  Callout: Callout.default,
  Card: Card.default,
  Checkbox: Checkbox.default,
  Container: Container.default,
  Dialog: Dialog.default,
  FieldSet: FieldSet.default,
  FieldWrapper: FieldWrapper.default,
  Group: Group.default,
  Heading: Heading.default,
  Input: Input.default,
  Label: Label.default,
  Page: Page.default,
  Popover: Popover.default,
  Select: Select.default,
  SelectMenu: SelectMenu.default,
  Tabs: Tabs.default,
  Table: Table.default,
  Tag: Tag.default,
  Textarea: Textarea.default,
  Toast: Toast.default
};

exports.default = medipass;
