'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var PropTypes = require('prop-types');

var buttonTypePropType = PropTypes.oneOf(['default', 'outlined', 'link', 'ghost']);
var breakpointPropType = PropTypes.oneOf(['fullHD', 'widescreen', 'desktop', 'tablet', 'mobile']);
var columnSpreadPropType = PropTypes.oneOf([1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12]);
var columnSpreadOffsetPropType = PropTypes.oneOf([1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 'left', 'both', 'right']);
var placementPropType = PropTypes.oneOf(['auto', 'top', 'right', 'bottom', 'left', 'top-start', 'right-start', 'bottom-start', 'left-start', 'top-end', 'right-end', 'bottom-end', 'left-end']);
var sizePropType = PropTypes.oneOf(['default', 'small', 'medium', 'large', 'xlarge', 'xxlarge', 'xxxlarge']);
var animatePropTypes = {
  delay: PropTypes.string,
  duration: PropTypes.string,
  expand: PropTypes.oneOfType([PropTypes.bool, PropTypes.oneOf(['bottom', 'left', 'right', 'top', 'center'])]),
  fade: PropTypes.bool,
  slide: PropTypes.oneOfType([PropTypes.bool, PropTypes.oneOf(['bottom', 'left', 'right', 'top'])]),
  timing: PropTypes.string
};
var animateDefaultProps = {
  delay: undefined,
  duration: '250ms',
  expand: undefined,
  fade: false,
  slide: false,
  timing: undefined
};
var restrictHidePropTypes = {
  hideOnEsc: PropTypes.bool,
  hideOnClickOutside: PropTypes.bool
};
var restrictDefaultProps = {
  hideOnEsc: undefined,
  hideOnClickOutside: undefined
};

exports.animateDefaultProps = animateDefaultProps;
exports.animatePropTypes = animatePropTypes;
exports.breakpointPropType = breakpointPropType;
exports.buttonTypePropType = buttonTypePropType;
exports.columnSpreadOffsetPropType = columnSpreadOffsetPropType;
exports.columnSpreadPropType = columnSpreadPropType;
exports.placementPropType = placementPropType;
exports.restrictDefaultProps = restrictDefaultProps;
exports.restrictHidePropTypes = restrictHidePropTypes;
exports.sizePropType = sizePropType;
