import * as React from 'react';
import * as PropTypes from 'prop-types';
import { ReakitBoxProps } from '../types';
import { Omit } from '../types';
import { ButtonProps } from '../Button/Button';
import { AlertCloseProps } from './AlertClose';
export declare type LocalAlertProps = {
    className?: string;
    closeButtonProps?: Omit<ButtonProps, 'children'>;
    children?: React.ReactNode;
    hasIcon?: boolean;
    hasTint?: boolean;
    onClickClose?: AlertCloseProps['onClickClose'];
    showCloseButton?: boolean;
    title?: string;
    type?: string;
};
export declare type AlertProps = LocalAlertProps & ReakitBoxProps;
export declare const Alert: React.FunctionComponent<LocalAlertProps>;
export declare const alertPropTypes: {
    className: PropTypes.Requireable<string>;
    closeButtonProps: PropTypes.Requireable<PropTypes.InferProps<any>>;
    children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
    hasIcon: PropTypes.Requireable<boolean>;
    hasTint: PropTypes.Requireable<boolean>;
    onClickClose: PropTypes.Requireable<(...args: any[]) => any>;
    showCloseButton: PropTypes.Requireable<boolean>;
    title: PropTypes.Requireable<string>;
    type: PropTypes.Requireable<string>;
};
export declare const alertDefaultProps: Partial<LocalAlertProps>;
declare const C: React.FunctionComponent<AlertProps>;
export default C;
