import * as React from 'react';
import * as PropTypes from 'prop-types';
import { AvatarProps as ReakitAvatarProps } from 'reakit/ts';
import { Omit } from '../types';
export declare type LocalAvatarProps = {
    a11yLabel?: string;
    alt?: string;
    color?: string;
    className?: string;
    fit?: 'cover' | 'contain';
    fitPosition?: string;
    initials?: string;
    kind?: 'circle' | 'square';
    palette?: string;
    size?: number | 'default' | 'xsmall' | 'small' | 'medium' | 'large';
    src?: string;
};
export declare type AvatarProps = LocalAvatarProps & Omit<ReakitAvatarProps, 'size'>;
export declare const Avatar: React.FunctionComponent<LocalAvatarProps>;
export declare const avatarPropTypes: {
    a11yLabel: PropTypes.Requireable<string>;
    alt: PropTypes.Requireable<string>;
    kind: PropTypes.Validator<"circle" | "square">;
    color: PropTypes.Requireable<string>;
    className: PropTypes.Requireable<string>;
    fit: PropTypes.Validator<"contain" | "cover">;
    fitPosition: PropTypes.Requireable<string>;
    initials: PropTypes.Requireable<string>;
    palette: PropTypes.Requireable<string>;
    size: PropTypes.Validator<number | "default" | "small" | "medium" | "large" | "xsmall">;
    src: PropTypes.Requireable<string>;
};
export declare const avatarDefaultProps: Partial<LocalAvatarProps>;
declare const C: React.FunctionComponent<AvatarProps>;
export default C;
