import * as React from 'react';
import * as PropTypes from 'prop-types';
import { BackdropProps as ReakitBackdropProps } from 'reakit/ts/Backdrop/Backdrop';
import { AnimateProps, RestrictHideProps } from '../types';
export declare type LocalBackdropProps = {
    use?: any;
    children?: React.ReactNode;
    className?: string;
    /** Whether or not to show the component */
    isVisible?: boolean;
    onClick?(): void;
} & AnimateProps & RestrictHideProps;
export declare type BackdropProps = ReakitBackdropProps & LocalBackdropProps;
export declare const Backdrop: React.FunctionComponent<LocalBackdropProps>;
export declare const backdropPropTypes: {
    hideOnEsc: PropTypes.Requireable<boolean>;
    hideOnClickOutside: PropTypes.Requireable<boolean>;
    delay: PropTypes.Requireable<string>;
    duration: PropTypes.Requireable<string>;
    expand: PropTypes.Validator<boolean | "left" | "right" | "top" | "bottom" | "center">;
    fade: PropTypes.Requireable<boolean>;
    slide: PropTypes.Validator<boolean | "left" | "right" | "top" | "bottom">;
    timing: PropTypes.Requireable<string>;
    use: PropTypes.Requireable<any>;
    children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
    className: PropTypes.Requireable<string>;
    isVisible: PropTypes.Requireable<boolean>;
    onClick: PropTypes.Requireable<(...args: any[]) => any>;
};
export declare const backdropDefaultProps: {
    hideOnEsc: any;
    hideOnClickOutside: any;
    delay: any;
    duration: string;
    expand: any;
    fade: boolean;
    slide: boolean;
    timing: any;
    use: any;
    children: any;
    className: any;
    isVisible: boolean;
    onClick: any;
};
declare const C: React.FunctionComponent<BackdropProps>;
export default C;
