import * as React from 'react';
import * as PropTypes from 'prop-types';
import { InlineFlexProps as ReakitInlineFlexProps } from 'reakit/ts';
import { Size } from '../types';
export declare type LocalBadgeProps = {
    children?: React.ReactNode;
    isAbsolute?: boolean;
    palette?: string;
    size?: Size;
};
export declare type BadgeProps = ReakitInlineFlexProps & LocalBadgeProps;
export declare const badgePropTypes: {
    children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
    isAbsolute: PropTypes.Requireable<boolean>;
    palette: PropTypes.Requireable<string>;
    size: PropTypes.Validator<Size>;
};
export declare const badgeDefaultProps: Partial<LocalBadgeProps>;
export declare class Badge extends React.Component<LocalBadgeProps> {
    static propTypes: {
        children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        isAbsolute: PropTypes.Requireable<boolean>;
        palette: PropTypes.Requireable<string>;
        size: PropTypes.Validator<Size>;
    };
    static defaultProps: Partial<LocalBadgeProps>;
    badge: React.RefObject<unknown>;
    state: {
        parentElement: any;
    };
    componentDidMount: () => void;
    render: () => JSX.Element;
}
declare const C: React.FunctionComponent<BadgeProps>;
export default C;
