import * as React from 'react';
import * as PropTypes from 'prop-types';
import { SetProps } from '../Set/Set';
import { Omit } from '../types';
import { ButtonProps } from './Button';
export declare type LocalActionButtonsProps = {
    addonButtons?: React.ReactElement<any>;
    /** Custom button props for the cancel button */
    cancelProps?: Omit<ButtonProps, 'children'>;
    /** Custom text for the cancel button */
    cancelText?: string;
    className?: string;
    /** Makes the submit button in a loading state */
    isLoading?: boolean;
    onClickSubmit?(): void;
    onClickCancel?(): void;
    /** Changes the color of the submit button */
    palette?: string;
    /** Custom button props for the submit button */
    submitProps?: Omit<ButtonProps, 'children'>;
    /** Custom text for the submit button */
    submitText?: string;
    /** Button type of the submit button */
    type?: string;
};
export declare type ActionButtonsProps = LocalActionButtonsProps & Omit<SetProps, 'children'>;
export declare const ActionButtons: React.FunctionComponent<LocalActionButtonsProps>;
export declare const actionButtonsPropTypes: {
    addonButtons: PropTypes.Requireable<PropTypes.ReactElementLike>;
    cancelProps: PropTypes.Requireable<PropTypes.InferProps<any>>;
    cancelText: PropTypes.Requireable<string>;
    className: PropTypes.Requireable<string>;
    isLoading: PropTypes.Requireable<boolean>;
    onClickSubmit: PropTypes.Requireable<(...args: any[]) => any>;
    onClickCancel: PropTypes.Requireable<(...args: any[]) => any>;
    palette: PropTypes.Requireable<string>;
    submitProps: PropTypes.Requireable<PropTypes.InferProps<any>>;
    submitText: PropTypes.Requireable<string>;
    type: PropTypes.Requireable<string>;
};
export declare const actionButtonsDefaultProps: {
    addonButtons: any;
    cancelProps: {};
    cancelText: string;
    className: any;
    isLoading: boolean;
    onClickSubmit: any;
    onClickCancel: any;
    palette: string;
    submitProps: {};
    submitText: string;
    type: string;
};
declare const C: React.FunctionComponent<ActionButtonsProps>;
export default C;
