import * as React from 'react';
import * as PropTypes from 'prop-types';
import { LocalCardCardProps, CardCardProps } from '../Card/CardCard';
import { CalloutCloseProps } from './CalloutClose';
export declare type LocalCalloutProps = LocalCardCardProps & {
    a11yDescriptionId?: string;
    a11yTitleId?: string;
    children: React.ReactNode;
    className?: string;
    closeButtonProps?: CalloutCloseProps;
    footer?: string | React.ReactElement<any>;
    hasTint?: boolean;
    icon?: string;
    onClickClose?: CalloutCloseProps['onClickClose'];
    showCloseButton?: boolean;
    title?: string | React.ReactElement<any>;
    type?: string;
};
export declare type CalloutProps = CardCardProps & LocalCalloutProps;
export declare const Callout: React.FunctionComponent<LocalCalloutProps>;
export declare const calloutPropTypes: {
    border: PropTypes.Validator<boolean | "shadow">;
    className: PropTypes.Requireable<string>;
    children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
    isFullWidth: PropTypes.Requireable<boolean>;
    elevation: PropTypes.Requireable<string>;
    a11yDescriptionId: PropTypes.Requireable<string>;
    a11yTitleId: PropTypes.Requireable<string>;
    closeButtonProps: PropTypes.Requireable<PropTypes.InferProps<{
        onClickClose: PropTypes.Requireable<(...args: any[]) => any>;
    }>>;
    footer: PropTypes.Requireable<string | PropTypes.ReactElementLike>;
    hasTint: PropTypes.Requireable<boolean>;
    icon: PropTypes.Requireable<string>;
    onClickClose: PropTypes.Requireable<(...args: any[]) => any>;
    showCloseButton: PropTypes.Requireable<boolean>;
    title: PropTypes.Requireable<string | PropTypes.ReactElementLike>;
    type: PropTypes.Requireable<string>;
};
export declare const calloutDefaultProps: {
    a11yDescriptionId: any;
    a11yTitleId: any;
    children: any;
    className: any;
    closeButtonProps: {};
    footer: any;
    hasTint: boolean;
    icon: any;
    onClickClose: any;
    showCloseButton: boolean;
    title: any;
    type: any;
    border: "shadow";
    isFullWidth: boolean;
    elevation: any;
};
declare const C: React.FunctionComponent<CalloutProps>;
export default C;
