import * as React from 'react';
import * as PropTypes from 'prop-types';
import { LocalCalloutProps, CalloutProps } from '../Callout/Callout';
import { LocalOverlayProps, OverlayProps } from '../Overlay/Overlay';
export declare type LocalCalloutOverlayProps = LocalOverlayProps & LocalCalloutProps & {
    children: React.ReactNode;
    hide?(): void;
};
export declare type CalloutOverlayProps = OverlayProps & CalloutProps & LocalCalloutOverlayProps;
export declare const CalloutOverlay: React.FunctionComponent<LocalCalloutOverlayProps>;
export declare const calloutOverlayPropTypes: {
    border: PropTypes.Validator<boolean | "shadow">;
    className: PropTypes.Requireable<string>;
    children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
    isFullWidth: PropTypes.Requireable<boolean>;
    elevation: PropTypes.Requireable<string>;
    a11yDescriptionId: PropTypes.Requireable<string>;
    a11yTitleId: PropTypes.Requireable<string>;
    closeButtonProps: PropTypes.Requireable<PropTypes.InferProps<{
        onClickClose: PropTypes.Requireable<(...args: any[]) => any>;
    }>>;
    footer: PropTypes.Requireable<string | PropTypes.ReactElementLike>;
    hasTint: PropTypes.Requireable<boolean>;
    icon: PropTypes.Requireable<string>;
    onClickClose: PropTypes.Requireable<(...args: any[]) => any>;
    showCloseButton: PropTypes.Requireable<boolean>;
    title: PropTypes.Requireable<string | PropTypes.ReactElementLike>;
    type: PropTypes.Requireable<string>;
    hideOnEsc: PropTypes.Requireable<boolean>;
    hideOnClickOutside: PropTypes.Requireable<boolean>;
    delay: PropTypes.Requireable<string>;
    duration: PropTypes.Requireable<string>;
    expand: PropTypes.Validator<boolean | "left" | "right" | "top" | "bottom" | "center">;
    fade: PropTypes.Requireable<boolean>;
    slide: PropTypes.Validator<boolean | "left" | "right" | "top" | "bottom">;
    timing: PropTypes.Requireable<string>;
    isVisible: PropTypes.Requireable<boolean>;
    placement: PropTypes.Validator<import("../types").Placement>;
    hide: PropTypes.Requireable<(...args: any[]) => any>;
};
export declare const calloutOverlayDefaultProps: Partial<LocalCalloutOverlayProps>;
declare const C: React.FunctionComponent<CalloutOverlayProps>;
export default C;
