import * as React from 'react';
import * as PropTypes from 'prop-types';
import { LocalCardCardProps, CardCardProps } from './CardCard';
import { CardContentProps } from './CardContent';
import { CardHeaderProps } from './CardHeader';
import { CardFooterProps } from './CardFooter';
import { CardTitleProps } from './CardTitle';
export declare type LocalCardProps = LocalCardCardProps & {
    a11yDescriptionId?: string;
    a11yTitleId?: string;
    children: React.ReactNode;
    className?: string;
    footer?: string | React.ReactElement<any>;
    headerActions?: React.ReactElement<any>;
    isFullWidth?: boolean;
    title?: string | React.ReactElement<any>;
};
export declare type CardProps = CardCardProps & LocalCardProps;
export declare type CardComponents = {
    Card: React.FunctionComponent<CardCardProps>;
    Header: React.FunctionComponent<CardHeaderProps>;
    Content: React.FunctionComponent<CardContentProps>;
    Footer: React.FunctionComponent<CardFooterProps>;
    Title: React.FunctionComponent<CardTitleProps>;
};
export declare const Card: React.FunctionComponent<LocalCardProps> & CardComponents;
export declare const cardPropTypes: {
    a11yDescriptionId: PropTypes.Requireable<string>;
    a11yTitleId: PropTypes.Requireable<string>;
    children: PropTypes.Validator<PropTypes.ReactNodeLike>;
    className: PropTypes.Requireable<string>;
    footer: PropTypes.Requireable<string | PropTypes.ReactElementLike>;
    headerActions: PropTypes.Requireable<PropTypes.ReactElementLike>;
    isFullWidth: PropTypes.Requireable<boolean>;
    title: PropTypes.Requireable<string | PropTypes.ReactElementLike>;
    border: PropTypes.Validator<boolean | "shadow">;
    elevation: PropTypes.Requireable<string>;
};
export declare const cardDefaultProps: {
    a11yDescriptionId: any;
    a11yTitleId: any;
    className: any;
    footer: any;
    headerActions: any;
    isFullWidth: boolean;
    title: any;
    border: "shadow";
    children: any;
    elevation: any;
};
declare const C: React.FunctionComponent<CardProps> & CardComponents;
export default C;
