import * as React from 'react';
import * as PropTypes from 'prop-types';
import { ReakitBoxProps } from '../types';
export declare type LocalHighlightedCodeProps = {
    children: React.ReactNode;
    className?: string;
    codeClassName?: string;
    isBlock?: boolean;
    lang: string;
    showLabel?: boolean;
    showLineNumbers?: boolean;
    theme?: Object;
};
export declare type HighlightedCodeProps = LocalHighlightedCodeProps & ReakitBoxProps;
export declare const highlightedCodePropTypes: {
    children: PropTypes.Validator<PropTypes.ReactNodeLike>;
    className: PropTypes.Requireable<string>;
    codeClassName: PropTypes.Requireable<string>;
    isBlock: PropTypes.Requireable<boolean>;
    lang: PropTypes.Validator<string>;
    showLabel: PropTypes.Requireable<boolean>;
    showLineNumbers: PropTypes.Requireable<boolean>;
};
export declare const highlightedCodeDefaultProps: {
    className: any;
    codeClassName: any;
    isBlock: boolean;
    showLabel: boolean;
    showLineNumbers: boolean;
    theme: {};
};
export declare class HighlightedCode extends React.PureComponent<LocalHighlightedCodeProps> {
    static propTypes: {
        children: PropTypes.Validator<PropTypes.ReactNodeLike>;
        className: PropTypes.Requireable<string>;
        codeClassName: PropTypes.Requireable<string>;
        isBlock: PropTypes.Requireable<boolean>;
        lang: PropTypes.Validator<string>;
        showLabel: PropTypes.Requireable<boolean>;
        showLineNumbers: PropTypes.Requireable<boolean>;
    };
    static defaultProps: {
        className: any;
        codeClassName: any;
        isBlock: boolean;
        showLabel: boolean;
        showLineNumbers: boolean;
        theme: {};
    };
    componentDidMount: () => void;
    render: () => JSX.Element;
}
declare const C: React.FunctionComponent<HighlightedCodeProps>;
export default C;
