declare const _default: ({ palette }: {
    palette: {
        [key: string]: string;
    };
}) => {
    'code[class*="language-"]': {
        color: any;
        background: string;
        fontFamily: string;
        textAlign: string;
        whiteSpace: string;
        wordSpacing: string;
        wordBreak: string;
        wordWrap: string;
        lineHeight: string;
        MozTabSize: string;
        OTabSize: string;
        tabSize: string;
        WebkitHyphens: string;
        MozHyphens: string;
        msHyphens: string;
        hyphens: string;
    };
    'pre[class*="language-"]': {
        color: any;
        background: string;
        fontFamily: string;
        textAlign: string;
        whiteSpace: string;
        wordSpacing: string;
        wordBreak: string;
        wordWrap: string;
        lineHeight: string;
        MozTabSize: string;
        OTabSize: string;
        tabSize: string;
        WebkitHyphens: string;
        MozHyphens: string;
        msHyphens: string;
        hyphens: string;
        position: string;
        margin: string;
        overflow: string;
        padding: string;
        backgroundColor: string;
        WebkitBoxSizing: string;
        MozBoxSizing: string;
        boxSizing: string;
        marginBottom: string;
    };
    'pre[class*="language-"]>code': {
        position: string;
        borderLeft: string;
        boxShadow: string;
        backgroundColor: string;
        backgroundImage: string;
        backgroundSize: string;
        backgroundOrigin: string;
        backgroundAttachment: string;
    };
    'code[class*="language"]': {
        maxHeight: string;
        height: string;
        padding: string;
        display: string;
        overflow: string;
    };
    ':not(pre) > code[class*="language-"]': {
        backgroundColor: string;
        WebkitBoxSizing: string;
        MozBoxSizing: string;
        boxSizing: string;
        marginBottom: string;
        position: string;
        padding: string;
        borderRadius: string;
        color: any;
        border: string;
        display: string;
        whiteSpace: string;
    };
    'pre[class*="language-"]:before': {
        content: string;
        zIndex: string;
        display: string;
        position: string;
        bottom: string;
        left: string;
        width: string;
        height: string;
        maxHeight: string;
        boxShadow: string;
        WebkitTransform: string;
        MozTransform: string;
        msTransform: string;
        OTransform: string;
        transform: string;
    };
    'pre[class*="language-"]:after': {
        content: string;
        zIndex: string;
        display: string;
        position: string;
        bottom: string;
        left: string;
        width: string;
        height: string;
        maxHeight: string;
        boxShadow: string;
        WebkitTransform: string;
        MozTransform: string;
        msTransform: string;
        OTransform: string;
        transform: string;
        right: string;
    };
    ':not(pre) > code[class*="language-"]:after': {
        right: string;
        left: string;
        WebkitTransform: string;
        MozTransform: string;
        msTransform: string;
        OTransform: string;
        transform: string;
    };
    comment: {
        color: string;
    };
    'block-comment': {
        color: string;
    };
    prolog: {
        color: string;
    };
    doctype: {
        color: string;
    };
    cdata: {
        color: string;
    };
    punctuation: {
        color: string;
    };
    property: {
        color: any;
    };
    tag: {
        color: any;
    };
    boolean: {
        color: any;
    };
    number: {
        color: any;
    };
    'function-name': {
        color: any;
    };
    constant: {
        color: any;
    };
    symbol: {
        color: any;
    };
    deleted: {
        color: any;
    };
    selector: {
        color: any;
    };
    'attr-name': {
        color: any;
    };
    string: {
        color: any;
    };
    char: {
        color: any;
    };
    function: {
        color: any;
    };
    builtin: {
        color: any;
    };
    inserted: {
        color: any;
    };
    operator: {
        color: string;
    };
    entity: {
        color: string;
        cursor: string;
    };
    url: {
        color: string;
    };
    variable: {
        color: string;
    };
    atrule: {
        color: any;
    };
    'attr-value': {
        color: any;
    };
    keyword: {
        color: any;
    };
    'class-name': {
        color: any;
    };
    regex: {
        color: string;
    };
    important: {
        color: string;
        fontWeight: string;
    };
    '.language-css .token.string': {
        color: string;
    };
    '.style .token.string': {
        color: string;
    };
    bold: {
        fontWeight: string;
    };
    italic: {
        fontStyle: string;
    };
    '.namespace': {
        Opacity: string;
    };
    'tab:not(:empty):before': {
        color: string;
    };
    'cr:before': {
        color: string;
    };
    'lf:before': {
        color: string;
    };
    'pre[class*="language-"].line-numbers': {
        paddingLeft: string;
    };
    'pre[class*="language-"].line-numbers code': {
        paddingLeft: string;
    };
    'pre[class*="language-"].line-numbers .line-numbers-rows': {
        left: string;
    };
    'pre[class*="language-"][data-line]': {
        paddingTop: string;
        paddingBottom: string;
        paddingLeft: string;
    };
    'pre[data-line] code': {
        position: string;
        paddingLeft: string;
    };
    'pre .line-highlight': {
        marginTop: string;
    };
};
export default _default;
