import * as React from 'react';
import * as PropTypes from 'prop-types';
import { ReakitBoxProps } from '../types';
import { ColumnSpread, ColumnSpreadOffset } from '../types';
import { ColumnsContextProps } from '../Columns/ColumnsContext';
export declare type LocalColumnProps = {
    children: React.ReactNode;
    className?: string;
    spread?: ColumnSpread;
    spreadMobile?: ColumnSpread;
    spreadTablet?: ColumnSpread;
    spreadDesktop?: ColumnSpread;
    spreadWidescreen?: ColumnSpread;
    spreadFullHD?: ColumnSpread;
    spreadOffset?: ColumnSpreadOffset;
    spreadMobileOffset?: ColumnSpreadOffset;
    spreadTabletOffset?: ColumnSpreadOffset;
    spreadDesktopOffset?: ColumnSpreadOffset;
    spreadWidescreenOffset?: ColumnSpreadOffset;
    spreadFullHDOffset?: ColumnSpreadOffset;
};
export declare type ColumnProps = LocalColumnProps & ColumnsContextProps & ReakitBoxProps;
export declare const Column: React.FunctionComponent<LocalColumnProps>;
export declare const columnPropTypes: {
    children: PropTypes.Validator<PropTypes.ReactNodeLike>;
    className: PropTypes.Requireable<string>;
    spread: PropTypes.Validator<ColumnSpread>;
    spreadMobile: PropTypes.Validator<ColumnSpread>;
    spreadTablet: PropTypes.Validator<ColumnSpread>;
    spreadDesktop: PropTypes.Validator<ColumnSpread>;
    spreadWidescreen: PropTypes.Validator<ColumnSpread>;
    spreadFullHD: PropTypes.Validator<ColumnSpread>;
    spreadOffset: PropTypes.Validator<ColumnSpreadOffset>;
    spreadMobileOffset: PropTypes.Validator<ColumnSpreadOffset>;
    spreadTabletOffset: PropTypes.Validator<ColumnSpreadOffset>;
    spreadDesktopOffset: PropTypes.Validator<ColumnSpreadOffset>;
    spreadWidescreenOffset: PropTypes.Validator<ColumnSpreadOffset>;
    spreadFullHDOffset: PropTypes.Validator<ColumnSpreadOffset>;
};
export declare const columnDefaultProps: {
    className: any;
    spread: any;
    spreadMobile: any;
    spreadTablet: any;
    spreadDesktop: any;
    spreadWidescreen: any;
    spreadFullHD: any;
    spreadOffset: any;
    spreadMobileOffset: any;
    spreadTabletOffset: any;
    spreadDesktopOffset: any;
    spreadWidescreenOffset: any;
    spreadFullHDOffset: any;
};
declare const C: React.FunctionComponent<ColumnProps>;
export default C;
