import * as React from 'react';
import * as PropTypes from 'prop-types';
import { ReakitBoxProps } from '../types';
export declare type LocalColumnsProps = {
    children: React.ReactNode;
    className?: string;
    isGapless?: boolean;
    isOneLine?: boolean;
    minBreakpoint?: 'tablet' | 'mobile';
};
export declare type ColumnsProps = LocalColumnsProps & ReakitBoxProps;
export declare const Columns: React.FunctionComponent<LocalColumnsProps>;
export declare const columnsPropTypes: {
    children: PropTypes.Validator<PropTypes.ReactNodeLike>;
    className: PropTypes.Requireable<string>;
    isGapless: PropTypes.Requireable<boolean>;
    isOneLine: PropTypes.Requireable<boolean>;
    minBreakpoint: PropTypes.Validator<"tablet" | "mobile">;
};
export declare const columnsDefaultProps: {
    className: any;
    isGapless: boolean;
    isOneLine: boolean;
    minBreakpoint: any;
};
declare const C: React.FunctionComponent<ColumnsProps>;
export default C;
