import * as React from 'react';
import * as PropTypes from 'prop-types';
import { ReakitBoxProps } from '../types';
import { Breakpoint } from '../types';
export declare type LocalContainerProps = {
    align?: 'left' | 'right' | 'center';
    breakpoint?: Breakpoint;
    children: React.ReactNode;
    className?: string;
    isFluid?: boolean;
    isLayout?: boolean;
};
export declare type ContainerProps = LocalContainerProps & ReakitBoxProps;
export declare const Container: React.FunctionComponent<LocalContainerProps>;
export declare const containerPropTypes: {
    align: PropTypes.Validator<"left" | "right" | "center">;
    breakpoint: PropTypes.Validator<Breakpoint>;
    children: PropTypes.Validator<PropTypes.ReactNodeLike>;
    className: PropTypes.Requireable<string>;
    isFluid: PropTypes.Requireable<boolean>;
    isLayout: PropTypes.Requireable<boolean>;
};
export declare const containerDefaultProps: Partial<LocalContainerProps>;
declare const C: React.FunctionComponent<ContainerProps>;
export default C;
