import * as React from 'react';
import * as PropTypes from 'prop-types';
import { LocalPaneProps, PaneProps } from '../Pane/Pane';
export declare type LocalDialogDialogProps = LocalPaneProps & {
    a11yDescriptionId?: string;
    a11yTitleId?: string;
    children: React.ReactNode;
    className?: string;
    kind?: 'alert' | undefined;
};
export declare type DialogDialogProps = LocalDialogDialogProps & PaneProps;
export declare const DialogDialog: React.FunctionComponent<LocalDialogDialogProps>;
export declare const dialogDialogPropTypes: {
    children: PropTypes.Validator<PropTypes.ReactNodeLike>;
    border: PropTypes.Validator<boolean | "shadow">;
    className: PropTypes.Requireable<string>;
    isFullWidth: PropTypes.Requireable<boolean>;
    elevation: PropTypes.Requireable<string>;
    a11yDescriptionId: PropTypes.Requireable<string>;
    a11yTitleId: PropTypes.Requireable<string>;
    kind: PropTypes.Validator<"alert">;
};
export declare const dialogDialogDefaultProps: {
    a11yDescriptionId: any;
    a11yTitleId: any;
    border: boolean;
    className: any;
    kind: any;
    children: any;
    isFullWidth: boolean;
    elevation: any;
};
declare const C: React.FunctionComponent<DialogDialogProps>;
export default C;
