import * as React from 'react';
import * as PropTypes from 'prop-types';
import { ActionButtonsProps } from '../Button/ActionButtons';
import { ModalProps, LocalModalProps } from '../Modal/Modal';
import { Omit } from '../types';
export declare type LocalDialogModalProps = Omit<LocalModalProps, 'children'> & {
    a11yDescriptionId?: string;
    a11yTitleId?: string;
    actionButtonsProps?: ActionButtonsProps;
    children: (({ initialFocusRef }: {
        initialFocusRef: React.RefObject<HTMLElement>;
    }) => React.ReactNode) | React.ReactNode;
    footer?: (({ initialFocusRef }: {
        initialFocusRef: React.RefObject<HTMLElement>;
    }) => React.ReactNode) | string | React.ReactElement<any>;
    hasScroll?: boolean;
    kind?: 'alert';
    title?: string | React.ReactElement<any>;
    type?: string;
};
export declare type DialogModalProps = Omit<ModalProps, 'children'> & LocalDialogModalProps;
export declare const DialogModal: React.FunctionComponent<LocalDialogModalProps>;
export declare const dialogModalPropTypes: {
    a11yDescriptionId: PropTypes.Requireable<string>;
    a11yTitleId: PropTypes.Requireable<string>;
    actionButtonsProps: PropTypes.Requireable<PropTypes.InferProps<{
        addonButtons: PropTypes.Requireable<PropTypes.ReactElementLike>;
        cancelProps: PropTypes.Requireable<PropTypes.InferProps<any>>;
        cancelText: PropTypes.Requireable<string>;
        className: PropTypes.Requireable<string>;
        isLoading: PropTypes.Requireable<boolean>;
        onClickSubmit: PropTypes.Requireable<(...args: any[]) => any>;
        onClickCancel: PropTypes.Requireable<(...args: any[]) => any>;
        palette: PropTypes.Requireable<string>;
        submitProps: PropTypes.Requireable<PropTypes.InferProps<any>>;
        submitText: PropTypes.Requireable<string>;
        type: PropTypes.Requireable<string>;
    }>>;
    children: PropTypes.Validator<PropTypes.ReactNodeLike>;
    footer: PropTypes.Requireable<string | PropTypes.ReactElementLike | ((...args: any[]) => any)>;
    hasScroll: PropTypes.Requireable<boolean>;
    kind: PropTypes.Validator<"alert">;
    title: PropTypes.Requireable<string | PropTypes.ReactElementLike>;
    type: PropTypes.Requireable<string>;
    className: PropTypes.Requireable<string>;
    isVisible: PropTypes.Requireable<boolean>;
    hide: PropTypes.Requireable<(...args: any[]) => any>;
    showActionButtons: PropTypes.Requireable<boolean>;
    showCloseButton: PropTypes.Requireable<boolean>;
    renderWrapper: PropTypes.Requireable<(...args: any[]) => any>;
    hideOnEsc: PropTypes.Requireable<boolean>;
    hideOnClickOutside: PropTypes.Requireable<boolean>;
    delay: PropTypes.Requireable<string>;
    duration: PropTypes.Requireable<string>;
    expand: PropTypes.Validator<boolean | "left" | "right" | "top" | "bottom" | "center">;
    fade: PropTypes.Requireable<boolean>;
    slide: PropTypes.Validator<boolean | "left" | "right" | "top" | "bottom">;
    timing: PropTypes.Requireable<string>;
};
export declare const dialogModalDefaultProps: {
    actionButtonsProps: {};
    a11yDescriptionId: any;
    a11yTitleId: any;
    footer: any;
    hasScroll: boolean;
    kind: any;
    title: any;
    type: any;
    hideOnEsc: boolean;
    hideOnClickOutside: boolean;
    className: any;
    isVisible: boolean;
    showActionButtons: boolean;
    showCloseButton: boolean;
    renderWrapper: (children: React.ReactNode) => React.ReactNode;
    delay: any;
    duration: string;
    expand: any;
    fade: boolean;
    slide: boolean;
    timing: any;
};
declare const C: React.FunctionComponent<DialogModalProps>;
export default C;
