import * as React from 'react';
import * as PropTypes from 'prop-types';
import { FieldProps as ReakitFieldProps } from 'reakit/ts/Field/Field';
import { LocalPopoverProps } from '../Popover/Popover';
import { Omit } from '../types';
export declare type LocalFieldWrapperProps = {
    a11yId?: string;
    children: (({ elementProps }: {
        elementProps: FieldElementProps;
    }) => React.ReactNode) | React.ReactElement<any>;
    className?: string;
    description?: string | React.ReactElement<any>;
    hint?: string | React.ReactElement<any>;
    isOptional?: boolean;
    isRequired?: boolean;
    label?: string | React.ReactElement<any>;
    state?: string;
    tooltip?: string | React.ReactElement<any>;
    tooltipPopoverProps?: Omit<Omit<LocalPopoverProps, 'children'>, 'content'>;
    tooltipTrigger?: React.ReactElement<any>;
    validationText?: string;
};
export declare type FieldWrapperProps = Omit<ReakitFieldProps, 'label'> & LocalFieldWrapperProps;
export declare type FieldElementProps = {
    a11yId?: LocalFieldWrapperProps['a11yId'];
    isRequired?: LocalFieldWrapperProps['isRequired'];
    state?: LocalFieldWrapperProps['state'];
    marginTop?: string;
};
export declare const FieldWrapper: React.FunctionComponent<LocalFieldWrapperProps>;
export declare const fieldWrapperPropTypes: {
    a11yId: PropTypes.Requireable<string>;
    children: PropTypes.Validator<PropTypes.ReactElementLike | ((...args: any[]) => any)>;
    className: PropTypes.Requireable<string>;
    description: PropTypes.Requireable<string | PropTypes.ReactElementLike>;
    hint: PropTypes.Requireable<string | PropTypes.ReactElementLike>;
    isOptional: PropTypes.Requireable<boolean>;
    isRequired: PropTypes.Requireable<boolean>;
    label: PropTypes.Requireable<string | PropTypes.ReactElementLike>;
    state: PropTypes.Requireable<string>;
    tooltip: PropTypes.Requireable<string | PropTypes.ReactElementLike>;
    tooltipPopoverProps: PropTypes.Requireable<PropTypes.InferProps<any>>;
    tooltipTrigger: PropTypes.Requireable<PropTypes.ReactElementLike>;
    validationText: PropTypes.Requireable<string>;
};
export declare const fieldWrapperDefaultProps: {
    a11yId: any;
    className: any;
    description: any;
    hint: any;
    isOptional: any;
    isRequired: any;
    label: any;
    state: any;
    tooltip: any;
    tooltipPopoverProps: any;
    tooltipTrigger: any;
    validationText: any;
};
declare const C: React.FunctionComponent<FieldWrapperProps>;
export default C;
