import * as React from 'react';
import * as PropTypes from 'prop-types';
import { GroupProps as ReakitGroupProps } from 'reakit/ts';
import { Omit, Breakpoint } from '../types';
export declare type LocalGroupProps = {
    children: React.ReactNode;
    className?: string;
    isVertical?: boolean;
    theme?: Object;
    verticalAt?: Breakpoint | number;
};
export declare type GroupProps = LocalGroupProps & Omit<ReakitGroupProps, 'verticalAt'>;
export declare const Group: React.FunctionComponent<LocalGroupProps>;
export declare const groupPropTypes: {
    children: PropTypes.Validator<PropTypes.ReactNodeLike>;
    className: PropTypes.Requireable<string>;
    isVertical: PropTypes.Requireable<boolean>;
    theme: PropTypes.Requireable<object>;
    verticalAt: PropTypes.Requireable<number | "fullHD" | "widescreen" | "desktop" | "tablet" | "mobile">;
};
export declare const groupDefaultProps: {
    className: any;
    isVertical: boolean;
    theme: {};
    verticalAt: any;
};
declare const C: React.FunctionComponent<GroupProps>;
export default C;
