import * as React from 'react';
import * as PropTypes from 'prop-types';
import { HiddenProps as ReakitHiddenProps } from 'reakit/ts/Hidden/Hidden';
import { AnimateProps, RestrictHideProps } from '../types';
import { HiddenContainerProps } from './HiddenContainer';
import { HiddenShowProps } from './HiddenShow';
import { HiddenHideProps } from './HiddenHide';
import { HiddenToggleProps } from './HiddenToggle';
export declare type LocalHiddenProps = AnimateProps & RestrictHideProps & {
    children: React.ReactNode;
    className?: string;
    isVisible?: boolean;
};
export declare type HiddenProps = ReakitHiddenProps & LocalHiddenProps;
export declare type HiddenComponents = {
    Container: React.FunctionComponent<HiddenContainerProps>;
    Show: React.FunctionComponent<HiddenShowProps>;
    Hide: React.FunctionComponent<HiddenHideProps>;
    Toggle: React.FunctionComponent<HiddenToggleProps>;
};
export declare const Hidden: React.FunctionComponent<LocalHiddenProps> & HiddenComponents;
export declare const hiddenPropTypes: {
    children: PropTypes.Validator<PropTypes.ReactNodeLike>;
    className: PropTypes.Requireable<string>;
    isVisible: PropTypes.Requireable<boolean>;
    hideOnEsc: PropTypes.Requireable<boolean>;
    hideOnClickOutside: PropTypes.Requireable<boolean>;
    delay: PropTypes.Requireable<string>;
    duration: PropTypes.Requireable<string>;
    expand: PropTypes.Validator<boolean | "left" | "right" | "top" | "bottom" | "center">;
    fade: PropTypes.Requireable<boolean>;
    slide: PropTypes.Validator<boolean | "left" | "right" | "top" | "bottom">;
    timing: PropTypes.Requireable<string>;
};
export declare const hiddenDefaultProps: {
    className: any;
    isVisible: any;
    hideOnEsc: any;
    hideOnClickOutside: any;
    delay: any;
    duration: string;
    expand: any;
    fade: boolean;
    slide: boolean;
    timing: any;
};
declare const C: React.FunctionComponent<HiddenProps> & HiddenComponents;
export default C;
