import * as React from 'react';
import * as PropTypes from 'prop-types';
import { HiddenHideProps as ReakitHiddenHideProps } from 'reakit/ts';
export declare type LocalHiddenHideProps = {
    children?: React.ReactNode | void;
    hide(): void;
    onClick?(): void;
};
export declare type HiddenHideProps = LocalHiddenHideProps & ReakitHiddenHideProps;
export declare const HiddenHide: React.FunctionComponent<LocalHiddenHideProps>;
export declare const hiddenHidePropTypes: {
    children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
    hide: PropTypes.Validator<(...args: any[]) => any>;
    onClick: PropTypes.Requireable<(...args: any[]) => any>;
};
export declare const hiddenHideDefaultProps: {
    children: any;
    onClick: any;
};
declare const C: React.FunctionComponent<HiddenHideProps>;
export default C;
