import * as React from 'react';
import * as PropTypes from 'prop-types';
import { HiddenToggleProps as ReakitHiddenToggleProps } from 'reakit/ts/Hidden/HiddenToggle';
export declare type LocalHiddenToggleProps = {
    children?: React.ReactNode;
    toggle(): void;
    onClick?(): void;
};
export declare type HiddenToggleProps = LocalHiddenToggleProps & ReakitHiddenToggleProps;
export declare const HiddenToggle: React.FunctionComponent<LocalHiddenToggleProps>;
export declare const hiddenTogglePropTypes: {
    children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
    onClick: PropTypes.Requireable<(...args: any[]) => any>;
    toggle: PropTypes.Validator<(...args: any[]) => any>;
};
export declare const hiddenToggleDefaultProps: {
    children: any;
    onClick: any;
};
declare const C: React.FunctionComponent<HiddenToggleProps>;
export default C;
