import * as React from 'react';
import * as PropTypes from 'prop-types';
import { ImageProps as ReakitImageProps } from 'reakit/ts';
export declare type LocalImageProps = {
    children?: React.ReactNode;
    className?: string;
    /** How the image fits its bounds */
    fit?: 'cover' | 'contain';
    /** Positioning of the fitted image. Value can be "top", "left", "center", "right", "bottom" or an "x y" coordinate */
    fitPosition?: string;
    /** Fix the width of the image. It will not be responsive. */
    isFixed?: boolean;
};
export declare type ImageProps = LocalImageProps & ReakitImageProps;
export declare const Image: React.FunctionComponent<LocalImageProps>;
export declare const imagePropTypes: {
    children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
    className: PropTypes.Requireable<string>;
    fit: PropTypes.Validator<"contain" | "cover">;
    fitPosition: PropTypes.Requireable<string>;
    isFixed: PropTypes.Requireable<boolean>;
};
export declare const imageDefaultProps: {
    children: any;
    className: any;
    fit: any;
    fitPosition: any;
    isFixed: boolean;
};
declare const C: React.FunctionComponent<ImageProps>;
export default C;
