import * as React from 'react';
import * as PropTypes from 'prop-types';
import { ListProps as ReakitListProps } from 'reakit/ts';
import { ListItemProps } from './ListItem';
export declare type LocalListProps = {
    children: React.ReactNode;
    className?: string;
    isOrdered?: boolean;
    isHorizontal?: boolean;
};
export declare type ListProps = LocalListProps & ReakitListProps;
export declare type ListComponents = {
    Item: React.FunctionComponent<ListItemProps>;
};
export declare const List: React.FunctionComponent<LocalListProps> & ListComponents;
export declare const listPropTypes: {
    children: PropTypes.Validator<PropTypes.ReactNodeLike>;
    className: PropTypes.Requireable<string>;
    isOrdered: PropTypes.Requireable<boolean>;
    isHorizontal: PropTypes.Requireable<boolean>;
};
export declare const listDefaultProps: {
    className: any;
    isOrdered: boolean;
    isHorizontal: boolean;
};
declare const C: React.FunctionComponent<ListProps> & ListComponents;
export default C;
