import * as React from 'react';
import * as PropTypes from 'prop-types';
import { LocalButtonProps, ButtonProps } from '../Button/Button';
import { Omit } from '../types';
export declare type LocalMenuButtonProps = LocalButtonProps & {
    onClick?(e: React.MouseEvent<any>): void;
};
export declare type MenuButtonProps = Omit<ButtonProps, 'use'> & LocalMenuButtonProps;
export declare const menuButtonPropTypes: {
    onClick: PropTypes.Requireable<(...args: any[]) => any>;
    autoFocus: PropTypes.Requireable<boolean>;
    children: PropTypes.Validator<PropTypes.ReactNodeLike>;
    className: PropTypes.Requireable<string>;
    disabled: PropTypes.Requireable<boolean>;
    id: PropTypes.Requireable<string>;
    iconAfter: PropTypes.Validator<string | import("../parseIcons").ParsedIcon>;
    iconBefore: PropTypes.Validator<string | import("../parseIcons").ParsedIcon>;
    isLoading: PropTypes.Requireable<boolean>;
    isStatic: PropTypes.Requireable<boolean>;
    kind: PropTypes.Validator<import("../types").ButtonType>;
    palette: PropTypes.Requireable<string>;
    size: PropTypes.Validator<import("../types").Size>;
    type: PropTypes.Requireable<string>;
};
export declare const menuButtonDefaultProps: {
    autoFocus?: boolean;
    children?: React.ReactNode;
    className?: string;
    disabled?: boolean;
    id?: string;
    iconAfter?: string | import("../parseIcons").ParsedIcon;
    iconBefore?: string | import("../parseIcons").ParsedIcon;
    isLoading?: boolean;
    isStatic?: boolean;
    kind?: import("../types").ButtonType;
    palette?: string;
    size?: import("../types").Size;
    type?: string;
};
export declare const MenuButton: React.FunctionComponent<LocalMenuButtonProps>;
declare const C: React.FunctionComponent<MenuButtonProps>;
export default C;
