import * as React from 'react';
import { PopoverContainerRenderProps } from '../Popover/PopoverContainer';
export declare type MenuProviderProps = {
    children: React.ReactNode;
};
export declare type MenuContextState = PopoverContainerRenderProps & {
    isVisible: boolean;
    startAt?: 'first' | 'last';
    handleMenuOpenViaKeyboard: (opts?: {
        startAt?: 'first' | 'last';
    }) => void;
    setPopoverProps: (popover: PopoverContainerRenderProps) => void;
};
export declare class MenuProvider extends React.Component<MenuProviderProps> {
    handleMenuOpenViaKeyboard: ({ startAt }?: {
        startAt?: string;
    }) => void;
    setPopoverProps: (popover: PopoverContainerRenderProps) => void;
    state: {
        setPopoverProps: (popover: PopoverContainerRenderProps) => void;
        handleMenuOpenViaKeyboard: ({ startAt }?: {
            startAt?: string;
        }) => void;
        isVisible: boolean;
        hide(): void;
        show(): void;
        toggle(): void;
        startAt?: "first" | "last";
    };
    render: () => JSX.Element;
}
declare const _default: {
    Provider: typeof MenuProvider;
    Consumer: React.ExoticComponent<React.ConsumerProps<MenuContextState>>;
    displayName?: string;
};
export default _default;
export declare const withMenuContext: (C: React.ComponentType<any>) => (props: any) => JSX.Element;
