import * as React from 'react';
import * as PropTypes from 'prop-types';
import { ButtonProps as ReakitButtonProps } from 'reakit/ts/Button/Button';
import { Omit } from '../types';
import { IconProps } from '../Icon/Icon';
import { MenuContextState } from './MenuContext';
export declare type LocalMenuItemProps = {
    children: React.ReactNode;
    context?: MenuContextState;
    hideOnClick?: boolean;
    icon?: IconProps['icon'];
    isActive?: boolean;
    isDisabled?: boolean;
    onClick?(e: React.MouseEvent<any>): void;
};
export declare type MenuItemProps = Omit<ReakitButtonProps, 'elementRef'> & LocalMenuItemProps;
export declare const menuItemPropTypes: {
    children: PropTypes.Validator<PropTypes.ReactNodeLike>;
    hideOnClick: PropTypes.Requireable<boolean>;
    icon: PropTypes.Validator<string | import("../parseIcons").ParsedIcon>;
    isActive: PropTypes.Requireable<boolean>;
    isDisabled: PropTypes.Requireable<boolean>;
    onClick: PropTypes.Requireable<(...args: any[]) => any>;
};
export declare const menuItemDefaultProps: {
    hideOnClick: boolean;
    icon: any;
    isActive: boolean;
    isDisabled: boolean;
    onClick: any;
};
export declare class MenuItem extends React.Component<LocalMenuItemProps> {
    static propTypes: {
        children: PropTypes.Validator<PropTypes.ReactNodeLike>;
        hideOnClick: PropTypes.Requireable<boolean>;
        icon: PropTypes.Validator<string | import("../parseIcons").ParsedIcon>;
        isActive: PropTypes.Requireable<boolean>;
        isDisabled: PropTypes.Requireable<boolean>;
        onClick: PropTypes.Requireable<(...args: any[]) => any>;
    };
    static defaultProps: {
        hideOnClick: boolean;
        icon: any;
        isActive: boolean;
        isDisabled: boolean;
        onClick: any;
    };
    handleClick: (e: React.MouseEvent<any, MouseEvent>) => void;
    render: () => JSX.Element;
}
declare const C: React.FunctionComponent<MenuItemProps>;
export default C;
