import * as React from 'react';
import * as PropTypes from 'prop-types';
import { LocalPopoverProps, PopoverProps } from '../Popover/Popover';
export declare type LocalMenuPopoverProps = LocalPopoverProps & {
    children: React.ReactNode;
};
export declare type MenuPopoverProps = PopoverProps & LocalMenuPopoverProps;
export declare const menuPopoverPropTypes: {
    children: PropTypes.Validator<PropTypes.ReactNodeLike>;
    className: PropTypes.Requireable<string>;
    content: PropTypes.Validator<string | React.ReactElement<any, string | ((props: any) => React.ReactElement<any, string | any | (new (props: any) => React.Component<any, any, any>)>) | (new (props: any) => React.Component<any, any, any>)> | (({ initialFocusRef, ...args }: {
        initialFocusRef?: React.RefObject<any>;
    } & import("..").PopoverContainerRenderProps) => React.ReactNode)>;
    isFullWidth: PropTypes.Requireable<boolean>;
    showCloseButton: PropTypes.Requireable<boolean>;
    hideOnEsc: PropTypes.Requireable<boolean>;
    hideOnClickOutside: PropTypes.Requireable<boolean>;
    delay: PropTypes.Requireable<string>;
    duration: PropTypes.Requireable<string>;
    expand: PropTypes.Validator<boolean | "left" | "right" | "top" | "bottom" | "center">;
    fade: PropTypes.Requireable<boolean>;
    slide: PropTypes.Validator<boolean | "left" | "right" | "top" | "bottom">;
    timing: PropTypes.Requireable<string>;
    isVisible: PropTypes.Requireable<boolean>;
    flip: PropTypes.Requireable<boolean>;
    gutter: PropTypes.Requireable<string | number>;
    placement: PropTypes.Validator<import("../types").Placement>;
    shift: PropTypes.Requireable<boolean>;
    trapFocus: PropTypes.Requireable<boolean>;
};
export declare const menuPopoverDefaultProps: {
    gutter: number;
    placement: string;
    children: any;
    className: any;
    isFullWidth: boolean;
    showCloseButton: boolean;
    isVisible?: boolean;
    flip?: boolean;
    shift?: boolean;
    trapFocus?: boolean;
    delay?: string;
    duration?: string;
    expand?: boolean | "left" | "right" | "top" | "bottom" | "center";
    fade?: boolean;
    slide?: boolean | "left" | "right" | "top" | "bottom";
    timing?: string;
    hideOnEsc?: boolean;
    hideOnClickOutside?: boolean;
};
export declare class MenuPopover extends React.Component<LocalMenuPopoverProps> {
    static propTypes: {
        children: PropTypes.Validator<PropTypes.ReactNodeLike>;
        className: PropTypes.Requireable<string>;
        content: PropTypes.Validator<string | React.ReactElement<any, string | ((props: any) => React.ReactElement<any, string | any | (new (props: any) => React.Component<any, any, any>)>) | (new (props: any) => React.Component<any, any, any>)> | (({ initialFocusRef, ...args }: {
            initialFocusRef?: React.RefObject<any>;
        } & import("..").PopoverContainerRenderProps) => React.ReactNode)>;
        isFullWidth: PropTypes.Requireable<boolean>;
        showCloseButton: PropTypes.Requireable<boolean>;
        hideOnEsc: PropTypes.Requireable<boolean>;
        hideOnClickOutside: PropTypes.Requireable<boolean>;
        delay: PropTypes.Requireable<string>;
        duration: PropTypes.Requireable<string>;
        expand: PropTypes.Validator<boolean | "left" | "right" | "top" | "bottom" | "center">;
        fade: PropTypes.Requireable<boolean>;
        slide: PropTypes.Validator<boolean | "left" | "right" | "top" | "bottom">;
        timing: PropTypes.Requireable<string>;
        isVisible: PropTypes.Requireable<boolean>;
        flip: PropTypes.Requireable<boolean>;
        gutter: PropTypes.Requireable<string | number>;
        placement: PropTypes.Validator<import("../types").Placement>;
        shift: PropTypes.Requireable<boolean>;
        trapFocus: PropTypes.Requireable<boolean>;
    };
    static defaultProps: {
        gutter: number;
        placement: string;
        children: any;
        className: any;
        isFullWidth: boolean;
        showCloseButton: boolean;
        isVisible?: boolean;
        flip?: boolean;
        shift?: boolean;
        trapFocus?: boolean;
        delay?: string;
        duration?: string;
        expand?: boolean | "left" | "right" | "top" | "bottom" | "center";
        fade?: boolean;
        slide?: boolean | "left" | "right" | "top" | "bottom";
        timing?: string;
        hideOnEsc?: boolean;
        hideOnClickOutside?: boolean;
    };
    render: () => JSX.Element;
}
declare const C: React.FunctionComponent<MenuPopoverProps>;
export default C;
