import * as React from 'react';
import * as PropTypes from 'prop-types';
import { ContainerProps, LocalContainerProps } from '../Container/Container';
export declare type LocalPageContentProps = LocalContainerProps & {
    children: React.ReactNode;
    theme?: Object;
    wrapperProps?: Object;
};
export declare type PageContentProps = ContainerProps & LocalPageContentProps;
export declare const PageContent: React.FunctionComponent<LocalPageContentProps>;
export declare const PageContentPropTypes: {
    children: PropTypes.Validator<PropTypes.ReactNodeLike>;
    theme: PropTypes.Requireable<object>;
    wrapperProps: PropTypes.Requireable<object>;
    align: PropTypes.Validator<"left" | "right" | "center">;
    breakpoint: PropTypes.Validator<import("../types").Breakpoint>;
    className: PropTypes.Requireable<string>;
    isFluid: PropTypes.Requireable<boolean>;
    isLayout: PropTypes.Requireable<boolean>;
};
export declare const PageContentDefaultProps: {
    breakpoint: "tablet";
    isLayout: boolean;
    theme: {};
    wrapperProps: {};
    align?: "left" | "right" | "center";
    children?: React.ReactNode;
    className?: string;
    isFluid?: boolean;
};
declare const C: React.FunctionComponent<PageContentProps>;
export default C;
