import * as React from 'react';
import * as PropTypes from 'prop-types';
import { FlexProps as ReakitFlexProps } from 'reakit/ts';
import { Omit } from '../types';
import { SidebarProps } from '../Sidebar/Sidebar';
import { PageState } from './PageContainer';
export declare type LocalPageWithSidebarProps = {
    children: (({ page }: {
        page: PageState;
    }) => React.ReactNode) | React.ReactNode;
    hideSidebarOnDesktop?: boolean;
    sidebarContent: React.ReactElement<any>;
    sidebarProps?: Omit<SidebarProps, 'children'>;
    sidebarWidth?: string;
    theme?: Object;
};
export declare type PageWithSidebarProps = ReakitFlexProps & LocalPageWithSidebarProps;
export declare const PageWithSidebar: React.FunctionComponent<LocalPageWithSidebarProps>;
export declare const PageWithSidebarPropTypes: {
    children: PropTypes.Validator<PropTypes.ReactNodeLike>;
    hideSidebarOnDesktop: PropTypes.Requireable<boolean>;
    sidebarContent: PropTypes.Validator<PropTypes.ReactElementLike>;
    sidebarProps: PropTypes.Requireable<PropTypes.InferProps<{
        hideOnEsc: PropTypes.Requireable<boolean>;
        hideOnClickOutside: PropTypes.Requireable<boolean>;
        delay: PropTypes.Requireable<string>;
        duration: PropTypes.Requireable<string>;
        expand: PropTypes.Validator<boolean | "left" | "right" | "top" | "bottom" | "center">;
        fade: PropTypes.Requireable<boolean>;
        slide: PropTypes.Validator<boolean | "left" | "right" | "top" | "bottom">;
        timing: PropTypes.Requireable<string>;
        align: PropTypes.Requireable<string>;
        backdropFade: PropTypes.Requireable<boolean>;
        children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        className: PropTypes.Requireable<string>;
        isVisible: PropTypes.Requireable<boolean>;
        hide: PropTypes.Requireable<(...args: any[]) => any>;
        hideCloseButton: PropTypes.Requireable<boolean>;
        onClickClose: PropTypes.Requireable<(...args: any[]) => any>;
        width: PropTypes.Requireable<string>;
    }>>;
    sidebarWidth: PropTypes.Requireable<string>;
    theme: PropTypes.Requireable<object>;
};
export declare const PageWithSidebarDefaultProps: {
    hideSidebarOnDesktop: boolean;
    sidebarProps: {};
    sidebarWidth: string;
    theme: {};
};
declare const C: React.FunctionComponent<PageWithSidebarProps>;
export default C;
