import * as React from 'react';
import * as PropTypes from 'prop-types';
import { ReakitBoxProps } from '../types';
import { Omit } from '../types';
export declare type LocalPaneProps = {
    border?: boolean | 'shadow';
    className?: string;
    children?: React.ReactNode;
    elevation?: string;
    isFullWidth?: boolean;
};
export declare type PaneProps = LocalPaneProps & Omit<ReakitBoxProps, 'border'>;
export declare const Pane: React.FunctionComponent<LocalPaneProps>;
export declare const panePropTypes: {
    border: PropTypes.Validator<boolean | "shadow">;
    className: PropTypes.Requireable<string>;
    children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
    isFullWidth: PropTypes.Requireable<boolean>;
    elevation: PropTypes.Requireable<string>;
};
export declare const paneDefaultProps: {
    border: boolean;
    className: any;
    children: any;
    isFullWidth: boolean;
    elevation: any;
};
declare const C: React.FunctionComponent<PaneProps>;
export default C;
