import * as React from 'react';
import * as PropTypes from 'prop-types';
import { PopoverProps as ReakitPopoverProps } from 'reakit/ts/Popover/Popover';
import { Omit } from '../types';
import { PopoverContainerProps, PopoverContainerRenderProps } from './PopoverContainer';
import { PopoverCloseProps } from './PopoverClose';
import { LocalPopoverPopoverProps, PopoverPopoverProps } from './PopoverPopover';
import { PopoverShowProps } from './PopoverShow';
import { PopoverHideProps } from './PopoverHide';
import { PopoverToggleProps } from './PopoverToggle';
export declare type LocalPopoverProps = LocalPopoverPopoverProps & {
    children: React.ReactNode | (({ use, ...args }: PopoverContainerRenderProps & {
        use: React.ReactElement<any>;
    }) => React.ReactNode);
    className?: string;
    content: string | React.ReactElement<any> | (({ initialFocusRef, ...args }: {
        initialFocusRef?: React.RefObject<any>;
    } & PopoverContainerRenderProps) => React.ReactNode);
    isFullWidth?: boolean;
    /** Displays a cross button in the top right corner of the popover content. */
    showCloseButton?: boolean;
};
export declare type PopoverProps = Omit<ReakitPopoverProps, 'content'> & LocalPopoverProps;
export declare type PopoverComponents = {
    Popover: React.FunctionComponent<PopoverPopoverProps>;
    Container: React.FunctionComponent<PopoverContainerProps>;
    Close: React.FunctionComponent<PopoverCloseProps>;
    Hide: React.FunctionComponent<PopoverHideProps>;
    Show: React.FunctionComponent<PopoverShowProps>;
    Toggle: React.FunctionComponent<PopoverToggleProps>;
};
export declare const Popover: React.FunctionComponent<LocalPopoverProps> & PopoverComponents;
export declare const popoverPropTypes: {
    className: PropTypes.Requireable<string>;
    children: PropTypes.Validator<string | number | boolean | {} | React.ReactElement<any, string | ((props: any) => React.ReactElement<any, string | any | (new (props: any) => React.Component<any, any, any>)>) | (new (props: any) => React.Component<any, any, any>)> | React.ReactNodeArray | React.ReactPortal | (string & {}) | (string & React.ReactElement<any, string | ((props: any) => React.ReactElement<any, string | any | (new (props: any) => React.Component<any, any, any>)>) | (new (props: any) => React.Component<any, any, any>)>) | (string & React.ReactNodeArray) | (string & React.ReactPortal) | (number & {}) | (number & React.ReactElement<any, string | ((props: any) => React.ReactElement<any, string | any | (new (props: any) => React.Component<any, any, any>)>) | (new (props: any) => React.Component<any, any, any>)>) | (number & React.ReactNodeArray) | (number & React.ReactPortal) | (React.ReactElement<any, string | ((props: any) => React.ReactElement<any, string | any | (new (props: any) => React.Component<any, any, any>)>) | (new (props: any) => React.Component<any, any, any>)> & string) | (React.ReactElement<any, string | ((props: any) => React.ReactElement<any, string | any | (new (props: any) => React.Component<any, any, any>)>) | (new (props: any) => React.Component<any, any, any>)> & number) | (React.ReactElement<any, string | ((props: any) => React.ReactElement<any, string | any | (new (props: any) => React.Component<any, any, any>)>) | (new (props: any) => React.Component<any, any, any>)> & false) | (React.ReactElement<any, string | ((props: any) => React.ReactElement<any, string | any | (new (props: any) => React.Component<any, any, any>)>) | (new (props: any) => React.Component<any, any, any>)> & true) | (React.ReactElement<any, string | ((props: any) => React.ReactElement<any, string | any | (new (props: any) => React.Component<any, any, any>)>) | (new (props: any) => React.Component<any, any, any>)> & React.ReactNodeArray) | (React.ReactElement<any, string | ((props: any) => React.ReactElement<any, string | any | (new (props: any) => React.Component<any, any, any>)>) | (new (props: any) => React.Component<any, any, any>)> & React.ReactPortal) | (false & {}) | (false & React.ReactElement<any, string | ((props: any) => React.ReactElement<any, string | any | (new (props: any) => React.Component<any, any, any>)>) | (new (props: any) => React.Component<any, any, any>)>) | (false & React.ReactNodeArray) | (false & React.ReactPortal) | (true & {}) | (true & React.ReactElement<any, string | ((props: any) => React.ReactElement<any, string | any | (new (props: any) => React.Component<any, any, any>)>) | (new (props: any) => React.Component<any, any, any>)>) | (true & React.ReactNodeArray) | (true & React.ReactPortal) | ({} & string) | ({} & number) | ({} & false) | ({} & true) | (React.ReactNodeArray & string) | (React.ReactNodeArray & number) | (React.ReactNodeArray & false) | (React.ReactNodeArray & true) | (React.ReactNodeArray & React.ReactElement<any, string | ((props: any) => React.ReactElement<any, string | any | (new (props: any) => React.Component<any, any, any>)>) | (new (props: any) => React.Component<any, any, any>)>) | (React.ReactNodeArray & React.ReactPortal) | (React.ReactPortal & string) | (React.ReactPortal & number) | (React.ReactPortal & false) | (React.ReactPortal & true) | (React.ReactPortal & React.ReactElement<any, string | ((props: any) => React.ReactElement<any, string | any | (new (props: any) => React.Component<any, any, any>)>) | (new (props: any) => React.Component<any, any, any>)>) | (React.ReactPortal & React.ReactNodeArray) | (({ initialFocusRef }: {
        initialFocusRef?: React.RefObject<any>;
    }) => React.ReactNode) | ((({ initialFocusRef }: {
        initialFocusRef?: React.RefObject<any>;
    }) => React.ReactNode) & string) | ((({ initialFocusRef }: {
        initialFocusRef?: React.RefObject<any>;
    }) => React.ReactNode) & number) | ((({ initialFocusRef }: {
        initialFocusRef?: React.RefObject<any>;
    }) => React.ReactNode) & false) | ((({ initialFocusRef }: {
        initialFocusRef?: React.RefObject<any>;
    }) => React.ReactNode) & true) | ((({ initialFocusRef }: {
        initialFocusRef?: React.RefObject<any>;
    }) => React.ReactNode) & React.ReactElement<any, string | ((props: any) => React.ReactElement<any, string | any | (new (props: any) => React.Component<any, any, any>)>) | (new (props: any) => React.Component<any, any, any>)>) | ((({ initialFocusRef }: {
        initialFocusRef?: React.RefObject<any>;
    }) => React.ReactNode) & React.ReactNodeArray) | ((({ initialFocusRef }: {
        initialFocusRef?: React.RefObject<any>;
    }) => React.ReactNode) & React.ReactPortal) | (({ use, ...args }: PopoverContainerRenderProps & {
        use: React.ReactElement<any, string | ((props: any) => React.ReactElement<any, string | any | (new (props: any) => React.Component<any, any, any>)>) | (new (props: any) => React.Component<any, any, any>)>;
    }) => React.ReactNode) | (string & (({ use, ...args }: PopoverContainerRenderProps & {
        use: React.ReactElement<any, string | ((props: any) => React.ReactElement<any, string | any | (new (props: any) => React.Component<any, any, any>)>) | (new (props: any) => React.Component<any, any, any>)>;
    }) => React.ReactNode)) | (number & (({ use, ...args }: PopoverContainerRenderProps & {
        use: React.ReactElement<any, string | ((props: any) => React.ReactElement<any, string | any | (new (props: any) => React.Component<any, any, any>)>) | (new (props: any) => React.Component<any, any, any>)>;
    }) => React.ReactNode)) | (false & (({ use, ...args }: PopoverContainerRenderProps & {
        use: React.ReactElement<any, string | ((props: any) => React.ReactElement<any, string | any | (new (props: any) => React.Component<any, any, any>)>) | (new (props: any) => React.Component<any, any, any>)>;
    }) => React.ReactNode)) | (true & (({ use, ...args }: PopoverContainerRenderProps & {
        use: React.ReactElement<any, string | ((props: any) => React.ReactElement<any, string | any | (new (props: any) => React.Component<any, any, any>)>) | (new (props: any) => React.Component<any, any, any>)>;
    }) => React.ReactNode)) | (React.ReactElement<any, string | ((props: any) => React.ReactElement<any, string | any | (new (props: any) => React.Component<any, any, any>)>) | (new (props: any) => React.Component<any, any, any>)> & (({ use, ...args }: PopoverContainerRenderProps & {
        use: React.ReactElement<any, string | ((props: any) => React.ReactElement<any, string | any | (new (props: any) => React.Component<any, any, any>)>) | (new (props: any) => React.Component<any, any, any>)>;
    }) => React.ReactNode)) | (React.ReactNodeArray & (({ use, ...args }: PopoverContainerRenderProps & {
        use: React.ReactElement<any, string | ((props: any) => React.ReactElement<any, string | any | (new (props: any) => React.Component<any, any, any>)>) | (new (props: any) => React.Component<any, any, any>)>;
    }) => React.ReactNode)) | (React.ReactPortal & (({ use, ...args }: PopoverContainerRenderProps & {
        use: React.ReactElement<any, string | ((props: any) => React.ReactElement<any, string | any | (new (props: any) => React.Component<any, any, any>)>) | (new (props: any) => React.Component<any, any, any>)>;
    }) => React.ReactNode)) | ((({ initialFocusRef }: {
        initialFocusRef?: React.RefObject<any>;
    }) => React.ReactNode) & (({ use, ...args }: PopoverContainerRenderProps & {
        use: React.ReactElement<any, string | ((props: any) => React.ReactElement<any, string | any | (new (props: any) => React.Component<any, any, any>)>) | (new (props: any) => React.Component<any, any, any>)>;
    }) => React.ReactNode))>;
    content: PropTypes.Validator<string | React.ReactElement<any, string | ((props: any) => React.ReactElement<any, string | any | (new (props: any) => React.Component<any, any, any>)>) | (new (props: any) => React.Component<any, any, any>)> | (({ initialFocusRef, ...args }: {
        initialFocusRef?: React.RefObject<any>;
    } & PopoverContainerRenderProps) => React.ReactNode)>;
    isFullWidth: PropTypes.Requireable<boolean>;
    showCloseButton: PropTypes.Requireable<boolean>;
    hideOnEsc: PropTypes.Requireable<boolean>;
    hideOnClickOutside: PropTypes.Requireable<boolean>;
    delay: PropTypes.Requireable<string>;
    duration: PropTypes.Requireable<string>;
    expand: PropTypes.Validator<boolean | "left" | "right" | "top" | "bottom" | "center">;
    fade: PropTypes.Requireable<boolean>;
    slide: PropTypes.Validator<boolean | "left" | "right" | "top" | "bottom">;
    timing: PropTypes.Requireable<string>;
    isVisible: PropTypes.Requireable<boolean>;
    flip: PropTypes.Requireable<boolean>;
    gutter: PropTypes.Requireable<string | number>;
    placement: PropTypes.Validator<import("../types").Placement>;
    shift: PropTypes.Requireable<boolean>;
    trapFocus: PropTypes.Requireable<boolean>;
};
export declare const popoverDefaultProps: {
    children: any;
    className: any;
    isFullWidth: boolean;
    showCloseButton: boolean;
    isVisible?: boolean;
    flip?: boolean;
    gutter?: string | number;
    placement?: import("../types").Placement;
    shift?: boolean;
    trapFocus?: boolean;
    delay?: string;
    duration?: string;
    expand?: boolean | "left" | "right" | "top" | "bottom" | "center";
    fade?: boolean;
    slide?: boolean | "left" | "right" | "top" | "bottom";
    timing?: string;
    hideOnEsc?: boolean;
    hideOnClickOutside?: boolean;
};
declare const C: React.FunctionComponent<PopoverProps> & PopoverComponents;
export default C;
