import * as React from 'react';
import * as PropTypes from 'prop-types';
export declare type PopoverContainerRenderProps = {
    isVisible: boolean;
    hide(): void;
    show(): void;
    toggle(): void;
};
export declare type LocalPopoverContainerProps = {
    children: ({ isVisible, hide, show, toggle, ...args }: PopoverContainerRenderProps) => React.ReactNode;
    defaultVisible?: boolean;
    initialState?: {};
};
export declare type PopoverContainerProps = LocalPopoverContainerProps;
export declare const PopoverContainer: React.FunctionComponent<LocalPopoverContainerProps>;
export declare const popoverContainerPropTypes: {
    children: PropTypes.Validator<(...args: any[]) => any>;
    defaultVisible: PropTypes.Requireable<boolean>;
    initialState: PropTypes.Requireable<object>;
};
export declare const popoverContainerDefaultProps: {
    defaultVisible: boolean;
    initialState: {};
};
export default PopoverContainer;
