import * as React from 'react';
import * as PropTypes from 'prop-types';
import { PopoverProps as ReakitPopoverProps } from 'reakit/ts';
import { AnimateProps, Placement, RestrictHideProps } from '../types';
export declare type LocalPopoverPopoverProps = {
    children: React.ReactNode | (({ initialFocusRef }: {
        initialFocusRef?: React.RefObject<any>;
    }) => React.ReactNode);
    className?: string;
    /** Whether or not to show the popover component */
    isVisible?: boolean;
    flip?: boolean;
    gutter?: number | string;
    placement?: Placement;
    shift?: boolean;
    /** Traps focus within the popover */
    trapFocus?: boolean;
} & AnimateProps & RestrictHideProps;
export declare type PopoverPopoverProps = LocalPopoverPopoverProps & ReakitPopoverProps;
export declare const PopoverPopover: React.FunctionComponent<LocalPopoverPopoverProps>;
export declare const popoverPopoverPropTypes: {
    hideOnEsc: PropTypes.Requireable<boolean>;
    hideOnClickOutside: PropTypes.Requireable<boolean>;
    delay: PropTypes.Requireable<string>;
    duration: PropTypes.Requireable<string>;
    expand: PropTypes.Validator<boolean | "left" | "right" | "top" | "bottom" | "center">;
    fade: PropTypes.Requireable<boolean>;
    slide: PropTypes.Validator<boolean | "left" | "right" | "top" | "bottom">;
    timing: PropTypes.Requireable<string>;
    children: PropTypes.Validator<PropTypes.ReactNodeLike>;
    className: PropTypes.Requireable<string>;
    isVisible: PropTypes.Requireable<boolean>;
    flip: PropTypes.Requireable<boolean>;
    gutter: PropTypes.Requireable<string | number>;
    placement: PropTypes.Validator<Placement>;
    shift: PropTypes.Requireable<boolean>;
    trapFocus: PropTypes.Requireable<boolean>;
};
export declare const popoverPopoverDefaultProps: Partial<LocalPopoverPopoverProps>;
declare const C: React.FunctionComponent<PopoverPopoverProps>;
export default C;
