import * as React from 'react';
import * as PropTypes from 'prop-types';
import { ReakitBoxProps } from '../types';
import { Omit, Size } from '../types';
export declare type LocalProgressBarProps = {
    color?: string;
    maxValue?: number;
    size?: Size;
    value?: number;
};
export declare type ProgressBarProps = Omit<ReakitBoxProps, 'size'> & LocalProgressBarProps;
export declare const ProgressBar: React.FunctionComponent<LocalProgressBarProps>;
export declare const progressBarPropTypes: {
    color: PropTypes.Requireable<string>;
    maxValue: PropTypes.Requireable<number>;
    size: PropTypes.Validator<Size>;
    value: PropTypes.Requireable<number>;
};
export declare const progressBarDefaultProps: Partial<LocalProgressBarProps>;
declare const C: React.FunctionComponent<ProgressBarProps>;
export default C;
