import * as React from 'react';
import * as PropTypes from 'prop-types';
import { ReakitBoxProps } from '../types';
import { Omit, Size } from '../types';
export declare type LocalRatingProps = {
    className?: string;
    size?: Size;
    defaultRating?: number;
    maxRating?: number;
    onRate?: ({ rating, maxRating }: {
        rating: number;
        maxRating?: number;
    }) => void;
    disabled?: boolean;
};
export declare type RatingProps = LocalRatingProps & Omit<ReakitBoxProps, 'size'>;
export declare type RatingState = {
    rating: number | undefined;
    isSelecting: boolean;
    selectedIndex: number | undefined;
};
export declare const ratingPropTypes: {
    className: PropTypes.Requireable<string>;
    size: PropTypes.Requireable<string>;
    defaultRating: PropTypes.Requireable<number>;
    maxRating: PropTypes.Requireable<number>;
    onRate: PropTypes.Requireable<(...args: any[]) => any>;
    disabled: PropTypes.Requireable<boolean>;
};
export declare const ratingDefaultProps: {
    className: any;
    size: string;
    defaultRating: number;
    maxRating: number;
    onRate: any;
    disabled: boolean;
};
export declare class Rating extends React.Component<LocalRatingProps, RatingState> {
    static propTypes: {
        className: PropTypes.Requireable<string>;
        size: PropTypes.Requireable<string>;
        defaultRating: PropTypes.Requireable<number>;
        maxRating: PropTypes.Requireable<number>;
        onRate: PropTypes.Requireable<(...args: any[]) => any>;
        disabled: PropTypes.Requireable<boolean>;
    };
    static defaultProps: {
        className: any;
        size: string;
        defaultRating: number;
        maxRating: number;
        onRate: any;
        disabled: boolean;
    };
    state: {
        rating: number;
        isSelecting: boolean;
        selectedIndex: number;
    };
    handleStarClick: (index: number) => void;
    handleStarMouseOver: (index: number) => void;
    handleMouseLeave: () => void;
    render(): JSX.Element;
}
declare const C: React.FunctionComponent<RatingProps>;
export default C;
