import * as React from 'react';
import { LocalSelectProps, SelectProps } from './Select';
import { LocalFieldWrapperProps } from '../FieldWrapper/FieldWrapper';
import { Omit } from '../types';
export declare type LocalSelectFieldProps = Omit<LocalFieldWrapperProps, 'children'> & LocalSelectProps & {
    /** Addon component to the input (before). Similar to the addon components in Input. */
    addonBefore?: React.ReactElement<any>;
    /** Addon component to the input (after). Similar to the addon components in Input. */
    addonAfter?: React.ReactElement<any>;
    /** If addonBefore or addonAfter exists, then the addons will render vertically. */
    isVertical?: boolean;
    selectProps?: Omit<LocalSelectProps, 'options'>;
};
export declare type SelectFieldProps = LocalSelectFieldProps & SelectProps;
export declare type SelectFieldComponents = {
    Formik: React.FunctionComponent<SelectFieldProps>;
    ReduxForm: React.FunctionComponent<SelectFieldProps>;
};
export declare const SelectField: React.FunctionComponent<LocalSelectFieldProps> & SelectFieldComponents;
export declare const selectFieldPropTypes: any;
export declare const selectFieldDefaultProps: {
    a11yId: any;
    a11yLabel: any;
    autoComplete: any;
    autoFocus: boolean;
    className: any;
    defaultValue: any;
    disabled: boolean;
    isFullWidth: boolean;
    isLoading: boolean;
    isRequired: boolean;
    name: any;
    onBlur: any;
    onChange: any;
    onFocus: any;
    placeholder: any;
    selectProps: {};
    selectRef: any;
    size: string;
    state: any;
    value: any;
    description: any;
    hint: any;
    isOptional: any;
    label: any;
    tooltip: any;
    tooltipPopoverProps: any;
    tooltipTrigger: any;
    validationText: any;
    addonBefore: any;
    addonAfter: any;
    isVertical: boolean;
};
declare const C: React.FunctionComponent<SelectFieldProps> & SelectFieldComponents;
export default C;
