import * as React from 'react';
import { LocalSelectMenuProps, SelectMenuProps } from './SelectMenu';
import { LocalFieldWrapperProps } from '../FieldWrapper/FieldWrapper';
import { Omit } from '../types';
export declare type LocalSelectMenuFieldProps = Omit<LocalFieldWrapperProps, 'children'> & LocalSelectMenuProps & {
    /** Addon component to the input (before). Similar to the addon components in Input. */
    addonBefore?: React.ReactElement<any>;
    /** Addon component to the input (after). Similar to the addon components in Input. */
    addonAfter?: React.ReactElement<any>;
    /** If addonBefore or addonAfter exists, then the addons will render vertically. */
    isVertical?: boolean;
    selectMenuProps?: LocalSelectMenuProps;
};
export declare type SelectMenuFieldProps = SelectMenuProps & LocalSelectMenuFieldProps;
export declare type SelectMenuFieldComponents = {
    Formik: React.FunctionComponent<SelectMenuFieldProps>;
    ReduxForm: React.FunctionComponent<SelectMenuFieldProps>;
};
export declare const SelectMenuField: React.FunctionComponent<LocalSelectMenuFieldProps> & SelectMenuFieldComponents;
export declare const selectMenuFieldPropTypes: any;
export declare const selectMenuFieldDefaultProps: {
    addonBefore: any;
    addonAfter: any;
    a11yId: any;
    isVertical: boolean;
    selectMenuProps: {};
    defaultKey: any;
    defaultKeys: any;
    defaultOption: any;
    defaultOptions: any;
    disabled: boolean;
    emptyText: string;
    filterOptions: ({ options, searchText }: {
        options: import("./SelectMenu").SelectMenuItem[];
        searchText: string;
    }) => import("./SelectMenu").SelectMenuItem[];
    isDropdown: boolean;
    isFullWidth: boolean;
    isLoading: boolean;
    isMultiSelect: boolean;
    isPaginated: boolean;
    isRadio: boolean;
    isSearchable: boolean;
    loadQuery: any;
    loadOptions: any;
    onChange: any;
    options: any[];
    placeholder: string;
    popoverProps: {};
    renderBottomActions: (opts: {
        isDropdown?: boolean;
        isMultiSelect?: boolean;
        onClear(): void;
        popover?: import("..").PopoverContainerRenderProps;
        selectedOptions: import("./SelectMenu").SelectMenuItem[];
    }) => React.ReactNode;
    renderEmpty: ({ emptyText }: {
        emptyText: string;
    }) => JSX.Element;
    renderError: () => JSX.Element;
    renderOption: (option: import("./SelectMenu").SelectMenuItem) => React.ReactNode;
    renderTrigger: (opts: {
        isLoading?: boolean;
        placeholder?: string;
        props: any;
        renderValue: any;
        selectedOptions: {
            [key: string]: import("./SelectMenu").SelectMenuItem;
        };
    }) => React.ReactNode;
    renderValue: (value: string | number | boolean | Object, values: (string | number | boolean | Object)[], items: {
        [key: string]: import("./SelectMenu").SelectMenuItem;
    }) => React.ReactNode;
    searchInputProps: {};
    useTags: boolean;
    value: any;
    className: any;
    description: any;
    hint: any;
    isOptional: any;
    isRequired: any;
    label: any;
    state: any;
    tooltip: any;
    tooltipPopoverProps: any;
    tooltipTrigger: any;
    validationText: any;
};
declare const C: React.FunctionComponent<SelectMenuFieldProps> & SelectMenuFieldComponents;
export default C;
