import * as React from 'react';
import * as PropTypes from 'prop-types';
import { OverlayProps } from '../Overlay/Overlay';
import { SidebarContainerProps } from './SidebarContainer';
import { SidebarCloseProps } from './SidebarClose';
import { SidebarHideProps } from './SidebarHide';
import { SidebarShowProps } from './SidebarShow';
import { AnimateProps, RestrictHideProps } from '../types';
export declare type LocalSidebarProps = {
    align?: 'left' | 'right';
    backdropFade?: boolean;
    children: React.ReactNode | (({ initialFocusRef }: {
        initialFocusRef: React.RefObject<HTMLElement>;
    }) => React.ReactNode);
    className?: string;
    isVisible?: boolean;
    hide?(): void;
    hideCloseButton?: boolean;
    onClickClose?(): void;
    width?: string;
} & RestrictHideProps & AnimateProps;
export declare type SidebarProps = OverlayProps & LocalSidebarProps;
export declare type SidebarComponents = {
    Container: React.FunctionComponent<SidebarContainerProps>;
    Close: React.FunctionComponent<SidebarCloseProps>;
    Hide: React.FunctionComponent<SidebarHideProps>;
    Show: React.FunctionComponent<SidebarShowProps>;
};
export declare const Sidebar: React.FunctionComponent<LocalSidebarProps> & SidebarComponents;
export declare const sidebarPropTypes: {
    hideOnEsc: PropTypes.Requireable<boolean>;
    hideOnClickOutside: PropTypes.Requireable<boolean>;
    delay: PropTypes.Requireable<string>;
    duration: PropTypes.Requireable<string>;
    expand: PropTypes.Validator<boolean | "left" | "right" | "top" | "bottom" | "center">;
    fade: PropTypes.Requireable<boolean>;
    slide: PropTypes.Validator<boolean | "left" | "right" | "top" | "bottom">;
    timing: PropTypes.Requireable<string>;
    align: PropTypes.Requireable<string>;
    backdropFade: PropTypes.Requireable<boolean>;
    children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
    className: PropTypes.Requireable<string>;
    isVisible: PropTypes.Requireable<boolean>;
    hide: PropTypes.Requireable<(...args: any[]) => any>;
    hideCloseButton: PropTypes.Requireable<boolean>;
    onClickClose: PropTypes.Requireable<(...args: any[]) => any>;
    width: PropTypes.Requireable<string>;
};
export declare const sidebarDefaultProps: Partial<LocalSidebarProps>;
declare const C: React.FunctionComponent<SidebarProps> & SidebarComponents;
export default C;
