import * as React from 'react';
import * as PropTypes from 'prop-types';
import { BoxProps as ReakitBoxProps } from 'reakit/ts/Box/Box';
import { Omit } from '../types';
export declare type LocalSpinnerProps = {
    className?: string;
    color?: string;
    size?: string;
    value?: number;
};
export declare type SpinnerProps = Omit<Omit<ReakitBoxProps, 'children'>, 'size'> & LocalSpinnerProps;
export declare const Spinner: React.FunctionComponent<LocalSpinnerProps>;
export declare const spinnerPropTypes: {
    className: PropTypes.Requireable<string>;
    color: PropTypes.Requireable<string>;
    size: PropTypes.Requireable<string>;
    value: PropTypes.Requireable<number>;
};
export declare const spinnerDefaultProps: {
    className: any;
    color: string;
    size: string;
    value: any;
};
declare const C: React.FunctionComponent<SpinnerProps>;
export default C;
