import * as React from 'react';
import { LocalFieldWrapperProps } from '../FieldWrapper/FieldWrapper';
import { Omit } from '../types';
import { LocalSwitchProps, SwitchProps } from './Switch';
export declare type LocalSwitchFieldProps = Omit<LocalFieldWrapperProps, 'children'> & LocalSwitchProps & {
    a11yId?: string;
    /** Switch label */
    switchLabel?: string;
    switchProps?: LocalSwitchProps;
};
export declare type SwitchFieldProps = LocalSwitchFieldProps & SwitchProps;
export declare type SwitchFieldComponents = {
    Formik: React.FunctionComponent<SwitchFieldProps>;
    ReduxForm: React.FunctionComponent<SwitchFieldProps>;
};
export declare const SwitchField: React.FunctionComponent<LocalSwitchFieldProps> & SwitchFieldComponents;
export declare const switchFieldPropTypes: any;
export declare const switchFieldDefaultProps: {
    autoFocus: boolean;
    checked: any;
    className: any;
    defaultChecked: any;
    disabled: boolean;
    id: any;
    isRequired: boolean;
    label: any;
    onBlur: any;
    onChange: any;
    onFocus: any;
    palette: any;
    name: any;
    state: any;
    switchRef: any;
    value: any;
    a11yId: any;
    description: any;
    hint: any;
    isOptional: any;
    tooltip: any;
    tooltipPopoverProps: any;
    tooltipTrigger: any;
    validationText: any;
    switchLabel: any;
    switchProps: {};
};
declare const C: React.FunctionComponent<SwitchFieldProps> & SwitchFieldComponents;
export default C;
