import * as React from 'react';
import * as PropTypes from 'prop-types';
import { TabsTabProps as ReakitTabProps } from 'reakit/ts/Tabs/TabsTab';
import { StepContainerActions, StepContainerSelectors } from 'reakit/ts/Step/StepContainer';
export declare type LocalTabProps = {
    children: React.ReactNode;
    className?: string;
    /** Makes the tab in an active state */
    isActive?: boolean;
    /** A unique identifier for the tab */
    tab: string;
    current: number;
    register: StepContainerActions['register'];
    update: StepContainerActions['update'];
    unregister: StepContainerActions['unregister'];
    show: StepContainerActions['show'];
    next: StepContainerActions['next'];
    previous: StepContainerActions['previous'];
    isCurrent: StepContainerSelectors['isCurrent'];
};
export declare type TabProps = ReakitTabProps & LocalTabProps;
export declare const Tab: React.FunctionComponent<LocalTabProps>;
export declare const tabPropTypes: {
    children: PropTypes.Validator<PropTypes.ReactNodeLike>;
    className: PropTypes.Requireable<string>;
    isActive: PropTypes.Requireable<boolean>;
    tab: PropTypes.Validator<string>;
    current: PropTypes.Validator<number>;
    register: PropTypes.Validator<(...args: any[]) => any>;
    update: PropTypes.Validator<(...args: any[]) => any>;
    unregister: PropTypes.Validator<(...args: any[]) => any>;
    isCurrent: PropTypes.Validator<(...args: any[]) => any>;
    show: PropTypes.Validator<(...args: any[]) => any>;
    next: PropTypes.Validator<(...args: any[]) => any>;
    previous: PropTypes.Validator<(...args: any[]) => any>;
};
export declare const tabDefaultProps: {
    className: any;
    isActive: boolean;
    register: () => void;
    update: () => void;
    unregister: () => void;
    isCurrent: () => boolean;
    show: () => void;
    next: () => void;
    previous: () => void;
};
declare const C: React.FunctionComponent<TabProps>;
export default C;
