import * as React from 'react';
import * as PropTypes from 'prop-types';
import { TabsPanelProps as ReakitTabPanelProps } from 'reakit/ts/Tabs/TabsPanel';
import { StepContainerSelectors } from 'reakit/ts/Step/StepContainer';
export declare type LocalTabPanelProps = {
    children: React.ReactNode;
    className?: string;
    /** A unique identifier for the tab */
    tab: string;
    isCurrent: StepContainerSelectors['isCurrent'];
};
export declare type TabPanelProps = ReakitTabPanelProps & LocalTabPanelProps;
export declare const TabPanel: React.FunctionComponent<LocalTabPanelProps>;
export declare const tabPanelPropTypes: {
    children: PropTypes.Validator<PropTypes.ReactNodeLike>;
    className: PropTypes.Requireable<string>;
    tab: PropTypes.Validator<string>;
    isCurrent: PropTypes.Validator<(...args: any[]) => any>;
};
export declare const tabPanelDefaultProps: {
    className: any;
};
declare const C: React.FunctionComponent<TabPanelProps>;
export default C;
