import * as React from 'react';
import * as PropTypes from 'prop-types';
import { TabsProps as ReakitTabsProps } from 'reakit/ts/Tabs/Tabs';
import { TabProps } from './Tab';
import { TabPanelProps } from './TabPanel';
export declare type LocalTabsProps = {
    align?: 'left' | 'center' | 'right';
    children: React.ReactNode;
    className?: string;
    isFitted?: boolean;
    /** Visual type of the tab */
    type?: 'default' | 'boxed';
};
export declare type TabsProps = ReakitTabsProps & LocalTabsProps;
export declare type TabsComponents = {
    Tab: React.FunctionComponent<TabProps>;
    Panel: React.FunctionComponent<TabPanelProps>;
    Container: React.FunctionComponent<{
        children: (...args: any) => React.ReactNode;
    }>;
};
export declare const Tabs: React.FunctionComponent<LocalTabsProps> & TabsComponents;
export declare const tabsPropTypes: {
    align: PropTypes.Validator<"left" | "right" | "center">;
    children: PropTypes.Validator<PropTypes.ReactNodeLike>;
    className: PropTypes.Requireable<string>;
    isFitted: PropTypes.Requireable<boolean>;
    type: PropTypes.Validator<"default" | "boxed">;
};
export declare const tabsDefaultProps: Partial<LocalTabsProps>;
declare const C: React.FunctionComponent<TabsProps> & TabsComponents;
export default C;
