import * as React from 'react';
import * as PropTypes from 'prop-types';
import { InlineBlockProps as ReakitInlineBlockProps } from 'reakit/ts/InlineBlock/InlineBlock';
import { Omit } from '../types';
export declare type LocalTagProps = {
    className?: string;
    children: React.ReactNode;
    onRemove?(): void;
    kind?: 'outlined';
    palette?: string;
    size?: string;
};
export declare type TagProps = Omit<ReakitInlineBlockProps, 'size'> & LocalTagProps;
export declare const Tag: React.FunctionComponent<LocalTagProps>;
export declare const tagPropTypes: {
    className: PropTypes.Requireable<string>;
    children: PropTypes.Validator<PropTypes.ReactNodeLike>;
    kind: PropTypes.Validator<"outlined">;
    onRemove: PropTypes.Requireable<(...args: any[]) => any>;
    palette: PropTypes.Requireable<string>;
    size: PropTypes.Requireable<string>;
};
export declare const tagDefaultProps: {
    className: any;
    kind: any;
    onRemove: any;
    palette: string;
    size: string;
};
declare const C: React.FunctionComponent<TagProps>;
export default C;
