import * as React from 'react';
import * as PropTypes from 'prop-types';
import { TimelineStepProps } from './TimelineStep';
import { TimelineStepDetailProps } from './TimelineStepDetail';
import { TimelineStepHeadingProps } from './TimelineStepHeading';
export declare type LocalTimelineProps = {
    activeStep?: string;
    children: React.ReactNode;
    progressColor?: string;
};
export declare type TimelineProps = LocalTimelineProps;
export declare type TimelineComponents = {
    Step: React.FunctionComponent<TimelineStepProps>;
    StepHeading: React.FunctionComponent<TimelineStepHeadingProps>;
    StepDetail: React.FunctionComponent<TimelineStepDetailProps>;
};
export declare const Timeline: React.FunctionComponent<LocalTimelineProps> & TimelineComponents;
export declare const timelinePropTypes: {
    activeStep: PropTypes.Requireable<string>;
    children: PropTypes.Validator<PropTypes.ReactNodeLike>;
    progressColor: PropTypes.Requireable<string>;
};
export declare const timelineDefaultProps: {
    activeStep: any;
    progressColor: any;
};
declare const C: React.FunctionComponent<TimelineProps> & TimelineComponents;
export default C;
