import * as React from 'react';
import * as PropTypes from 'prop-types';
import { ButtonProps } from '../Button/Button';
import { LocalPaneProps, PaneProps } from '../Pane/Pane';
import { Omit } from '../types';
import { ToastCloseProps } from './ToastClose';
import { ToastContainerProps } from './ToastContainer';
export declare type LocalToastProps = LocalPaneProps & {
    autoDismissTimeout?: number;
    children?: React.ReactNode;
    closeButtonProps?: Omit<ButtonProps, 'children'>;
    hasHorizontalBar?: boolean;
    hasIcon?: boolean;
    hasTint?: boolean;
    hideCloseButton?: boolean;
    onClickClose?: ToastCloseProps['onClickClose'];
    showCountdownBar?: boolean;
    title?: string;
    type?: string;
};
export declare type ToastProps = PaneProps & LocalToastProps;
export declare type ToastComponents = {
    Container: React.FunctionComponent<ToastContainerProps>;
};
export declare const Toast: React.FunctionComponent<LocalToastProps> & ToastComponents;
export declare const toastPropTypes: {
    border: PropTypes.Validator<boolean | "shadow">;
    className: PropTypes.Requireable<string>;
    children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
    isFullWidth: PropTypes.Requireable<boolean>;
    elevation: PropTypes.Requireable<string>;
    autoDismissTimeout: PropTypes.Requireable<number>;
    closeButtonProps: PropTypes.Requireable<PropTypes.InferProps<any>>;
    hasHorizontalBar: PropTypes.Requireable<boolean>;
    hasIcon: PropTypes.Requireable<boolean>;
    hasTint: PropTypes.Requireable<boolean>;
    hideCloseButton: PropTypes.Requireable<boolean>;
    onClickClose: PropTypes.Requireable<(...args: any[]) => any>;
    showCountdownBar: PropTypes.Requireable<boolean>;
    type: PropTypes.Requireable<string>;
    title: PropTypes.Requireable<string>;
};
export declare const toastDefaultProps: {
    autoDismissTimeout: any;
    children: any;
    closeButtonProps: {};
    elevation: string;
    hasHorizontalBar: boolean;
    hasIcon: boolean;
    hasTint: boolean;
    hideCloseButton: boolean;
    onClickClose: any;
    showCountdownBar: boolean;
    title: any;
    type: string;
    border: boolean;
    className: any;
    isFullWidth: boolean;
};
declare const C: React.FunctionComponent<ToastProps> & ToastComponents;
export default C;
