import * as React from 'react';
import * as PropTypes from 'prop-types';
import { Placement } from '../types';
import { LocalToastProps } from './Toast';
declare type Toast = LocalToastProps & {
    key?: string;
    message: string | React.ReactElement<any>;
};
declare type Actions = {
    remove: ({ key }: {
        key: Toast['key'];
    }) => void;
};
declare type Effects = {
    add: (toast: Toast) => void;
    info: (toast: Toast) => void;
    success: (toast: Toast) => void;
    danger: (toast: Toast) => void;
    warning: (toast: Toast) => void;
};
export declare type ToastContainerProps = {
    children: (props: Actions & Effects & {
        toasts: Array<Toast>;
    }) => React.ReactNode;
    placement?: Placement;
};
export declare const ToastContainer: React.FunctionComponent<ToastContainerProps>;
export declare const toastContainerPropTypes: {
    children: PropTypes.Validator<(...args: any[]) => any>;
    placement: PropTypes.Validator<Placement>;
};
export declare const toastContainerDefaultProps: Partial<ToastContainerProps>;
export default ToastContainer;
export declare const withToasts: (C: React.ComponentType<any>) => (props: any) => JSX.Element;
