import * as React from 'react';
import * as PropTypes from 'prop-types';
import { TooltipProps as ReakitTooltipProps } from 'reakit/ts/Tooltip/Tooltip';
import { Placement } from '../types';
export declare type LocalTooltipProps = {
    className?: string;
    children: React.ReactNode;
    delay?: string;
    duration?: string;
    expand?: boolean;
    /** Space between the tooltip content and the trigger. */
    gutter?: number | string;
    fade?: boolean;
    /** Placement of the tooltip. */
    placement?: Placement;
    slide?: boolean;
    timing?: string;
};
export declare type TooltipProps = ReakitTooltipProps & LocalTooltipProps;
export declare const Tooltip: React.FunctionComponent<LocalTooltipProps>;
export declare const tooltipPropTypes: {
    className: PropTypes.Requireable<string>;
    children: PropTypes.Validator<PropTypes.ReactNodeLike>;
    delay: PropTypes.Requireable<string>;
    duration: PropTypes.Requireable<string>;
    expand: PropTypes.Requireable<boolean>;
    gutter: PropTypes.Requireable<string | number>;
    fade: PropTypes.Requireable<boolean>;
    placement: PropTypes.Validator<Placement>;
    slide: PropTypes.Requireable<boolean>;
    timing: PropTypes.Requireable<string>;
};
export declare const tooltipDefaultProps: Partial<LocalTooltipProps>;
declare const C: React.FunctionComponent<TooltipProps>;
export default C;
