import * as React from 'react';
export declare type TrapFocusProps = {
    children: ({ fallbackFocusRef, initialFocusRef }: {
        fallbackFocusRef: React.RefObject<HTMLElement>;
        initialFocusRef: React.RefObject<HTMLElement>;
    }) => React.ReactNode;
    delayToActivate?: string;
    isActive?: boolean;
    usesPortal?: boolean;
};
export declare type TrapFocusState = {
    originalAriaHiddenValues: Array<string | void>;
};
export default class TrapFocus extends React.Component<TrapFocusProps, TrapFocusState> {
    static defaultProps: {
        isActive: boolean;
        usesPortal: boolean;
    };
    state: {
        originalAriaHiddenValues: any[];
    };
    fallbackFocus: React.RefObject<HTMLElement>;
    initialFocus: React.RefObject<HTMLElement>;
    wrapper: React.RefObject<HTMLDivElement>;
    trap: {
        activate(): void;
        deactivate(): void;
    };
    componentDidMount: () => void;
    componentDidUpdate: (prevProps: TrapFocusProps) => void;
    componentWillUnmount: () => void;
    render: () => JSX.Element;
}
