declare const _default: {
    _docs: {
        logoPath: string;
    };
    global: {
        fontFamily: string;
        fallbackFontFamily: string;
    };
    webFontLoader: {
        google: {
            families: string[];
        };
    };
    layout: {
        mobileBreakpoint: number;
    };
    fontWeights: {
        normal: number;
        semibold: number;
        bold: number;
    };
    palette: {
        default: string;
        text: string;
        primary100: string;
        primary200: string;
        primary300: string;
        primary400: string;
        primary: string;
        primary500: string;
        primary600: string;
        primary700: string;
        primary800: string;
        secondary200: string;
        secondary300: string;
        secondary400: string;
        secondary: string;
        secondaryInverted: string;
        secondary500: string;
        secondary600: string;
        secondary700: string;
        secondary800: string;
        success200: string;
        success300: string;
        success400: string;
        success: string;
        successInverted: string;
        success500: string;
        success600: string;
        success700: string;
        success800: string;
        danger200: string;
        danger300: string;
        danger400: string;
        danger: string;
        danger500: string;
        danger600: string;
        danger700: string;
        danger800: string;
    };
    ActionButtons: {
        base: import("styled-components").FlattenSimpleInterpolation;
    };
    Alert: {
        base: import("styled-components").FlattenSimpleInterpolation;
        Title: {
            base: import("styled-components").FlattenSimpleInterpolation;
        };
    };
    Button: {
        base: import("styled-components").FlattenInterpolation<import("styled-components").ThemeProps<any>>;
        outlined: import("styled-components").FlattenSimpleInterpolation;
        ghost: import("styled-components").FlattenInterpolation<import("styled-components").ThemeProps<any>>;
        interactive: import("styled-components").FlattenInterpolation<import("styled-components").ThemeProps<any>>;
        link: import("styled-components").FlattenSimpleInterpolation;
        sizes: {
            small: import("styled-components").FlattenInterpolation<import("styled-components").ThemeProps<any>>;
            medium: import("styled-components").FlattenSimpleInterpolation;
        };
    };
    Callout: {
        base: import("styled-components").FlattenSimpleInterpolation;
    };
    Card: {
        base: import("styled-components").FlattenSimpleInterpolation;
    };
    Checkbox: {
        base: import("styled-components").FlattenSimpleInterpolation;
    };
    Container: {
        base: import("styled-components").FlattenInterpolation<import("styled-components").ThemeProps<any>>;
    };
    Dialog: {
        base: import("styled-components").FlattenSimpleInterpolation;
    };
    FieldSet: {
        spacing: string;
    };
    FieldWrapper: {
        TooltipPopover: {
            base: import("styled-components").FlattenSimpleInterpolation;
        };
        TooltipButton: {
            base: import("styled-components").FlattenSimpleInterpolation;
        };
        defaultProps: {
            tooltipPopoverProps: {
                gutter: number;
            };
        };
    };
    Group: {
        base: import("styled-components").FlattenSimpleInterpolation;
    };
    Heading: {
        base: import("styled-components").FlattenInterpolation<import("styled-components").ThemeProps<any>>;
        h6: import("styled-components").FlattenSimpleInterpolation;
    };
    Input: {
        base: import("styled-components").FlattenInterpolation<import("styled-components").ThemeProps<any>>;
        Icon: {
            base: import("styled-components").FlattenInterpolation<import("styled-components").ThemeProps<any>>;
        };
    };
    Label: {
        base: import("styled-components").FlattenSimpleInterpolation;
    };
    Page: {
        collapseBreakpoint: string;
        WithSidebar: {
            defaultProps: {
                sidebarProps: {
                    hideCloseButton: boolean;
                };
            };
            Sidebar: {
                base: import("styled-components").FlattenInterpolation<import("styled-components").ThemeProps<any>>;
            };
            DesktopSidebarWrapper: {
                base: import("styled-components").FlattenSimpleInterpolation;
            };
        };
        Content: {
            base: import("styled-components").FlattenInterpolation<import("styled-components").ThemeProps<any>>;
            wrapper: import("styled-components").FlattenInterpolation<import("styled-components").ThemeProps<any>>;
        };
    };
    Popover: {
        base: import("styled-components").FlattenSimpleInterpolation;
    };
    Select: {
        base: import("styled-components").FlattenInterpolation<import("styled-components").ThemeProps<any>>;
        Icon: {
            base: import("styled-components").FlattenInterpolation<import("styled-components").ThemeProps<any>>;
        };
    };
    SelectMenu: {
        ActionButton: {
            base: import("styled-components").FlattenInterpolation<import("styled-components").ThemeProps<any>>;
        };
        Button: {
            base: import("styled-components").FlattenInterpolation<import("styled-components").ThemeProps<any>>;
        };
        LoadingSpinner: {
            base: import("styled-components").FlattenSimpleInterpolation;
        };
        Tag: {
            base: import("styled-components").FlattenInterpolation<import("styled-components").ThemeProps<any>>;
        };
    };
    Tabs: {
        base: import("styled-components").FlattenSimpleInterpolation;
        Tab: {
            base: import("styled-components").FlattenSimpleInterpolation;
            active: import("styled-components").FlattenSimpleInterpolation;
            hover: import("styled-components").FlattenInterpolation<import("styled-components").ThemeProps<any>>;
        };
    };
    Table: {
        base: import("styled-components").FlattenInterpolation<import("styled-components").ThemeProps<any>>;
        Cell: {
            base: import("styled-components").FlattenSimpleInterpolation;
        };
        HeadCell: {
            base: import("styled-components").FlattenInterpolation<import("styled-components").ThemeProps<any>>;
        };
    };
    Tag: {
        base: import("styled-components").FlattenSimpleInterpolation;
        TagContent: {
            base: import("styled-components").FlattenInterpolation<import("styled-components").ThemeProps<any>>;
        };
    };
    Textarea: {
        base: import("styled-components").FlattenSimpleInterpolation;
    };
    Toast: {
        placement: string;
        defaultProps: {
            hasTint: boolean;
            showCloseButton: boolean;
            hasHorizontalBar: boolean;
        };
        base: import("styled-components").FlattenInterpolation<import("styled-components").ThemeProps<any>>;
        Title: {
            base: import("styled-components").FlattenSimpleInterpolation;
        };
    };
};
export default _default;
