import * as PropTypes from 'prop-types';
import { BoxProps } from 'reakit/ts';
export declare type ButtonType = 'default' | 'outlined' | 'link' | 'ghost';
export declare const buttonTypePropType: PropTypes.Validator<ButtonType>;
export declare type Breakpoint = 'fullHD' | 'widescreen' | 'desktop' | 'tablet' | 'mobile';
export declare const breakpointPropType: PropTypes.Validator<Breakpoint>;
export declare type ColumnSpread = 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 10 | 11 | 12;
export declare const columnSpreadPropType: PropTypes.Validator<ColumnSpread>;
export declare type ColumnSpreadOffset = 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 10 | 11 | 'left' | 'both' | 'right';
export declare const columnSpreadOffsetPropType: PropTypes.Validator<ColumnSpreadOffset>;
export declare type Palette = 'default' | 'primary' | 'secondary' | 'success' | 'danger' | 'warning';
export declare type Placement = 'auto' | 'top' | 'right' | 'bottom' | 'left' | 'top-start' | 'right-start' | 'bottom-start' | 'left-start' | 'top-end' | 'right-end' | 'bottom-end' | 'left-end';
export declare const placementPropType: PropTypes.Validator<Placement>;
export declare type Size = 'default' | 'small' | 'medium' | 'large' | 'xlarge' | 'xxlarge' | 'xxxlarge';
export declare const sizePropType: PropTypes.Validator<Size>;
export declare type AnimateProps = {
    /** Delay of the animation if one is specified. */
    delay?: string;
    /** Duration of the animation if one is specified. */
    duration?: string;
    /** Will the component have an expand animation when it is toggled on/off? */
    expand?: boolean | 'bottom' | 'left' | 'right' | 'top' | 'center';
    /** Will the component have a fade animation when it is toggled on/off? */
    fade?: boolean;
    /** Will the component have a slide animation when it is toggled on/off? */
    slide?: boolean | 'bottom' | 'left' | 'right' | 'top';
    /** Timing of the animation */
    timing?: string;
};
export declare const animatePropTypes: {
    delay: PropTypes.Requireable<string>;
    duration: PropTypes.Requireable<string>;
    expand: PropTypes.Validator<boolean | "left" | "right" | "top" | "bottom" | "center">;
    fade: PropTypes.Requireable<boolean>;
    slide: PropTypes.Validator<boolean | "left" | "right" | "top" | "bottom">;
    timing: PropTypes.Requireable<string>;
};
export declare const animateDefaultProps: {
    delay: any;
    duration: string;
    expand: any;
    fade: boolean;
    slide: boolean;
    timing: any;
};
export declare type RestrictHideProps = {
    /** Should the component be hidden when 'esc' is pressed?  */
    hideOnEsc?: boolean;
    /** Should the component be hidden when outside is clicked?  */
    hideOnClickOutside?: boolean;
};
export declare const restrictHidePropTypes: {
    hideOnEsc: PropTypes.Requireable<boolean>;
    hideOnClickOutside: PropTypes.Requireable<boolean>;
};
export declare const restrictDefaultProps: {
    hideOnEsc: any;
    hideOnClickOutside: any;
};
export declare type StyledProps = {
    theme: {};
    tone?: number;
};
export declare type ReakitBoxProps = BoxProps & {
    hiddenBreakpoint?: Breakpoint;
    showBreakpoint?: Breakpoint;
};
